# spkly

![spkly](https://media.giphy.com/media/12NUbkX6p4xOO4/giphy.gif)

<sup>i was gonna replace this with some mamamoo gif in honor of the fact i was listening to <a href="https://www.youtube.com/watch?v=KhTeiaCezwM">hip</a> while fixing this and watching my son jiggle about dancing but nothing does 'em justice</sup>

Changes, December 1, 2019

* Changed name because pypi needs something unique and I wanted a short package name anyway.

## Intro to spkly
Look... I have no imagination for title names, not after spending 18 hours on this, most of it going down deadends.

* Pandas styler options? Nope. I still think this is a viable route, though.
* Javascript workarounds messing with `__repr__`: No, I have spent all of my life not learning Javascript, I will continue to do so
* Ipywidgets? Wow this seems finicky when all I'm doing is some preliminary analysis and am going to throw away 99% of what I work on
* Maybe just having a single function that leverages Ipython's HTML? Oh, yes, maybe.

(This all avoids the fact that as much as I'd like to contribute to open source, 1) I suck at git and 2) I completely forgot until nearly the end that I probably have to ask permission from work for project work, even nonprofit work, first.)

## Getting Started

These instructions will get your spkly sparkline thing going. Put the python file somewhere convenient. Then:

```
import spkly
```

Yes, that's it. I will make it fancier in the future, but you'll have to catch me at a time when I have a better handle on python101 stuff like classes, modules, packages...

## Dependencies

* matplotlib >= 3.1.1
* pandas >= 0.25.1
* numpy >= 1.16.5
* ipython >= 7.8.0

### Wait, how do I view a sparkline on my data?

```
spkly.display(df)
```
Some of the optional flags available:
```
spkly.display(df, order=None, type='line', max_rows=7, max_cols=999)
```
* *dataframe*: pandas dataframe for generating sparklines. Plots generated are based on order within the dataframe (meaning dataframe sorts will generate different sparklines if you do not specify some order), see below for examples of this behavior
* *order*: Series of same length as df for x-axis ordering, e.g., use df.index if you want the chart to be sorted by df.index values. Probably can accept more than a series, like a list and suchlike... so long as matplotlib will accept it for an x-axis, then sure, this will accept it too
* *type*: Type of chart you want to see. Want to see sparklines? That's 'line' (it's also the default). Want to see histograms? 'histogram'. Default bins is 20 for now. 
* *max_rows*: max rows to display. Default is 7 now
* *max_cols*: max columns to display. Default is basically all because I'm assuming you wanna see the sparklines for all of it at once or something

## Examples

### 1. A straightforward df with no Multiindex columns or ind... indexes? Indices? Is this like the matplotlib axes thing?


```python
import pandas as pd
import numpy as np
import datetime
import spkly
import random

df = pd.read_csv('samplefile.csv')
df.Date = pd.to_datetime(df.Date, format='%Y%m%d')
df.set_index(['AssetClass', 'AssetClassSubType', 'Date'], inplace=True)
df.replace('*', '', inplace=True)
df = df.apply(pd.to_numeric)
df.reset_index(inplace=True)

spkly.display(df)
```




<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>AssetClass</th>
      <th>AssetClassSubType</th>
      <th>Date</th>
      <th>UMBSTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="42.12pt" version="1.1" viewBox="0 0 181.8 42.12" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 42.12 L 181.8 42.12 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pdbe8b50cdd)" d="M 14.809091 31.355859 L 15.069676 18.493872 L 15.330262 33.66 L 15.590847 33.04198 L 15.851432 31.799222 L 16.112017 33.66 L 16.893773 33.66 L 17.154359 31.400643 L 17.414944 19.111893 L 17.675529 33.66 L 17.936115 32.943455 L 18.1967 31.895507 L 18.457285 33.66 L 19.239041 33.66 L 19.499626 30.422111 L 19.760212 16.9533 L 20.020797 33.66 L 20.281382 32.842691 L 20.541968 31.454384 L 20.802553 33.66 L 21.584309 33.66 L 21.844894 29.566735 L 22.105479 13.529557 L 22.366065 33.66 L 22.887235 31.43871 L 23.147821 33.66 L 23.929577 33.66 L 24.190162 30.160124 L 24.450747 9.057867 L 24.711333 33.66 L 24.971918 32.616531 L 25.232503 29.822005 L 25.493088 33.66 L 26.274844 33.66 L 26.53543 30.039207 L 26.796015 9.987137 L 27.0566 33.66 L 27.317186 32.531441 L 27.577771 30.352696 L 27.838356 33.66 L 28.620112 33.66 L 28.880697 31.264052 L 29.141283 19.279833 L 29.401868 33.66 L 29.662453 33.039741 L 29.923039 31.499168 L 30.183624 33.66 L 30.96538 33.66 L 31.225965 29.38536 L 31.48655 22.676705 L 31.747136 33.66 L 32.268306 31.808178 L 32.528892 33.66 L 33.310648 33.66 L 33.571233 27.824635 L 33.831818 15.614256 L 34.092403 33.66 L 34.352989 32.650119 L 34.613574 31.176723 L 34.874159 33.66 L 35.655915 33.66 L 35.916501 28.574768 L 36.177086 15.99716 L 36.437671 33.66 L 36.958842 31.640238 L 37.219427 33.66 L 38.001183 33.66 L 38.261768 28.418024 L 38.522354 17.195134 L 38.782939 33.66 L 39.043524 32.970325 L 39.30411 31.490211 L 39.564695 33.66 L 40.346451 33.66 L 40.607036 31.440949 L 40.867621 20.784578 L 41.128207 33.66 L 41.388792 33.200963 L 41.649377 30.930411 L 41.909963 33.66 L 42.691719 33.66 L 42.952304 31.792504 L 43.212889 23.782872 L 43.473474 33.66 L 43.73406 33.086764 L 43.994645 31.35362 L 44.25523 33.66 L 45.036986 33.66 L 45.297572 30.693055 L 45.558157 20.762186 L 45.818742 33.66 L 46.079328 32.753122 L 46.339913 30.731121 L 46.600498 33.66 L 47.382254 33.66 L 47.642839 30.578856 L 47.903425 21.167482 L 48.16401 33.66 L 48.424595 32.777754 L 48.685181 30.865474 L 48.945766 33.66 L 49.727522 33.66 L 49.988107 30.769188 L 50.248692 19.284311 L 50.509278 33.66 L 50.769863 32.757601 L 51.030448 30.301194 L 51.291034 33.66 L 52.07279 33.66 L 52.333375 31.964923 L 52.59396 24.060533 L 52.854545 33.66 L 53.115131 33.059893 L 53.375716 31.420796 L 53.636301 33.66 L 54.418057 33.66 L 54.678643 32.020903 L 54.939228 24.609138 L 55.199813 33.66 L 55.720984 31.982836 L 55.981569 33.66 L 56.763325 33.66 L 57.02391 31.982836 L 57.284496 23.84557 L 57.545081 33.66 L 57.805666 32.423959 L 58.066252 30.007859 L 58.326837 33.66 L 59.108593 33.66 L 59.369178 31.996272 L 59.629763 24.262061 L 59.890349 33.66 L 60.150934 32.938976 L 60.411519 30.330304 L 60.672105 33.66 L 61.453861 33.66 L 61.714446 31.680544 L 61.975031 21.81909 L 62.235616 33.66 L 62.496202 33.089003 L 62.756787 31.273009 L 63.017372 33.66 L 63.799128 33.66 L 64.059714 32.038816 L 64.320299 23.070805 L 64.580884 33.66 L 64.841469 33.12483 L 65.102055 32.285129 L 65.36264 33.66 L 66.144396 33.66 L 66.404981 31.725328 L 66.665567 22.999151 L 66.926152 33.66 L 67.186737 32.950172 L 67.447323 31.476776 L 67.707908 33.66 L 68.489664 33.66 L 68.750249 31.875355 L 69.010834 20.137448 L 69.27142 33.66 L 69.532005 32.891953 L 69.79259 31.629042 L 70.053176 33.66 L 70.834932 33.66 L 71.095517 31.405122 L 71.356102 17.71239 L 71.616687 33.66 L 71.877273 32.865083 L 72.137858 30.724404 L 72.398443 33.66 L 73.180199 33.66 L 73.440785 31.315554 L 73.70137 17.264549 L 73.961955 33.66 L 74.22254 32.835973 L 74.483126 30.560942 L 74.743711 33.66 L 75.525467 33.66 L 75.786052 31.176723 L 76.046638 13.482534 L 76.307223 33.66 L 76.567808 32.851647 L 76.828394 30.742317 L 77.088979 33.66 L 77.870735 33.66 L 78.13132 30.135493 L 78.391905 10.721596 L 78.652491 33.66 L 79.173661 31.402883 L 79.434247 33.66 L 80.216002 33.66 L 80.476588 28.872582 L 80.737173 19.37164 L 80.997758 33.66 L 81.258344 32.233627 L 81.518929 31.615607 L 81.779514 33.66 L 82.56127 33.66 L 82.821856 28.371001 L 83.082441 18.446849 L 83.343026 33.66 L 83.603611 32.867322 L 83.864197 31.196876 L 84.124782 33.66 L 84.906538 33.66 L 85.167123 30.220583 L 85.427709 14.680508 L 85.688294 33.66 L 86.209465 31.586497 L 86.47005 33.66 L 87.251806 33.66 L 87.512391 31.369294 L 87.772976 23.962008 L 88.033562 33.66 L 88.294147 33.055415 L 88.554732 31.933574 L 88.815318 33.66 L 89.597073 33.66 L 89.857659 30.48257 L 90.118244 22.143775 L 90.378829 33.66 L 90.639415 33.033023 L 90.9 31.069241 L 91.160585 33.66 L 91.942341 33.66 L 92.202927 30.970716 L 92.463512 19.929202 L 92.724097 33.66 L 92.984682 33.156179 L 93.245268 31.852963 L 93.505853 33.66 L 94.287609 33.66 L 94.548194 31.702936 L 94.80878 21.012977 L 95.069365 33.66 L 95.32995 33.160658 L 95.590535 31.371534 L 95.851121 33.66 L 96.632877 33.66 L 96.893462 31.091633 L 97.154047 21.154047 L 97.414633 33.66 L 97.675218 32.936737 L 97.935803 31.770112 L 98.196389 33.66 L 98.978144 33.66 L 99.23873 31.595454 L 99.499315 25.088328 L 99.7599 33.66 L 100.020486 32.981521 L 100.281071 31.458863 L 100.541656 33.66 L 101.323412 33.66 L 101.583998 30.925932 L 101.844583 19.994139 L 102.105168 33.66 L 102.365753 32.986 L 102.626339 29.038283 L 102.886924 33.66 L 103.66868 33.66 L 103.929265 30.95952 L 104.189851 16.556961 L 104.450436 33.66 L 104.711021 33.136026 L 104.971606 30.948324 L 105.232192 33.66 L 106.013948 33.66 L 106.274533 30.128776 L 106.535118 18.054988 L 106.795704 33.66 L 107.056289 32.936737 L 107.316874 30.654988 L 107.57746 33.66 L 108.359215 33.66 L 108.619801 32.28065 L 108.880386 21.908658 L 109.140971 33.66 L 109.401557 33.039741 L 109.662142 31.893268 L 109.922727 33.66 L 110.704483 33.66 L 110.965068 31.503647 L 111.225654 19.720956 L 111.486239 33.66 L 112.00741 31.940291 L 112.267995 33.66 L 113.049751 33.66 L 113.310336 30.825168 L 113.570922 16.436044 L 113.831507 33.66 L 114.092092 33.017348 L 114.352677 31.514843 L 114.613263 33.66 L 115.395019 33.66 L 115.655604 29.97427 L 115.916189 18.502829 L 116.176775 33.66 L 116.697945 31.906703 L 116.958531 33.66 L 117.740286 33.66 L 118.000872 30.858756 L 118.261457 13.892309 L 118.522042 33.66 L 118.782628 33.039741 L 119.043213 31.4096 L 119.303798 33.66 L 120.085554 33.66 L 120.346139 30.646032 L 120.606725 13.968441 L 120.86731 33.66 L 121.127895 32.970325 L 121.388481 31.443188 L 121.649066 33.66 L 122.430822 33.66 L 122.691407 31.24166 L 122.951993 8.46 L 123.212578 33.66 L 123.473163 32.923302 L 123.733748 30.910258 L 123.994334 33.66 L 124.77609 33.66 L 125.036675 30.323586 L 125.29726 13.930375 L 125.557846 33.66 L 125.818431 32.972564 L 126.079016 30.583334 L 126.339601 33.66 L 127.121357 33.66 L 127.381943 30.191473 L 127.642528 23.090958 L 127.903113 33.66 L 128.424284 31.783547 L 128.684869 33.66 L 129.466625 33.66 L 129.72721 29.074111 L 129.987796 20.977149 L 130.248381 33.66 L 130.769552 31.004304 L 131.030137 33.66 L 131.811893 33.66 L 132.072478 28.874821 L 132.333064 21.823569 L 132.593649 33.66 L 133.114819 31.917899 L 133.375405 33.66 L 135.199502 33.66 M 135.720672 33.66 L 136.502428 33.66 L 137.023599 23.19844 L 137.284184 33.66 L 137.54477 32.737448 L 137.805355 30.663945 L 138.06594 33.66 L 138.847696 33.66 L 139.108281 31.32451 L 139.368867 22.600572 L 139.629452 33.66 L 139.890037 32.5919 L 140.150623 30.751274 L 140.411208 33.66 L 141.192964 33.66 L 141.453549 31.707414 L 141.714134 24.506135 L 141.97472 33.66 L 142.235305 33.015109 L 142.49589 31.454384 L 142.756476 33.66 L 143.538232 33.66 L 143.798817 32.435156 L 144.059402 25.842939 L 144.319988 33.66 L 144.580573 32.750883 L 144.841158 31.176723 L 145.101743 33.66 L 145.883499 33.66 L 146.144085 31.640238 L 146.40467 25.144308 L 146.665255 33.66 L 146.925841 33.12483 L 147.186426 31.362577 L 147.447011 33.66 L 148.228767 33.66 L 148.489352 31.364816 L 148.749938 23.431317 L 149.010523 33.66 L 149.271108 32.831495 L 149.531694 30.668424 L 149.792279 33.66 L 150.574035 33.66 L 150.83462 31.161049 L 151.095205 24.277736 L 151.355791 33.66 L 151.616376 32.712817 L 151.876961 30.444503 L 152.137547 33.66 L 152.919303 33.66 L 153.179888 30.525115 L 153.440473 22.421436 L 153.701059 33.66 L 153.961644 32.64788 L 154.222229 30.211626 L 154.482814 33.66 L 155.26457 33.66 L 155.525156 31.646956 L 155.785741 24.326998 L 156.046326 33.66 L 156.306912 33.086764 L 156.567497 30.84756 L 156.828082 33.66 L 157.609838 33.66 L 157.870423 31.288683 L 158.131009 23.505211 L 158.391594 33.66 L 158.652179 32.777754 L 158.912765 31.492451 L 159.17335 33.66 L 159.955106 33.66 L 160.215691 31.479015 L 160.476276 23.026021 L 160.736862 33.66 L 160.997447 32.938976 L 161.258032 31.058045 L 161.518618 33.66 L 162.300374 33.66 L 162.560959 30.867713 L 162.821544 21.525754 L 163.08213 33.66 L 163.342715 32.972564 L 163.6033 31.707414 L 163.863885 33.66 L 164.645641 33.66 L 164.906227 31.225985 L 165.166812 19.450012 L 165.427397 33.66 L 165.687983 33.165136 L 165.948568 31.349142 L 166.209153 33.66 L 166.990909 33.66 L 166.990909 33.66 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pdbe8b50cdd">   <rect height="27.72" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>UMBSUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="42.12pt" version="1.1" viewBox="0 0 181.8 42.12" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 42.12 L 181.8 42.12 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p555603a26f)" d="M 14.809091 33.379805 L 15.069676 33.239708 L 15.330262 33.66 L 15.590847 31.050688 L 15.851432 27.233037 L 16.112017 33.66 L 16.893773 33.66 L 17.414944 33.25722 L 17.675529 33.66 L 18.1967 27.968548 L 18.457285 33.66 L 19.239041 33.66 L 19.499626 33.344781 L 19.760212 33.25722 L 20.020797 33.66 L 20.541968 25.324211 L 20.802553 33.66 L 21.584309 33.66 L 22.105479 33.152147 L 22.366065 33.66 L 22.887235 25.201626 L 23.147821 33.66 L 23.929577 33.66 L 24.450747 33.169659 L 24.711333 33.66 L 24.971918 28.318791 L 25.232503 19.597735 L 25.493088 33.66 L 26.274844 33.66 L 26.796015 33.187172 L 27.0566 33.66 L 27.577771 23.45041 L 27.838356 33.66 L 28.620112 33.66 L 29.141283 33.152147 L 29.401868 33.66 L 29.662453 30.875566 L 29.923039 25.044017 L 30.183624 33.66 L 30.96538 33.66 L 31.225965 33.309757 L 31.48655 33.239708 L 31.747136 33.66 L 32.268306 26.129771 L 32.528892 33.66 L 33.310648 33.66 L 33.571233 33.327269 L 33.831818 33.222196 L 34.092403 33.66 L 34.613574 24.728798 L 34.874159 33.66 L 35.655915 33.66 L 35.916501 33.327269 L 36.177086 33.187172 L 36.437671 33.66 L 36.698257 27.845962 L 36.958842 25.867088 L 37.219427 33.66 L 38.001183 33.66 L 38.261768 33.344781 L 38.522354 33.222196 L 38.782939 33.66 L 39.043524 30.542835 L 39.30411 23.117679 L 39.564695 33.66 L 40.346451 33.66 L 40.867621 33.239708 L 41.128207 33.66 L 41.388792 31.47098 L 41.649377 22.242071 L 41.909963 33.66 L 42.691719 33.66 L 43.212889 33.187172 L 43.473474 33.66 L 43.73406 30.910591 L 43.994645 25.569382 L 44.25523 33.66 L 45.036986 33.66 L 45.297572 33.344781 L 45.558157 33.222196 L 45.818742 33.66 L 46.079328 29.982446 L 46.339913 24.448603 L 46.600498 33.66 L 47.382254 33.66 L 47.903425 33.204684 L 48.16401 33.66 L 48.424595 29.597179 L 48.685181 20.053051 L 48.945766 33.66 L 49.727522 33.66 L 50.248692 33.152147 L 50.509278 33.66 L 50.769863 29.387033 L 51.030448 21.278902 L 51.291034 33.66 L 52.07279 33.66 L 52.59396 33.187172 L 52.854545 33.66 L 53.115131 31.22581 L 53.375716 24.290994 L 53.636301 33.66 L 54.418057 33.66 L 54.939228 33.239708 L 55.199813 33.66 L 55.720984 25.516845 L 55.981569 33.66 L 56.763325 33.66 L 57.284496 33.169659 L 57.545081 33.66 L 57.805666 27.548256 L 58.066252 18.582029 L 58.326837 33.66 L 59.108593 33.66 L 59.629763 33.204684 L 59.890349 33.66 L 60.150934 30.210104 L 60.411519 17.811494 L 60.672105 33.66 L 61.453861 33.66 L 61.975031 33.169659 L 62.235616 33.66 L 62.496202 30.945615 L 62.756787 23.257776 L 63.017372 33.66 L 63.799128 33.66 L 64.320299 33.204684 L 64.580884 33.66 L 65.102055 27.775914 L 65.36264 33.66 L 66.144396 33.66 L 66.665567 33.274732 L 66.926152 33.66 L 67.186737 30.560347 L 67.447323 24.185921 L 67.707908 33.66 L 68.489664 33.66 L 69.010834 33.274732 L 69.27142 33.66 L 69.532005 30.560347 L 69.79259 24.886407 L 70.053176 33.66 L 70.834932 33.66 L 71.356102 33.187172 L 71.616687 33.66 L 71.877273 30.788006 L 72.137858 18.827199 L 72.398443 33.66 L 73.180199 33.66 L 73.70137 33.117123 L 73.961955 33.66 L 74.22254 30.034983 L 74.483126 20.105587 L 74.743711 33.66 L 75.525467 33.66 L 76.046638 33.169659 L 76.307223 33.66 L 76.567808 29.457081 L 76.828394 21.01622 L 77.088979 33.66 L 77.870735 33.66 L 78.13132 33.292245 L 78.391905 33.152147 L 78.652491 33.66 L 79.173661 26.094746 L 79.434247 33.66 L 80.216002 33.66 L 80.737173 33.099611 L 80.997758 33.66 L 81.258344 27.145476 L 81.518929 26.550063 L 81.779514 33.66 L 82.56127 33.66 L 83.082441 33.222196 L 83.343026 33.66 L 83.603611 29.842349 L 83.864197 24.150896 L 84.124782 33.66 L 84.906538 33.66 L 85.167123 33.344781 L 85.427709 33.204684 L 85.688294 33.66 L 85.948879 27.705865 L 86.209465 26.339917 L 86.47005 33.66 L 87.251806 33.66 L 87.772976 33.239708 L 88.033562 33.66 L 88.554732 26.199819 L 88.815318 33.66 L 89.597073 33.66 L 90.118244 33.222196 L 90.378829 33.66 L 90.639415 30.805518 L 90.9 22.80246 L 91.160585 33.66 L 91.942341 33.66 L 92.463512 33.327269 L 92.724097 33.66 L 92.984682 31.435956 L 93.245268 25.534357 L 93.505853 33.66 L 94.287609 33.66 L 94.80878 33.204684 L 95.069365 33.66 L 95.32995 31.278346 L 95.590535 23.69558 L 95.851121 33.66 L 96.632877 33.66 L 97.154047 33.25722 L 97.414633 33.66 L 97.675218 30.560347 L 97.935803 24.483628 L 98.196389 33.66 L 98.978144 33.66 L 99.499315 33.292245 L 99.7599 33.66 L 100.020486 30.455274 L 100.281071 24.431091 L 100.541656 33.66 L 101.323412 33.66 L 101.583998 33.327269 L 101.844583 33.239708 L 102.105168 33.66 L 102.365753 30.17508 L 102.626339 8.46 L 102.886924 33.66 L 103.66868 33.66 L 104.189851 33.274732 L 104.450436 33.66 L 104.711021 31.208297 L 104.971606 21.033732 L 105.232192 33.66 L 106.013948 33.66 L 106.535118 33.292245 L 106.795704 33.66 L 107.056289 30.647908 L 107.316874 21.856803 L 107.57746 33.66 L 108.359215 33.66 L 108.880386 33.239708 L 109.140971 33.66 L 109.662142 26.882794 L 109.922727 33.66 L 110.704483 33.66 L 110.965068 33.379805 L 111.225654 33.274732 L 111.486239 33.66 L 112.00741 26.462502 L 112.267995 33.66 L 113.049751 33.66 L 113.570922 33.239708 L 113.831507 33.66 L 114.092092 29.912397 L 114.352677 22.539778 L 114.613263 33.66 L 115.395019 33.66 L 115.655604 33.344781 L 115.916189 33.25722 L 116.176775 33.66 L 116.43736 27.810938 L 116.697945 25.744503 L 116.958531 33.66 L 117.740286 33.66 L 118.261457 33.187172 L 118.522042 33.66 L 118.782628 30.893079 L 119.043213 24.396067 L 119.303798 33.66 L 120.085554 33.66 L 120.606725 33.239708 L 120.86731 33.66 L 121.127895 30.034983 L 121.388481 24.361042 L 121.649066 33.66 L 122.430822 33.66 L 122.951993 33.152147 L 123.212578 33.66 L 123.473163 29.982446 L 123.733748 20.298221 L 123.994334 33.66 L 124.77609 33.66 L 125.29726 33.169659 L 125.557846 33.66 L 125.818431 30.542835 L 126.079016 18.634566 L 126.339601 33.66 L 127.121357 33.66 L 127.381943 33.292245 L 127.642528 33.239708 L 127.903113 33.66 L 128.424284 26.04221 L 128.684869 33.66 L 129.466625 33.66 L 129.72721 33.362293 L 129.987796 33.25722 L 130.248381 33.66 L 130.769552 21.454024 L 131.030137 33.66 L 131.811893 33.66 L 132.072478 33.344781 L 132.333064 33.222196 L 132.593649 33.66 L 132.854234 29.141862 L 133.114819 27.198013 L 133.375405 33.66 L 135.199502 33.66 M 135.720672 33.66 L 136.502428 33.66 L 137.023599 33.169659 L 137.284184 33.66 L 137.54477 29.597179 L 137.805355 20.928659 L 138.06594 33.66 L 138.847696 33.66 L 139.368867 33.169659 L 139.629452 33.66 L 139.890037 29.562154 L 140.150623 23.292801 L 140.411208 33.66 L 141.192964 33.66 L 141.714134 33.239708 L 141.97472 33.66 L 142.235305 30.998151 L 142.49589 24.063336 L 142.756476 33.66 L 143.538232 33.66 L 144.059402 33.292245 L 144.319988 33.66 L 144.580573 28.598985 L 144.841158 20.280709 L 145.101743 33.66 L 145.883499 33.66 L 146.40467 33.204684 L 146.665255 33.66 L 146.925841 31.295858 L 147.186426 25.551869 L 147.447011 33.66 L 148.228767 33.66 L 148.749938 33.274732 L 149.010523 33.66 L 149.271108 29.544642 L 149.531694 19.685295 L 149.792279 33.66 L 150.574035 33.66 L 151.095205 33.292245 L 151.355791 33.66 L 151.616376 28.756595 L 151.876961 18.967297 L 152.137547 33.66 L 152.919303 33.66 L 153.440473 33.274732 L 153.701059 33.66 L 153.961644 28.283767 L 154.222229 17.146032 L 154.482814 33.66 L 155.26457 33.66 L 155.785741 33.25722 L 156.046326 33.66 L 156.306912 31.31337 L 156.567497 19.737832 L 156.828082 33.66 L 157.609838 33.66 L 158.131009 33.25722 L 158.391594 33.66 L 158.912765 22.504753 L 159.17335 33.66 L 159.955106 33.66 L 160.476276 33.344781 L 160.736862 33.66 L 160.997447 30.525323 L 161.258032 23.45041 L 161.518618 33.66 L 162.300374 33.66 L 162.821544 33.222196 L 163.08213 33.66 L 163.342715 30.560347 L 163.6033 24.833871 L 163.863885 33.66 L 164.645641 33.66 L 164.906227 33.397318 L 165.166812 33.309757 L 165.427397 33.66 L 165.687983 31.418443 L 165.948568 24.431091 L 166.209153 33.66 L 166.990909 33.66 L 166.990909 33.66 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p555603a26f">   <rect height="27.72" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>UMBS$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="42.12pt" version="1.1" viewBox="0 0 181.8 42.12" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 42.12 L 181.8 42.12 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p5f1d909dd2)" d="M 14.809091 32.999904 L 15.069676 21.777389 L 15.330262 33.66 L 15.590847 33.627896 L 15.851432 33.219955 L 16.112017 33.66 L 16.893773 33.66 L 17.154359 32.690285 L 17.414944 21.952986 L 17.675529 33.66 L 17.936115 33.629253 L 18.1967 33.23673 L 18.457285 33.66 L 19.239041 33.66 L 19.499626 32.143606 L 19.760212 13.877005 L 20.020797 33.66 L 20.281382 33.589905 L 20.541968 32.348176 L 20.802553 33.66 L 21.584309 33.66 L 21.844894 32.206989 L 22.105479 13.182049 L 22.366065 33.66 L 22.62665 33.551024 L 22.887235 32.926758 L 23.147821 33.66 L 23.929577 33.66 L 24.190162 32.624482 L 24.450747 10.503655 L 24.711333 33.66 L 24.971918 33.541718 L 25.232503 32.414298 L 25.493088 33.66 L 26.274844 33.66 L 26.53543 32.493092 L 26.796015 13.752453 L 27.0566 33.66 L 27.317186 33.598621 L 27.577771 32.819379 L 27.838356 33.66 L 28.620112 33.66 L 28.880697 32.562601 L 29.141283 20.393 L 29.401868 33.66 L 29.662453 33.603135 L 29.923039 32.300418 L 30.183624 33.66 L 30.96538 33.66 L 31.225965 31.889906 L 31.48655 27.969157 L 31.747136 33.66 L 32.268306 33.380672 L 32.528892 33.66 L 33.310648 33.66 L 33.571233 31.19237 L 33.831818 23.663714 L 34.092403 33.66 L 34.352989 33.518854 L 34.613574 33.19822 L 34.874159 33.66 L 35.655915 33.66 L 35.916501 31.768715 L 36.177086 24.067802 L 36.437671 33.66 L 36.698257 33.51726 L 36.958842 33.135791 L 37.219427 33.66 L 38.001183 33.66 L 38.261768 31.729211 L 38.522354 24.391427 L 38.782939 33.66 L 39.043524 33.545457 L 39.30411 33.287624 L 39.564695 33.66 L 40.346451 33.66 L 40.607036 32.765821 L 40.867621 27.439987 L 41.128207 33.66 L 41.388792 33.583973 L 41.649377 32.897018 L 41.909963 33.66 L 42.691719 33.66 L 42.952304 32.909177 L 43.212889 27.490998 L 43.473474 33.66 L 43.73406 33.619097 L 43.994645 33.279552 L 44.25523 33.66 L 45.036986 33.66 L 45.297572 32.995542 L 45.558157 23.332746 L 45.818742 33.66 L 46.079328 33.602871 L 46.339913 33.338486 L 46.600498 33.66 L 47.382254 33.66 L 47.642839 32.657642 L 47.903425 26.870329 L 48.16401 33.66 L 48.424595 33.575534 L 48.685181 32.979173 L 48.945766 33.66 L 49.727522 33.66 L 49.988107 32.605522 L 50.248692 24.597915 L 50.509278 33.66 L 50.769863 33.587858 L 51.030448 32.889313 L 51.291034 33.66 L 52.07279 33.66 L 52.333375 33.320395 L 52.59396 28.557912 L 52.854545 33.66 L 53.115131 33.614732 L 53.375716 33.005904 L 53.636301 33.66 L 54.418057 33.66 L 54.678643 33.268809 L 54.939228 25.14189 L 55.199813 33.66 L 55.460399 33.60947 L 55.720984 32.847969 L 55.981569 33.66 L 56.763325 33.66 L 57.02391 33.230687 L 57.284496 27.909702 L 57.545081 33.66 L 57.805666 33.603634 L 58.066252 33.140694 L 58.326837 33.66 L 59.108593 33.66 L 59.369178 33.076747 L 59.629763 27.00901 L 59.890349 33.66 L 60.150934 33.570145 L 60.411519 32.834097 L 60.672105 33.66 L 61.453861 33.66 L 61.714446 33.041178 L 61.975031 25.192451 L 62.235616 33.66 L 62.496202 33.605639 L 62.756787 32.974457 L 63.017372 33.66 L 63.799128 33.66 L 64.059714 33.254856 L 64.320299 27.60679 L 64.580884 33.66 L 64.841469 33.577946 L 65.102055 33.179347 L 65.36264 33.66 L 66.144396 33.66 L 66.404981 32.015825 L 66.665567 21.765069 L 66.926152 33.66 L 67.447323 33.327167 L 67.707908 33.66 L 68.489664 33.66 L 68.750249 32.553683 L 69.010834 17.539652 L 69.27142 33.66 L 69.532005 33.562395 L 69.79259 32.400985 L 70.053176 33.66 L 70.834932 33.66 L 71.095517 32.677266 L 71.356102 8.917328 L 71.616687 33.66 L 71.877273 33.527747 L 72.137858 32.801489 L 72.398443 33.66 L 73.180199 33.66 L 73.440785 32.132422 L 73.70137 12.079266 L 73.961955 33.66 L 74.22254 33.555335 L 74.483126 32.778218 L 74.743711 33.66 L 75.525467 33.66 L 75.786052 32.413084 L 76.046638 15.016813 L 76.307223 33.66 L 76.567808 33.567832 L 76.828394 32.788804 L 77.088979 33.66 L 77.870735 33.66 L 78.13132 31.672766 L 78.391905 16.147426 L 78.652491 33.66 L 78.913076 33.506747 L 79.173661 32.370263 L 79.434247 33.66 L 80.216002 33.66 L 80.476588 30.603281 L 80.737173 22.548309 L 80.997758 33.66 L 81.258344 33.549771 L 81.518929 33.239803 L 81.779514 33.66 L 82.56127 33.66 L 82.821856 31.789576 L 83.082441 23.175286 L 83.343026 33.66 L 83.603611 33.588079 L 83.864197 33.331393 L 84.124782 33.66 L 84.906538 33.66 L 85.167123 32.699638 L 85.427709 21.169206 L 85.688294 33.66 L 85.948879 33.593921 L 86.209465 33.19782 L 86.47005 33.66 L 87.251806 33.66 L 87.512391 32.978857 L 87.772976 27.468299 L 88.033562 33.66 L 88.554732 33.429587 L 88.815318 33.66 L 89.597073 33.66 L 89.857659 33.033834 L 90.118244 25.299758 L 90.378829 33.66 L 90.639415 33.595653 L 90.9 33.205911 L 91.160585 33.66 L 91.942341 33.66 L 92.202927 32.993665 L 92.463512 21.697198 L 92.724097 33.66 L 92.984682 33.612378 L 93.245268 33.251677 L 93.505853 33.66 L 94.287609 33.66 L 94.548194 33.065872 L 94.80878 24.81261 L 95.069365 33.66 L 95.32995 33.597783 L 95.590535 33.200221 L 95.851121 33.66 L 96.632877 33.66 L 96.893462 33.076153 L 97.154047 23.888468 L 97.414633 33.66 L 97.675218 33.593312 L 97.935803 33.252307 L 98.196389 33.66 L 98.978144 33.66 L 99.23873 33.065717 L 99.499315 29.140763 L 99.7599 33.66 L 100.020486 33.632144 L 100.281071 33.417342 L 100.541656 33.66 L 101.323412 33.66 L 101.583998 32.534627 L 101.844583 25.110724 L 102.105168 33.66 L 102.365753 33.598281 L 102.626339 32.548079 L 102.886924 33.66 L 103.66868 33.66 L 103.929265 32.659025 L 104.189851 24.520227 L 104.450436 33.66 L 104.711021 33.603098 L 104.971606 32.982703 L 105.232192 33.66 L 106.013948 33.66 L 106.274533 32.15429 L 106.535118 26.835707 L 106.795704 33.66 L 107.056289 33.562622 L 107.316874 32.935664 L 107.57746 33.66 L 108.359215 33.66 L 108.619801 32.940381 L 108.880386 26.428639 L 109.140971 33.66 L 109.401557 33.597608 L 109.662142 33.088662 L 109.922727 33.66 L 110.704483 33.66 L 110.965068 33.091681 L 111.225654 24.052922 L 111.486239 33.66 L 111.746824 33.620282 L 112.00741 33.293546 L 112.267995 33.66 L 113.049751 33.66 L 113.310336 32.655916 L 113.570922 19.819406 L 113.831507 33.66 L 114.092092 33.603145 L 114.352677 32.792856 L 114.613263 33.66 L 115.395019 33.66 L 115.655604 31.940793 L 115.916189 21.396521 L 116.176775 33.66 L 116.43736 33.528525 L 116.697945 32.491118 L 116.958531 33.66 L 117.740286 33.66 L 118.000872 32.539671 L 118.261457 17.706398 L 118.522042 33.66 L 118.782628 33.525281 L 119.043213 33.004584 L 119.303798 33.66 L 120.085554 33.66 L 120.346139 31.896941 L 120.606725 12.25993 L 120.86731 33.66 L 121.127895 33.558661 L 121.388481 33.084855 L 121.649066 33.66 L 122.430822 33.66 L 122.691407 32.88467 L 122.951993 8.46 L 123.212578 33.66 L 123.473163 33.580548 L 123.733748 32.82066 L 123.994334 33.66 L 124.77609 33.66 L 125.036675 32.250697 L 125.29726 22.406051 L 125.557846 33.66 L 125.818431 33.482261 L 126.079016 33.015172 L 126.339601 33.66 L 127.121357 33.66 L 127.642528 27.967501 L 127.903113 33.66 L 128.163699 33.508222 L 128.424284 33.059873 L 128.684869 33.66 L 129.466625 33.66 L 129.72721 31.365691 L 129.987796 23.449586 L 130.248381 33.66 L 130.508966 33.498105 L 130.769552 33.041053 L 131.030137 33.66 L 131.811893 33.66 L 132.072478 31.660088 L 132.333064 24.005701 L 132.593649 33.66 L 132.854234 33.566633 L 133.114819 33.065223 L 133.375405 33.66 L 135.199502 33.66 M 135.720672 33.66 L 136.502428 33.66 L 136.763014 32.160397 L 137.023599 25.693202 L 137.284184 33.66 L 137.54477 33.578909 L 137.805355 33.217932 L 138.06594 33.66 L 138.847696 33.66 L 139.108281 33.037357 L 139.368867 26.255055 L 139.629452 33.66 L 139.890037 33.627674 L 140.150623 33.109543 L 140.411208 33.66 L 141.192964 33.66 L 141.453549 32.782775 L 141.714134 28.219426 L 141.97472 33.66 L 142.235305 33.622982 L 142.49589 33.235968 L 142.756476 33.66 L 143.538232 33.66 L 143.798817 33.349654 L 144.059402 27.615971 L 144.319988 33.66 L 144.580573 33.618179 L 144.841158 33.331834 L 145.101743 33.66 L 145.883499 33.66 L 146.144085 32.19244 L 146.40467 25.416674 L 146.665255 33.66 L 146.925841 33.625674 L 147.186426 33.381999 L 147.447011 33.66 L 148.228767 33.66 L 148.489352 32.359614 L 148.749938 25.840061 L 149.010523 33.66 L 149.271108 33.564772 L 149.531694 32.891495 L 149.792279 33.66 L 150.574035 33.66 L 150.83462 32.830468 L 151.095205 25.458802 L 151.355791 33.66 L 151.616376 33.568356 L 151.876961 32.748436 L 152.137547 33.66 L 152.919303 33.66 L 153.179888 32.342228 L 153.440473 25.019228 L 153.701059 33.66 L 153.961644 33.550758 L 154.222229 32.692389 L 154.482814 33.66 L 155.26457 33.66 L 155.525156 32.957437 L 155.785741 27.768909 L 156.046326 33.66 L 156.306912 33.616739 L 156.567497 33.079175 L 156.828082 33.66 L 157.609838 33.66 L 157.870423 32.519075 L 158.131009 26.000833 L 158.391594 33.66 L 158.652179 33.589766 L 158.912765 33.190354 L 159.17335 33.66 L 159.955106 33.66 L 160.215691 32.800806 L 160.476276 26.278095 L 160.736862 33.66 L 160.997447 33.579134 L 161.258032 33.068662 L 161.518618 33.66 L 162.300374 33.66 L 162.560959 32.568264 L 162.821544 24.569463 L 163.08213 33.66 L 163.342715 33.564551 L 163.6033 32.984457 L 163.863885 33.66 L 164.645641 33.66 L 164.906227 32.904253 L 165.166812 21.160486 L 165.427397 33.66 L 165.687983 33.620169 L 165.948568 32.963511 L 166.209153 33.66 L 166.990909 33.66 L 166.990909 33.66 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p5f1d909dd2">   <rect height="27.72" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMATradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="42.12pt" version="1.1" viewBox="0 0 181.8 42.12" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 42.12 L 181.8 42.12 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pe601aeee6c)" d="M 14.809091 33.66 L 15.069676 33.66 L 15.330262 32.799759 L 15.590847 31.484096 L 15.851432 31.838313 L 16.112017 31.585301 L 16.372603 33.66 L 16.633188 18.428675 L 16.893773 33.002169 L 17.154359 33.66 L 17.414944 33.66 L 17.675529 32.040723 L 17.936115 32.091325 L 18.1967 30.92747 M 18.71787 33.66 L 18.978456 23.286506 M 19.499626 33.66 L 19.760212 33.66 L 20.020797 31.99012 L 20.281382 31.585301 L 20.541968 31.888916 M 21.063138 33.66 L 21.323724 18.631084 L 21.584309 31.787711 L 21.844894 33.66 L 22.105479 33.66 L 22.887235 29.25759 L 23.147821 32.496145 L 23.408406 33.66 L 23.668991 17.416627 L 23.929577 32.141928 L 24.190162 33.66 L 24.450747 33.66 L 24.711333 31.939518 L 24.971918 31.433494 L 25.232503 26.778072 L 25.493088 31.635904 L 25.753674 33.66 L 26.014259 15.797349 L 26.274844 31.12988 L 26.53543 33.66 L 26.796015 33.66 L 27.317186 30.067229 L 27.577771 28.549157 L 28.098941 33.66 L 28.359527 21.26241 L 28.620112 32.293735 L 28.880697 33.66 L 29.141283 33.66 L 29.401868 29.763614 L 29.662453 31.382892 L 29.923039 31.281687 L 30.183624 33.153976 L 30.444209 33.66 L 30.704795 22.32506 L 30.96538 32.749157 L 31.225965 33.66 L 31.48655 33.66 L 32.268306 30.370843 L 32.528892 29.611807 L 32.789477 33.66 L 33.050062 16.809398 L 33.310648 32.141928 L 33.571233 33.66 L 33.831818 33.66 L 34.352989 30.067229 L 34.874159 31.028675 L 35.134745 33.66 L 35.39533 12.002169 L 35.655915 32.040723 L 35.916501 33.66 L 36.177086 33.66 L 36.698257 30.573253 L 36.958842 30.876867 L 37.219427 31.838313 L 37.480012 33.66 L 37.740598 16.202169 L 38.001183 31.939518 L 38.261768 33.66 L 38.522354 33.66 L 38.782939 31.838313 L 39.043524 31.079277 L 39.30411 31.12988 L 39.564695 33.356386 L 39.82528 33.66 L 40.085866 15.139518 L 40.346451 31.534699 L 40.607036 33.66 L 40.867621 33.66 L 41.128207 31.635904 L 41.388792 31.635904 L 41.649377 32.141928 L 42.170548 33.66 L 42.431133 24.551566 L 42.691719 31.028675 L 42.952304 33.66 L 43.212889 33.66 L 43.473474 31.737108 L 43.73406 31.028675 L 43.994645 30.674458 L 44.25523 28.093735 L 44.515816 33.66 L 44.776401 18.32747 L 45.036986 31.585301 L 45.297572 33.66 L 45.558157 33.66 L 45.818742 32.293735 L 46.079328 29.510602 L 46.339913 31.838313 L 46.600498 31.534699 L 46.861083 33.66 L 47.121669 12.761205 L 47.382254 30.320241 L 47.642839 33.66 L 47.903425 33.66 L 48.424595 30.775663 L 48.685181 30.92747 L 48.945766 30.623855 L 49.206351 33.66 L 49.466936 10.382892 L 49.727522 31.281687 L 49.988107 33.66 L 50.248692 33.66 L 50.509278 32.19253 L 50.769863 32.141928 L 51.030448 29.66241 L 51.551619 33.66 L 51.812204 13.722651 L 52.07279 32.141928 L 52.333375 33.66 L 52.59396 33.66 L 52.854545 31.99012 L 53.115131 31.585301 L 53.375716 30.522651 L 53.636301 27.688916 L 53.896887 33.66 L 54.157472 20.402169 L 54.418057 32.344337 L 54.678643 33.66 L 54.939228 33.66 L 55.199813 31.433494 L 55.720984 31.12988 L 55.981569 28.852771 L 56.242154 33.66 L 56.50274 13.216627 L 56.763325 31.585301 L 57.02391 33.66 L 57.284496 33.66 L 57.805666 29.864819 L 58.326837 31.281687 L 58.587422 33.66 L 58.848007 11.698554 L 59.108593 28.549157 L 59.369178 33.66 L 59.629763 33.66 L 60.150934 30.674458 L 60.411519 30.320241 L 60.93269 33.66 L 61.193275 15.139518 L 61.453861 28.650361 L 61.714446 33.66 L 61.975031 33.66 L 62.235616 31.939518 L 62.496202 31.939518 L 63.017372 30.826265 L 63.277958 33.66 L 63.538543 19.491325 L 63.799128 31.079277 L 64.059714 33.66 L 64.320299 33.66 L 64.580884 31.281687 L 64.841469 33.255181 L 65.102055 32.749157 M 65.623225 33.66 L 65.883811 25.209398 L 66.144396 31.686506 L 66.404981 33.66 L 66.665567 33.66 L 66.926152 32.293735 L 67.186737 31.888916 L 67.968493 33.66 L 68.229078 24.652771 L 68.489664 32.749157 L 68.750249 33.66 L 69.010834 33.66 L 69.27142 33.002169 L 69.532005 31.534699 L 69.79259 31.737108 L 70.313761 33.66 L 70.574346 22.173253 L 70.834932 30.623855 L 71.095517 33.66 L 71.356102 33.66 L 71.877273 28.144337 L 72.398443 32.850361 L 72.659029 33.66 L 72.919614 8.46 L 73.180199 28.802169 L 73.440785 33.66 L 73.70137 33.66 L 74.22254 31.737108 L 74.483126 30.370843 L 74.743711 33.204578 L 75.004296 33.66 L 75.264882 17.06241 L 75.525467 31.686506 L 75.786052 33.66 L 76.046638 33.66 L 76.307223 32.597349 L 76.567808 32.040723 L 76.828394 30.067229 L 77.088979 33.103373 L 77.349564 33.66 L 77.610149 17.770843 L 77.870735 31.534699 L 78.13132 33.66 L 78.391905 33.66 L 78.652491 32.445542 L 78.913076 30.421446 L 79.434247 33.204578 L 79.694832 33.66 L 79.955417 14.279277 L 80.216002 30.522651 L 80.476588 33.66 L 80.737173 33.66 L 80.997758 31.939518 L 81.258344 29.156386 L 81.779514 31.99012 L 82.0401 33.66 L 82.300685 14.32988 L 82.56127 31.787711 L 82.821856 33.66 L 83.082441 33.66 L 83.343026 32.496145 L 83.603611 30.522651 L 83.864197 31.787711 L 84.124782 28.19494 L 84.385367 33.66 L 84.645953 13.570843 L 84.906538 30.876867 L 85.167123 33.66 L 85.427709 33.66 L 85.688294 31.12988 L 85.948879 27.334699 L 86.209465 31.028675 L 86.730635 33.66 L 86.99122 15.696145 L 87.251806 32.647952 L 87.512391 33.66 L 87.772976 33.66 L 88.294147 31.12988 L 88.554732 31.686506 L 89.075903 33.66 L 89.336488 15.291325 L 89.597073 33.002169 L 89.857659 33.66 L 90.118244 33.66 L 90.378829 32.19253 L 90.639415 29.611807 L 90.9 30.978072 L 91.160585 29.814217 L 91.421171 33.66 L 91.681756 11.243133 L 91.942341 29.611807 L 92.202927 33.66 L 92.463512 33.66 L 92.724097 32.597349 L 93.245268 29.105783 L 93.766438 33.66 L 94.027024 12.86241 L 94.287609 26.373253 L 94.548194 33.66 L 94.80878 33.66 L 95.069365 33.002169 L 95.32995 30.775663 L 95.590535 31.382892 L 95.851121 29.611807 L 96.111706 33.66 L 96.372291 8.966024 L 96.632877 31.939518 L 96.893462 33.66 L 97.154047 33.66 L 97.414633 32.546747 L 97.675218 30.421446 L 97.935803 31.231084 L 98.196389 22.476867 L 98.456974 33.66 L 98.717559 15.696145 L 98.978144 29.713012 L 99.23873 33.66 L 99.499315 33.66 L 99.7599 33.103373 L 100.020486 30.573253 L 100.281071 30.978072 L 100.802242 33.66 L 101.062827 15.443133 L 101.323412 30.168434 L 101.583998 33.66 L 101.844583 33.66 L 102.365753 30.978072 L 102.626339 31.585301 L 103.147509 33.66 L 103.408095 16.100964 L 103.66868 32.344337 L 103.929265 33.66 L 104.189851 33.66 L 104.450436 32.141928 L 104.711021 29.814217 L 105.492777 33.66 L 105.753362 9.72506 L 106.013948 32.19253 L 106.274533 33.66 L 106.535118 33.66 L 107.056289 31.382892 L 107.316874 32.900964 L 107.57746 29.156386 L 107.838045 33.66 L 108.09863 13.368434 L 108.359215 31.281687 L 108.619801 33.66 L 108.880386 33.66 L 109.140971 32.39494 L 109.401557 32.091325 L 109.662142 32.39494 L 109.922727 30.92747 L 110.183313 33.66 L 110.443898 15.443133 L 110.704483 30.623855 L 110.965068 33.66 L 111.225654 33.66 L 111.486239 32.698554 L 112.00741 32.546747 L 112.267995 32.749157 L 112.52858 33.66 L 112.789166 17.568434 L 113.049751 31.737108 L 113.310336 33.66 L 113.570922 33.66 L 114.352677 30.269639 L 114.613263 33.052771 L 114.873848 33.66 L 115.134433 12.45759 L 115.395019 31.99012 L 115.655604 33.66 L 115.916189 33.66 L 116.43736 31.332289 L 116.958531 32.445542 L 117.219116 33.66 L 117.479701 19.491325 L 117.740286 32.698554 L 118.000872 33.66 L 118.261457 33.66 L 118.522042 32.546747 L 118.782628 31.99012 L 119.043213 30.370843 L 119.303798 29.763614 L 119.564384 33.66 L 119.824969 18.276867 L 120.085554 31.99012 L 120.346139 33.66 L 120.606725 33.66 L 120.86731 32.647952 L 121.127895 31.12988 L 121.388481 25.158795 L 121.649066 32.445542 L 121.909651 33.66 L 122.170237 22.072048 L 122.430822 32.900964 L 122.691407 33.66 L 122.951993 33.66 L 123.473163 30.623855 L 123.733748 30.320241 L 123.994334 32.850361 L 124.254919 33.66 L 124.515504 19.187711 L 124.77609 31.737108 L 125.036675 33.66 L 125.29726 33.66 L 125.557846 33.002169 L 125.818431 29.004578 L 126.079016 31.079277 L 126.339601 31.534699 L 126.600187 33.66 L 126.860772 17.922651 L 127.121357 30.978072 L 127.381943 33.66 L 127.642528 33.66 L 127.903113 33.305783 L 128.163699 30.522651 L 128.424284 31.686506 L 128.684869 31.838313 L 128.945455 33.66 L 129.20604 23.741928 L 129.466625 31.585301 L 129.72721 33.66 L 129.987796 33.66 L 130.248381 32.900964 L 130.508966 30.269639 L 130.769552 30.472048 L 131.290722 33.66 L 131.551308 17.467229 L 131.811893 31.787711 L 132.072478 33.66 L 132.333064 33.66 L 132.854234 30.826265 L 133.114819 30.522651 L 133.375405 32.900964 L 133.63599 33.66 L 133.896575 19.59253 L 134.157161 29.46 L 134.417746 33.66 L 135.199502 33.66 M 135.720672 33.66 L 135.981258 33.66 L 136.241843 33.204578 L 136.502428 33.66 L 137.023599 33.66 L 137.284184 32.496145 L 137.54477 29.814217 L 137.805355 30.674458 L 138.326526 33.66 L 138.587111 20.756386 L 138.847696 31.838313 L 139.108281 33.66 L 139.368867 33.66 L 139.890037 30.978072 L 140.411208 30.674458 L 140.671793 33.66 L 140.932379 17.720241 L 141.192964 32.749157 L 141.453549 33.66 L 141.714134 33.66 L 141.97472 32.850361 L 142.235305 31.180482 L 142.49589 31.433494 L 142.756476 33.103373 L 143.017061 33.66 L 143.277646 13.722651 L 143.538232 32.597349 L 143.798817 33.66 L 144.059402 33.66 L 144.319988 32.597349 L 144.580573 30.168434 L 144.841158 31.079277 L 145.101743 22.122651 L 145.362329 33.66 L 145.622914 24.753976 L 145.883499 32.850361 L 146.144085 33.66 L 146.40467 33.66 L 146.925841 31.534699 L 147.186426 31.028675 L 147.707597 33.66 L 147.968182 21.515422 L 148.228767 32.799759 L 148.489352 33.66 L 148.749938 33.66 L 149.010523 32.293735 L 149.271108 28.447952 L 149.531694 31.180482 L 149.792279 24.753976 L 150.052864 33.66 L 150.31345 19.541928 L 150.574035 32.344337 L 150.83462 33.66 L 151.095205 33.66 L 151.355791 32.698554 L 151.616376 30.269639 L 151.876961 29.105783 L 152.137547 33.052771 L 152.398132 33.66 L 152.658717 21.06 L 152.919303 32.698554 L 153.179888 33.66 L 153.440473 33.66 L 153.701059 33.103373 L 153.961644 30.623855 L 154.222229 29.66241 L 154.482814 9.421446 L 154.7434 33.66 L 155.003985 20.705783 L 155.26457 25.411807 L 155.525156 33.66 L 155.785741 33.66 L 156.046326 32.698554 L 156.306912 31.180482 L 156.567497 32.141928 L 156.828082 22.375663 L 157.088667 33.66 L 157.349253 22.021446 L 157.609838 32.293735 L 157.870423 33.66 L 158.131009 33.66 L 158.391594 32.445542 L 158.652179 29.46 L 158.912765 27.941928 L 159.17335 33.103373 L 159.433935 33.66 L 159.694521 17.922651 L 159.955106 32.951566 L 160.215691 33.66 L 160.476276 33.66 L 160.736862 33.153976 L 160.997447 30.421446 L 161.258032 31.787711 L 161.518618 28.802169 L 161.779203 33.66 L 162.039788 19.946747 L 162.300374 31.99012 L 162.560959 33.66 L 162.821544 33.66 L 163.08213 33.305783 L 163.342715 30.370843 L 163.6033 31.281687 L 163.863885 33.103373 L 164.124471 33.66 L 164.385056 16.809398 L 164.645641 32.141928 L 164.906227 33.66 L 165.166812 33.66 L 165.948568 31.433494 L 166.209153 32.040723 L 166.469738 33.66 L 166.730324 19.491325 L 166.990909 32.19253 L 166.990909 32.19253 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pe601aeee6c">   <rect height="27.72" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMAUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="42.12pt" version="1.1" viewBox="0 0 181.8 42.12" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 42.12 L 181.8 42.12 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pf0db6853de)" d="M 14.809091 33.66 L 15.069676 33.66 L 15.330262 32.808649 L 15.590847 31.105946 L 15.851432 31.872162 L 16.112017 30.51 L 16.372603 33.66 L 16.633188 20.719459 L 16.893773 32.808649 L 17.154359 33.66 L 17.414944 33.66 L 18.1967 30.68027 M 18.71787 33.66 L 18.978456 24.465405 M 19.499626 33.66 L 19.760212 33.66 L 20.281382 31.105946 L 20.541968 32.212703 M 21.063138 33.66 L 21.323724 21.911351 L 21.584309 33.149189 L 21.844894 33.66 L 22.105479 33.66 L 22.366065 32.723514 L 22.62665 30.254595 L 22.887235 29.062703 L 23.147821 32.638378 L 23.408406 33.66 L 23.668991 20.549189 L 23.929577 31.872162 L 24.190162 33.66 L 24.450747 33.66 L 24.971918 31.020811 L 25.232503 26.168108 L 25.493088 31.531622 L 25.753674 33.66 L 26.014259 17.824865 L 26.274844 30.765405 L 26.53543 33.66 L 26.796015 33.66 L 27.0566 32.468108 L 27.317186 29.743784 L 27.577771 29.062703 L 27.838356 30.33973 L 28.098941 33.66 L 28.359527 21.911351 L 28.620112 32.127568 L 28.880697 33.66 L 29.141283 33.66 L 29.401868 31.446486 L 29.662453 30.68027 L 29.923039 32.042432 L 30.444209 33.66 L 30.704795 22.251892 L 30.96538 32.638378 L 31.225965 33.66 L 31.48655 33.66 L 31.747136 32.893784 L 32.007721 31.020811 L 32.268306 31.531622 L 32.528892 27.445135 L 32.789477 33.66 L 33.050062 18.846486 L 33.310648 32.553243 L 33.571233 33.66 L 33.831818 33.66 L 34.092403 32.553243 L 34.352989 30.084324 L 34.613574 30.424865 L 34.874159 31.276216 L 35.134745 33.66 L 35.39533 15.270811 L 35.655915 32.553243 L 35.916501 33.66 L 36.177086 33.66 L 36.437671 32.553243 L 36.698257 30.084324 L 36.958842 30.51 L 37.219427 31.191081 L 37.480012 33.66 L 37.740598 18.591081 L 38.001183 31.872162 L 38.261768 33.66 L 38.522354 33.66 L 39.043524 31.020811 L 39.30411 31.787027 L 39.564695 33.404595 L 39.82528 33.66 L 40.085866 15.355946 L 40.346451 31.787027 L 40.607036 33.66 L 40.867621 33.66 L 41.388792 31.531622 L 41.649377 32.553243 L 41.909963 32.553243 L 42.170548 33.66 L 42.431133 24.21 L 42.952304 33.66 L 43.212889 33.66 L 43.473474 32.638378 L 43.73406 30.424865 L 43.994645 31.020811 L 44.25523 29.062703 L 44.515816 33.66 L 44.776401 21.570811 L 45.036986 31.361351 L 45.297572 33.66 L 45.558157 33.66 L 45.818742 32.212703 L 46.079328 29.232973 L 46.339913 31.957297 L 46.600498 30.765405 L 46.861083 33.66 L 47.121669 18.08027 L 47.382254 30.51 L 47.642839 33.66 L 47.903425 33.66 L 48.16401 32.468108 L 48.424595 29.573514 L 48.685181 31.361351 L 48.945766 30.595135 L 49.206351 33.66 L 49.466936 17.824865 L 49.727522 31.105946 L 49.988107 33.66 L 50.248692 33.66 L 50.769863 31.616757 L 51.030448 31.276216 L 51.291034 31.531622 L 51.551619 33.66 L 51.812204 20.208649 L 52.07279 32.127568 L 52.333375 33.66 L 52.59396 33.66 L 53.115131 31.531622 L 53.375716 30.850541 L 53.636301 28.381622 L 53.896887 33.66 L 54.157472 23.018108 L 54.418057 32.553243 L 54.678643 33.66 L 54.939228 33.66 L 55.460399 31.446486 L 55.720984 31.787027 L 55.981569 29.062703 L 56.242154 33.66 L 56.50274 21.741081 L 56.763325 31.105946 L 57.02391 33.66 L 57.284496 33.66 L 57.545081 32.638378 L 57.805666 29.743784 L 58.066252 30.765405 L 58.326837 30.595135 L 58.587422 33.66 L 58.848007 16.037027 L 59.369178 33.66 L 59.629763 33.66 L 60.150934 30.51 L 60.411519 30.68027 L 60.672105 31.276216 L 60.93269 33.66 L 61.193275 18.08027 L 61.453861 29.743784 L 61.714446 33.66 L 61.975031 33.66 L 62.496202 31.531622 L 62.756787 31.531622 L 63.017372 31.276216 L 63.277958 33.66 L 63.538543 22.081622 L 63.799128 31.191081 L 64.059714 33.66 L 64.320299 33.66 L 64.580884 31.872162 L 64.841469 33.149189 L 65.102055 32.638378 M 65.623225 33.66 L 65.883811 26.678919 L 66.144396 31.701892 L 66.404981 33.66 L 66.665567 33.66 L 67.186737 32.042432 L 67.447323 32.297838 L 67.968493 33.66 L 68.229078 26.508649 L 68.489664 32.723514 L 68.750249 33.66 L 69.010834 33.66 L 69.27142 32.978919 L 69.532005 31.361351 L 69.79259 32.297838 L 70.053176 32.723514 L 70.313761 33.66 L 70.574346 23.954595 L 70.834932 30.51 L 71.095517 33.66 L 71.356102 33.66 L 71.616687 32.553243 L 71.877273 27.870811 L 72.137858 31.872162 L 72.398443 32.468108 L 72.659029 33.66 L 72.919614 17.484324 L 73.180199 29.828919 L 73.440785 33.66 L 73.70137 33.66 L 73.961955 32.808649 L 74.22254 31.531622 L 74.483126 31.787027 L 74.743711 33.149189 L 75.004296 33.66 L 75.264882 20.88973 L 75.525467 32.553243 L 75.786052 33.66 L 76.046638 33.66 L 76.567808 31.957297 L 76.828394 31.531622 L 77.088979 32.978919 L 77.349564 33.66 L 77.610149 19.697838 L 77.870735 31.872162 L 78.13132 33.66 L 78.391905 33.66 L 78.652491 32.808649 L 78.913076 30.169459 L 79.173661 32.468108 L 79.694832 33.66 L 79.955417 17.824865 L 80.216002 31.531622 L 80.476588 33.66 L 80.737173 33.66 L 80.997758 31.872162 L 81.258344 28.807297 L 82.0401 33.66 L 82.300685 16.122162 L 82.56127 31.616757 L 82.821856 33.66 L 83.082441 33.66 L 83.343026 32.723514 L 83.603611 29.318108 L 83.864197 31.787027 L 84.124782 27.870811 L 84.385367 33.66 L 84.645953 17.569459 L 84.906538 31.957297 L 85.167123 33.66 L 85.427709 33.66 L 85.688294 31.872162 L 85.948879 26.593784 L 86.209465 31.191081 L 86.730635 33.66 L 86.99122 17.91 L 87.251806 32.297838 L 87.512391 33.66 L 87.772976 33.66 L 88.033562 32.723514 L 88.294147 30.084324 L 88.815318 32.382973 L 89.075903 33.66 L 89.336488 18.676216 L 89.597073 33.149189 L 89.857659 33.66 L 90.118244 33.66 L 90.378829 32.468108 L 90.639415 28.551892 L 90.9 31.361351 L 91.160585 30.51 L 91.421171 33.66 L 91.681756 15.441081 L 91.942341 30.169459 L 92.202927 33.66 L 92.463512 33.66 L 92.724097 32.808649 L 92.984682 30.169459 L 93.245268 30.084324 L 93.505853 31.276216 L 93.766438 33.66 L 94.027024 16.377568 L 94.287609 29.743784 L 94.548194 33.66 L 94.80878 33.66 L 95.069365 32.978919 L 95.32995 29.914054 L 95.590535 31.276216 L 95.851121 28.637027 L 96.111706 33.66 L 96.372291 15.526216 L 96.632877 32.127568 L 96.893462 33.66 L 97.154047 33.66 L 97.675218 30.935676 L 97.935803 31.191081 L 98.196389 15.185676 L 98.456974 33.66 L 98.717559 19.868108 L 98.978144 30.765405 L 99.23873 33.66 L 99.499315 33.66 L 99.7599 32.978919 L 100.020486 30.424865 L 100.281071 30.33973 L 100.541656 31.531622 L 100.802242 33.66 L 101.062827 18.420811 L 101.323412 31.276216 L 101.583998 33.66 L 101.844583 33.66 L 102.105168 32.553243 L 102.365753 30.254595 L 102.626339 31.105946 L 102.886924 32.808649 L 103.147509 33.66 L 103.408095 19.442432 L 103.66868 31.957297 L 103.929265 33.66 L 104.189851 33.66 L 104.450436 32.638378 L 104.711021 29.318108 L 104.971606 31.787027 L 105.232192 31.531622 L 105.492777 33.66 L 105.753362 16.037027 L 106.013948 31.957297 L 106.274533 33.66 L 106.535118 33.66 L 106.795704 32.808649 L 107.056289 30.68027 L 107.316874 32.723514 L 107.57746 26.593784 L 107.838045 33.66 L 108.09863 17.143784 L 108.359215 31.531622 L 108.619801 33.66 L 108.880386 33.66 L 109.401557 32.042432 L 109.662142 32.893784 L 109.922727 30.33973 L 110.183313 33.66 L 110.443898 20.804595 L 110.704483 31.105946 L 110.965068 33.66 L 111.225654 33.66 L 111.486239 33.064054 L 111.746824 31.957297 L 112.00741 32.468108 L 112.267995 32.468108 L 112.52858 33.66 L 112.789166 21.485676 L 113.049751 32.468108 L 113.310336 33.66 L 113.570922 33.66 L 113.831507 32.723514 L 114.092092 31.191081 L 114.352677 28.551892 L 114.613263 33.064054 L 114.873848 33.66 L 115.134433 19.272162 L 115.395019 32.553243 L 115.655604 33.66 L 115.916189 33.66 L 116.176775 32.723514 L 116.43736 30.850541 L 116.697945 31.361351 L 116.958531 32.212703 L 117.219116 33.66 L 117.479701 19.953243 L 117.740286 32.893784 L 118.000872 33.66 L 118.261457 33.66 L 118.782628 31.872162 L 119.043213 29.658649 L 119.303798 28.466757 L 119.564384 33.66 L 119.824969 20.378919 L 120.085554 31.957297 L 120.346139 33.66 L 120.606725 33.66 L 120.86731 32.893784 L 121.127895 31.276216 L 121.388481 23.699189 L 121.649066 31.787027 L 121.909651 33.66 L 122.170237 22.507297 L 122.430822 33.064054 L 122.691407 33.66 L 122.951993 33.66 L 123.733748 30.169459 L 123.994334 32.553243 L 124.254919 33.66 L 124.515504 17.824865 L 124.77609 31.531622 L 125.036675 33.66 L 125.29726 33.66 L 125.557846 33.149189 L 125.818431 27.18973 L 126.079016 30.595135 L 126.339601 30.850541 L 126.600187 33.66 L 126.860772 18.846486 L 127.121357 31.276216 L 127.381943 33.66 L 127.642528 33.66 L 127.903113 33.234324 L 128.163699 29.914054 L 128.424284 31.701892 L 128.684869 31.191081 L 128.945455 33.66 L 129.20604 24.21 L 129.466625 32.297838 L 129.72721 33.66 L 129.987796 33.66 L 130.248381 32.808649 L 130.508966 30.68027 L 131.030137 32.212703 L 131.290722 33.66 L 131.551308 19.016757 L 131.811893 32.723514 L 132.072478 33.66 L 132.333064 33.66 L 132.854234 31.191081 L 133.114819 31.787027 L 133.63599 33.66 L 133.896575 20.88973 L 134.157161 30.935676 L 134.417746 33.66 L 135.199502 33.66 M 135.720672 33.66 L 135.981258 33.66 L 136.241843 32.978919 L 136.502428 33.66 L 137.023599 33.66 L 137.284184 32.808649 L 137.54477 30.424865 L 137.805355 31.446486 L 138.06594 31.872162 L 138.326526 33.66 L 138.587111 21.485676 L 138.847696 31.105946 L 139.108281 33.66 L 139.368867 33.66 L 139.629452 32.638378 L 139.890037 30.850541 L 140.150623 31.020811 L 140.411208 30.850541 L 140.671793 33.66 L 140.932379 19.187027 L 141.192964 32.297838 L 141.453549 33.66 L 141.714134 33.66 L 141.97472 33.064054 L 142.235305 30.68027 L 142.49589 31.361351 L 142.756476 33.064054 L 143.017061 33.66 L 143.277646 17.484324 L 143.538232 32.297838 L 143.798817 33.66 L 144.059402 33.66 L 144.319988 32.808649 L 144.580573 29.743784 L 144.841158 31.616757 L 145.101743 14.674865 L 145.362329 33.66 L 145.622914 25.231622 L 145.883499 32.893784 L 146.144085 33.66 L 146.40467 33.66 L 146.665255 32.808649 L 146.925841 31.361351 L 147.186426 31.020811 L 147.707597 33.66 L 147.968182 20.208649 L 148.228767 32.553243 L 148.489352 33.66 L 148.749938 33.66 L 149.010523 32.212703 L 149.271108 28.722162 L 149.531694 31.957297 L 149.792279 19.442432 L 150.052864 33.66 L 150.31345 20.293784 L 150.574035 32.127568 L 150.83462 33.66 L 151.095205 33.66 L 151.355791 32.893784 L 151.616376 29.914054 L 151.876961 29.658649 L 152.137547 32.978919 L 152.398132 33.66 L 152.658717 22.422162 L 152.919303 32.553243 L 153.179888 33.66 L 153.440473 33.66 L 153.701059 33.149189 L 154.222229 29.147838 L 154.482814 8.46 L 154.7434 33.66 L 155.003985 22.251892 L 155.26457 21.06 L 155.525156 33.66 L 155.785741 33.66 L 156.046326 32.893784 L 156.306912 31.276216 L 156.567497 32.127568 L 156.828082 23.954595 L 157.088667 33.66 L 157.349253 22.762703 L 157.609838 32.382973 L 157.870423 33.66 L 158.131009 33.66 L 158.391594 32.553243 L 158.652179 29.658649 L 158.912765 29.147838 L 159.17335 33.064054 L 159.433935 33.66 L 159.694521 20.974865 L 159.955106 32.893784 L 160.215691 33.66 L 160.476276 33.66 L 160.736862 32.978919 L 160.997447 29.828919 L 161.258032 31.531622 L 161.518618 28.466757 L 161.779203 33.66 L 162.039788 24.38027 L 162.300374 32.042432 L 162.560959 33.66 L 162.821544 33.66 L 163.08213 33.064054 L 163.342715 29.999189 L 164.124471 33.66 L 164.385056 21.826216 L 164.645641 32.382973 L 164.906227 33.66 L 165.166812 33.66 L 165.427397 33.064054 L 165.687983 31.446486 L 165.948568 31.105946 L 166.469738 33.66 L 166.730324 21.315405 L 166.990909 32.212703 L 166.990909 32.212703 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pf0db6853de">   <rect height="27.72" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMA$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="42.12pt" version="1.1" viewBox="0 0 181.8 42.12" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 42.12 L 181.8 42.12 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p7b97887f41)" d="M 14.809091 33.66 L 15.069676 33.66 L 15.330262 31.229818 L 15.851432 30.835321 L 16.112017 33.604559 L 16.372603 33.66 L 16.633188 32.34403 L 16.893773 33.332872 L 17.154359 33.66 L 17.414944 33.66 L 17.675529 28.635126 L 17.936115 33.329139 L 18.1967 29.993606 M 18.71787 33.66 L 18.978456 32.864181 M 19.499626 33.66 L 19.760212 33.66 L 20.020797 28.96185 L 20.281382 32.737375 L 20.541968 31.354628 M 21.063138 33.66 L 21.323724 32.829555 L 21.584309 32.587021 L 21.844894 33.66 L 22.105479 33.66 L 22.366065 28.538687 L 22.62665 31.555931 L 22.887235 29.839259 L 23.147821 33.563378 L 23.408406 33.66 L 23.668991 31.101202 L 23.929577 32.04323 L 24.190162 33.66 L 24.450747 33.66 L 24.711333 30.783124 L 24.971918 32.427822 L 25.232503 24.179988 L 25.493088 33.196901 L 25.753674 33.66 L 26.014259 32.011122 L 26.274844 31.853759 L 26.53543 33.66 L 26.796015 33.66 L 27.0566 29.444033 L 27.317186 31.341203 L 27.577771 27.163551 L 27.838356 33.060146 L 28.098941 33.66 L 28.359527 32.790381 L 28.620112 31.085686 L 28.880697 33.66 L 29.141283 33.66 L 29.401868 8.46 L 29.662453 30.495243 L 29.923039 30.986147 L 30.183624 33.614339 L 30.444209 33.66 L 30.704795 31.482575 L 30.96538 30.57369 L 31.225965 33.66 L 31.48655 33.66 L 31.747136 29.776344 L 32.007721 32.60659 L 32.268306 31.88354 L 32.789477 33.66 L 33.050062 31.98746 L 33.310648 32.43373 L 33.571233 33.66 L 33.831818 33.66 L 34.092403 28.293844 L 34.352989 32.4108 L 34.613574 17.022984 L 34.874159 33.304643 L 35.134745 33.66 L 35.39533 29.547241 L 35.916501 33.66 L 36.177086 33.66 L 36.437671 27.864215 L 36.698257 32.507862 L 36.958842 19.378197 L 37.219427 32.80671 L 37.480012 33.66 L 37.740598 31.986306 L 38.001183 32.189546 L 38.261768 33.66 L 38.522354 33.66 L 38.782939 28.929285 L 39.043524 32.731466 L 39.30411 31.833673 L 39.564695 33.544716 L 39.82528 33.66 L 40.346451 32.446408 L 40.607036 33.66 L 40.867621 33.66 L 41.128207 28.052244 L 41.388792 32.277892 L 41.649377 29.627164 L 41.909963 33.145423 L 42.170548 33.66 L 42.431133 33.246788 L 42.691719 32.349057 L 42.952304 33.66 L 43.212889 33.66 L 43.473474 30.038727 L 43.73406 32.62784 L 43.994645 30.789637 L 44.25523 32.980007 L 44.515816 33.66 L 44.776401 32.864596 L 45.036986 32.790043 L 45.297572 33.66 L 45.558157 33.66 L 45.818742 31.375098 L 46.079328 32.326231 L 46.600498 32.945753 L 46.861083 33.66 L 47.121669 30.266705 L 47.382254 32.900071 L 47.642839 33.66 L 47.903425 33.66 L 48.16401 28.333591 L 48.424595 33.051996 L 48.685181 31.72082 L 48.945766 33.120545 L 49.206351 33.66 L 49.466936 31.072088 L 49.988107 33.66 L 50.248692 33.66 L 50.509278 30.97037 L 50.769863 33.410947 L 51.030448 30.454268 L 51.291034 32.827361 L 51.551619 33.66 L 51.812204 32.099019 L 52.07279 29.86166 L 52.333375 33.66 L 52.59396 33.66 L 52.854545 29.238657 L 53.115131 32.081294 L 53.375716 29.773588 L 53.636301 33.499129 L 53.896887 33.66 L 54.418057 32.296109 L 54.678643 33.66 L 54.939228 33.66 L 55.199813 28.819524 L 55.460399 32.752704 L 55.720984 32.93401 L 55.981569 31.324987 L 56.242154 33.66 L 56.50274 32.264841 L 56.763325 32.471862 L 57.02391 33.66 L 57.284496 33.66 L 57.545081 28.456495 L 57.805666 32.331256 L 58.066252 30.143339 L 58.587422 33.66 L 59.108593 29.495134 L 59.369178 33.66 L 59.629763 33.66 L 59.890349 30.67687 L 60.150934 32.978606 L 60.411519 32.124909 L 60.672105 31.741344 L 60.93269 33.66 L 61.193275 31.487426 L 61.453861 31.264531 L 61.714446 33.66 L 61.975031 33.66 L 62.235616 23.716265 L 62.496202 32.247683 L 62.756787 30.909923 L 63.017372 33.146936 L 63.277958 33.66 L 63.538543 31.401428 L 64.059714 33.66 L 64.320299 33.66 L 64.580884 31.011417 L 64.841469 33.138172 L 65.102055 32.653556 M 65.623225 33.66 L 65.883811 32.366286 L 66.144396 33.202229 L 66.404981 33.66 L 66.665567 33.66 L 66.926152 31.620374 L 67.186737 32.139372 L 67.447323 33.088912 L 67.968493 33.66 L 68.229078 32.694214 L 68.750249 33.66 L 69.010834 33.66 L 69.27142 32.476789 L 69.532005 33.045594 L 69.79259 31.843776 L 70.053176 33.565681 L 70.313761 33.66 L 70.834932 30.954975 L 71.095517 33.66 L 71.356102 33.66 L 71.616687 23.772048 L 71.877273 31.016117 L 72.137858 30.626395 L 72.398443 33.01101 L 72.659029 33.66 L 72.919614 31.269619 L 73.180199 31.178111 L 73.440785 33.66 L 73.70137 33.66 L 73.961955 31.92995 L 74.22254 32.167152 L 74.483126 30.617289 L 74.743711 33.10979 L 75.004296 33.66 L 75.264882 30.898737 L 75.525467 32.707757 L 75.786052 33.66 L 76.046638 33.66 L 76.307223 31.611901 L 76.567808 33.0955 L 76.828394 30.81879 L 77.088979 33.522031 L 77.349564 33.66 L 77.610149 31.358317 L 77.870735 33.315013 L 78.13132 33.66 L 78.391905 33.66 L 78.652491 30.948561 L 78.913076 32.087522 L 79.173661 31.533949 L 79.434247 33.441684 L 79.694832 33.66 L 79.955417 31.232732 L 80.216002 31.050776 L 80.476588 33.66 L 80.737173 33.66 L 80.997758 29.372027 L 81.258344 32.220193 L 81.518929 26.879554 L 81.779514 32.507775 L 82.0401 33.66 L 82.300685 30.21292 L 82.821856 33.66 L 83.082441 33.66 L 83.343026 31.234039 L 83.603611 31.845189 L 83.864197 33.03415 L 84.124782 33.010279 L 84.385367 33.66 L 84.645953 30.452134 L 84.906538 31.007346 L 85.167123 33.66 L 85.427709 33.66 L 85.688294 30.495053 L 85.948879 29.313614 L 86.209465 30.054844 L 86.730635 33.66 L 86.99122 31.738163 L 87.512391 33.66 L 87.772976 33.66 L 88.033562 25.697015 L 88.294147 32.394569 L 88.815318 33.211389 L 89.075903 33.66 L 89.336488 32.365256 L 89.597073 33.289727 L 89.857659 33.66 L 90.118244 33.66 L 90.378829 27.593057 L 90.639415 31.577913 L 90.9 31.990052 L 91.160585 33.122391 L 91.421171 33.66 L 91.681756 30.882809 L 91.942341 30.674749 L 92.202927 33.66 L 92.463512 33.66 L 92.724097 32.070046 L 92.984682 33.143155 L 93.245268 31.786953 L 93.505853 33.224258 L 93.766438 33.66 L 94.027024 29.744474 L 94.548194 33.66 L 94.80878 33.66 L 95.069365 31.675442 L 95.32995 32.191191 L 95.590535 27.69706 L 95.851121 32.436326 L 96.111706 33.66 L 96.372291 27.604527 L 96.632877 33.046618 L 96.893462 33.66 L 97.154047 33.66 L 97.414633 30.940865 L 97.675218 32.356137 L 97.935803 30.935825 L 98.196389 33.174308 L 98.456974 33.66 L 98.717559 30.586495 L 98.978144 31.5869 L 99.23873 33.66 L 99.499315 33.66 L 99.7599 33.107009 L 100.020486 33.10636 L 100.281071 29.994134 L 100.541656 32.9981 L 100.802242 33.66 L 101.062827 32.57722 L 101.583998 33.66 L 101.844583 33.66 L 102.105168 31.122817 L 102.365753 31.335522 L 102.626339 31.287295 L 102.886924 31.583818 L 103.147509 33.66 L 103.408095 31.759939 L 103.66868 33.31893 L 103.929265 33.66 L 104.189851 33.66 L 104.450436 29.852314 L 104.711021 31.569218 L 104.971606 31.726603 L 105.232192 31.081174 L 105.492777 33.66 L 105.753362 29.82673 L 106.274533 33.66 L 106.535118 33.66 L 106.795704 31.201478 L 107.056289 32.942916 L 107.316874 33.280744 L 107.57746 32.299096 L 107.838045 33.66 L 108.09863 28.841562 L 108.359215 32.301483 L 108.619801 33.66 L 108.880386 33.66 L 109.140971 32.053729 L 109.401557 32.872972 L 109.662142 31.624162 L 109.922727 31.827576 L 110.183313 33.66 L 110.443898 31.214885 L 110.704483 32.123419 L 110.965068 33.66 L 111.225654 33.66 L 111.486239 31.102476 L 111.746824 33.365701 L 112.267995 32.701376 L 112.52858 33.66 L 112.789166 33.074454 L 113.049751 33.226235 L 113.310336 33.66 L 113.570922 33.66 L 113.831507 31.93329 L 114.092092 33.067343 L 114.352677 31.115682 L 114.873848 33.66 L 115.134433 30.933277 L 115.395019 31.825616 L 115.655604 33.66 L 115.916189 33.66 L 116.176775 30.196348 L 116.43736 32.026801 L 117.219116 33.66 L 117.479701 30.563607 L 118.000872 33.66 L 118.261457 33.66 L 118.522042 31.396401 L 118.782628 33.180932 L 119.043213 27.744954 L 119.303798 32.517938 L 119.564384 33.66 L 119.824969 29.824904 L 120.085554 30.588322 L 120.346139 33.66 L 120.606725 33.66 L 120.86731 32.291381 L 121.127895 32.344432 L 121.388481 27.970175 L 121.649066 33.375994 L 121.909651 33.66 L 122.170237 31.321633 L 122.430822 33.493811 L 122.691407 33.66 L 122.951993 33.66 L 123.212578 29.455867 L 123.473163 32.602367 L 123.733748 31.494806 L 123.994334 33.562978 L 124.254919 33.66 L 124.515504 14.681048 L 124.77609 32.767785 L 125.036675 33.66 L 125.29726 33.66 L 125.557846 33.147316 L 125.818431 27.936802 L 126.079016 31.775876 L 126.600187 33.66 L 126.860772 28.412703 L 127.121357 32.187175 L 127.381943 33.66 L 127.642528 33.66 L 127.903113 32.663568 L 128.163699 32.393765 L 128.424284 29.961307 L 128.684869 33.198221 L 128.945455 33.66 L 129.20604 31.080113 L 129.466625 32.059099 L 129.72721 33.66 L 129.987796 33.66 L 130.248381 32.271385 L 130.508966 31.530027 L 130.769552 27.53471 L 131.030137 33.367481 L 131.290722 33.66 L 131.551308 25.82719 L 131.811893 32.328043 L 132.072478 33.66 L 132.333064 33.66 L 132.593649 30.582305 L 132.854234 32.639307 L 133.114819 30.920526 L 133.375405 33.40072 L 133.63599 33.66 L 133.896575 28.572416 L 134.157161 32.498415 L 134.417746 33.66 L 135.199502 33.66 M 135.720672 33.66 L 137.023599 33.66 L 137.54477 29.894152 L 137.805355 32.359172 L 138.06594 33.283356 L 138.326526 33.66 L 138.587111 31.798674 L 139.108281 33.66 L 139.368867 33.66 L 139.629452 30.956716 L 139.890037 31.78205 L 140.150623 23.225667 L 140.411208 32.215692 L 140.671793 33.66 L 140.932379 28.931123 L 141.453549 33.66 L 141.714134 33.66 L 141.97472 31.474831 L 142.235305 32.649783 L 142.49589 31.35246 L 142.756476 33.088216 L 143.017061 33.66 L 143.277646 30.184984 L 143.538232 31.095936 L 143.798817 33.66 L 144.059402 33.66 L 144.319988 29.666494 L 144.580573 32.640692 L 144.841158 31.168504 L 145.101743 33.078292 L 145.362329 33.66 L 145.622914 31.37158 L 145.883499 32.188007 L 146.144085 33.66 L 146.40467 33.66 L 146.665255 31.956937 L 146.925841 32.052573 L 147.186426 31.222164 L 147.447011 33.492804 L 147.707597 33.66 L 147.968182 30.591957 L 148.489352 33.66 L 148.749938 33.66 L 149.010523 30.575862 L 149.271108 31.305584 L 149.531694 29.497926 L 149.792279 32.470934 L 150.052864 33.66 L 150.31345 31.517913 L 150.574035 31.665327 L 150.83462 33.66 L 151.095205 33.66 L 151.355791 22.801474 L 151.616376 31.94858 L 151.876961 31.700451 L 152.137547 33.565277 L 152.398132 33.66 L 152.658717 31.21777 L 152.919303 31.97765 L 153.179888 33.66 L 153.440473 33.66 L 153.961644 33.09593 L 154.222229 30.689152 L 154.482814 32.963445 L 154.7434 33.66 L 155.003985 30.970962 L 155.26457 29.59749 L 155.525156 33.66 L 155.785741 33.66 L 156.046326 32.456022 L 156.306912 32.476159 L 156.567497 32.307802 L 156.828082 33.563898 L 157.088667 33.66 L 157.349253 31.293737 L 157.609838 31.992349 L 157.870423 33.66 L 158.131009 33.66 L 158.391594 30.05024 L 158.652179 30.301817 L 159.17335 33.388222 L 159.433935 33.66 L 159.694521 28.322846 L 159.955106 32.720766 L 160.215691 33.66 L 160.476276 33.66 L 160.736862 33.294304 L 160.997447 32.693648 L 161.258032 28.50358 L 161.779203 33.66 L 162.039788 27.668086 L 162.560959 33.66 L 162.821544 33.66 L 163.342715 32.093789 L 163.6033 30.944032 L 163.863885 33.452401 L 164.124471 33.66 L 164.385056 31.703207 L 164.906227 33.66 L 165.166812 33.66 L 165.427397 30.253777 L 165.687983 33.055645 L 165.948568 31.589508 L 166.209153 33.553227 L 166.469738 33.66 L 166.730324 32.320357 L 166.990909 31.675525 L 166.990909 31.675525 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p7b97887f41">   <rect height="27.72" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMCTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="42.12pt" version="1.1" viewBox="0 0 181.8 42.12" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 42.12 L 181.8 42.12 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pb9ea26982b)" d="M 14.809091 33.66 L 15.069676 33.506715 L 15.330262 33.66 L 15.590847 29.398686 L 15.851432 22.102336 L 16.372603 33.66 L 16.633188 24.86146 L 16.893773 33.016204 L 17.154359 33.66 L 17.414944 33.353431 L 17.675529 33.66 L 17.936115 30.900876 L 18.1967 24.187007 L 18.457285 33.353431 L 18.71787 33.66 L 18.978456 27.773869 L 19.239041 33.200146 M 19.760212 33.384088 L 20.020797 33.66 L 20.281382 29.306715 L 20.541968 20.600146 L 20.802553 33.353431 L 21.063138 33.66 L 21.323724 27.865839 M 21.844894 33.66 L 22.105479 32.46438 L 22.366065 33.66 L 22.62665 29.521314 L 22.887235 23.022044 L 23.147821 33.476058 L 23.408406 33.66 L 23.668991 25.535912 L 23.929577 32.985547 L 24.190162 33.66 L 24.450747 32.893577 L 24.711333 33.66 L 24.971918 29.766569 L 25.232503 8.46 L 25.493088 33.230803 L 25.753674 33.66 L 26.014259 24.401606 L 26.274844 33.108175 L 26.53543 33.66 L 26.796015 32.280438 L 27.0566 33.66 L 27.317186 28.141752 L 27.577771 11.55635 L 27.838356 33.476058 L 28.098941 33.66 L 28.359527 25.689197 L 28.620112 33.292117 M 29.141283 32.46438 L 29.401868 32.801606 L 29.662453 30.624964 L 29.923039 23.022044 L 30.183624 33.26146 L 30.444209 33.66 L 30.704795 28.233723 L 30.96538 32.587007 L 31.225965 33.66 M 32.007721 29.46 L 32.268306 22.286277 L 32.528892 32.648321 L 32.789477 33.66 L 33.050062 25.26 L 33.310648 33.046861 L 33.571233 33.66 M 34.092403 33.66 L 34.352989 29.766569 L 34.613574 21.85708 L 34.874159 33.322774 L 35.134745 33.66 L 35.39533 22.654161 L 35.655915 32.403066 L 35.916501 33.66 M 36.437671 33.66 L 36.698257 31.054161 L 36.958842 21.489197 L 37.219427 33.292117 L 37.480012 33.66 L 37.740598 24.15635 L 38.001183 33.016204 L 38.261768 33.66 M 38.782939 33.66 L 39.043524 30.349051 L 39.30411 18.36219 L 39.564695 33.445401 L 39.82528 33.66 L 40.085866 24.830803 L 40.346451 32.954891 L 40.607036 33.66 M 41.128207 33.66 L 41.388792 30.624964 L 41.649377 24.830803 L 41.909963 33.108175 L 42.170548 33.66 L 42.431133 26.210365 L 42.691719 33.016204 L 42.952304 33.66 L 43.212889 33.506715 L 43.473474 33.66 L 43.73406 30.778248 L 43.994645 21.213285 L 44.25523 29.981168 L 44.515816 33.66 L 44.776401 25.198686 L 45.036986 32.433723 L 45.297572 33.66 M 45.818742 33.66 L 46.079328 27.467299 L 46.339913 14.744672 L 46.600498 32.55635 L 46.861083 33.66 L 47.121669 24.646861 L 47.382254 32.46438 L 47.642839 33.66 M 48.16401 33.66 L 48.424595 29.46 L 48.685181 20.201606 L 48.945766 31.207445 L 49.206351 33.66 L 49.466936 24.677518 L 49.727522 33.077518 L 49.988107 33.66 M 50.509278 33.66 L 50.769863 31.728613 L 51.030448 19.741752 L 51.291034 32.893577 L 51.551619 33.66 L 51.812204 24.278978 L 52.07279 33.384088 L 52.333375 33.66 M 52.854545 33.66 L 53.115131 31.238102 L 53.375716 22.684818 L 53.636301 31.422044 L 53.896887 33.66 L 54.157472 23.849781 L 54.418057 33.414745 L 54.678643 33.66 M 55.199813 33.66 L 55.460399 29.674599 L 55.720984 22.838102 L 55.981569 32.617664 L 56.242154 33.66 L 56.50274 24.953431 L 56.763325 33.26146 L 57.02391 33.66 M 57.805666 28.509635 L 58.066252 13.549051 L 58.326837 32.372409 L 58.587422 33.66 L 58.848007 22.592847 L 59.108593 32.924234 L 59.369178 33.66 M 60.150934 31.36073 L 60.411519 15.143212 L 60.672105 32.954891 L 60.93269 33.66 L 61.193275 21.949051 L 61.453861 31.912555 L 61.714446 33.66 M 62.235616 33.66 L 62.496202 30.747591 L 62.756787 23.911095 L 63.017372 32.954891 L 63.277958 33.66 L 63.538543 25.719854 L 63.799128 32.770949 L 64.059714 33.66 M 64.580884 33.66 L 64.841469 31.943212 L 65.102055 26.394307 L 65.36264 33.66 L 65.623225 33.66 L 65.883811 28.540292 L 66.144396 33.230803 L 66.404981 33.66 L 66.665567 33.476058 L 66.926152 33.66 L 67.186737 29.643942 L 67.447323 23.573869 L 67.707908 33.384088 L 67.968493 33.66 L 68.229078 26.45562 M 69.010834 33.292117 L 69.27142 33.66 L 69.79259 27.436642 L 70.053176 33.384088 L 70.313761 33.66 L 70.574346 23.267299 L 70.834932 32.709635 L 71.095517 33.66 L 71.356102 33.230803 L 71.616687 33.384088 L 72.137858 25.229343 L 72.398443 33.414745 L 72.659029 33.66 L 72.919614 20.876058 L 73.180199 32.801606 L 73.440785 33.66 L 73.70137 33.353431 L 73.961955 33.66 L 74.22254 30.287737 L 74.483126 22.010365 L 74.743711 32.495036 L 75.004296 33.66 L 75.264882 24.922774 L 75.525467 33.292117 L 75.786052 33.66 L 76.046638 32.587007 L 76.307223 33.66 L 76.567808 29.092117 L 76.828394 16.951971 L 77.088979 33.353431 L 77.349564 33.66 L 77.610149 24.86146 L 77.870735 32.893577 L 78.13132 33.66 L 78.391905 32.249781 L 78.652491 33.66 L 78.913076 30.379708 L 79.173661 24.248321 M 79.694832 33.66 L 79.955417 22.25562 L 80.216002 32.035182 L 80.476588 33.66 M 80.997758 33.66 L 81.258344 30.96219 L 81.518929 26.332993 L 81.779514 32.648321 L 82.0401 33.66 L 82.300685 24.585547 L 82.56127 32.740292 M 83.343026 33.66 L 83.603611 30.900876 L 83.864197 20.998686 L 84.124782 32.954891 L 84.385367 33.66 L 84.645953 23.880438 L 84.906538 32.770949 L 85.167123 33.66 M 85.688294 33.66 L 85.948879 30.594307 L 86.209465 22.224964 M 86.730635 33.66 L 86.99122 25.229343 L 87.251806 33.200146 L 87.512391 33.66 M 88.033562 33.66 L 88.294147 29.705255 L 88.554732 23.389927 L 88.815318 33.506715 L 89.075903 33.66 L 89.336488 25.474599 L 89.597073 32.648321 L 89.857659 33.66 M 90.378829 33.66 L 90.639415 30.195766 L 90.9 19.435182 L 91.160585 32.280438 L 91.421171 33.66 L 91.681756 22.776788 L 91.942341 33.108175 L 92.202927 33.66 M 92.724097 33.66 L 92.984682 31.881898 L 93.245268 24.769489 L 93.505853 33.108175 L 93.766438 33.66 L 94.027024 24.800146 L 94.287609 31.084818 L 94.548194 33.66 M 95.069365 33.66 L 95.32995 31.238102 L 95.590535 22.531533 L 95.851121 32.709635 L 96.111706 33.66 L 96.372291 24.830803 L 96.632877 32.433723 L 96.893462 33.66 M 97.414633 33.66 L 97.675218 31.207445 L 97.935803 23.849781 L 98.196389 32.985547 L 98.456974 33.66 L 98.717559 22.378248 L 98.978144 31.851241 L 99.23873 33.66 M 99.7599 33.66 L 100.020486 31.330073 L 100.281071 23.604526 L 100.541656 33.200146 L 100.802242 33.66 L 101.062827 24.187007 L 101.323412 32.46438 L 101.583998 33.66 M 102.105168 33.476058 L 102.365753 31.268759 L 102.626339 16.676058 M 103.147509 33.66 L 103.408095 23.420584 L 103.66868 33.138832 L 103.929265 33.66 M 104.711021 32.127153 L 104.971606 23.35927 L 105.232192 33.046861 L 105.492777 33.66 L 105.753362 22.500876 L 106.013948 32.678978 L 106.274533 33.66 M 106.795704 33.66 L 107.056289 32.096496 L 107.316874 16.430803 L 107.57746 32.709635 L 107.838045 33.66 L 108.09863 23.635182 L 108.359215 33.077518 L 108.619801 33.66 M 109.401557 31.667299 L 109.662142 23.573869 L 109.922727 33.26146 L 110.183313 33.66 L 110.443898 23.727153 L 110.704483 32.954891 L 110.965068 33.66 M 111.486239 33.66 L 111.746824 32.035182 L 112.00741 24.15635 L 112.267995 33.506715 L 112.52858 33.66 L 112.789166 27.222044 L 113.049751 33.322774 L 113.310336 33.66 L 113.570922 33.506715 M 114.092092 30.992847 L 114.352677 24.340292 L 114.613263 33.384088 L 114.873848 33.66 L 115.134433 25.505255 L 115.395019 32.127153 L 115.655604 33.66 L 115.916189 33.414745 M 116.43736 31.973869 L 116.697945 26.118394 L 116.958531 33.353431 L 117.219116 33.66 L 117.479701 25.597226 L 117.740286 33.138832 L 118.000872 33.66 M 118.522042 33.353431 L 118.782628 31.391387 L 119.043213 24.922774 L 119.303798 32.740292 L 119.564384 33.66 L 119.824969 26.854161 L 120.085554 33.046861 L 120.346139 33.66 L 120.606725 33.322774 L 120.86731 33.66 L 121.127895 30.839562 L 121.388481 21.45854 L 121.649066 33.108175 L 121.909651 33.66 L 122.170237 28.019124 L 122.430822 33.445401 M 122.951993 32.188467 L 123.212578 33.66 L 123.473163 31.330073 L 123.733748 18.208905 L 123.994334 33.169489 L 124.254919 33.66 L 124.515504 25.229343 L 124.77609 32.678978 L 125.036675 33.66 L 125.29726 32.832263 L 125.557846 33.66 L 125.818431 31.176788 L 126.079016 17.25854 L 126.339601 33.016204 L 126.600187 33.66 L 126.860772 25.443942 L 127.121357 32.495036 L 127.381943 33.66 L 127.642528 33.506715 L 127.903113 33.66 L 128.163699 28.111095 L 128.424284 25.934453 L 128.684869 33.476058 L 128.945455 33.66 L 129.20604 27.528613 L 129.466625 32.433723 L 129.72721 33.66 M 130.248381 33.66 L 130.508966 31.207445 L 130.769552 23.389927 L 131.030137 32.924234 L 131.290722 33.66 L 131.551308 25.014745 L 131.811893 33.353431 L 132.072478 33.66 M 132.593649 33.66 L 132.854234 31.667299 L 133.114819 24.524234 L 133.375405 30.808905 L 133.63599 33.66 L 133.896575 27.130073 L 134.157161 33.230803 L 134.417746 33.66 L 135.199502 33.66 M 135.720672 33.66 L 135.981258 33.66 L 136.241843 33.414745 L 136.502428 33.66 L 136.763014 33.66 M 137.284184 33.66 L 137.54477 30.441022 L 137.805355 19.312555 L 138.06594 33.016204 L 138.326526 33.66 L 138.587111 23.236642 L 138.847696 33.138832 L 139.108281 33.66 M 139.890037 31.667299 L 140.150623 22.654161 L 140.411208 33.322774 L 140.671793 33.66 L 140.932379 26.700876 L 141.192964 32.55635 L 141.453549 33.66 M 142.235305 29.735912 L 142.49589 24.217664 L 142.756476 32.954891 L 143.017061 33.66 L 143.277646 25.597226 L 143.538232 33.353431 L 143.798817 33.66 M 144.319988 33.66 L 144.841158 26.36365 L 145.101743 33.046861 L 145.362329 33.66 L 145.622914 28.080438 L 145.883499 33.200146 L 146.144085 33.66 M 146.665255 33.66 L 146.925841 31.146131 L 147.186426 21.918394 L 147.447011 33.108175 L 147.707597 33.66 L 147.968182 26.76219 L 148.228767 33.353431 L 148.489352 33.66 M 149.010523 33.66 L 149.271108 31.820584 L 149.531694 23.451241 M 150.052864 33.66 L 150.31345 24.922774 L 150.574035 32.985547 L 150.83462 33.66 M 151.355791 33.66 L 151.616376 31.36073 L 151.876961 24.06438 L 152.137547 33.169489 L 152.398132 33.66 L 152.658717 26.026423 L 152.919303 32.985547 L 153.179888 33.66 M 153.701059 33.66 L 153.961644 29.490657 L 154.222229 18.607445 L 154.482814 31.268759 L 154.7434 33.66 L 155.003985 25.842482 L 155.525156 33.66 M 156.046326 33.66 L 156.306912 32.372409 L 156.567497 22.470219 L 157.088667 33.66 L 157.349253 27.099416 L 157.609838 33.108175 L 157.870423 33.66 M 158.391594 33.66 L 158.652179 30.624964 L 158.912765 22.224964 L 159.17335 33.322774 L 159.433935 33.66 L 159.694521 23.880438 L 159.955106 32.924234 L 160.215691 33.66 M 160.736862 33.66 L 160.997447 30.900876 L 161.258032 22.654161 L 161.518618 32.770949 L 161.779203 33.66 L 162.039788 25.934453 L 162.300374 32.678978 L 162.560959 33.66 M 163.342715 31.575328 L 163.6033 28.019124 L 163.863885 32.035182 L 164.124471 33.66 L 164.385056 25.627883 L 164.645641 32.954891 L 164.906227 33.66 M 165.427397 33.66 L 165.687983 31.452701 L 165.948568 24.370949 L 166.209153 33.476058 L 166.469738 33.66 L 166.730324 24.554891 L 166.990909 32.617664 L 166.990909 32.617664 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pb9ea26982b">   <rect height="27.72" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMCUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="42.12pt" version="1.1" viewBox="0 0 181.8 42.12" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 42.12 L 181.8 42.12 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p9abff07528)" d="M 14.809091 33.66 L 15.069676 33.4584 L 15.330262 33.66 L 15.851432 25.7472 L 16.112017 28.1664 L 16.372603 33.66 L 16.633188 26.5536 L 16.893773 33.156 L 17.154359 33.66 L 17.414944 33.4584 L 17.675529 33.66 L 18.1967 27.3096 L 18.457285 33.3072 L 18.71787 33.66 L 18.978456 28.4688 L 19.239041 33.4584 M 19.760212 33.408 L 20.020797 33.66 L 20.541968 26.2008 L 20.802553 33.3576 L 21.063138 33.66 L 21.323724 28.368 M 21.844894 33.66 L 22.105479 33.2568 L 22.366065 33.66 L 22.887235 25.7976 L 23.147821 33.408 L 23.408406 33.66 L 23.668991 26.7552 L 23.929577 32.7024 L 24.190162 33.66 L 24.450747 33.3576 L 24.711333 33.66 L 24.971918 29.124 L 25.232503 8.46 L 25.493088 33.156 L 25.753674 33.66 L 26.014259 25.6968 L 26.274844 32.8536 L 26.53543 33.66 L 26.796015 33.2568 L 27.0566 33.66 L 27.577771 20.2536 L 27.838356 33.4584 L 28.098941 33.66 L 28.359527 26.5536 L 28.620112 33.1056 M 29.141283 33.156 L 29.401868 33.408 L 29.662453 30.3336 L 29.923039 23.832 L 30.183624 33.0552 L 30.444209 33.66 L 30.704795 28.2672 L 30.96538 33.2064 L 31.225965 33.66 M 32.007721 28.5696 L 32.268306 24.084 L 32.528892 32.2992 L 32.789477 33.66 L 33.050062 26.4528 L 33.310648 33.3072 L 33.571233 33.66 M 34.092403 33.66 L 34.613574 24.84 L 34.874159 33.156 L 35.134745 33.66 L 35.39533 24.1848 L 35.655915 32.7024 L 35.916501 33.66 M 36.437671 33.66 L 36.698257 30.5352 L 36.958842 24.6888 L 37.219427 33.1056 L 37.480012 33.66 L 37.740598 25.4448 L 38.001183 33.0552 L 38.261768 33.66 M 38.782939 33.66 L 39.043524 30.2832 L 39.30411 16.1208 L 39.564695 33.4584 L 39.82528 33.66 L 40.085866 25.092 L 40.346451 32.9544 L 40.607036 33.66 M 41.128207 33.66 L 41.649377 26.8056 L 41.909963 33.1056 L 42.170548 33.66 L 42.431133 27.1584 L 42.691719 32.8536 L 42.952304 33.66 L 43.212889 33.5088 L 43.473474 33.66 L 43.73406 30.6864 L 43.994645 24.9912 L 44.515816 33.66 L 44.776401 27.1584 L 45.036986 32.4 L 45.297572 33.66 M 45.818742 33.66 L 46.079328 26.3016 L 46.339913 22.6224 L 46.600498 32.5008 L 46.861083 33.66 L 47.121669 26.4528 L 47.382254 32.652 L 47.642839 33.66 M 48.16401 33.66 L 48.424595 29.5776 L 48.685181 22.572 L 48.945766 31.5936 L 49.206351 33.66 L 49.466936 25.1928 L 49.727522 33.1056 L 49.988107 33.66 M 50.509278 33.66 L 50.769863 31.4928 L 51.030448 24.1848 L 51.291034 32.7528 L 51.551619 33.66 L 51.812204 26.2512 L 52.07279 33.2568 L 52.333375 33.66 M 52.854545 33.66 L 53.115131 31.1904 L 53.375716 25.596 L 53.636301 31.5936 L 53.896887 33.66 L 54.157472 27.3096 L 54.418057 33.408 L 54.678643 33.66 M 55.199813 33.66 L 55.460399 29.2752 L 55.720984 22.4712 L 55.981569 32.7528 L 56.242154 33.66 L 56.50274 26.9568 L 56.763325 33.156 L 57.02391 33.66 M 57.805666 27.7632 L 58.066252 16.5744 L 58.326837 31.9968 L 58.587422 33.66 L 58.848007 24.588 L 59.108593 32.904 L 59.369178 33.66 M 60.150934 31.0392 L 60.411519 16.272 L 60.672105 32.5008 L 60.93269 33.66 L 61.193275 24.2856 L 61.453861 32.0976 L 61.714446 33.66 M 62.235616 33.66 L 62.496202 30.384 L 62.756787 24.2352 L 63.017372 33.0048 L 63.277958 33.66 L 63.538543 26.4528 L 63.799128 33.0552 L 64.059714 33.66 M 64.580884 33.66 L 64.841469 31.14 L 65.102055 26.8056 L 65.36264 33.66 L 65.623225 33.66 L 65.883811 29.0736 L 66.144396 33.2568 L 66.404981 33.66 L 66.665567 33.4584 L 66.926152 33.66 L 67.447323 24.84 L 67.707908 33.2568 L 67.968493 33.66 L 68.229078 28.368 M 69.010834 33.5088 L 69.27142 33.66 L 69.532005 29.8296 L 69.79259 28.62 L 70.053176 33.408 L 70.313761 33.66 L 70.574346 27.0072 L 70.834932 32.5008 L 71.095517 33.66 L 71.356102 33.3576 L 71.616687 33.4584 L 71.877273 29.6784 L 72.137858 23.9832 L 72.398443 33.3576 L 72.659029 33.66 L 72.919614 22.9248 L 73.180199 32.652 L 73.440785 33.66 L 73.70137 33.3576 L 73.961955 33.66 L 74.22254 29.7288 L 74.483126 23.0256 L 74.743711 32.7024 L 75.004296 33.66 L 75.264882 26.1504 L 75.525467 33.2568 L 75.786052 33.66 L 76.046638 33.2064 L 76.307223 33.66 L 76.567808 27.8136 L 76.828394 17.4312 L 77.088979 33.2064 L 77.349564 33.66 L 77.610149 26.2512 L 77.870735 33.156 L 78.13132 33.66 L 78.391905 33.156 L 78.652491 33.66 L 79.173661 27.7128 M 79.694832 33.66 L 79.955417 23.4792 L 80.216002 32.8032 L 80.476588 33.66 M 80.997758 33.66 L 81.518929 26.4024 L 81.779514 32.1984 L 82.0401 33.66 L 82.300685 24.7392 L 82.56127 32.8032 M 83.343026 33.66 L 83.603611 30.3336 L 83.864197 23.1768 L 84.124782 32.8536 L 84.385367 33.66 L 84.645953 25.2432 L 84.906538 32.8032 L 85.167123 33.66 M 85.688294 33.66 L 86.209465 25.1928 M 86.730635 33.66 L 86.99122 25.3944 L 87.251806 33.3072 L 87.512391 33.66 M 88.033562 33.66 L 88.554732 23.9832 L 88.815318 33.5088 L 89.075903 33.66 L 89.336488 26.2008 L 89.597073 33.2568 L 89.857659 33.66 M 90.378829 33.66 L 90.639415 30.2328 L 90.9 21.4128 L 91.160585 32.4 L 91.421171 33.66 L 91.681756 24.8904 L 91.942341 33.3072 L 92.202927 33.66 M 92.724097 33.66 L 92.984682 31.7448 L 93.245268 25.7472 L 93.505853 33.0552 L 93.766438 33.66 L 94.027024 25.596 L 94.287609 32.2488 L 94.548194 33.66 M 95.069365 33.66 L 95.32995 30.4848 L 95.590535 23.7312 L 95.851121 32.5512 L 96.111706 33.66 L 96.372291 25.4952 L 96.632877 32.3496 L 96.893462 33.66 M 97.414633 33.66 L 97.675218 30.2328 L 97.935803 22.572 L 98.196389 32.904 L 98.456974 33.66 L 98.717559 26.4024 L 98.978144 32.2488 L 99.23873 33.66 M 99.7599 33.66 L 100.020486 31.0392 L 100.281071 26.1 L 100.541656 33.0048 L 100.802242 33.66 L 101.062827 25.4448 L 101.323412 32.7528 L 101.583998 33.66 M 102.105168 33.408 L 102.365753 30.6864 L 102.626339 17.3808 M 103.147509 33.66 L 103.408095 26.3016 L 103.66868 33.0552 L 103.929265 33.66 M 104.711021 31.392 L 104.971606 23.7816 L 105.232192 33.156 L 105.492777 33.66 L 105.753362 23.832 L 106.013948 32.8536 L 106.274533 33.66 M 106.795704 33.66 L 107.056289 31.896 L 107.316874 16.9272 L 107.57746 32.148 L 107.838045 33.66 L 108.09863 25.1928 L 108.359215 32.8032 L 108.619801 33.66 M 109.401557 31.644 L 109.662142 24.4872 L 109.922727 33.1056 L 110.183313 33.66 L 110.443898 26.604 L 110.704483 32.9544 L 110.965068 33.66 M 111.486239 33.66 L 111.746824 31.7952 L 112.00741 27.1584 L 112.267995 33.408 L 112.52858 33.66 L 112.789166 27.864 L 113.049751 33.408 L 113.310336 33.66 L 113.570922 33.4584 M 114.092092 29.7792 L 114.352677 24.84 L 114.613263 33.2064 L 114.873848 33.66 L 115.134433 26.5032 L 115.395019 33.2568 L 115.655604 33.66 L 115.916189 33.4584 M 116.43736 31.6944 L 116.697945 28.2672 L 116.958531 33.2568 L 117.219116 33.66 L 117.479701 26.1 L 117.740286 33.1056 L 118.000872 33.66 M 118.522042 33.408 L 118.782628 30.9384 L 119.043213 25.5456 L 119.303798 32.2992 L 119.564384 33.66 L 119.824969 27.4608 L 120.085554 33.2064 L 120.346139 33.66 L 120.606725 33.2568 L 120.86731 33.66 L 121.127895 30.888 L 121.388481 22.7232 L 121.649066 32.8536 L 121.909651 33.66 L 122.170237 28.7208 L 122.430822 33.4584 M 122.951993 33.156 L 123.212578 33.66 L 123.473163 30.7368 L 123.733748 16.8264 L 123.994334 33.0552 L 124.254919 33.66 L 124.515504 26.2008 L 124.77609 32.5512 L 125.036675 33.66 L 125.29726 33.156 L 125.557846 33.66 L 125.818431 30.5856 L 126.079016 15.7176 L 126.339601 32.7528 L 126.600187 33.66 L 126.860772 27.4608 L 127.121357 32.7024 L 127.381943 33.66 L 127.642528 33.5592 L 127.903113 33.66 L 128.163699 26.6544 L 128.424284 25.6968 L 128.684869 33.3576 L 128.945455 33.66 L 129.20604 28.4184 L 129.466625 32.8536 L 129.72721 33.66 M 130.248381 33.66 L 130.508966 31.0896 L 130.769552 24.6384 L 131.030137 33.0552 L 131.290722 33.66 L 131.551308 26.3016 L 131.811893 33.2064 L 132.072478 33.66 M 132.593649 33.66 L 132.854234 31.9968 L 133.114819 27.1584 L 133.63599 33.66 L 133.896575 27.9648 L 134.157161 33.0552 L 134.417746 33.66 L 135.199502 33.66 M 135.720672 33.66 L 135.981258 33.66 L 136.241843 33.3576 L 136.502428 33.66 L 136.763014 33.66 M 137.284184 33.66 L 137.54477 30.4848 L 137.805355 21.6144 L 138.06594 32.7528 L 138.326526 33.66 L 138.587111 25.596 L 138.847696 32.9544 L 139.108281 33.66 M 139.890037 31.4928 L 140.150623 24.5376 L 140.411208 33.2568 L 140.671793 33.66 L 140.932379 27.7632 L 141.192964 32.652 L 141.453549 33.66 M 142.235305 28.7208 L 142.49589 24.6888 L 142.756476 32.904 L 143.017061 33.66 L 143.277646 27.4608 L 143.538232 33.3072 L 143.798817 33.66 M 144.319988 33.66 L 144.841158 27.6624 L 145.101743 33.0552 L 145.362329 33.66 L 145.622914 28.4184 L 145.883499 33.2568 L 146.144085 33.66 M 146.665255 33.66 L 146.925841 30.888 L 147.186426 25.092 L 147.447011 33.0552 L 147.707597 33.66 L 147.968182 26.7048 L 148.228767 33.3072 L 148.489352 33.66 M 149.010523 33.66 L 149.271108 31.4424 L 149.531694 24.4368 M 150.052864 33.66 L 150.31345 26.1504 L 150.574035 32.8536 L 150.83462 33.66 M 151.355791 33.66 L 151.616376 31.2408 L 151.876961 26.8056 L 152.137547 33.0048 L 152.398132 33.66 L 152.658717 26.604 L 152.919303 33.1056 L 153.179888 33.66 M 153.701059 33.66 L 153.961644 28.2168 L 154.222229 17.9856 L 154.482814 29.9808 L 154.7434 33.66 L 155.003985 27.1584 L 155.26457 29.5272 L 155.525156 33.66 M 156.046326 33.66 L 156.306912 32.1984 L 156.567497 21.5136 L 156.828082 29.9808 L 157.088667 33.66 L 157.349253 27.7128 L 157.609838 33.2064 L 157.870423 33.66 M 158.391594 33.66 L 158.652179 30.2328 L 158.912765 21.1608 L 159.17335 33.3576 L 159.433935 33.66 L 159.694521 25.9992 L 159.955106 32.8536 L 160.215691 33.66 M 160.736862 33.66 L 160.997447 30.4344 L 161.258032 24.2352 L 161.518618 32.5008 L 161.779203 33.66 L 162.039788 27.2088 L 162.300374 33.156 L 162.560959 33.66 M 163.342715 30.888 L 163.6033 27.864 L 164.124471 33.66 L 164.385056 27.0072 L 164.645641 32.904 L 164.906227 33.66 M 165.427397 33.66 L 165.687983 31.2912 L 165.948568 26.7048 L 166.209153 33.4584 L 166.469738 33.66 L 166.730324 25.9992 L 166.990909 32.8536 L 166.990909 32.8536 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p9abff07528">   <rect height="27.72" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMC$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="42.12pt" version="1.1" viewBox="0 0 181.8 42.12" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 42.12 L 181.8 42.12 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p0c756235bd)" d="M 14.809091 33.66 L 15.069676 33.346819 L 15.330262 33.66 L 15.590847 33.407441 L 15.851432 31.607703 L 16.112017 33.504082 L 16.372603 33.66 L 16.633188 33.331127 L 16.893773 33.327946 L 17.154359 33.66 L 17.414944 33.22019 L 17.675529 33.66 L 17.936115 33.546407 L 18.1967 32.627921 L 18.457285 33.366399 L 18.71787 33.66 L 18.978456 32.353333 L 19.239041 33.637219 M 19.760212 31.059418 L 20.020797 33.66 L 20.281382 33.065454 L 20.541968 31.417828 L 20.802553 33.549787 L 21.063138 33.66 L 21.323724 33.138627 M 21.844894 33.66 L 22.105479 26.004337 L 22.366065 33.66 L 22.62665 32.42812 L 22.887235 32.167459 L 23.147821 33.563252 L 23.408406 33.66 L 23.668991 32.866015 L 23.929577 33.523073 L 24.190162 33.66 L 24.450747 29.745422 L 24.711333 33.66 L 24.971918 33.062105 L 25.232503 8.46 L 25.493088 33.649774 L 25.753674 33.66 L 26.014259 32.312095 L 26.274844 33.518894 L 26.53543 33.66 L 26.796015 29.558555 L 27.0566 33.66 L 27.317186 33.159883 L 27.577771 25.173764 L 27.838356 33.615536 L 28.098941 33.66 L 28.359527 31.906103 L 28.620112 32.999243 M 29.141283 32.694084 L 29.401868 24.333309 L 29.662453 33.567695 L 29.923039 31.703889 L 30.444209 33.66 L 30.704795 33.299977 L 30.96538 33.352625 L 31.225965 33.66 M 32.007721 33.259474 L 32.268306 30.743902 L 32.528892 33.394493 L 32.789477 33.66 L 33.050062 33.239455 L 33.571233 33.66 M 34.092403 33.66 L 34.352989 32.591237 L 34.613574 32.343894 L 34.874159 33.33498 L 35.134745 33.66 L 35.39533 33.017898 L 35.655915 33.03055 L 35.916501 33.66 M 36.437671 33.66 L 36.698257 33.539352 L 36.958842 30.411061 L 37.219427 33.490811 L 37.480012 33.66 L 37.740598 32.015992 L 38.001183 33.3642 L 38.261768 33.66 M 38.782939 33.66 L 39.043524 32.915262 L 39.30411 30.878995 L 39.564695 33.595222 L 39.82528 33.66 L 40.085866 32.595411 L 40.346451 32.938686 L 40.607036 33.66 M 41.128207 33.66 L 41.388792 33.574514 L 41.649377 31.958968 L 42.170548 33.66 L 42.431133 33.312191 L 42.691719 33.365093 L 42.952304 33.66 L 43.212889 33.594436 L 43.473474 33.66 L 43.73406 33.484362 L 43.994645 33.079407 L 44.25523 33.148763 L 44.515816 33.66 L 44.776401 33.294815 L 45.297572 33.66 M 45.818742 33.66 L 46.079328 32.30434 L 46.339913 32.615248 L 46.861083 33.66 L 47.121669 32.127482 L 47.382254 33.411596 L 47.642839 33.66 M 48.16401 33.66 L 48.424595 33.212349 L 48.685181 31.000194 L 48.945766 33.495538 L 49.206351 33.66 L 49.466936 32.561557 L 49.727522 33.459396 L 49.988107 33.66 M 50.509278 33.66 L 50.769863 33.513439 L 51.030448 32.182052 L 51.291034 33.443113 L 51.551619 33.66 L 51.812204 33.017701 L 52.07279 33.508612 L 52.333375 33.66 M 52.854545 33.66 L 53.115131 33.348304 L 53.375716 32.557988 L 53.636301 33.59057 L 53.896887 33.66 L 54.418057 33.465665 L 54.678643 33.66 M 55.199813 33.66 L 55.460399 33.403462 L 55.720984 32.777184 L 55.981569 33.545492 L 56.242154 33.66 L 56.50274 33.137727 L 56.763325 32.897526 L 57.02391 33.66 M 57.805666 33.312051 L 58.066252 30.785616 L 58.326837 33.609215 L 58.587422 33.66 L 58.848007 32.611507 L 59.369178 33.66 M 60.150934 33.570653 L 60.411519 32.582837 L 60.93269 33.66 L 61.193275 32.862961 L 61.453861 33.027495 L 61.714446 33.66 M 62.235616 33.66 L 62.496202 32.941284 L 62.756787 31.6729 L 63.017372 33.445736 L 63.277958 33.66 L 63.538543 32.99598 L 63.799128 33.551543 L 64.059714 33.66 M 64.580884 33.66 L 64.841469 33.503868 L 65.102055 33.079348 L 65.36264 33.66 L 65.623225 33.66 L 65.883811 33.414122 L 66.144396 33.608885 L 66.404981 33.66 L 66.665567 32.046829 L 66.926152 33.66 L 67.447323 33.078517 L 67.707908 33.605544 L 67.968493 33.66 L 68.229078 32.609736 M 69.010834 33.475812 L 69.27142 33.66 L 69.532005 32.129954 L 69.79259 32.538673 L 70.053176 33.591282 L 70.313761 33.66 L 70.574346 31.322927 L 71.095517 33.66 L 71.356102 32.792196 L 71.616687 33.332156 L 71.877273 31.685593 L 72.137858 31.508473 L 72.398443 33.639747 L 72.659029 33.66 L 72.919614 32.341796 L 73.180199 33.388256 L 73.440785 33.66 L 73.70137 31.619994 L 73.961955 33.66 L 74.22254 31.910617 L 74.483126 32.306174 L 74.743711 33.65703 L 75.004296 33.66 L 75.264882 32.404953 L 75.525467 33.444879 L 75.786052 33.66 L 76.046638 31.129077 L 76.307223 33.66 L 76.567808 33.242702 L 76.828394 29.258445 L 77.088979 33.489489 L 77.349564 33.66 L 77.610149 32.319205 L 77.870735 33.472254 L 78.13132 33.66 L 78.391905 32.443413 L 78.652491 33.66 L 78.913076 32.812282 L 79.173661 33.413548 M 79.694832 33.66 L 79.955417 32.194826 L 80.216002 33.277788 L 80.476588 33.66 M 80.997758 33.66 L 81.258344 33.359129 L 81.518929 31.717434 L 81.779514 33.423867 L 82.0401 33.66 L 82.300685 32.207686 L 82.56127 33.10487 M 83.343026 33.66 L 83.864197 31.36384 L 84.124782 33.644819 L 84.385367 33.66 L 84.645953 31.818957 L 84.906538 32.562155 L 85.167123 33.66 M 85.688294 33.66 L 85.948879 33.194563 L 86.209465 31.805426 M 86.730635 33.66 L 86.99122 32.753584 L 87.251806 33.476905 L 87.512391 33.66 M 88.033562 33.66 L 88.294147 31.189295 L 88.554732 30.647137 L 88.815318 33.643327 L 89.075903 33.66 L 89.336488 33.025218 L 89.597073 32.930636 L 89.857659 33.66 M 90.378829 33.66 L 90.639415 33.193368 L 90.9 30.766419 L 91.160585 33.613437 L 91.421171 33.66 L 91.681756 32.915683 L 91.942341 33.524207 L 92.202927 33.66 M 92.724097 33.66 L 92.984682 33.62263 L 93.245268 31.708788 L 93.766438 33.66 L 94.027024 32.830508 L 94.548194 33.66 M 95.069365 33.66 L 95.32995 32.725844 L 95.590535 32.670482 L 96.111706 33.66 L 96.372291 32.875394 L 96.632877 32.728898 L 96.893462 33.66 M 97.414633 33.66 L 97.675218 33.546449 L 97.935803 32.488235 L 98.196389 33.372354 L 98.456974 33.66 L 98.717559 33.036189 L 98.978144 33.150342 L 99.23873 33.66 M 99.7599 33.66 L 100.020486 33.554664 L 100.281071 32.781004 L 100.541656 33.560428 L 100.802242 33.66 L 101.062827 32.878662 L 101.323412 33.594749 L 101.583998 33.66 M 102.105168 33.58257 L 102.365753 33.595738 L 102.626339 32.34359 M 103.147509 33.66 L 103.408095 32.481051 L 103.66868 33.417863 L 103.929265 33.66 M 104.711021 33.376847 L 104.971606 31.63827 L 105.232192 33.258907 L 105.492777 33.66 L 105.753362 32.122109 L 106.013948 33.119791 L 106.274533 33.66 M 106.795704 33.66 L 107.056289 33.462021 L 107.316874 33.081577 L 107.838045 33.66 L 108.09863 32.845082 L 108.359215 33.384409 L 108.619801 33.66 M 109.401557 33.575497 L 109.662142 30.751575 L 109.922727 33.607948 L 110.183313 33.66 L 110.443898 32.668409 L 110.704483 32.855685 L 110.965068 33.66 M 111.486239 33.66 L 111.746824 33.628474 L 112.00741 33.368732 L 112.267995 33.602792 L 112.52858 33.66 L 112.789166 33.343109 L 113.049751 33.618959 L 113.310336 33.66 L 113.570922 32.581569 M 114.092092 33.549282 L 114.352677 32.932438 L 114.613263 33.591236 L 114.873848 33.66 L 115.134433 31.774855 L 115.655604 33.66 L 115.916189 31.995293 M 116.43736 33.500393 L 116.697945 31.978455 L 116.958531 33.609464 L 117.219116 33.66 L 117.479701 32.225476 L 118.000872 33.66 M 118.522042 33.087699 L 118.782628 33.427415 L 119.043213 31.040272 L 119.303798 33.380268 L 119.564384 33.66 L 120.085554 32.904619 L 120.346139 33.66 L 120.606725 33.387952 L 120.86731 33.66 L 121.127895 33.521385 L 121.388481 25.252998 L 121.649066 33.631387 L 121.909651 33.66 L 122.170237 32.643133 L 122.430822 33.284002 M 122.951993 32.488676 L 123.212578 33.66 L 123.473163 33.636511 L 123.733748 29.721716 L 123.994334 33.603308 L 124.254919 33.66 L 124.515504 29.227876 L 124.77609 33.152538 L 125.036675 33.66 L 125.29726 32.849602 L 125.557846 33.66 L 125.818431 32.919229 L 126.079016 29.978086 L 126.339601 33.519681 L 126.600187 33.66 L 127.121357 31.012854 L 127.381943 33.66 L 127.642528 31.522014 L 127.903113 33.66 L 128.163699 32.84233 L 128.424284 32.837103 L 128.684869 33.657065 L 128.945455 33.66 L 129.20604 32.920617 L 129.466625 33.168605 L 129.72721 33.66 M 130.248381 33.66 L 130.508966 33.577925 L 130.769552 32.639985 L 131.030137 33.608291 L 131.290722 33.66 L 131.551308 32.357608 L 131.811893 33.202556 L 132.072478 33.66 M 132.593649 33.66 L 132.854234 33.557651 L 133.114819 32.814305 L 133.375405 33.516309 L 133.63599 33.66 L 133.896575 32.692839 L 134.157161 33.612246 L 134.938917 33.66 L 135.199502 33.66 M 135.720672 33.66 L 136.763014 33.66 M 137.284184 33.66 L 137.54477 33.593555 L 137.805355 31.519525 L 138.06594 33.60392 L 138.326526 33.66 L 138.587111 33.105147 L 138.847696 33.485638 L 139.108281 33.66 M 139.890037 33.529367 L 140.150623 32.759011 L 140.411208 33.562516 L 140.671793 33.66 L 140.932379 32.880331 L 141.192964 32.765269 L 141.453549 33.66 M 142.235305 31.964479 L 142.49589 31.477836 L 142.756476 33.003057 L 143.017061 33.66 L 143.277646 32.64763 L 143.538232 33.409354 L 143.798817 33.66 M 144.319988 33.66 L 144.580573 33.447676 L 144.841158 32.21061 L 145.101743 33.542928 L 145.362329 33.66 L 145.622914 32.388242 L 146.144085 33.66 M 146.665255 33.66 L 146.925841 33.512453 L 147.186426 32.740823 L 147.447011 33.52853 L 147.707597 33.66 L 147.968182 32.381942 L 148.228767 33.525275 L 148.489352 33.66 M 149.010523 33.66 L 149.271108 33.604676 L 149.531694 32.411686 M 150.052864 33.66 L 150.31345 32.76665 L 150.574035 32.791505 L 150.83462 33.66 M 151.355791 33.66 L 151.616376 33.621837 L 151.876961 32.087487 L 152.137547 33.49084 L 152.398132 33.66 L 152.658717 33.008044 L 152.919303 33.243438 L 153.179888 33.66 M 153.701059 33.66 L 153.961644 33.026614 L 154.222229 31.579118 L 154.482814 33.600899 L 154.7434 33.66 L 155.003985 32.761867 L 155.26457 32.533792 L 155.525156 33.66 M 156.046326 33.66 L 156.306912 33.650699 L 156.567497 32.078619 L 156.828082 33.628036 L 157.088667 33.66 L 157.349253 31.641667 L 157.609838 32.181311 L 157.870423 33.66 M 158.391594 33.66 L 158.652179 33.329115 L 158.912765 32.053968 L 159.17335 33.604387 L 159.433935 33.66 L 159.694521 32.170269 L 160.215691 33.66 M 160.736862 33.66 L 160.997447 33.591536 L 161.258032 32.392983 L 161.779203 33.66 L 162.039788 32.799233 L 162.560959 33.66 M 163.342715 33.114865 L 163.6033 32.78311 L 163.863885 33.128426 L 164.124471 33.66 L 164.385056 32.35377 L 164.906227 33.66 M 165.427397 33.66 L 165.687983 33.482917 L 165.948568 32.69121 L 166.209153 33.467954 L 166.469738 33.66 L 166.990909 32.680459 L 166.990909 32.680459 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p0c756235bd">   <rect height="27.72" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>GNMATradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="42.12pt" version="1.1" viewBox="0 0 181.8 42.12" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 42.12 L 181.8 42.12 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p9aea170877)" d="M 14.809091 33.66 L 15.069676 22.761095 L 15.330262 33.573458 L 15.590847 33.524778 L 15.851432 30.674295 L 16.112017 33.557231 L 16.372603 33.66 L 16.633188 32.296961 L 16.893773 33.568049 L 17.154359 33.66 L 17.414944 23.664379 L 17.675529 33.56264 L 17.936115 33.411191 L 18.1967 32.015699 M 18.71787 33.66 L 18.978456 32.594449 M 19.499626 33.66 L 19.760212 23.788783 L 20.020797 33.519369 L 20.281382 33.292196 L 20.541968 30.414668 M 21.063138 33.66 L 21.323724 32.540361 L 21.584309 33.584276 L 21.844894 33.66 L 22.105479 22.885499 L 22.366065 33.46528 L 22.62665 33.086658 L 22.887235 29.468113 L 23.147821 33.476098 L 23.408406 33.66 L 23.668991 32.129285 L 23.929577 33.432827 L 24.190162 33.66 L 24.450747 21.792904 L 24.711333 33.551822 L 24.971918 33.378738 L 25.232503 30.127997 L 25.493088 33.524778 L 25.753674 33.66 L 26.014259 31.691165 L 26.274844 33.400373 L 26.53543 33.66 L 26.796015 23.377708 L 27.0566 33.503142 L 27.317186 33.389556 L 27.577771 30.403851 L 27.838356 33.313831 L 28.098941 33.66 L 28.359527 32.037334 L 28.620112 33.584276 L 28.880697 33.66 L 29.141283 25.173458 L 29.401868 33.568049 L 29.662453 33.389556 L 29.923039 30.923104 L 30.183624 33.573458 L 30.444209 33.66 L 30.704795 32.626903 L 30.96538 33.622138 L 31.225965 33.66 L 31.48655 23.339845 L 31.747136 33.568049 L 32.007721 33.394965 L 32.268306 30.306491 L 32.528892 33.546413 L 32.789477 33.66 L 33.050062 32.091423 L 33.310648 33.51396 M 33.831818 22.193162 L 34.092403 33.535596 L 34.352989 33.281378 L 34.613574 29.53302 L 34.874159 33.595093 L 35.134745 33.66 L 35.39533 31.772299 L 35.655915 33.432827 L 35.916501 33.66 L 36.177086 20.657038 L 36.437671 33.595093 L 36.698257 33.194836 L 36.958842 28.748731 L 37.219427 33.519369 L 37.480012 33.66 L 37.740598 31.956201 L 38.001183 33.373329 L 38.261768 33.66 L 38.522354 18.504301 L 38.782939 33.578867 L 39.043524 33.400373 L 39.30411 24.324263 L 39.564695 33.519369 L 39.82528 33.66 L 40.085866 32.210419 L 40.346451 33.394965 L 40.607036 33.66 L 40.867621 13.620077 L 41.128207 33.530187 L 41.388792 33.340876 L 41.649377 26.498635 L 41.909963 33.56264 L 42.170548 33.66 L 42.431133 32.475454 L 42.691719 33.524778 L 42.952304 33.66 L 43.212889 13.306362 L 43.473474 33.541005 L 43.73406 33.351693 L 43.994645 26.888075 L 44.25523 33.519369 L 44.515816 33.66 L 44.776401 32.372685 L 45.036986 33.492325 L 45.297572 33.66 L 45.558157 25.730573 L 45.818742 33.600502 L 46.079328 33.400373 L 46.339913 27.456008 L 46.600498 33.503142 L 46.861083 33.66 L 47.121669 31.810161 L 47.382254 33.432827 L 47.642839 33.66 L 47.903425 25.081507 L 48.16401 33.600502 L 48.424595 33.265151 L 48.685181 28.970496 L 48.945766 33.503142 L 49.206351 33.66 L 49.466936 31.71821 L 49.727522 33.492325 L 49.988107 33.66 L 50.248692 25.292453 L 50.509278 33.551822 L 50.769863 32.918983 L 51.030448 29.879189 L 51.291034 33.503142 L 51.551619 33.66 L 51.812204 31.907521 L 52.07279 33.535596 L 52.333375 33.66 L 52.59396 25.546671 L 52.854545 33.578867 L 53.115131 33.503142 L 53.375716 30.382215 L 53.636301 33.422009 L 53.896887 33.66 L 54.157472 32.718854 L 54.418057 33.476098 L 54.678643 33.66 L 54.939228 26.677128 L 55.199813 33.541005 L 55.460399 33.4166 L 55.720984 29.430251 L 55.981569 33.519369 L 56.242154 33.66 L 56.50274 31.777708 L 56.763325 33.568049 L 57.02391 33.66 L 57.284496 25.887431 L 57.545081 33.557231 L 57.805666 33.486916 L 58.066252 29.468113 L 58.326837 33.422009 L 58.587422 33.66 L 58.848007 31.750663 L 59.108593 33.56264 L 59.369178 33.66 L 59.629763 26.487817 L 59.890349 33.546413 L 60.150934 33.541005 L 60.411519 28.986722 L 60.672105 33.541005 L 60.93269 33.66 L 61.193275 31.772299 L 61.453861 33.605911 L 61.714446 33.66 L 61.975031 25.384404 L 62.235616 33.535596 L 62.496202 33.524778 L 62.756787 30.79329 L 63.017372 33.51396 L 63.277958 33.66 L 63.538543 32.280734 L 63.799128 33.508551 L 64.059714 33.66 L 64.320299 25.79548 L 64.580884 33.595093 L 64.841469 33.578867 L 65.102055 31.723619 M 65.623225 33.66 L 65.883811 32.935209 L 66.144396 33.470689 L 66.404981 33.66 L 66.665567 24.697476 L 66.926152 33.508551 L 67.186737 33.405782 L 67.447323 29.852144 L 67.707908 33.605911 L 67.968493 33.66 L 68.229078 32.25369 L 68.489664 33.605911 L 68.750249 33.66 L 69.010834 25.681893 L 69.27142 33.56264 L 69.532005 33.546413 L 69.79259 30.01982 L 70.053176 33.632956 L 70.313761 33.66 L 70.574346 32.10765 L 70.834932 33.46528 L 71.095517 33.66 L 71.356102 23.02613 L 71.616687 33.497733 L 71.877273 33.351693 L 72.137858 28.424198 L 72.398443 33.557231 L 72.659029 33.66 L 72.919614 32.167147 L 73.180199 33.394965 L 73.440785 33.66 L 73.70137 25.238364 L 73.961955 33.481507 L 74.22254 33.535596 L 74.483126 31.107006 L 74.743711 33.622138 L 75.004296 33.66 L 75.264882 32.242872 L 75.525467 33.61132 L 75.786052 33.66 L 76.046638 25.319498 L 76.307223 33.589684 L 76.567808 33.427418 L 76.828394 30.750019 L 77.088979 33.578867 L 77.349564 33.66 L 77.610149 32.367276 L 77.870735 33.492325 L 78.13132 33.66 L 78.391905 22.128255 L 78.652491 33.551822 L 78.913076 33.384147 L 79.173661 29.933278 L 79.434247 33.313831 L 79.694832 33.66 L 79.955417 31.777708 L 80.216002 33.454462 L 80.476588 33.66 L 80.737173 23.07481 L 80.997758 33.438236 L 81.258344 33.216471 L 81.518929 29.549247 L 81.779514 33.486916 L 82.0401 33.66 L 82.300685 32.048152 L 82.56127 33.519369 L 82.821856 33.66 L 83.082441 19.180412 L 83.343026 33.51396 L 83.603611 33.411191 L 83.864197 27.277514 L 84.124782 33.56264 L 84.385367 33.66 L 84.645953 32.183374 L 84.906538 33.497733 L 85.167123 33.66 L 85.427709 16.454334 L 85.688294 33.405782 L 85.948879 33.454462 L 86.209465 26.595995 L 86.47005 32.626903 L 86.730635 33.66 L 86.99122 32.470045 L 87.251806 33.541005 L 87.512391 33.66 L 87.772976 10.25575 L 88.033562 33.384147 L 88.294147 33.351693 L 88.554732 27.986079 L 88.815318 32.821623 L 89.075903 33.66 L 89.336488 32.561996 L 89.597073 33.51396 L 89.857659 33.66 L 90.118244 15.821494 L 90.378829 33.616729 L 90.639415 33.470689 L 90.9 27.099021 L 91.160585 33.524778 L 91.421171 33.66 L 91.681756 32.026516 L 91.942341 33.281378 L 92.202927 33.66 L 92.463512 24.567663 L 92.724097 33.56264 L 92.984682 33.459871 L 93.245268 29.814282 L 93.505853 33.546413 L 93.766438 33.66 L 94.027024 31.653303 L 94.548194 33.66 L 94.80878 25.714346 L 95.069365 33.632956 L 95.32995 33.389556 L 95.590535 28.943451 L 95.851121 32.973071 L 96.111706 33.66 L 96.372291 32.367276 L 96.632877 33.595093 L 96.893462 33.66 L 97.154047 26.585177 L 97.414633 33.541005 L 97.675218 33.46528 L 97.935803 28.678416 L 98.196389 33.595093 L 98.456974 33.66 L 98.717559 32.340232 L 98.978144 33.535596 L 99.23873 33.66 L 99.499315 26.18492 L 99.7599 33.600502 L 100.020486 33.530187 L 100.281071 28.240296 L 100.541656 33.443645 L 100.802242 33.66 L 101.062827 31.869659 L 101.323412 33.530187 L 101.583998 33.66 L 101.844583 24.583889 L 102.105168 33.578867 L 102.365753 33.389556 L 102.626339 28.045576 L 102.886924 33.357102 L 103.147509 33.66 L 103.408095 31.885885 L 103.66868 33.405782 L 103.929265 33.66 L 104.189851 24.583889 L 104.450436 33.524778 L 104.711021 33.530187 L 104.971606 26.498635 L 105.232192 32.989298 L 105.492777 33.66 L 105.753362 31.826388 L 106.013948 33.551822 L 106.274533 33.66 L 106.535118 25.903657 L 106.795704 33.470689 L 107.056289 33.584276 L 107.316874 29.890006 L 107.57746 33.578867 L 107.838045 33.66 L 108.09863 31.756072 L 108.359215 33.470689 L 108.619801 33.66 L 108.880386 25.946929 L 109.140971 33.470689 L 109.401557 33.584276 L 109.662142 29.92246 L 109.922727 33.227289 L 110.183313 33.66 L 110.443898 32.188783 L 110.704483 33.470689 L 110.965068 33.66 L 111.225654 25.059871 L 111.486239 33.519369 L 111.746824 33.595093 L 112.00741 30.944739 L 112.267995 33.61132 L 112.52858 33.66 L 112.789166 32.599858 L 113.049751 33.578867 L 113.310336 33.66 L 113.570922 23.615699 L 113.831507 33.432827 L 114.092092 33.238107 L 114.352677 29.733149 L 114.613263 33.470689 L 114.873848 33.66 L 115.134433 32.470045 L 115.395019 33.56264 L 115.655604 33.66 L 115.916189 23.572428 L 116.176775 33.546413 L 116.43736 33.432827 L 116.697945 29.733149 L 116.958531 33.340876 L 117.219116 33.66 L 117.479701 32.367276 L 117.740286 33.573458 L 118.000872 33.66 L 118.261457 25.297862 L 118.522042 33.449053 L 118.782628 33.411191 L 119.043213 27.921172 L 119.303798 33.497733 L 119.564384 33.66 L 119.824969 32.280734 L 120.085554 33.61132 L 120.346139 33.66 L 120.606725 24.719111 L 120.86731 33.51396 L 121.127895 33.443645 L 121.388481 31.020464 L 121.649066 33.56264 L 121.909651 33.66 L 122.170237 32.632312 L 122.430822 33.578867 L 122.691407 33.66 L 122.951993 24.394578 L 123.212578 33.56264 L 123.473163 32.983889 L 123.733748 30.349762 L 123.994334 33.627547 L 124.254919 33.66 L 124.515504 32.378094 L 124.77609 33.486916 L 125.036675 33.66 L 125.29726 22.750277 L 125.557846 33.438236 L 125.818431 33.46528 L 126.079016 29.127354 M 126.600187 33.66 L 126.860772 32.150921 L 127.121357 33.470689 L 127.381943 33.66 L 127.642528 23.713059 L 127.903113 33.546413 L 128.163699 33.281378 L 128.424284 29.43566 L 128.684869 33.605911 L 128.945455 33.66 L 129.20604 32.680992 L 129.466625 33.481507 L 129.72721 33.66 L 129.987796 20.510998 L 130.248381 33.546413 L 130.508966 33.065023 L 130.769552 29.349118 M 131.290722 33.66 L 131.551308 32.35105 L 131.811893 33.573458 L 132.072478 33.66 L 132.333064 22.155299 L 132.593649 33.600502 L 132.854234 33.081249 L 133.114819 29.749375 M 133.63599 33.66 L 133.896575 32.664765 L 134.157161 33.486916 L 134.417746 33.66 L 135.199502 33.66 L 135.460087 33.378738 L 135.720672 33.66 L 135.981258 33.66 M 136.502428 33.66 L 136.763014 33.66 L 137.023599 17.011449 L 137.284184 33.541005 L 137.54477 33.330058 L 137.805355 23.210032 L 138.06594 32.805396 L 138.326526 33.66 L 138.587111 32.102241 L 138.847696 33.470689 L 139.108281 33.66 L 139.368867 8.46 L 139.629452 33.51396 L 139.890037 33.432827 L 140.150623 27.304559 M 140.671793 33.66 L 140.932379 32.150921 L 141.192964 33.481507 L 141.453549 33.66 L 141.714134 13.127869 L 141.97472 33.503142 L 142.235305 33.51396 L 142.49589 27.88331 L 142.756476 33.578867 L 143.017061 33.66 L 143.277646 32.388912 L 143.538232 33.524778 L 143.798817 33.66 L 144.059402 27.910354 L 144.319988 33.584276 L 144.580573 33.519369 L 144.841158 29.614153 L 145.101743 33.422009 L 145.362329 33.66 L 145.622914 32.751307 L 145.883499 33.595093 L 146.144085 33.66 L 146.40467 26.612222 L 146.665255 33.622138 L 146.925841 33.248925 L 147.186426 28.775776 L 147.447011 33.61132 L 147.707597 33.66 L 147.968182 32.329414 L 148.228767 33.568049 L 148.489352 33.66 L 148.749938 27.353239 L 149.010523 33.551822 L 149.271108 33.362511 L 149.531694 29.641198 L 149.792279 33.216471 L 150.052864 33.66 L 150.31345 32.39973 L 150.574035 33.541005 L 150.83462 33.66 L 151.095205 25.5034 L 151.355791 33.616729 L 151.616376 33.405782 L 151.876961 29.846735 L 152.137547 33.66 L 152.398132 33.66 L 152.658717 32.242872 L 152.919303 33.546413 L 153.179888 33.66 L 153.440473 26.460773 L 153.701059 33.51396 L 153.961644 33.530187 L 154.222229 28.819047 L 154.482814 32.626903 L 154.7434 33.66 L 155.003985 32.20501 L 155.26457 33.194836 L 155.525156 33.66 L 155.785741 26.650084 L 156.046326 33.589684 L 156.306912 33.232698 L 156.567497 28.424198 L 156.828082 32.280734 L 157.088667 33.66 L 157.349253 32.44841 L 157.609838 33.519369 L 157.870423 33.66 L 158.131009 27.212608 L 158.391594 33.535596 L 158.652179 33.51396 L 158.912765 29.738558 L 159.17335 33.627547 L 159.433935 33.66 L 159.694521 31.71821 L 159.955106 33.578867 L 160.215691 33.66 L 160.476276 26.590586 L 160.736862 33.51396 L 160.997447 33.51396 L 161.258032 25.395222 L 161.518618 33.584276 L 161.779203 33.66 L 162.039788 32.140103 L 162.300374 33.492325 L 162.560959 33.66 L 162.821544 26.065924 L 163.08213 33.508551 L 163.342715 33.578867 L 163.6033 30.917695 L 163.863885 33.616729 L 164.124471 33.66 L 164.385056 32.340232 L 164.645641 33.389556 L 164.906227 33.66 L 165.166812 24.318854 L 165.427397 33.524778 L 165.687983 33.568049 L 165.948568 30.268628 L 166.209153 33.627547 L 166.469738 33.66 L 166.730324 32.529543 L 166.990909 33.449053 L 166.990909 33.449053 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p9aea170877">   <rect height="27.72" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>GNMAUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="42.12pt" version="1.1" viewBox="0 0 181.8 42.12" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 42.12 L 181.8 42.12 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pfb94013fc4)" d="M 14.809091 33.66 L 15.069676 32.617447 L 15.330262 33.391915 L 15.590847 33.272766 L 15.851432 25.766383 L 16.112017 33.12383 L 16.372603 33.66 L 16.633188 30.145106 L 16.893773 33.451489 L 17.154359 33.66 L 17.414944 32.945106 L 17.675529 33.302553 L 17.936115 33.094043 L 18.1967 30.383404 M 18.71787 33.66 L 18.978456 30.949362 M 19.499626 33.66 L 19.760212 32.79617 L 20.020797 33.33234 L 20.281382 32.289787 L 20.541968 26.004681 M 21.063138 33.66 L 21.323724 30.145106 L 21.584309 33.421702 L 21.844894 33.66 L 22.105479 32.647234 L 22.366065 33.242979 L 22.62665 32.349362 L 22.887235 21.92383 L 23.147821 33.153617 L 23.408406 33.66 L 23.668991 29.221702 L 23.929577 32.58766 L 24.190162 33.66 L 24.450747 32.706809 L 24.711333 33.302553 L 24.971918 32.885532 L 25.232503 24.902553 L 25.493088 33.064255 L 25.753674 33.66 L 26.014259 28.92383 L 26.274844 32.468511 L 26.53543 33.66 L 26.796015 32.736596 L 27.0566 33.213191 L 27.317186 33.12383 L 27.577771 25.528085 L 27.838356 32.528085 L 28.098941 33.66 L 28.359527 29.281277 L 28.620112 33.421702 L 28.880697 33.66 L 29.141283 32.736596 L 29.401868 33.511064 L 29.662453 33.034468 L 29.923039 26.272766 L 30.183624 33.362128 L 30.444209 33.66 L 30.704795 30.591915 L 30.96538 33.511064 L 31.225965 33.66 L 31.48655 32.915319 L 31.747136 33.33234 L 32.007721 33.094043 L 32.268306 24.694043 L 32.528892 33.213191 L 32.789477 33.66 L 33.050062 29.579149 L 33.310648 33.302553 M 33.831818 32.766383 L 34.092403 33.391915 L 34.352989 33.094043 L 34.613574 24.038723 L 34.874159 33.391915 L 35.134745 33.66 L 35.39533 28.655745 L 35.655915 33.064255 L 35.916501 33.66 L 36.177086 32.498298 L 36.437671 33.421702 L 36.698257 33.12383 L 36.958842 22.400426 L 37.219427 32.974894 L 37.480012 33.66 L 37.740598 28.92383 L 38.001183 32.915319 L 38.261768 33.66 L 38.522354 32.58766 L 38.782939 33.33234 L 39.043524 33.153617 L 39.30411 10.098298 L 39.564695 32.915319 L 39.82528 33.66 L 40.085866 29.251489 L 40.346451 32.855745 L 40.607036 33.66 L 40.867621 32.498298 L 41.128207 33.362128 L 41.388792 32.617447 L 41.649377 15.370638 L 41.909963 33.272766 L 42.170548 33.66 L 42.431133 30.234468 L 42.691719 33.183404 L 42.952304 33.66 L 43.212889 32.498298 L 43.473474 33.421702 L 43.73406 32.706809 L 43.994645 17.068511 L 44.25523 33.242979 L 44.515816 33.66 L 44.776401 30.383404 L 45.036986 33.094043 L 45.297572 33.66 L 45.558157 32.617447 L 45.818742 33.362128 L 46.079328 32.557872 L 46.339913 15.13234 L 46.600498 33.064255 L 46.861083 33.66 L 47.121669 29.013191 L 47.382254 32.855745 L 47.642839 33.66 L 47.903425 32.855745 L 48.16401 33.451489 L 48.424595 32.825957 L 48.685181 24.39617 L 48.945766 33.004681 L 49.206351 33.66 L 49.466936 28.477021 L 49.727522 32.855745 L 49.988107 33.66 L 50.248692 32.855745 L 50.509278 33.33234 L 50.769863 31.634468 L 51.030448 24.634468 L 51.291034 33.034468 L 51.551619 33.66 L 51.812204 28.685532 L 52.07279 33.272766 L 52.333375 33.66 L 52.59396 32.855745 L 52.854545 33.33234 L 53.115131 33.183404 L 53.375716 26.33234 L 53.636301 32.498298 L 53.896887 33.66 L 54.157472 31.157872 L 54.418057 33.302553 L 54.678643 33.66 L 54.939228 32.855745 L 55.199813 33.272766 L 55.460399 33.034468 L 55.720984 20.583404 L 55.981569 33.12383 L 56.242154 33.66 L 56.50274 29.46 L 56.763325 33.362128 L 57.02391 33.66 L 57.284496 32.766383 L 57.545081 33.272766 L 57.805666 33.094043 L 58.066252 22.102553 L 58.326837 32.379149 L 58.587422 33.66 L 58.848007 28.655745 L 59.108593 33.213191 L 59.369178 33.66 L 59.629763 32.915319 L 59.890349 33.451489 L 60.150934 33.272766 L 60.411519 21.715319 L 60.672105 33.12383 L 60.93269 33.66 L 61.193275 28.715319 L 61.453861 33.421702 L 61.714446 33.66 L 61.975031 32.736596 L 62.235616 33.33234 L 62.496202 33.12383 L 62.756787 26.749362 L 63.017372 33.183404 L 63.277958 33.66 L 63.538543 29.400426 L 63.799128 33.33234 L 64.059714 33.66 L 64.320299 32.706809 L 64.580884 33.451489 L 64.841469 33.272766 L 65.102055 28.655745 M 65.623225 33.66 L 65.883811 31.634468 L 66.144396 33.33234 L 66.404981 33.66 L 66.665567 32.706809 L 66.926152 33.302553 L 67.186737 32.79617 L 67.447323 22.847234 L 67.707908 33.421702 L 67.968493 33.66 L 68.229078 30.383404 L 68.489664 33.421702 L 68.750249 33.66 L 69.010834 32.706809 L 69.27142 33.302553 L 69.532005 33.362128 L 69.79259 25.438723 L 70.053176 33.511064 L 70.313761 33.66 L 70.574346 29.757872 L 70.834932 32.79617 L 71.095517 33.66 L 71.356102 32.885532 L 71.616687 33.302553 L 71.877273 32.885532 L 72.137858 12.511064 L 72.398443 33.302553 L 72.659029 33.66 L 72.919614 29.489787 L 73.180199 32.677021 L 73.440785 33.66 L 73.70137 32.557872 L 73.961955 33.302553 L 74.22254 33.213191 L 74.483126 27.702553 L 74.743711 33.540851 L 75.004296 33.66 L 75.264882 30.025957 L 75.525467 33.421702 L 75.786052 33.66 L 76.046638 32.79617 L 76.307223 33.391915 L 76.567808 33.183404 L 76.828394 27.106809 L 77.088979 33.302553 L 77.349564 33.66 L 77.610149 30.502553 L 77.870735 33.153617 L 78.13132 33.66 L 78.391905 32.855745 L 78.652491 33.302553 L 78.913076 33.242979 L 79.173661 24.962128 L 79.434247 32.111064 L 79.694832 33.66 L 79.955417 28.298298 L 80.216002 33.034468 L 80.476588 33.66 L 80.737173 32.766383 L 80.997758 33.242979 L 81.258344 33.064255 L 81.518929 23.711064 L 81.779514 33.004681 L 82.0401 33.66 L 82.300685 28.59617 L 82.56127 33.242979 L 82.821856 33.66 L 83.082441 32.528085 L 83.343026 33.302553 L 83.603611 33.183404 L 83.864197 19.153617 L 84.124782 33.302553 L 84.385367 33.66 L 84.645953 29.281277 L 84.906538 33.034468 L 85.167123 33.66 L 85.427709 32.319574 L 85.688294 33.094043 L 85.948879 33.213191 L 86.209465 17.217447 L 86.47005 28.357872 L 86.730635 33.66 L 86.99122 29.877021 L 87.251806 33.33234 L 87.512391 33.66 L 87.772976 32.58766 L 88.033562 33.362128 L 88.294147 32.915319 L 88.554732 20.345106 L 88.815318 31.18766 L 89.075903 33.66 L 89.336488 30.234468 L 89.597073 33.153617 L 89.857659 33.66 L 90.118244 32.468511 L 90.378829 33.421702 L 90.639415 32.974894 L 90.9 19.630213 L 91.160585 33.242979 L 91.421171 33.66 L 91.681756 28.685532 L 91.942341 32.706809 L 92.202927 33.66 L 92.463512 32.825957 L 92.724097 33.302553 L 92.984682 33.302553 L 93.245268 23.830213 L 93.505853 33.242979 L 93.766438 33.66 L 94.027024 28.149362 L 94.287609 32.051489 L 94.548194 33.66 L 94.80878 32.825957 L 95.069365 33.540851 L 95.32995 32.79617 L 95.590535 20.255745 L 95.851121 30.353617 L 96.111706 33.66 L 96.372291 29.817447 L 96.632877 33.33234 L 96.893462 33.66 L 97.154047 32.974894 L 97.414633 33.302553 L 97.675218 33.213191 L 97.935803 21.536596 L 98.196389 33.451489 L 98.456974 33.66 L 98.717559 29.728085 L 98.978144 33.302553 L 99.23873 33.66 L 99.499315 32.855745 L 99.7599 33.391915 L 100.020486 33.242979 L 100.281071 16.591915 L 100.541656 32.647234 L 100.802242 33.66 L 101.062827 29.042979 L 101.323412 33.33234 L 101.583998 33.66 L 101.844583 32.706809 L 102.105168 33.391915 L 102.365753 32.885532 L 102.626339 16.830213 L 102.886924 32.081277 L 103.147509 33.66 L 103.408095 29.608936 L 103.66868 32.915319 L 103.929265 33.66 L 104.189851 32.677021 L 104.450436 33.362128 L 104.711021 33.094043 L 104.971606 14.745106 L 105.232192 30.383404 L 105.492777 33.66 L 105.753362 28.894043 L 106.013948 33.213191 L 106.274533 33.66 L 106.535118 32.79617 L 106.795704 33.391915 L 107.056289 33.302553 L 107.316874 22.340851 L 107.57746 33.391915 L 107.838045 33.66 L 108.09863 28.953617 L 108.359215 33.064255 L 108.619801 33.66 L 108.880386 32.706809 L 109.401557 33.391915 L 109.662142 22.311064 L 109.922727 32.468511 L 110.183313 33.66 L 110.443898 29.936596 L 110.704483 33.153617 L 110.965068 33.66 L 111.225654 32.706809 L 111.486239 33.391915 L 111.746824 33.33234 L 112.00741 25.58766 L 112.267995 33.421702 L 112.52858 33.66 L 112.789166 30.442979 L 113.049751 33.362128 L 113.310336 33.66 L 113.570922 32.706809 L 113.831507 33.272766 L 114.092092 32.408936 L 114.352677 24.008936 L 114.613263 32.766383 L 114.873848 33.66 L 115.134433 30.889787 L 115.395019 33.362128 L 115.655604 33.66 L 115.916189 32.915319 L 116.176775 33.33234 L 116.43736 33.004681 L 116.697945 25.349362 L 116.958531 32.051489 L 117.219116 33.66 L 117.479701 29.906809 L 117.740286 33.421702 L 118.000872 33.66 L 118.261457 32.736596 L 118.522042 33.302553 L 118.782628 32.945106 L 119.043213 20.374894 L 119.303798 32.885532 L 119.564384 33.66 L 119.824969 29.549362 L 120.085554 33.481277 L 120.346139 33.66 L 120.606725 32.79617 L 120.86731 33.213191 L 121.127895 33.183404 L 121.388481 28.38766 L 121.649066 33.33234 L 121.909651 33.66 L 122.170237 30.740851 L 122.430822 33.391915 L 122.691407 33.66 L 122.951993 32.79617 L 123.212578 33.33234 L 123.473163 30.413191 L 123.733748 25.706809 L 123.994334 33.511064 L 124.254919 33.66 L 124.515504 29.370638 L 124.77609 33.034468 L 125.036675 33.66 L 125.29726 32.647234 L 125.557846 33.153617 L 125.818431 33.064255 L 126.079016 19.749362 M 126.600187 33.66 L 126.860772 29.251489 L 127.121357 33.064255 L 127.381943 33.66 L 127.642528 32.885532 L 127.903113 33.362128 L 128.163699 32.825957 L 128.424284 21.715319 L 128.684869 33.451489 L 128.945455 33.66 L 129.20604 30.800426 L 129.466625 33.064255 L 129.72721 33.66 L 129.987796 32.498298 L 130.248381 33.362128 L 130.508966 32.289787 L 130.769552 22.579149 M 131.290722 33.66 L 131.551308 29.579149 L 131.811893 33.302553 L 132.072478 33.66 L 132.333064 32.498298 L 132.593649 33.391915 L 132.854234 32.408936 L 133.114819 24.902553 M 133.63599 33.66 L 133.896575 31.008936 L 134.157161 32.885532 L 134.417746 33.66 L 135.199502 33.66 L 135.460087 32.408936 L 135.720672 33.66 L 135.981258 33.66 M 136.502428 33.66 L 136.763014 33.66 L 137.023599 32.617447 L 137.284184 33.421702 L 137.54477 33.12383 L 137.805355 8.46 L 138.06594 29.042979 L 138.326526 33.66 L 138.587111 29.340851 L 138.847696 32.736596 L 139.108281 33.66 L 139.368867 32.617447 L 139.629452 33.213191 L 139.890037 33.12383 L 140.150623 18.79617 M 140.671793 33.66 L 140.932379 29.936596 L 141.192964 33.12383 L 141.453549 33.66 L 141.714134 32.379149 L 141.97472 33.213191 L 142.235305 33.302553 L 142.49589 18.468511 L 142.756476 33.481277 L 143.017061 33.66 L 143.277646 30.442979 L 143.538232 33.183404 L 143.798817 33.66 L 144.059402 32.885532 L 144.319988 33.481277 L 144.580573 33.302553 L 144.841158 21.834468 L 145.101743 33.302553 L 145.362329 33.66 L 145.622914 31.425957 L 145.883499 33.391915 L 146.144085 33.66 L 146.40467 32.855745 L 146.665255 33.511064 L 146.925841 32.021702 L 147.186426 23.234468 L 147.447011 33.421702 L 147.707597 33.66 L 147.968182 30.174894 L 148.228767 33.302553 L 148.489352 33.66 L 148.749938 32.855745 L 149.010523 33.362128 L 149.271108 32.974894 L 149.531694 23.740851 L 149.792279 31.962128 L 150.052864 33.66 L 150.31345 30.234468 L 150.574035 33.33234 L 150.83462 33.66 L 151.095205 32.736596 L 151.355791 33.511064 L 151.616376 33.094043 L 151.876961 24.18766 L 152.137547 33.66 L 152.398132 33.66 L 152.658717 29.549362 L 152.919303 33.153617 L 153.179888 33.66 L 153.440473 32.885532 L 153.701059 33.33234 L 153.961644 33.153617 L 154.222229 16.472766 L 154.482814 28.089787 L 154.7434 33.66 L 155.003985 29.579149 L 155.525156 33.66 L 155.785741 32.855745 L 156.046326 33.421702 L 156.306912 32.438723 L 156.567497 15.817447 L 156.828082 29.78766 L 157.088667 33.66 L 157.349253 31.008936 L 157.609838 33.153617 L 157.870423 33.66 L 158.131009 32.945106 L 158.391594 33.362128 L 158.652179 33.213191 L 158.912765 22.370638 L 159.17335 33.481277 L 159.433935 33.66 L 159.694521 29.638723 L 159.955106 33.362128 L 160.215691 33.66 L 160.476276 32.855745 L 160.736862 33.391915 L 160.997447 33.153617 L 161.258032 11.140851 L 161.518618 33.391915 L 161.779203 33.66 L 162.039788 30.32383 L 162.300374 33.12383 L 162.560959 33.66 L 162.821544 32.79617 L 163.08213 33.242979 L 163.342715 33.451489 L 163.6033 26.064255 L 163.863885 33.481277 L 164.124471 33.66 L 164.385056 30.472766 L 164.645641 32.766383 L 164.906227 33.66 L 165.166812 32.677021 L 165.427397 33.272766 L 165.687983 33.391915 L 165.948568 23.711064 L 166.209153 33.540851 L 166.469738 33.66 L 166.730324 30.174894 L 166.990909 33.034468 L 166.990909 33.034468 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pfb94013fc4">   <rect height="27.72" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>GNMA$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="42.12pt" version="1.1" viewBox="0 0 181.8 42.12" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 42.12 L 181.8 42.12 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p0145eb6387)" d="M 14.809091 33.66 L 15.069676 22.460873 L 15.330262 33.583941 L 15.590847 33.656621 L 15.851432 32.136898 L 16.112017 33.654573 L 16.372603 33.66 L 16.633188 33.340846 L 16.893773 33.656977 L 17.154359 33.66 L 17.414944 20.824143 L 17.675529 33.588968 L 17.936115 33.653662 L 18.1967 31.733943 M 18.71787 33.66 L 18.978456 33.636724 M 19.499626 33.66 L 19.760212 22.599731 L 20.020797 33.608612 L 20.281382 33.624125 L 20.541968 32.180154 M 21.063138 33.66 L 21.323724 33.563982 L 21.844894 33.66 L 22.105479 18.25183 L 22.366065 33.54439 L 22.62665 33.634868 L 22.887235 32.054018 L 23.147821 33.648792 L 24.190162 33.66 L 24.450747 20.957083 L 24.711333 33.599402 L 24.971918 33.644287 L 25.232503 32.104291 L 25.493088 33.647275 L 26.53543 33.66 L 26.796015 23.036707 L 27.0566 33.608351 L 27.317186 33.637074 L 27.577771 32.184407 L 27.838356 33.654104 L 28.880697 33.66 L 29.141283 25.974017 L 29.401868 33.620634 L 29.662453 33.653224 L 29.923039 32.735849 L 30.183624 33.658689 L 31.225965 33.66 L 31.48655 21.964601 L 31.747136 33.608821 L 32.007721 33.634113 L 32.268306 32.087144 L 32.528892 33.641497 L 33.050062 33.599508 L 33.310648 33.573552 M 33.831818 19.756574 L 34.092403 33.617399 L 34.352989 33.632256 L 34.613574 31.690936 L 34.874159 33.63106 L 35.39533 33.607918 L 35.655915 33.499414 L 35.916501 33.66 L 36.177086 16.2665 L 36.437671 33.64055 L 36.698257 33.612378 L 36.958842 31.562745 L 37.219427 33.643885 L 37.740598 33.596392 L 38.001183 33.510677 L 38.261768 33.66 L 38.522354 15.85038 L 38.782939 33.630308 L 39.043524 33.6334 L 39.30411 30.724171 L 39.564695 33.648941 L 40.607036 33.66 L 40.867621 11.361404 L 41.128207 33.595594 L 41.388792 33.652967 L 41.649377 32.010393 L 41.909963 33.657658 L 42.952304 33.66 L 43.212889 10.486815 L 43.473474 33.610147 L 43.73406 33.654697 L 43.994645 31.70115 L 44.25523 33.649572 L 45.297572 33.66 L 45.558157 19.514833 L 45.818742 33.609787 L 46.079328 33.650778 L 46.339913 32.177072 L 46.600498 33.621584 L 47.121669 33.613476 L 47.382254 33.567831 L 47.642839 33.66 L 47.903425 23.205762 L 48.16401 33.635055 L 48.424595 33.647179 L 48.685181 32.317761 L 48.945766 33.645123 L 49.466936 33.617251 L 49.727522 33.548711 L 49.988107 33.66 L 50.248692 21.331372 L 50.509278 33.580214 L 50.769863 33.650482 L 51.030448 32.586524 L 51.291034 33.618486 L 51.551619 33.66 L 51.812204 33.571303 L 52.333375 33.66 L 52.59396 21.757976 L 52.854545 33.618491 L 53.115131 33.649299 L 53.375716 32.702859 L 53.636301 33.560365 L 53.896887 33.66 L 54.418057 33.582035 L 54.678643 33.66 L 54.939228 25.923108 L 55.199813 33.634485 L 55.460399 33.655291 L 55.720984 33.058723 L 55.981569 33.65913 L 57.02391 33.66 L 57.284496 23.9527 L 57.545081 33.612335 L 57.805666 33.648775 L 58.066252 33.139508 L 58.326837 33.636764 L 59.369178 33.66 L 59.629763 25.926661 L 59.890349 33.629343 L 60.150934 33.656367 L 60.411519 32.681793 L 60.672105 33.644892 L 61.714446 33.66 L 61.975031 22.134497 L 62.235616 33.625216 L 62.496202 33.65859 L 62.756787 33.035795 L 63.017372 33.643662 L 64.059714 33.66 L 64.320299 25.191274 L 64.580884 33.621131 L 64.841469 33.657578 L 65.102055 33.139929 M 65.623225 33.66 L 66.144396 33.642337 L 66.404981 33.66 L 66.665567 17.47713 L 66.926152 33.613469 L 67.186737 33.616018 L 67.447323 32.288364 L 67.707908 33.65714 L 67.968493 33.66 L 68.229078 33.530708 L 68.750249 33.66 L 69.010834 23.484382 L 69.27142 33.591183 L 69.532005 33.653066 L 69.79259 32.53592 L 70.053176 33.65369 L 70.313761 33.66 L 70.574346 33.543647 L 71.095517 33.66 L 71.356102 17.370724 L 71.616687 33.598078 L 71.877273 33.639721 L 72.137858 32.122886 L 72.398443 33.638833 L 72.659029 33.66 L 72.919614 33.463598 L 73.440785 33.66 L 73.70137 21.733769 L 73.961955 33.60603 L 74.22254 33.600941 L 74.483126 31.149496 L 74.743711 33.651463 L 75.786052 33.66 L 76.046638 25.357693 L 76.307223 33.63793 L 76.567808 33.64229 L 76.828394 32.594403 L 77.088979 33.635854 L 78.13132 33.66 L 78.391905 14.368488 L 78.652491 33.598381 L 78.913076 33.64398 L 79.173661 31.109015 L 79.434247 33.612764 L 79.694832 33.66 L 79.955417 33.459839 L 80.476588 33.66 L 80.737173 17.655929 L 80.997758 33.534729 L 81.258344 33.626565 L 81.518929 31.731781 L 81.779514 33.650284 L 82.0401 33.66 L 82.300685 33.535838 L 82.821856 33.66 L 83.082441 10.385332 L 83.343026 33.617699 L 83.603611 33.641372 L 83.864197 31.232271 L 84.124782 33.630999 L 84.385367 33.66 L 84.645953 33.507451 L 85.167123 33.66 L 85.427709 8.46 L 85.688294 33.543936 L 85.948879 33.651543 L 86.209465 30.454777 L 86.47005 33.643971 L 86.730635 33.66 L 87.251806 33.56105 L 87.512391 33.66 L 87.772976 10.382056 L 88.033562 33.567771 L 88.294147 33.643042 L 88.554732 31.628259 L 88.815318 33.64101 L 89.336488 33.589105 L 89.597073 33.454737 L 89.857659 33.66 L 90.118244 15.455045 L 90.378829 33.64749 L 90.639415 33.640256 L 90.9 31.115902 L 91.160585 33.65591 L 92.202927 33.66 L 92.463512 20.462113 L 92.724097 33.639666 L 92.984682 33.624478 L 93.245268 31.941617 L 93.505853 33.658438 L 94.548194 33.66 L 94.80878 21.301086 L 95.069365 33.638586 L 95.32995 33.620638 L 95.590535 32.094595 L 95.851121 33.658769 L 96.111706 33.66 L 96.372291 33.509272 L 96.893462 33.66 L 97.154047 19.552269 L 97.414633 33.568749 L 97.675218 33.588721 L 97.935803 32.499425 L 98.196389 33.65398 L 98.456974 33.66 L 98.717559 33.543965 L 99.23873 33.66 L 99.499315 23.047956 L 99.7599 33.60827 L 100.020486 33.64119 L 100.281071 33.01518 L 100.541656 33.5816 L 100.802242 33.66 L 101.062827 33.544995 L 101.583998 33.66 L 101.844583 13.244973 L 102.105168 33.637448 L 102.365753 33.653998 L 102.626339 32.355765 L 102.886924 33.597342 L 103.147509 33.66 L 103.408095 33.524677 L 103.929265 33.66 L 104.189851 22.131968 L 104.450436 33.559413 L 104.711021 33.649139 L 104.971606 32.628431 L 105.232192 33.651943 L 105.492777 33.66 L 105.753362 33.554369 L 106.274533 33.66 L 106.535118 21.928809 L 106.795704 33.583588 L 107.056289 33.656842 L 107.316874 33.124861 L 107.57746 33.654154 L 108.619801 33.66 L 108.880386 25.6009 L 109.140971 33.590148 L 109.401557 33.659079 L 109.662142 32.792455 L 109.922727 33.651509 L 110.443898 33.617122 L 110.704483 33.506089 L 110.965068 33.66 L 111.225654 21.211714 L 111.486239 33.60407 L 111.746824 33.656417 L 112.00741 33.35354 L 112.267995 33.659968 L 112.52858 33.66 L 112.789166 33.539433 L 113.310336 33.66 L 113.570922 19.62078 L 113.831507 33.538056 L 114.092092 33.596282 L 114.352677 31.715398 L 114.613263 33.654153 L 115.655604 33.66 L 115.916189 20.834689 L 116.176775 33.638314 L 116.43736 33.609672 L 116.697945 31.788723 L 116.958531 33.636569 L 117.219116 33.66 L 117.479701 33.448157 L 117.740286 33.636004 L 118.000872 33.66 L 118.261457 22.177309 L 118.522042 33.592589 L 118.782628 33.640611 L 119.043213 31.710983 L 119.303798 33.657551 L 119.564384 33.66 L 119.824969 33.51863 L 120.346139 33.66 L 120.606725 22.470132 L 120.86731 33.581518 L 121.127895 33.63502 L 121.388481 32.258061 L 121.649066 33.65869 L 122.691407 33.66 L 122.951993 22.307906 L 123.212578 33.613198 L 123.473163 33.654384 L 123.733748 31.677395 L 123.994334 33.659284 L 124.254919 33.66 L 124.515504 32.690339 L 124.77609 33.596161 L 125.036675 33.66 L 125.29726 16.524749 L 125.557846 33.574131 L 125.818431 33.652446 L 126.079016 31.717749 M 126.600187 33.66 L 126.860772 33.470546 L 127.381943 33.66 L 127.642528 17.262105 L 127.903113 33.628372 L 128.163699 33.640121 L 128.424284 31.533612 L 128.684869 33.656834 L 128.945455 33.66 L 129.20604 33.535327 L 129.72721 33.66 L 129.987796 11.463739 L 130.248381 33.625438 L 130.508966 33.573182 L 130.769552 31.804464 M 131.290722 33.66 L 131.551308 33.502085 L 131.811893 33.505074 L 132.072478 33.66 L 132.333064 21.978878 L 132.593649 33.623033 L 132.854234 33.634034 L 133.114819 31.842119 M 133.63599 33.66 L 134.157161 33.608451 L 134.938917 33.66 L 135.981258 33.66 M 136.502428 33.66 L 136.763014 33.66 L 137.023599 10.929245 L 137.284184 33.633488 L 137.54477 33.644087 L 137.805355 31.202993 L 138.06594 33.635161 L 138.587111 33.589901 L 138.847696 33.505673 L 139.108281 33.66 L 139.368867 9.251689 L 139.629452 33.591451 L 139.890037 33.650845 L 140.150623 30.43408 M 140.671793 33.66 L 141.192964 33.41841 L 141.453549 33.66 L 141.714134 14.407732 L 141.97472 33.61855 L 142.235305 33.644571 L 142.49589 32.489949 L 142.756476 33.645522 L 143.277646 33.599282 L 143.538232 33.498573 L 143.798817 33.66 L 144.059402 24.800777 L 144.319988 33.630802 L 144.580573 33.651342 L 144.841158 32.761458 L 145.101743 33.64964 L 146.144085 33.66 L 146.40467 23.592188 L 146.665255 33.642869 L 146.925841 33.627205 L 147.186426 31.957028 L 147.447011 33.659361 L 147.968182 33.630632 L 148.228767 33.520451 L 148.489352 33.66 L 148.749938 29.078828 L 149.010523 33.626184 L 149.271108 33.648198 L 149.531694 32.622481 L 149.792279 33.590978 L 150.31345 33.625283 L 150.574035 33.578195 L 150.83462 33.66 L 151.095205 24.08109 L 151.355791 33.633289 L 151.616376 33.648374 L 151.876961 32.585521 L 152.137547 33.66 L 152.658717 33.591324 L 152.919303 33.503719 L 153.179888 33.66 L 153.440473 16.47952 L 153.701059 33.606953 L 153.961644 33.657882 L 154.222229 32.772712 L 154.482814 33.54829 L 154.7434 33.66 L 155.003985 33.520554 L 155.26457 33.507428 L 155.525156 33.66 L 155.785741 23.66832 L 156.046326 33.633209 L 156.306912 33.648163 L 156.567497 32.69279 L 156.828082 33.654926 L 157.870423 33.66 L 158.131009 20.780225 L 158.391594 33.596868 L 158.652179 33.653336 L 158.912765 32.899007 L 159.17335 33.648543 L 159.694521 33.617462 L 159.955106 33.532896 L 160.215691 33.66 L 160.476276 26.83536 L 160.736862 33.613207 L 160.997447 33.659512 L 161.258032 32.422884 L 161.518618 33.652373 L 162.039788 33.628205 L 162.300374 33.447391 L 162.560959 33.66 L 162.821544 21.837028 L 163.08213 33.585553 L 163.342715 33.64757 L 163.6033 32.911848 L 163.863885 33.656668 L 164.906227 33.66 L 165.166812 20.78676 L 165.427397 33.569186 L 165.687983 33.651632 L 165.948568 32.713413 L 166.209153 33.658167 L 166.990909 33.568443 L 166.990909 33.568443 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p0145eb6387">   <rect height="27.72" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>OtherTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="42.12pt" version="1.1" viewBox="0 0 181.8 42.12" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 42.12 L 181.8 42.12 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p59ad783dc2)" d="M 14.809091 33.66 L 15.85322 33.66 L 16.114252 30.429231 L 16.375285 33.66 L 16.636317 27.521538 L 16.897349 8.46 L 17.158381 33.66 L 18.202511 33.66 L 18.463543 32.044615 L 18.724575 33.66 L 18.985607 29.46 L 19.24664 33.66 L 20.290769 33.66 M 20.812833 28.490769 L 21.073866 33.66 L 21.334898 28.813846 L 21.59593 33.66 L 22.640059 33.66 M 23.423156 33.66 L 23.684188 21.706154 L 23.945221 33.66 L 25.250382 33.66 L 25.511414 21.706154 L 25.772447 33.66 L 26.033479 25.26 M 26.555543 33.66 L 27.33864 33.66 M 27.860705 24.936923 L 28.121737 33.66 M 28.643802 33.66 L 29.948963 33.66 L 30.209995 30.429231 L 30.471028 33.66 L 30.73206 24.613846 L 30.993092 33.66 L 32.298254 33.66 M 32.820318 33.66 L 33.08135 19.121538 L 33.342383 33.66 L 34.647544 33.66 L 34.908576 31.398462 L 35.169609 33.66 L 35.430641 25.583077 L 35.691673 33.66 L 36.996835 33.66 L 37.257867 21.706154 L 37.518899 33.66 L 37.779931 22.029231 M 38.301996 33.66 L 39.346125 33.66 L 39.607157 24.290769 L 39.86819 33.66 L 40.129222 29.136923 M 40.651286 33.66 L 41.695416 33.66 L 41.956448 25.26 L 42.21748 33.66 L 42.478512 31.075385 L 42.739545 31.075385 L 43.000577 33.66 L 44.044706 33.66 L 44.305738 31.721538 L 44.566771 33.66 L 44.827803 25.906154 L 45.088835 33.66 L 46.393997 33.66 L 46.655029 26.229231 L 46.916061 33.66 L 47.177093 20.413846 L 47.438126 33.66 L 48.743287 33.66 L 49.004319 27.198462 L 49.265352 33.66 L 49.526384 20.736923 M 50.048448 33.66 L 51.092578 33.66 L 51.35361 30.752308 L 51.614642 33.66 L 51.875674 30.752308 L 52.136707 33.66 L 53.441868 33.66 L 53.7029 30.106154 L 53.963933 33.66 L 54.224965 29.136923 M 54.747029 33.66 L 55.791159 33.66 L 56.052191 29.783077 L 56.313223 33.66 L 56.574255 23.967692 L 56.835288 33.66 L 58.140449 33.66 L 58.401481 28.813846 L 58.662514 33.66 L 58.923546 23.321538 M 59.44561 33.66 L 60.48974 33.66 L 60.750772 28.813846 L 61.011804 33.66 L 61.272836 23.967692 L 61.533869 31.075385 L 61.794901 33.66 L 62.83903 33.66 L 63.100062 30.429231 L 63.361095 33.66 L 63.622127 30.429231 L 63.883159 30.429231 L 64.144191 33.66 L 65.188321 33.66 L 65.449353 32.044615 L 65.710385 33.66 L 65.971417 30.106154 L 66.23245 33.66 L 67.537611 33.66 M 68.059676 33.66 L 68.320708 31.721538 M 68.842772 33.66 L 69.886902 33.66 L 70.147934 24.613846 L 70.408966 33.66 M 70.931031 33.66 L 71.97516 33.66 M 72.497224 24.613846 L 72.758257 33.66 L 73.019289 31.721538 L 73.280321 33.66 L 74.585483 33.66 L 74.846515 30.429231 L 75.107547 33.66 L 75.368579 24.613846 L 75.629612 33.66 L 76.934773 33.66 M 77.456838 33.66 L 77.71787 30.752308 L 77.978902 33.66 L 79.284064 33.66 L 79.545096 30.106154 L 79.806128 33.66 M 80.328193 33.66 L 81.633354 33.66 M 82.155419 33.66 L 82.416451 27.521538 M 82.938516 33.66 L 83.982645 33.66 M 84.504709 33.66 L 84.765741 33.66 M 85.287806 33.66 L 86.331935 33.66 M 86.854 33.66 L 87.115032 27.521538 L 87.376064 25.906154 L 87.637097 33.66 L 88.681226 33.66 L 88.942258 31.075385 L 89.20329 33.66 L 89.464322 29.783077 L 89.725355 33.66 L 91.030516 33.66 L 91.291548 29.46 L 91.552581 33.66 L 91.813613 25.26 M 92.335678 33.66 L 93.379807 33.66 M 93.901871 33.66 L 94.162903 27.521538 M 94.684968 33.66 L 95.729097 33.66 L 95.990129 19.767692 L 96.251162 33.66 L 96.512194 29.46 L 97.034259 33.66 L 98.600452 33.66 L 98.861484 21.06 M 99.383549 33.66 L 100.427678 33.66 L 100.68871 23.644615 L 100.949743 33.66 L 101.210775 26.552308 L 101.471807 33.66 L 102.776969 33.66 L 103.038001 27.844615 L 103.299033 33.66 L 103.560065 25.583077 M 104.08213 33.66 L 105.126259 33.66 L 105.387291 30.429231 L 105.648324 33.66 L 105.909356 28.490769 L 106.170388 33.66 L 107.47555 33.66 M 107.997614 33.66 L 108.258646 22.998462 L 108.519679 33.66 L 109.82484 33.66 L 110.085872 28.490769 L 110.346905 33.66 L 110.607937 29.46 L 110.868969 33.66 L 112.174131 33.66 M 112.696195 33.66 L 112.957228 24.936923 L 113.21826 33.66 L 114.523421 33.66 M 115.045486 33.66 L 115.306518 20.736923 L 115.56755 33.66 L 116.872712 33.66 L 117.133744 25.583077 L 117.394776 33.66 L 117.655809 26.875385 L 117.916841 33.66 L 119.222002 33.66 L 119.483034 31.398462 L 119.744067 33.66 L 120.005099 30.752308 M 120.527164 33.66 L 121.571293 33.66 L 121.832325 31.075385 L 122.093357 33.66 L 122.35439 28.813846 M 122.876454 33.66 L 123.920583 33.66 L 124.181615 31.721538 L 124.442648 33.66 L 124.70368 30.429231 M 125.225745 33.66 L 126.269874 33.66 L 126.530906 31.721538 L 126.791938 33.66 L 127.052971 27.521538 L 127.314003 33.66 L 128.619164 33.66 L 128.880196 31.398462 L 129.141229 33.66 L 129.402261 29.46 L 129.663293 33.66 L 130.968455 33.66 M 131.490519 33.66 L 131.751552 26.552308 L 132.012584 33.66 L 133.317745 33.66 L 133.578777 31.398462 L 133.83981 33.66 L 134.100842 30.106154 L 134.361874 33.66 L 138.016326 33.66 L 138.277358 31.075385 L 138.538391 33.66 L 138.799423 28.813846 L 139.060455 33.66 L 140.365617 33.66 L 140.626649 29.783077 L 140.887681 33.66 L 141.148714 31.398462 M 141.670778 33.66 L 142.714907 33.66 L 142.975939 18.798462 L 143.236972 33.66 L 143.498004 31.075385 L 143.759036 33.66 L 145.064198 33.66 L 145.32523 17.506154 L 145.586262 33.66 M 146.108327 33.66 L 147.413488 33.66 M 147.935553 33.66 L 148.196585 31.075385 L 148.457617 33.66 L 149.762779 33.66 M 151.06794 33.66 L 152.634134 33.66 L 152.895166 30.752308 M 153.417231 33.66 L 154.46136 33.66 L 154.722392 30.752308 L 154.983424 33.66 M 155.505489 31.075385 L 155.766521 33.66 L 156.81065 33.66 L 157.071683 31.721538 L 157.332715 33.66 M 158.115812 33.66 L 159.159941 33.66 M 159.682005 33.66 L 159.943038 26.875385 L 160.20407 33.66 L 162.031296 33.66 L 162.292328 22.352308 M 162.814393 33.66 L 163.858522 33.66 M 164.380586 33.66 L 164.641619 28.490769 L 164.902651 33.66 L 166.207812 33.66 L 166.468845 29.783077 L 166.729877 33.66 L 166.990909 27.844615 L 166.990909 27.844615 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p59ad783dc2">   <rect height="27.72" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>OtherUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="42.12pt" version="1.1" viewBox="0 0 181.8 42.12" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 42.12 L 181.8 42.12 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p8d516b3a4a)" d="M 14.809091 33.66 L 15.85322 33.66 L 16.114252 27.844615 L 16.375285 33.66 L 16.636317 24.613846 L 16.897349 8.46 L 17.158381 33.66 L 18.202511 33.66 L 18.463543 31.075385 L 18.724575 33.66 L 18.985607 25.26 L 19.24664 33.66 L 20.290769 33.66 M 20.812833 28.490769 L 21.073866 33.66 L 21.334898 27.198462 L 21.59593 33.66 L 22.640059 33.66 M 23.423156 33.66 L 23.684188 21.383077 L 23.945221 33.66 L 25.250382 33.66 L 25.511414 14.921538 L 25.772447 33.66 L 26.033479 23.321538 M 26.555543 33.66 L 27.33864 33.66 M 27.860705 22.029231 L 28.121737 33.66 M 28.643802 33.66 L 29.948963 33.66 L 30.209995 27.844615 L 30.471028 33.66 L 30.73206 25.906154 L 30.993092 33.66 L 32.298254 33.66 M 32.820318 33.66 L 33.08135 20.090769 L 33.342383 33.66 L 34.647544 33.66 L 34.908576 29.136923 L 35.169609 33.66 L 35.430641 23.321538 L 35.691673 33.66 L 36.996835 33.66 L 37.257867 17.506154 L 37.518899 33.66 L 37.779931 21.383077 M 38.301996 33.66 L 39.346125 33.66 L 39.607157 22.675385 L 39.86819 33.66 L 40.129222 25.906154 M 40.651286 33.66 L 41.695416 33.66 L 41.956448 22.029231 L 42.21748 33.66 L 42.478512 29.136923 L 43.000577 33.66 L 44.044706 33.66 L 44.305738 30.429231 L 44.566771 33.66 L 44.827803 27.198462 L 45.088835 33.66 L 46.393997 33.66 L 46.655029 20.736923 L 46.916061 33.66 L 47.177093 17.506154 L 47.438126 33.66 L 48.743287 33.66 L 49.004319 25.906154 L 49.265352 33.66 L 49.526384 25.906154 M 50.048448 33.66 L 51.092578 33.66 L 51.35361 28.490769 L 51.614642 33.66 L 51.875674 30.429231 L 52.136707 33.66 L 53.441868 33.66 L 53.7029 26.552308 L 53.963933 33.66 L 54.224965 31.075385 M 54.747029 33.66 L 55.791159 33.66 L 56.052191 30.429231 L 56.313223 33.66 L 56.574255 23.967692 L 56.835288 33.66 L 58.140449 33.66 L 58.401481 24.613846 L 58.662514 33.66 L 58.923546 20.736923 M 59.44561 33.66 L 60.48974 33.66 L 60.750772 27.844615 L 61.011804 33.66 L 61.272836 22.675385 L 61.794901 33.66 L 62.83903 33.66 L 63.100062 30.429231 L 63.361095 33.66 L 63.622127 28.490769 L 63.883159 27.844615 L 64.144191 33.66 L 65.188321 33.66 L 65.449353 31.075385 L 65.710385 33.66 L 65.971417 28.490769 L 66.23245 33.66 L 67.537611 33.66 M 68.059676 33.66 L 68.320708 30.429231 M 68.842772 33.66 L 69.886902 33.66 L 70.147934 20.090769 L 70.408966 33.66 M 70.931031 33.66 L 71.97516 33.66 M 72.497224 20.736923 L 72.758257 33.66 L 73.019289 29.783077 L 73.280321 33.66 L 74.585483 33.66 L 74.846515 28.490769 L 75.107547 33.66 L 75.368579 18.152308 L 75.629612 33.66 L 76.934773 33.66 M 77.456838 33.66 L 77.71787 28.490769 L 77.978902 33.66 L 79.284064 33.66 L 79.545096 29.783077 L 79.806128 33.66 M 80.328193 33.66 L 81.633354 33.66 M 82.155419 33.66 L 82.416451 25.26 M 82.938516 33.66 L 83.982645 33.66 M 84.504709 33.66 L 84.765741 33.66 M 85.287806 33.66 L 86.331935 33.66 M 86.854 33.66 L 87.115032 25.26 L 87.376064 26.552308 L 87.637097 33.66 L 88.681226 33.66 L 88.942258 30.429231 L 89.20329 33.66 L 89.464322 27.198462 L 89.725355 33.66 L 91.030516 33.66 L 91.291548 29.136923 L 91.552581 33.66 L 91.813613 23.967692 M 92.335678 33.66 L 93.379807 33.66 M 93.901871 33.66 L 94.162903 24.613846 M 94.684968 33.66 L 95.729097 33.66 L 95.990129 12.983077 L 96.251162 33.66 L 96.512194 28.490769 L 96.773226 29.783077 L 97.034259 33.66 L 98.600452 33.66 L 98.861484 18.152308 M 99.383549 33.66 L 100.427678 33.66 L 100.68871 22.029231 L 100.949743 33.66 L 101.210775 25.906154 L 101.471807 33.66 L 102.776969 33.66 L 103.038001 25.906154 L 103.299033 33.66 L 103.560065 24.613846 M 104.08213 33.66 L 105.126259 33.66 L 105.387291 29.783077 L 105.648324 33.66 L 105.909356 27.198462 L 106.170388 33.66 L 107.47555 33.66 M 107.997614 33.66 L 108.258646 22.675385 L 108.519679 33.66 L 109.82484 33.66 L 110.085872 27.844615 L 110.346905 33.66 L 110.607937 26.552308 L 110.868969 33.66 L 112.174131 33.66 M 112.696195 33.66 L 112.957228 21.383077 L 113.21826 33.66 L 114.523421 33.66 M 115.045486 33.66 L 115.306518 11.044615 L 115.56755 33.66 L 116.872712 33.66 L 117.133744 23.967692 L 117.394776 33.66 L 117.655809 22.675385 L 117.916841 33.66 L 119.222002 33.66 L 119.483034 29.136923 L 119.744067 33.66 L 120.005099 29.783077 M 120.527164 33.66 L 121.571293 33.66 L 121.832325 30.429231 L 122.093357 33.66 L 122.35439 25.906154 M 122.876454 33.66 L 123.920583 33.66 L 124.181615 29.783077 L 124.442648 33.66 L 124.70368 29.136923 M 125.225745 33.66 L 126.269874 33.66 L 126.530906 30.429231 L 126.791938 33.66 L 127.052971 25.906154 L 127.314003 33.66 L 128.619164 33.66 L 128.880196 30.429231 L 129.141229 33.66 L 129.402261 27.198462 L 129.663293 33.66 L 130.968455 33.66 M 131.490519 33.66 L 131.751552 22.675385 L 132.012584 33.66 L 133.317745 33.66 L 133.578777 31.075385 L 133.83981 33.66 L 134.100842 26.552308 L 134.361874 33.66 L 138.016326 33.66 L 138.277358 31.075385 L 138.538391 33.66 L 138.799423 27.844615 L 139.060455 33.66 L 140.365617 33.66 L 140.626649 29.136923 L 140.887681 33.66 L 141.148714 30.429231 M 141.670778 33.66 L 142.714907 33.66 L 142.975939 8.46 L 143.236972 33.66 L 143.498004 29.136923 L 143.759036 33.66 L 145.064198 33.66 L 145.32523 13.629231 L 145.586262 33.66 M 146.108327 33.66 L 147.413488 33.66 M 147.935553 33.66 L 148.196585 28.490769 L 148.457617 33.66 L 149.762779 33.66 M 151.06794 33.66 L 152.634134 33.66 L 152.895166 28.490769 M 153.417231 33.66 L 154.46136 33.66 L 154.722392 31.075385 L 154.983424 33.66 M 155.505489 31.075385 L 155.766521 33.66 L 156.81065 33.66 L 157.071683 30.429231 L 157.332715 33.66 M 158.115812 33.66 L 159.159941 33.66 M 159.682005 33.66 L 159.943038 24.613846 L 160.20407 33.66 L 162.031296 33.66 L 162.292328 22.675385 M 162.814393 33.66 L 163.858522 33.66 M 164.380586 33.66 L 164.641619 25.26 L 164.902651 33.66 L 166.207812 33.66 L 166.468845 31.075385 L 166.729877 33.66 L 166.990909 26.552308 L 166.990909 26.552308 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p8d516b3a4a">   <rect height="27.72" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>Other$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="42.12pt" version="1.1" viewBox="0 0 181.8 42.12" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 42.12 L 181.8 42.12 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p7b93358883)" d="M 14.809091 33.66 L 16.375285 33.66 L 16.636317 33.13202 L 16.897349 27.250875 L 17.158381 33.66 L 18.202511 33.66 L 18.463543 33.443758 L 18.724575 33.66 L 18.985607 32.004751 L 19.24664 33.66 L 20.290769 33.66 M 20.812833 32.977325 L 21.073866 33.66 L 21.334898 33.592784 L 21.856962 33.66 L 22.640059 33.66 M 23.423156 33.66 L 23.684188 30.008803 L 23.945221 33.66 L 25.250382 33.66 L 25.511414 30.717186 L 25.772447 33.66 L 26.033479 25.509304 M 26.555543 33.66 L 27.33864 33.66 M 27.860705 32.393422 L 28.121737 33.66 M 28.643802 33.66 L 29.948963 33.66 L 30.209995 33.146913 L 30.471028 33.66 L 30.73206 30.324573 L 30.993092 33.66 L 32.298254 33.66 M 32.820318 33.66 L 33.08135 29.658672 L 33.342383 33.66 L 34.647544 33.66 L 34.908576 32.705485 L 35.169609 33.66 L 35.430641 33.352779 L 35.691673 33.66 L 36.996835 33.66 L 37.257867 33.055214 L 37.518899 33.66 L 37.779931 32.151693 M 38.301996 33.66 L 39.346125 33.66 L 39.607157 32.709614 L 39.86819 33.66 L 40.129222 33.02426 M 40.651286 33.66 L 41.695416 33.66 L 41.956448 32.887339 L 42.21748 33.66 L 42.478512 33.511151 L 42.739545 32.96734 L 43.000577 33.66 L 44.044706 33.66 L 44.305738 33.164152 L 44.566771 33.66 L 44.827803 11.4781 L 45.088835 33.66 L 46.393997 33.66 L 46.655029 32.184343 L 46.916061 33.66 L 47.177093 8.46 L 47.438126 33.66 L 48.743287 33.66 L 49.004319 32.943409 L 49.265352 33.66 L 49.526384 24.482963 M 50.048448 33.66 L 51.092578 33.66 L 51.35361 33.392764 L 51.614642 33.66 L 51.875674 31.830746 L 52.136707 33.66 L 53.441868 33.66 L 53.7029 33.459441 L 53.963933 33.66 L 54.224965 31.559498 M 54.747029 33.66 L 55.791159 33.66 L 56.052191 32.393927 L 56.313223 33.66 L 56.574255 22.405301 L 56.835288 33.66 L 58.140449 33.66 L 58.401481 32.21597 L 58.662514 33.66 L 58.923546 32.602299 M 59.44561 33.66 L 60.48974 33.66 L 60.750772 33.125558 L 61.011804 33.66 L 61.272836 29.932121 L 61.533869 33.252705 L 61.794901 33.66 L 62.83903 33.66 L 63.100062 32.830416 L 63.361095 33.66 L 63.622127 31.02951 L 63.883159 26.41729 L 64.144191 33.66 L 65.188321 33.66 L 65.449353 31.892397 L 65.710385 33.66 L 65.971417 31.714437 L 66.23245 33.66 L 67.537611 33.66 M 68.059676 33.66 L 68.320708 33.479474 M 68.842772 33.66 L 69.886902 33.66 L 70.147934 32.386054 L 70.408966 33.66 M 70.931031 33.66 L 71.97516 33.66 M 72.497224 32.695122 L 72.758257 33.66 L 73.019289 31.360776 L 73.280321 33.66 L 74.585483 33.66 L 74.846515 33.055124 L 75.107547 33.66 L 75.368579 32.948987 L 75.629612 33.66 L 76.934773 33.66 M 77.456838 33.66 L 77.71787 32.559717 L 77.978902 33.66 L 79.284064 33.66 L 79.545096 31.493353 L 79.806128 33.66 M 80.328193 33.66 L 81.633354 33.66 M 82.155419 33.66 L 82.416451 32.836777 M 82.938516 33.66 L 83.982645 33.66 M 84.504709 33.66 L 84.765741 33.66 M 85.287806 33.66 L 86.331935 33.66 M 86.854 33.66 L 87.115032 33.514306 L 87.376064 13.491675 L 87.637097 33.66 L 88.681226 33.66 L 88.942258 33.254923 L 89.20329 33.66 L 89.464322 33.539204 L 89.986387 33.66 L 91.030516 33.66 L 91.291548 33.052246 L 91.552581 33.66 L 91.813613 33.016159 M 92.335678 33.66 L 93.379807 33.66 M 93.901871 33.66 L 94.162903 33.291185 M 94.684968 33.66 L 95.729097 33.66 L 95.990129 33.191395 L 96.251162 33.66 L 96.512194 33.177114 L 96.773226 31.971518 L 97.034259 33.66 L 98.600452 33.66 L 98.861484 32.076908 M 99.383549 33.66 L 100.427678 33.66 L 100.68871 32.291872 L 100.949743 33.66 L 101.210775 32.545935 L 101.471807 33.66 L 102.776969 33.66 L 103.038001 29.279761 L 103.299033 33.66 L 103.560065 30.151512 M 104.08213 33.66 L 105.126259 33.66 L 105.387291 32.30098 L 105.648324 33.66 L 105.909356 28.68836 L 106.170388 33.66 L 107.47555 33.66 M 107.997614 33.66 L 108.258646 25.864117 L 108.519679 33.66 L 109.82484 33.66 L 110.085872 32.837547 L 110.346905 33.66 L 110.607937 31.648155 L 110.868969 33.66 L 112.174131 33.66 M 112.696195 33.66 L 112.957228 26.394118 L 113.21826 33.66 L 114.523421 33.66 M 115.045486 33.66 L 115.306518 32.372957 L 115.56755 33.66 L 116.872712 33.66 L 117.133744 33.304746 L 117.394776 33.66 L 117.655809 32.318443 L 117.916841 33.66 L 119.744067 33.66 L 120.005099 32.025309 M 120.527164 33.66 L 121.571293 33.66 L 121.832325 33.519141 L 122.093357 33.66 L 122.35439 29.205024 M 122.876454 33.66 L 124.442648 33.66 L 124.70368 32.943349 M 125.225745 33.66 L 126.269874 33.66 L 126.530906 33.410127 L 126.791938 33.66 L 127.052971 31.161331 L 127.314003 33.66 L 129.141229 33.66 L 129.402261 31.50551 L 129.663293 33.66 L 130.968455 33.66 M 131.490519 33.66 L 131.751552 33.135536 L 132.012584 33.66 L 133.317745 33.66 L 133.578777 33.290509 L 133.83981 33.66 L 134.100842 32.73053 L 134.361874 33.66 L 138.016326 33.66 L 138.277358 33.478159 L 138.538391 33.66 L 138.799423 33.053223 L 139.060455 33.66 L 140.365617 33.66 L 140.626649 33.232997 L 140.887681 33.66 L 141.148714 33.21366 M 141.670778 33.66 L 142.714907 33.66 L 142.975939 32.468203 L 143.236972 33.66 L 143.498004 32.696517 L 143.759036 33.66 L 145.064198 33.66 L 145.32523 32.172666 L 145.586262 33.66 M 146.108327 33.66 L 147.413488 33.66 M 147.935553 33.66 L 148.196585 33.558812 L 148.71865 33.66 L 149.762779 33.66 M 151.06794 33.66 L 152.634134 33.66 L 152.895166 32.965798 M 153.417231 33.66 L 154.46136 33.66 L 154.722392 33.4233 L 154.983424 33.66 M 155.505489 28.209931 L 155.766521 33.66 L 156.81065 33.66 L 157.071683 33.458882 L 157.332715 33.66 M 158.115812 33.66 L 159.159941 33.66 M 159.682005 33.66 L 159.943038 33.288759 L 160.20407 33.66 L 162.031296 33.66 L 162.292328 31.938412 M 162.814393 33.66 L 163.858522 33.66 M 164.380586 33.66 L 164.641619 33.402511 L 164.902651 33.66 L 166.207812 33.66 L 166.468845 33.486798 L 166.729877 33.66 L 166.990909 32.492756 L 166.990909 32.492756 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p7b93358883">   <rect height="27.72" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>0</th>
      <td>AGENCY PASS-THRU (TBA, STIP, $ ROLLS)</td>
      <td>SINGLE FAMILY 15Y</td>
      <td>2019-08-01</td>
      <td>1029.0</td>
      <td>16.0</td>
      <td>10367700.2</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
    </tr>
    <tr>
      <th>1</th>
      <td>AGENCY PASS-THRU (TBA, STIP, $ ROLLS)</td>
      <td>SINGLE FAMILY 30Y</td>
      <td>2019-08-01</td>
      <td>6773.0</td>
      <td>24.0</td>
      <td>186632371.9</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>5.0</td>
      <td>4.0</td>
      <td>102700.0</td>
      <td>2015.0</td>
      <td>35.0</td>
      <td>41183055.9</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
    </tr>
    <tr>
      <th>2</th>
      <td>AGENCY PASS-THRU (TBA, STIP, $ ROLLS)</td>
      <td>OTHER</td>
      <td>2019-08-01</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>17.0</td>
      <td>10.0</td>
      <td>372127.4</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>16.0</td>
      <td>9.0</td>
      <td>279696.4</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
    </tr>
    <tr>
      <th>...</th>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
    </tr>
    <tr>
      <th>582</th>
      <td>AGENCY PASS-THRU (SPECIFIED)</td>
      <td>OTHER</td>
      <td>2019-10-31</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
    </tr>
    <tr>
      <th>583</th>
      <td>AGENCY CMO</td>
      <td>P&I</td>
      <td>2019-10-31</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>280.0</td>
      <td>145.0</td>
      <td>205136.0</td>
      <td>297.0</td>
      <td>152.0</td>
      <td>194484.0</td>
      <td>209.0</td>
      <td>117.0</td>
      <td>78706.8</td>
      <td>18.0</td>
      <td>11.0</td>
      <td>34884.2</td>
    </tr>
    <tr>
      <th>584</th>
      <td>AGENCY CMO</td>
      <td>IO/PO</td>
      <td>2019-10-31</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>29.0</td>
      <td>17.0</td>
      <td>303877.5</td>
      <td>34.0</td>
      <td>16.0</td>
      <td>321216.4</td>
      <td>39.0</td>
      <td>21.0</td>
      <td>336688.5</td>
      <td>NaN</td>
      <td>NaN</td>
      <td>NaN</td>
    </tr>
  </tbody>
</table>



### 2. A straightforward df, but with the frame already sorted in some predetermined way.


```python
df2 = df.copy()
df2.sort_values(by='UMBSTradeCount', inplace=True)

spkly.display(df2)
```




<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>AssetClass</th>
      <th>AssetClassSubType</th>
      <th>Date</th>
      <th>UMBSTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pfcba67a336)" d="M 14.809091 33.144545 L 100.166646 33.144545 L 100.427678 32.694451 L 101.73284 32.619801 L 105.126259 32.512218 L 106.431421 32.468306 L 109.82484 32.360722 L 115.828583 32.057732 L 116.611679 31.932584 L 117.133744 31.796458 L 117.655809 31.745959 L 117.916841 31.554943 L 127.836067 30.986287 L 133.578777 30.795272 L 146.630391 29.594288 L 147.152456 29.530616 L 147.674521 29.13102 L 148.457617 28.619449 L 148.71865 28.612862 L 148.979682 28.452585 L 149.240714 28.450389 L 149.762779 28.004686 L 150.023811 27.958578 L 150.284843 27.422856 L 150.545876 25.479765 L 150.806908 24.794743 L 151.06794 24.739854 L 151.328972 24.269999 L 153.417231 23.459829 L 153.678263 23.187577 L 153.939295 23.115122 L 154.46136 22.781394 L 155.244457 22.691375 L 155.505489 22.375211 L 156.027553 22.124914 L 156.549618 21.622126 L 157.071683 21.534303 L 157.593747 20.895388 L 157.854779 20.882214 L 158.637876 20.519943 L 158.898908 20.497987 L 159.159941 19.88542 L 160.726134 19.048903 L 160.987167 19.044512 L 161.248199 18.879843 L 161.509231 18.282644 L 162.031296 18.227755 L 162.814393 17.068487 L 163.075425 17.000424 L 163.336457 16.763301 L 163.597489 16.374683 L 163.858522 16.256121 L 164.380586 15.450342 L 164.902651 13.836589 L 165.424715 13.761939 L 165.685748 13.406254 L 165.94678 13.360147 L 166.207812 10.652993 L 166.990909 8.435455 L 166.990909 8.435455 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pfcba67a336">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>UMBSUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pb69c67a126)" d="M 14.809091 33.144545 L 100.166646 33.144545 L 100.427678 30.998169 L 100.949743 30.809287 L 101.210775 30.963827 L 101.471807 30.740603 L 101.73284 30.826458 L 101.993872 30.259815 L 102.254904 30.483038 L 102.515936 30.448696 L 102.776969 30.843629 L 103.038001 30.757774 L 103.299033 30.036592 L 103.560065 30.586064 L 103.821098 30.431525 L 104.08213 30.414354 L 104.343162 30.225473 L 104.604195 30.34567 L 104.865227 29.469948 L 105.126259 30.534551 L 105.387291 29.727513 L 105.648324 30.00225 L 105.909356 30.105276 L 106.431421 30.088105 L 106.692453 29.590145 L 107.214517 30.465867 L 107.47555 29.761855 L 107.736582 30.070934 L 108.258646 30.191131 L 108.519679 29.366922 L 108.780711 29.538632 L 109.041743 30.105276 L 109.302776 29.401264 L 109.563808 30.328499 L 110.085872 29.023502 L 110.607937 29.590145 L 111.130002 28.474029 L 111.391034 29.16087 L 111.652066 28.285148 L 112.174131 29.538632 L 112.435163 28.182122 L 112.696195 29.16087 L 113.21826 28.336661 L 113.479292 29.315409 L 114.001357 27.873044 L 114.262389 28.645739 L 114.784453 27.3064 L 115.045486 29.126528 L 115.306518 28.714424 L 115.56755 27.443768 L 115.828583 27.409426 L 116.089615 28.182122 L 116.350647 32.938493 L 116.611679 27.151861 L 116.872712 26.859954 L 117.133744 27.375084 L 117.394776 32.938493 L 117.655809 26.756928 L 117.916841 32.904151 L 118.438905 32.904151 L 118.699938 25.160023 L 118.96097 32.921322 L 119.222002 32.904151 L 119.483034 26.087258 L 119.744067 25.829693 L 120.005099 26.808441 L 120.266131 25.383247 L 120.527164 27.563966 L 120.788196 26.499363 L 121.049228 32.88698 L 121.31026 25.177194 L 121.571293 25.761009 L 121.832325 26.842783 L 122.093357 32.904151 L 122.35439 25.675154 L 122.615422 24.146933 L 122.876454 32.921322 L 123.137486 32.904151 L 123.398519 24.490354 L 123.659551 32.904151 L 124.181615 32.938493 L 124.442648 25.503444 L 124.70368 32.904151 L 124.964712 24.541867 L 125.225745 26.173113 L 125.486777 32.921322 L 125.747809 25.967061 L 126.008841 22.240951 L 126.269874 32.869809 L 126.530906 24.696406 L 126.791938 22.206609 L 127.052971 22.807594 L 127.314003 32.921322 L 127.575035 23.855026 L 127.836067 24.09542 L 128.0971 24.971142 L 128.358132 23.734829 L 128.619164 24.026736 L 128.880196 32.88698 L 129.141229 24.850945 L 129.402261 23.958052 L 129.663293 24.061078 L 129.924326 32.869809 L 130.185358 25.726667 L 130.44639 32.921322 L 130.707422 23.374238 L 130.968455 32.921322 L 131.229487 32.904151 L 131.490519 25.194365 L 131.751552 32.869809 L 132.012584 25.211536 L 132.273616 24.09542 L 132.534648 32.921322 L 133.056713 32.904151 L 133.317745 22.944962 L 133.578777 32.852638 L 134.100842 32.88698 L 134.361874 23.820684 L 134.622907 24.387328 L 134.883939 20.02589 L 135.144971 32.869809 L 135.667036 32.904151 L 135.928068 22.498516 L 136.1891 23.133844 L 136.450133 21.176348 L 136.711165 32.938493 L 136.972197 32.921322 L 137.233229 20.764243 L 137.494262 21.949044 L 137.755294 32.818296 L 138.016326 20.043061 L 138.277358 32.921322 L 138.538391 19.802667 L 138.799423 32.904151 L 139.060455 19.493588 L 139.321488 32.88698 L 139.58252 32.904151 L 139.843552 22.979304 L 140.104584 20.747072 L 140.365617 24.112591 L 140.626649 18.600696 L 140.887681 32.835467 L 141.148714 19.442075 L 141.670778 21.571281 L 141.93181 32.921322 L 142.192843 18.411814 L 142.453875 32.869809 L 142.714907 19.85418 L 142.975939 32.904151 L 143.236972 32.88698 L 143.498004 18.738064 L 143.759036 32.835467 L 144.020069 23.133844 L 144.281101 17.604777 L 144.542133 32.852638 L 144.803165 21.004638 L 145.064198 32.835467 L 145.32523 16.952278 L 145.586262 32.783954 L 145.847295 32.88698 L 146.108327 32.783954 L 146.369359 32.921322 L 146.630391 32.835467 L 146.891424 18.360301 L 147.152456 32.835467 L 147.413488 19.35622 L 147.674521 32.904151 L 147.935553 32.801125 L 148.457617 32.852638 L 148.71865 8.435455 L 148.979682 32.835467 L 150.545876 32.783954 L 150.806908 32.698099 L 151.06794 32.783954 L 151.590005 32.732441 L 152.373102 32.698099 L 153.417231 32.680928 L 153.939295 32.766783 L 154.200327 32.663757 L 154.983424 32.835467 L 155.766521 32.663757 L 156.027553 32.766783 L 157.071683 32.663757 L 157.854779 32.749612 L 158.376844 32.749612 L 159.420973 32.732441 L 159.682005 32.818296 L 160.987167 32.646586 L 161.509231 32.749612 L 163.075425 32.71527 L 163.858522 32.732441 L 164.380586 32.71527 L 166.990909 32.646586 L 166.990909 32.646586 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pb69c67a126">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>UMBS$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p4ac3fec3d4)" d="M 14.809091 33.144545 L 103.560065 33.113067 L 103.821098 33.012451 L 104.343162 33.083368 L 116.089615 33.084362 L 116.350647 32.840245 L 116.611679 33.089278 L 116.872712 32.985804 L 117.394776 32.438945 L 117.655809 33.036464 L 117.916841 32.747294 L 118.177873 32.760975 L 118.699938 32.348333 L 118.96097 32.723595 L 119.744067 32.918621 L 120.005099 32.561355 L 120.266131 31.998434 L 120.527164 32.729521 L 120.788196 32.584337 L 121.049228 32.05978 L 121.31026 32.744177 L 121.571293 32.870659 L 121.832325 32.713072 L 122.093357 32.408349 L 122.615422 32.744795 L 122.876454 31.5324 L 123.137486 32.284409 L 123.659551 32.561991 L 124.181615 32.455669 L 124.442648 32.630548 L 124.70368 31.705575 L 124.964712 31.910056 L 125.225745 32.732534 L 125.486777 32.561839 L 125.747809 32.691369 L 126.008841 32.294294 L 126.269874 32.587297 L 126.530906 31.811449 L 126.791938 32.684049 L 127.052971 32.779423 L 127.314003 32.302089 L 127.575035 32.818197 L 127.836067 32.906615 L 128.0971 31.858277 L 128.358132 32.728774 L 128.619164 32.580604 L 128.880196 32.267785 L 129.402261 32.503192 L 129.663293 32.501897 L 130.185358 31.879933 L 130.44639 32.193721 L 130.707422 32.693723 L 130.968455 32.476672 L 131.229487 31.869492 L 131.490519 32.87196 L 131.751552 32.497308 L 132.012584 32.771509 L 132.273616 32.461624 L 132.534648 32.534032 L 132.795681 31.646726 L 133.317745 32.472357 L 133.578777 32.068524 L 133.83981 32.38432 L 134.100842 32.40352 L 134.361874 32.82234 L 134.622907 32.691761 L 134.883939 32.822772 L 135.144971 31.92192 L 135.667036 32.572072 L 135.928068 32.699302 L 136.450133 32.537656 L 136.711165 32.491191 L 136.972197 32.16307 L 137.233229 32.480443 L 137.494262 32.396427 L 137.755294 32.041095 L 138.016326 32.321557 L 138.277358 32.074077 L 138.538391 32.476981 L 138.799423 32.046041 L 139.060455 32.575036 L 139.321488 32.160022 L 139.58252 32.110609 L 139.843552 32.604811 L 140.104584 32.290321 L 140.365617 32.829295 L 140.626649 32.302758 L 140.887681 32.493032 L 141.148714 32.391012 L 141.409746 32.711089 L 141.670778 32.43432 L 141.93181 31.415832 L 142.192843 32.512279 L 142.453875 32.161714 L 142.714907 32.279941 L 142.975939 31.852444 L 143.236972 32.530577 L 143.498004 32.250739 L 143.759036 31.657692 L 144.020069 32.3203 L 144.281101 32.334731 L 144.542133 31.762697 L 144.803165 32.388871 L 145.064198 32.202892 L 145.32523 32.195784 L 145.586262 30.708351 L 145.847295 32.1292 L 146.108327 31.196024 L 146.891424 32.635356 L 147.152456 31.45883 L 147.413488 31.92311 L 147.935553 31.408934 L 148.196585 30.89493 L 148.457617 31.674156 L 148.71865 32.054285 L 149.240714 30.147373 L 149.501746 31.290103 L 150.023811 31.310558 L 150.284843 30.724986 L 150.806908 25.061804 L 151.06794 28.713345 L 151.328972 24.792372 L 151.590005 27.809956 L 151.851037 27.368216 L 152.112069 25.103111 L 152.634134 28.141848 L 152.895166 27.073462 L 153.156198 27.506266 L 153.417231 27.095719 L 153.678263 25.634583 L 154.200327 25.332945 L 154.46136 27.562939 L 154.722392 27.209255 L 154.983424 25.906444 L 155.244457 21.481333 L 155.505489 27.564563 L 156.027553 24.6721 L 156.288586 24.947166 L 156.549618 26.054055 L 156.81065 23.678317 L 157.071683 24.841948 L 157.332715 24.231097 L 157.593747 26.48714 L 157.854779 23.563368 L 158.115812 24.469507 L 158.376844 23.133036 L 158.637876 27.045702 L 159.159941 17.33823 L 159.420973 24.761814 L 159.682005 21.414785 L 159.943038 23.724618 L 160.20407 20.888529 L 160.465102 22.249316 L 160.726134 24.258994 L 160.987167 20.135993 L 161.248199 21.66559 L 161.509231 21.119966 L 161.770264 21.493414 L 162.031296 22.864079 L 162.292328 26.453193 L 162.55336 8.883874 L 162.814393 11.984215 L 163.075425 24.056529 L 163.336457 13.746934 L 163.597489 24.18282 L 163.858522 19.573573 L 164.119554 23.739208 L 164.380586 23.342993 L 164.641619 20.897079 L 164.902651 12.16136 L 165.163683 22.109829 L 165.685748 13.065515 L 166.207812 15.973125 L 166.990909 8.435455 L 166.990909 8.435455 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p4ac3fec3d4">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMATradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p24a749e7df)" d="M 14.809091 31.705663 L 15.070123 33.144545 L 15.331155 32.697996 L 15.592188 18.954184 L 15.85322 31.259113 L 16.114252 32.301062 L 16.375285 32.499529 L 16.636317 31.060646 L 16.897349 28.381347 L 17.158381 8.435455 L 17.419414 33.144545 L 17.680446 32.350679 L 17.941478 33.144545 L 18.202511 17.713768 L 18.463543 30.86218 L 18.724575 30.514863 L 18.985607 32.797229 L 19.24664 30.167547 L 19.507672 16.870285 L 19.768704 21.881566 L 20.029736 31.209496 L 20.290769 32.350679 L 20.551801 31.507196 L 20.812833 30.068313 L 21.073866 14.141369 L 21.334898 33.144545 L 22.117995 31.953746 L 22.379027 31.953746 L 22.640059 33.144545 L 22.901092 21.782333 L 23.162124 31.060646 L 23.423156 17.564918 L 23.684188 33.144545 L 23.945221 32.598762 L 24.206253 32.400296 L 24.467285 31.804896 L 24.728317 32.102596 L 24.98935 33.144545 L 25.250382 18.061084 L 25.511414 33.144545 L 25.772447 31.358346 L 26.033479 30.614096 L 26.294511 19.251884 L 26.555543 33.144545 L 26.816576 30.366013 L 27.077608 33.144545 L 27.33864 31.457579 L 27.599673 19.351117 L 27.860705 29.026364 L 28.121737 28.232497 L 28.382769 14.984852 L 28.643802 33.144545 L 28.904834 31.259113 L 29.165866 33.144545 L 29.426898 33.144545 L 29.687931 31.656046 L 29.948963 33.144545 L 30.209995 28.133264 L 30.471028 32.400296 L 30.73206 32.400296 L 31.254124 31.308729 L 31.515157 33.144545 L 31.776189 32.499529 L 32.037221 23.419682 L 32.298254 31.110263 L 32.559286 32.251446 L 32.820318 24.312782 L 33.08135 33.144545 L 33.342383 32.648379 L 33.603415 32.400296 L 33.864447 31.606429 L 34.125479 31.804896 L 34.386512 33.144545 L 34.647544 17.267218 L 34.908576 31.209496 L 35.169609 24.858565 L 35.430641 33.144545 M 35.952705 30.812563 L 36.213738 11.61092 L 36.47477 31.457579 L 36.735802 29.324064 L 36.996835 22.179266 L 37.257867 30.812563 L 37.518899 31.904129 L 37.779931 32.052979 L 38.040964 30.465246 L 38.301996 31.457579 L 38.563028 8.931621 L 38.824061 33.144545 L 39.085093 29.175214 L 39.346125 33.144545 L 39.607157 32.499529 L 39.86819 15.282552 L 40.129222 30.167547 L 40.390254 25.999748 L 40.651286 12.752103 L 40.912319 33.144545 L 41.173351 31.110263 L 41.434383 33.144545 L 41.695416 32.201829 L 41.956448 15.530635 L 42.21748 13.248269 L 42.478512 31.854513 L 42.739545 15.927568 L 43.000577 33.144545 L 43.522642 31.507196 L 43.783674 33.144545 L 44.044706 31.854513 L 44.305738 9.675871 L 44.566771 31.705663 L 44.827803 29.720997 L 45.088835 15.282552 L 45.349867 33.144545 L 45.6109 31.656046 L 45.871932 32.102596 L 46.132964 28.728664 L 46.393997 32.598762 L 46.655029 33.144545 L 46.916061 29.274447 L 47.177093 33.144545 L 47.438126 32.102596 L 47.699158 33.144545 L 47.96019 31.507196 L 48.221223 32.003363 L 48.482255 30.663713 L 49.004319 33.144545 L 49.265352 30.41563 L 49.526384 13.446736 L 49.787416 33.144545 L 50.048448 27.785947 L 50.309481 19.251884 L 50.570513 32.201829 L 50.831545 32.003363 L 51.092578 32.052979 L 51.35361 31.308729 L 51.614642 14.190986 L 51.875674 33.144545 L 52.136707 31.507196 L 52.658771 32.251446 L 52.919804 33.144545 L 53.180836 32.152212 L 53.441868 29.175214 L 53.7029 11.16437 L 53.963933 33.144545 L 54.224965 29.37368 L 54.485997 17.366451 L 54.747029 19.251884 L 55.008062 31.705663 L 55.269094 31.259113 L 55.791159 32.499529 L 56.052191 15.133702 L 56.313223 33.144545 L 56.574255 32.301062 L 56.835288 32.549146 L 57.09632 31.953746 L 57.357352 33.144545 L 57.618385 12.35517 L 57.879417 15.530635 L 58.140449 33.144545 L 58.662514 33.144545 L 58.923546 25.057032 L 59.184578 32.251446 L 59.44561 22.030416 L 59.706643 33.144545 L 60.228707 32.201829 L 60.48974 29.324064 L 60.750772 22.080033 L 61.011804 31.804896 L 61.272836 20.988467 L 61.533869 33.144545 L 61.794901 31.110263 L 62.055933 33.144545 L 62.316966 21.732716 L 62.577998 30.961413 L 62.83903 31.804896 L 63.100062 31.953746 L 63.361095 20.442683 L 63.622127 30.663713 L 63.883159 32.003363 L 64.144191 9.378171 L 64.405224 31.854513 L 64.666256 31.556813 L 64.927288 30.812563 L 65.188321 32.549146 L 65.449353 31.556813 L 65.710385 11.90862 L 65.971417 33.144545 L 66.23245 30.56448 L 66.493482 33.144545 L 66.754514 20.79 L 67.015547 31.259113 L 67.276579 32.201829 L 67.537611 32.598762 L 67.798643 31.656046 L 68.059676 16.622202 L 68.320708 33.144545 L 68.58174 29.175214 L 68.842772 33.144545 L 69.103805 19.301501 L 69.364837 15.629869 L 69.625869 31.15988 L 69.886902 32.598762 L 70.147934 33.144545 M 70.669998 22.973133 L 70.931031 33.144545 M 71.453095 16.622202 L 71.714128 31.656046 L 71.97516 31.556813 L 72.236192 32.301062 L 72.497224 32.499529 L 72.758257 18.209934 L 73.019289 33.144545 L 73.280321 31.110263 L 73.541354 31.556813 L 74.063418 33.144545 L 74.32445 31.507196 L 74.585483 33.144545 L 74.846515 32.797229 M 75.368579 32.598762 L 75.629612 33.144545 L 75.890644 31.457579 L 76.151676 17.713768 L 76.412709 32.449912 L 76.673741 31.656046 L 76.934773 17.217601 L 77.195805 33.144545 L 77.456838 32.003363 L 77.71787 32.648379 L 77.978902 28.381347 L 78.239935 31.804896 L 78.500967 33.144545 L 78.761999 19.698434 L 79.023031 31.308729 L 79.284064 18.408401 L 79.545096 33.144545 L 79.806128 31.507196 L 80.06716 31.358346 L 80.328193 32.201829 L 80.589225 16.026802 L 80.850257 31.656046 L 81.11129 13.595586 L 81.372322 33.144545 L 81.633354 31.308729 L 81.894386 33.144545 L 82.155419 17.515301 L 82.416451 31.705663 L 82.677483 32.251446 L 82.938516 32.350679 L 83.199548 30.812563 L 83.46058 10.320887 L 83.721612 33.144545 L 83.982645 30.167547 L 84.243677 32.598762 L 84.504709 33.144545 L 84.765741 31.507196 L 85.026774 13.595586 L 85.287806 30.217163 L 85.548838 32.102596 L 85.809871 31.854513 L 86.070903 31.358346 L 86.331935 33.144545 L 86.592967 31.457579 L 86.854 32.697996 L 87.115032 33.144545 L 87.376064 31.110263 L 87.637097 13.099419 L 87.898129 33.144545 L 88.159161 28.430964 L 88.420193 32.003363 L 88.681226 32.052979 L 88.942258 30.961413 L 89.20329 33.144545 L 89.464322 20.4923 L 89.725355 31.854513 L 89.986387 20.144984 L 90.247419 33.144545 L 90.508452 27.289781 L 90.769484 31.507196 L 91.030516 29.869847 L 91.291548 33.144545 L 91.813613 33.144545 L 92.59671 31.15988 L 92.857742 33.144545 L 93.118774 21.23655 L 93.379807 31.060646 L 93.640839 12.65287 L 93.901871 14.984852 L 94.162903 32.846846 L 94.946 31.358346 L 95.207033 24.412015 L 95.468065 33.144545 L 95.729097 31.457579 L 95.990129 33.144545 L 96.251162 30.56448 L 96.512194 24.213549 L 96.773226 31.656046 L 97.034259 31.110263 L 97.556323 33.144545 L 97.817355 18.110701 L 98.078388 31.804896 L 98.33942 33.144545 L 98.861484 24.412015 L 99.122517 32.350679 L 99.383549 21.83195 L 99.644581 31.259113 L 99.905614 32.102596 L 100.166646 31.060646 L 100.68871 31.358346 L 100.949743 30.316396 L 101.210775 30.514863 L 101.471807 29.37368 L 101.993872 32.747612 L 102.515936 30.56448 L 102.776969 30.71333 L 103.038001 31.110263 L 103.299033 30.663713 L 103.821098 31.507196 L 104.08213 30.911796 L 104.343162 31.606429 L 104.604195 29.175214 L 104.865227 31.358346 L 105.126259 30.71333 L 105.387291 30.514863 L 105.909356 29.919463 L 106.170388 28.579814 L 106.431421 30.614096 L 106.692453 30.663713 L 106.953485 31.407963 L 107.214517 31.606429 L 107.47555 30.217163 L 107.736582 29.96908 L 107.997614 29.96908 L 108.519679 32.102596 L 108.780711 30.167547 L 109.041743 31.060646 L 109.302776 30.068313 L 109.563808 27.736331 L 109.82484 30.86218 L 110.085872 31.556813 L 110.346905 31.110263 L 110.607937 31.259113 L 110.868969 28.034031 L 111.130002 31.110263 L 111.391034 30.316396 L 111.652066 29.026364 L 111.913098 31.656046 L 112.174131 29.07598 L 112.435163 29.720997 L 112.696195 29.37368 L 112.957228 29.96908 L 113.21826 29.82023 L 113.479292 30.11793 L 113.740324 29.621763 L 114.001357 30.167547 L 114.262389 30.068313 L 114.523421 30.961413 L 114.784453 26.942464 L 115.045486 30.514863 L 115.56755 30.11793 L 115.828583 30.86218 L 116.089615 29.621763 L 116.350647 33.144545 L 116.611679 29.423297 L 116.872712 29.82023 L 117.133744 32.251446 L 117.394776 33.144545 L 117.655809 28.728664 L 117.916841 33.144545 L 118.438905 33.144545 L 118.699938 30.663713 L 118.96097 33.144545 L 119.222002 33.144545 L 120.005099 30.068313 L 120.266131 31.407963 L 120.527164 30.465246 L 121.049228 33.144545 L 121.31026 28.679047 L 121.832325 31.358346 L 122.093357 33.144545 L 122.35439 31.209496 L 122.615422 30.762946 L 122.876454 33.144545 L 123.137486 33.144545 L 123.398519 30.812563 L 123.659551 33.144545 L 124.181615 33.144545 L 124.442648 30.41563 L 124.70368 33.144545 L 125.225745 29.919463 L 125.486777 33.144545 L 125.747809 30.56448 L 126.008841 29.82023 L 126.269874 33.144545 L 126.791938 27.537864 L 127.314003 33.144545 L 127.836067 30.514863 L 128.0971 31.407963 L 128.358132 30.961413 L 128.619164 24.808949 L 128.880196 33.144545 L 129.141229 28.827897 L 129.402261 30.068313 L 129.663293 29.919463 L 129.924326 33.144545 L 130.185358 31.656046 L 130.44639 33.144545 L 130.707422 30.911796 L 130.968455 33.144545 L 131.229487 33.144545 L 131.490519 30.56448 L 131.751552 33.144545 L 132.012584 30.217163 L 132.273616 30.961413 L 132.534648 33.144545 L 133.056713 33.144545 L 133.317745 30.961413 L 133.578777 33.144545 L 134.100842 33.144545 L 134.622907 30.068313 L 134.883939 30.614096 L 135.144971 33.144545 L 135.667036 33.144545 L 135.928068 30.514863 L 136.1891 31.308729 L 136.450133 30.018697 L 136.711165 33.144545 L 136.972197 33.144545 L 137.233229 30.514863 L 137.755294 33.144545 L 138.016326 29.869847 L 138.277358 33.144545 L 138.538391 30.465246 L 138.799423 33.144545 L 139.060455 31.656046 L 139.321488 33.144545 L 139.58252 33.144545 L 139.843552 30.316396 L 140.104584 29.621763 L 140.365617 31.358346 L 140.626649 29.919463 L 140.887681 33.144545 L 141.148714 30.71333 L 141.409746 30.217163 L 141.670778 32.400296 L 141.93181 33.144545 L 142.192843 30.614096 L 142.453875 33.144545 L 142.714907 29.919463 L 142.975939 33.144545 L 143.236972 33.144545 L 143.498004 28.679047 L 143.759036 33.144545 L 144.020069 28.133264 L 144.281101 29.869847 L 144.542133 33.144545 L 144.803165 29.22483 L 145.064198 33.144545 L 145.32523 29.22483 L 145.586262 33.144545 L 146.630391 33.144545 L 146.891424 30.068313 L 147.152456 33.144545 L 147.413488 26.396681 L 147.674521 33.144545 L 148.457617 33.144545 L 148.71865 31.110263 L 148.979682 33.144545 L 166.990909 33.144545 L 166.990909 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p24a749e7df">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMAUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p294ce251e5)" d="M 14.809091 31.725442 L 15.070123 33.144545 L 15.331155 32.643686 L 15.592188 17.617887 L 15.85322 31.057629 L 16.114252 32.309779 L 16.375285 32.643686 L 16.636317 30.389816 L 16.897349 29.388096 L 17.158381 17.28398 L 17.419414 33.144545 L 17.680446 31.975872 L 17.941478 33.144545 L 18.202511 18.619607 L 18.463543 32.059349 L 18.724575 30.807199 L 18.985607 32.727162 L 19.24664 30.055909 L 19.507672 20.623047 L 19.768704 23.628206 L 20.029736 32.059349 L 20.290769 32.059349 L 20.812833 31.057629 L 21.073866 17.617887 L 21.334898 33.144545 L 21.59593 32.476732 L 21.856962 32.393256 L 22.117995 31.308059 L 22.640059 33.144545 L 22.901092 22.209103 L 23.162124 31.391536 L 23.423156 19.454373 L 23.684188 33.144545 L 23.945221 32.476732 L 24.206253 32.560209 L 24.467285 31.975872 L 24.728317 32.226302 L 24.98935 33.144545 L 25.250382 20.122187 L 25.511414 33.144545 L 25.772447 30.723722 L 26.033479 30.723722 L 26.294511 21.79172 L 26.555543 33.144545 L 26.816576 30.807199 L 27.077608 33.144545 L 27.33864 31.892396 L 27.599673 20.623047 L 27.860705 30.473292 L 28.121737 29.304619 L 28.382769 17.868317 L 28.643802 33.144545 L 28.904834 30.807199 L 29.165866 33.144545 L 29.426898 33.144545 L 29.687931 31.808919 L 29.948963 33.144545 L 30.209995 25.54817 L 30.471028 32.309779 L 30.73206 32.226302 L 30.993092 31.892396 L 31.254124 32.226302 L 31.515157 33.144545 L 31.776189 32.476732 L 32.037221 23.878636 L 32.298254 31.808919 L 32.559286 32.226302 L 32.820318 26.132506 L 33.08135 33.144545 L 33.342383 32.560209 L 33.603415 32.309779 L 33.864447 31.725442 L 34.386512 33.144545 L 34.647544 18.78656 L 34.908576 31.224582 L 35.169609 26.299459 L 35.430641 33.144545 M 35.952705 31.391536 L 36.213738 15.864877 L 36.47477 31.391536 L 36.735802 28.052469 L 36.996835 15.030111 L 37.257867 31.057629 L 37.518899 32.393256 L 37.779931 31.975872 L 38.040964 29.888956 L 38.301996 31.641966 L 38.563028 15.364017 L 38.824061 33.144545 L 39.085093 28.219423 L 39.346125 33.144545 L 39.607157 32.476732 L 39.86819 20.53957 L 40.129222 30.640246 L 40.390254 29.304619 L 40.651286 16.198784 L 40.912319 33.144545 L 41.173351 30.807199 L 41.434383 33.144545 L 41.695416 32.560209 L 41.956448 19.621327 L 42.21748 16.950074 L 42.478512 31.475012 L 42.739545 19.203943 L 43.000577 33.144545 L 43.261609 32.309779 L 43.522642 31.057629 L 43.783674 33.144545 L 44.044706 32.059349 L 44.305738 15.864877 L 44.566771 31.475012 L 44.827803 30.807199 L 45.088835 18.202224 L 45.349867 33.144545 L 45.6109 31.057629 L 45.871932 32.309779 L 46.132964 26.215983 L 46.393997 32.476732 L 46.655029 33.144545 L 46.916061 30.306339 L 47.177093 33.144545 L 47.438126 32.309779 L 47.699158 33.144545 L 47.96019 32.059349 L 48.221223 32.226302 L 48.482255 31.391536 L 48.743287 31.725442 L 49.004319 33.144545 L 49.265352 31.475012 L 49.526384 17.367457 L 49.787416 33.144545 L 50.309481 19.704803 L 50.570513 32.393256 L 51.092578 32.059349 L 51.35361 31.141106 L 51.614642 15.948354 L 51.875674 33.144545 L 52.136707 30.890676 L 52.397739 31.725442 L 52.658771 31.975872 L 52.919804 33.144545 L 53.180836 31.808919 L 53.441868 29.722002 L 53.7029 15.280541 L 53.963933 33.144545 L 54.224965 30.055909 L 54.485997 21.207383 L 54.747029 21.04043 L 55.008062 31.975872 L 55.269094 31.975872 L 55.530126 32.226302 L 55.791159 32.643686 L 56.052191 18.452654 L 56.313223 33.144545 L 56.574255 31.892396 L 56.835288 32.560209 L 57.09632 32.226302 L 57.357352 33.144545 L 57.618385 19.03699 L 57.879417 17.701364 L 58.140449 33.144545 L 58.662514 33.144545 L 58.923546 20.79 L 59.184578 32.142826 L 59.44561 21.958673 L 59.706643 33.144545 L 59.967675 32.309779 L 60.228707 32.393256 L 60.48974 30.974152 L 60.750772 23.628206 L 61.011804 31.641966 L 61.272836 21.624767 L 61.533869 33.144545 L 61.794901 29.888956 L 62.055933 33.144545 L 62.316966 22.459533 L 62.577998 31.975872 L 62.83903 31.892396 L 63.100062 32.059349 L 63.361095 21.958673 L 63.622127 30.306339 L 63.883159 32.393256 L 64.144191 8.435455 L 64.405224 31.641966 L 64.666256 32.059349 L 64.927288 30.139386 L 65.188321 32.476732 L 65.449353 32.059349 L 65.710385 15.113587 L 65.971417 33.144545 L 66.23245 30.807199 L 66.493482 33.144545 L 66.754514 22.125627 L 67.015547 32.059349 L 67.276579 32.059349 L 67.537611 32.643686 L 67.798643 32.059349 L 68.059676 18.619607 L 68.320708 33.144545 L 68.58174 27.050749 L 68.842772 33.144545 L 69.103805 20.03871 L 69.364837 17.617887 L 69.625869 31.057629 L 69.886902 32.393256 L 70.147934 33.144545 M 70.669998 24.129066 L 70.931031 33.144545 M 71.453095 21.54129 L 71.714128 31.892396 L 71.97516 32.142826 L 72.236192 32.560209 L 72.497224 32.309779 L 72.758257 20.456093 L 73.019289 33.144545 L 73.280321 30.055909 L 73.541354 32.142826 L 73.802386 32.309779 L 74.063418 33.144545 L 74.32445 31.892396 L 74.585483 33.144545 L 74.846515 32.560209 M 75.368579 32.560209 L 75.629612 33.144545 L 75.890644 31.975872 L 76.151676 20.706523 L 76.412709 32.393256 L 76.673741 31.391536 L 76.934773 20.28914 L 77.195805 33.144545 L 77.456838 32.142826 L 77.71787 32.476732 L 77.978902 28.052469 L 78.239935 32.226302 L 78.500967 33.144545 L 78.761999 24.04559 L 79.023031 32.643686 L 79.284064 21.624767 L 79.545096 33.144545 L 79.806128 31.558489 L 80.06716 30.723722 L 80.328193 32.393256 L 80.589225 18.369177 L 80.850257 31.641966 L 81.11129 19.955233 L 81.372322 33.144545 L 81.633354 31.057629 L 81.894386 33.144545 L 82.155419 18.953514 L 82.416451 32.142826 L 82.677483 31.808919 L 82.938516 32.560209 L 83.199548 30.640246 L 83.46058 17.617887 L 83.721612 33.144545 L 83.982645 30.139386 L 84.243677 32.560209 L 84.504709 33.144545 L 84.765741 31.975872 L 85.026774 17.28398 L 85.287806 30.389816 L 85.548838 31.808919 L 85.809871 32.142826 L 86.070903 30.640246 L 86.331935 33.144545 L 86.592967 32.142826 L 86.854 32.476732 L 87.115032 33.144545 L 87.376064 30.640246 L 87.637097 21.457813 L 87.898129 33.144545 L 88.159161 28.636806 L 88.420193 32.309779 L 88.681226 31.391536 L 88.942258 31.975872 L 89.20329 33.144545 L 89.464322 21.207383 L 89.725355 32.059349 L 89.986387 22.709963 L 90.247419 33.144545 L 90.508452 27.968993 L 90.769484 31.892396 L 91.030516 30.055909 L 91.291548 33.144545 L 91.813613 33.144545 L 92.074645 32.059349 L 92.335678 31.808919 L 92.59671 31.892396 L 92.857742 33.144545 L 93.118774 19.955233 L 93.379807 31.308059 L 93.640839 17.868317 L 93.901871 15.197064 L 94.162903 32.894115 L 94.423936 32.059349 L 94.684968 31.725442 L 94.946 32.059349 L 95.207033 19.203943 L 95.468065 33.144545 L 95.729097 31.391536 L 95.990129 33.144545 L 96.251162 29.722002 L 96.512194 23.878636 L 96.773226 32.142826 L 97.034259 30.890676 L 97.556323 33.144545 L 97.817355 21.29086 L 98.078388 31.725442 L 98.33942 33.144545 L 98.861484 24.880356 L 99.122517 32.393256 L 99.383549 14.529251 L 99.644581 32.142826 L 99.905614 32.309779 L 100.166646 30.306339 L 100.427678 31.057629 L 100.68871 30.974152 L 100.949743 29.471572 L 101.210775 29.722002 L 101.471807 28.887236 L 101.993872 32.643686 L 102.515936 29.972432 L 102.776969 30.807199 L 103.038001 31.057629 L 103.299033 29.638526 L 103.821098 31.391536 L 104.08213 30.222862 L 104.343162 31.558489 L 104.604195 28.135946 L 104.865227 30.723722 L 105.387291 29.805479 L 105.648324 29.972432 L 105.909356 29.555049 L 106.170388 26.800319 L 106.431421 30.556769 L 106.692453 30.807199 L 106.953485 31.558489 L 107.214517 31.475012 L 107.47555 30.055909 L 107.736582 29.388096 L 107.997614 30.473292 L 108.258646 30.222862 L 108.519679 31.475012 L 108.780711 30.556769 L 109.041743 30.890676 L 109.563808 27.468133 L 109.82484 30.974152 L 110.085872 31.475012 L 110.346905 30.640246 L 110.607937 31.057629 L 110.868969 28.302899 L 111.130002 30.556769 L 111.391034 29.137666 L 111.652066 29.221143 L 111.913098 31.141106 L 112.174131 28.803759 L 112.696195 29.972432 L 113.21826 29.471572 L 113.479292 29.805479 L 113.740324 29.638526 L 114.001357 30.807199 L 114.262389 29.471572 L 114.523421 30.556769 L 114.784453 26.215983 L 115.045486 30.389816 L 115.306518 30.723722 L 115.56755 29.638526 L 115.828583 30.389816 L 116.089615 29.304619 L 116.350647 33.144545 L 116.611679 29.304619 L 116.872712 30.222862 L 117.133744 32.142826 L 117.394776 33.144545 L 117.655809 28.386376 L 117.916841 33.144545 L 118.438905 33.144545 L 118.699938 31.308059 L 118.96097 33.144545 L 119.222002 33.144545 L 119.744067 31.057629 L 120.005099 31.308059 L 120.266131 30.890676 L 120.527164 30.222862 L 120.788196 32.393256 L 121.049228 33.144545 L 121.31026 29.638526 L 121.571293 31.057629 L 121.832325 31.391536 L 122.093357 33.144545 L 122.35439 31.224582 L 122.615422 30.723722 L 122.876454 33.144545 L 123.137486 33.144545 L 123.398519 30.807199 L 123.659551 33.144545 L 124.181615 33.144545 L 124.442648 30.055909 L 124.70368 33.144545 L 124.964712 31.808919 L 125.225745 29.805479 L 125.486777 33.144545 L 126.008841 28.135946 L 126.269874 33.144545 L 126.530906 31.558489 L 126.791938 28.720283 L 127.314003 33.144545 L 127.575035 31.808919 L 127.836067 29.888956 L 128.0971 31.725442 L 128.358132 30.890676 L 128.619164 23.377776 L 128.880196 33.144545 L 129.141229 28.636806 L 129.402261 30.389816 L 129.663293 29.221143 L 129.924326 33.144545 L 130.185358 31.975872 L 130.44639 33.144545 L 130.707422 30.807199 L 130.968455 33.144545 L 131.229487 33.144545 L 131.490519 30.556769 L 131.751552 33.144545 L 132.012584 30.556769 L 132.273616 30.640246 L 132.534648 33.144545 L 133.056713 33.144545 L 133.317745 31.057629 L 133.578777 33.144545 L 134.100842 33.144545 L 134.622907 29.972432 L 134.883939 31.141106 L 135.144971 33.144545 L 135.667036 33.144545 L 135.928068 30.890676 L 136.1891 31.057629 L 136.450133 31.057629 L 136.711165 33.144545 L 136.972197 33.144545 L 137.233229 31.308059 L 137.755294 33.144545 L 138.016326 29.722002 L 138.277358 33.144545 L 138.538391 30.890676 L 138.799423 33.144545 L 139.060455 31.641966 L 139.321488 33.144545 L 139.58252 33.144545 L 139.843552 30.556769 L 140.365617 31.475012 L 140.626649 31.391536 L 140.887681 33.144545 L 141.148714 31.475012 L 141.409746 30.974152 L 141.93181 33.144545 L 142.192843 30.139386 L 142.453875 33.144545 L 142.714907 31.308059 L 142.975939 33.144545 L 143.236972 33.144545 L 143.498004 29.221143 L 143.759036 33.144545 L 144.020069 28.636806 L 144.281101 30.222862 L 144.542133 33.144545 L 144.803165 30.807199 L 145.064198 33.144545 L 145.32523 28.720283 L 145.586262 33.144545 L 146.630391 33.144545 L 146.891424 30.306339 L 147.152456 33.144545 L 147.413488 25.7986 L 147.674521 33.144545 L 148.457617 33.144545 L 148.71865 30.640246 L 148.979682 33.144545 L 166.990909 33.144545 L 166.990909 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p294ce251e5">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMA$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pda4c0c0337)" d="M 14.809091 31.198729 L 15.070123 33.144545 L 15.331155 32.605054 L 15.592188 14.535314 L 15.85322 32.269712 L 16.114252 31.448198 L 16.375285 32.641849 L 16.636317 32.211385 L 16.897349 30.711005 L 17.158381 30.80073 L 17.419414 33.144545 L 17.680446 32.508198 L 17.941478 33.144545 L 18.463543 23.449216 L 18.724575 31.700412 L 18.985607 32.167525 L 19.24664 30.492216 L 19.507672 30.437074 L 19.768704 32.037935 L 20.029736 32.210852 L 20.290769 33.049413 L 20.551801 30.132705 L 20.812833 30.586151 L 21.073866 30.764562 L 21.334898 33.144545 L 21.59593 32.930482 L 21.856962 31.802588 L 22.117995 32.866072 L 22.379027 30.485926 L 22.640059 33.144545 L 22.901092 30.851731 L 23.162124 32.806279 L 23.423156 30.887701 L 23.684188 33.144545 L 24.206253 32.981594 L 24.467285 29.022311 L 24.98935 33.144545 L 25.250382 29.38416 L 25.511414 33.144545 L 26.033479 32.135324 L 26.294511 30.929972 L 26.555543 33.144545 L 26.816576 32.641476 L 27.077608 33.144545 L 27.33864 23.39452 L 27.860705 32.005589 L 28.121737 30.795742 L 28.382769 31.014294 L 28.643802 33.144545 L 28.904834 31.263266 L 29.165866 33.144545 L 29.426898 33.144545 L 29.687931 30.219529 L 29.948963 33.144545 L 30.209995 29.060813 L 30.471028 32.890317 L 30.73206 33.052064 L 30.993092 30.126806 L 31.515157 33.144545 L 32.037221 30.614916 L 32.559286 32.722074 L 32.820318 32.197574 L 33.08135 33.144545 L 33.342383 32.958311 L 33.603415 31.782981 L 33.864447 32.857725 L 34.125479 31.144652 L 34.386512 33.144545 L 34.647544 25.464323 L 34.908576 32.695692 L 35.169609 31.876034 L 35.430641 33.144545 M 35.952705 30.547559 L 36.213738 31.460281 L 36.47477 28.940104 L 36.735802 32.024732 L 36.996835 32.668315 L 37.257867 31.812493 L 37.518899 31.569566 L 37.779931 30.478381 L 38.301996 32.543112 L 38.563028 27.207037 L 38.824061 33.144545 L 39.085093 31.944709 L 39.346125 33.144545 L 39.607157 31.198648 L 39.86819 30.747063 L 40.129222 31.637898 L 40.390254 31.199895 L 40.651286 29.305296 L 40.912319 33.144545 L 41.173351 32.717291 L 41.434383 33.144545 L 41.695416 30.636843 L 41.956448 30.130914 L 42.21748 28.419973 L 42.478512 32.81012 L 42.739545 31.281499 L 43.000577 33.144545 L 43.261609 31.108809 L 43.522642 30.615956 L 43.783674 33.144545 L 44.044706 30.656789 L 44.305738 29.385949 L 44.827803 32.684674 L 45.088835 32.082859 L 45.349867 33.144545 L 45.6109 32.49554 L 45.871932 30.733917 L 46.393997 32.602327 L 46.655029 33.144545 L 46.916061 31.111831 L 47.177093 33.144545 L 47.438126 31.585564 L 47.699158 33.144545 L 48.221223 29.748367 L 48.482255 30.041253 L 48.743287 32.372219 L 49.004319 33.144545 L 49.265352 30.543567 L 49.526384 29.99917 L 49.787416 33.144545 L 50.048448 32.507482 L 50.309481 30.108472 L 50.570513 31.98742 L 50.831545 30.765844 L 51.092578 30.925042 L 51.35361 31.812933 L 51.614642 29.764616 L 51.875674 33.144545 L 52.136707 32.014766 L 52.397739 31.789335 L 52.658771 32.204596 L 52.919804 33.144545 L 53.180836 32.244289 L 53.441868 30.217449 L 53.7029 30.421455 L 53.963933 33.144545 L 54.224965 32.61741 L 54.485997 32.570406 L 54.747029 31.830999 L 55.008062 27.19579 L 55.269094 32.71923 L 55.530126 31.451472 L 55.791159 32.781485 L 56.052191 31.875024 L 56.313223 33.144545 L 56.835288 32.217294 L 57.09632 25.336683 L 57.357352 33.144545 L 57.618385 30.47094 L 57.879417 31.260147 L 58.140449 33.144545 L 58.662514 33.144545 L 58.923546 29.161175 L 59.44561 31.009538 L 59.706643 33.144545 L 59.967675 33.099774 L 60.228707 31.964021 L 60.48974 8.435455 L 60.750772 33.050315 L 61.011804 30.62038 L 61.272836 32.291867 L 61.533869 33.144545 L 61.794901 32.556377 L 62.055933 33.144545 L 62.577998 29.010708 L 62.83903 31.509381 L 63.100062 29.605106 L 63.622127 31.373491 L 63.883159 29.336545 L 64.144191 32.461559 L 64.405224 31.188729 L 64.666256 27.461665 L 64.927288 31.219781 L 65.188321 33.051668 L 65.449353 31.527403 L 65.710385 29.111905 L 65.971417 33.144545 L 66.23245 32.796111 L 66.493482 33.144545 L 67.015547 27.882925 L 67.276579 31.494968 L 67.537611 32.783739 L 67.798643 31.942164 L 68.059676 31.504588 L 68.320708 33.144545 L 68.58174 32.423545 L 68.842772 33.144545 L 69.103805 31.044187 L 69.364837 31.527788 L 69.625869 32.690467 L 70.147934 33.144545 M 70.669998 32.364229 L 70.931031 33.144545 M 71.453095 31.225872 L 71.714128 32.068309 L 71.97516 28.217558 L 72.236192 29.804677 L 72.497224 32.82379 L 72.758257 31.854211 L 73.019289 33.144545 L 73.541354 33.039853 L 73.802386 30.761705 L 74.063418 33.144545 L 74.32445 28.537918 L 74.585483 33.144545 L 74.846515 32.459271 M 75.368579 32.878062 L 75.629612 33.144545 L 76.151676 27.911362 L 76.412709 32.223608 L 76.934773 30.635594 L 77.195805 33.144545 L 77.456838 33.049806 L 77.71787 32.785974 L 77.978902 31.02577 L 78.239935 28.122998 L 78.500967 33.144545 L 78.761999 27.269357 L 79.023031 32.092468 L 79.284064 32.330278 L 79.545096 33.144545 L 79.806128 30.478237 L 80.06716 32.307878 L 80.328193 22.497549 L 80.589225 31.503456 L 80.850257 29.420199 L 81.372322 33.144545 L 81.633354 32.328127 L 81.894386 33.144545 L 82.155419 28.50779 L 82.416451 30.507311 L 82.677483 30.962906 L 82.938516 31.001945 L 83.199548 32.025709 L 83.46058 30.607048 L 83.721612 33.144545 L 83.982645 32.615599 L 84.243677 32.5839 L 84.504709 33.144545 L 84.765741 27.921898 L 85.287806 31.728373 L 85.548838 30.630431 L 85.809871 30.493923 L 86.070903 32.435888 L 86.331935 33.144545 L 86.592967 28.042408 L 86.854 33.144167 L 87.115032 33.144545 L 87.376064 31.979553 L 87.637097 31.776565 L 87.898129 33.144545 L 88.159161 30.85502 L 88.420193 31.409362 L 88.681226 32.775239 L 88.942258 28.398365 L 89.20329 33.144545 L 89.464322 31.319479 L 89.986387 32.45398 L 90.247419 33.144545 L 90.508452 32.986808 L 90.769484 28.809333 L 91.030516 32.39942 L 91.291548 33.144545 L 91.813613 33.144545 L 92.074645 32.639992 L 92.335678 32.980606 L 92.59671 27.646032 L 92.857742 33.144545 L 93.118774 30.13627 L 93.379807 31.954595 L 93.640839 29.817354 L 93.901871 32.496133 L 94.162903 33.031507 L 94.946 28.505988 L 95.207033 31.978643 L 95.468065 33.144545 L 95.729097 31.702737 L 95.990129 33.144545 L 96.251162 31.85914 L 96.512194 32.739383 L 96.773226 29.411035 L 97.034259 32.291535 L 97.295291 31.474659 L 97.556323 33.144545 L 97.817355 32.364636 L 98.078388 30.904155 L 98.33942 33.144545 L 98.600452 32.477799 L 98.861484 30.900705 L 99.383549 32.57417 L 99.644581 29.593817 L 99.905614 29.228835 L 100.166646 32.444212 L 100.427678 31.789362 L 100.68871 32.551964 L 100.949743 31.70435 L 101.210775 32.637769 L 101.471807 31.094493 L 101.73284 31.568432 L 101.993872 32.632883 L 102.254904 31.759741 L 102.515936 32.132493 L 102.776969 31.983767 L 103.038001 31.596593 L 103.299033 31.903766 L 103.560065 30.615632 L 103.821098 32.67481 L 104.08213 30.041439 L 104.343162 32.372849 L 104.604195 31.103019 L 104.865227 32.563434 L 105.126259 32.154008 L 105.387291 30.86535 L 105.648324 32.601691 L 105.909356 31.608846 L 106.170388 27.532839 L 106.431421 32.2341 L 106.953485 31.653541 L 107.214517 32.82013 L 107.997614 31.866082 L 108.519679 32.85598 L 108.780711 32.107516 L 109.041743 32.542108 L 109.563808 30.552166 L 109.82484 32.254924 L 110.085872 32.591042 L 110.346905 32.239894 L 110.607937 31.680779 L 110.868969 30.835994 L 111.130002 32.111656 L 111.391034 32.548386 L 111.652066 29.851781 L 111.913098 32.900344 L 112.174131 31.836759 L 112.435163 32.145094 L 112.696195 29.452058 L 112.957228 31.6027 L 113.21826 31.466465 L 113.479292 31.081465 L 114.001357 32.591464 L 114.262389 31.902977 L 114.523421 31.936371 L 114.784453 28.88283 L 115.045486 31.303179 L 115.306518 32.143736 L 115.56755 32.014851 L 116.089615 30.87092 L 116.350647 33.144545 L 116.872712 31.056065 L 117.394776 33.144545 L 117.655809 31.732786 L 117.916841 33.144545 L 118.438905 33.144545 L 118.699938 32.432698 L 118.96097 33.144545 L 119.222002 33.144545 L 119.483034 32.519412 L 119.744067 32.254974 L 120.005099 30.458438 L 120.266131 32.049087 L 120.527164 29.549575 L 121.049228 33.144545 L 121.31026 31.307987 L 121.571293 31.402692 L 121.832325 30.374893 L 122.093357 33.144545 L 122.35439 29.517905 L 122.615422 30.473439 L 122.876454 33.144545 L 123.137486 33.144545 L 123.398519 30.481486 L 123.659551 33.144545 L 124.181615 33.144545 L 124.442648 19.14096 L 124.70368 33.144545 L 124.964712 31.363703 L 125.225745 26.496186 L 125.486777 33.144545 L 125.747809 29.60962 L 126.008841 30.649792 L 126.269874 33.144545 L 126.530906 30.52278 L 126.791938 31.421915 L 127.052971 31.353797 L 127.314003 33.144545 L 127.575035 32.584583 L 127.836067 29.550093 L 128.0971 30.884084 L 128.358132 30.881958 L 128.619164 27.565562 L 128.880196 33.144545 L 129.141229 29.398234 L 129.402261 29.333843 L 129.663293 27.344728 L 129.924326 33.144545 L 130.185358 31.059911 L 130.44639 33.144545 L 130.707422 27.297766 L 130.968455 33.144545 L 131.229487 33.144545 L 131.490519 30.7542 L 131.751552 33.144545 L 132.012584 30.330099 L 132.273616 31.114388 L 132.534648 33.144545 L 133.056713 33.144545 L 133.317745 30.448042 L 133.578777 33.144545 L 134.100842 33.144545 L 134.361874 32.530887 L 134.622907 16.831627 L 134.883939 30.701585 L 135.144971 33.144545 L 135.667036 33.144545 L 135.928068 31.507129 L 136.1891 28.088576 L 136.450133 27.138579 L 136.711165 33.144545 L 136.972197 33.144545 L 137.494262 29.190271 L 137.755294 33.144545 L 138.016326 31.02153 L 138.277358 33.144545 L 138.538391 31.243142 L 138.799423 33.144545 L 139.060455 31.818689 L 139.321488 33.144545 L 139.58252 33.144545 L 139.843552 22.913479 L 140.104584 30.358683 L 140.365617 32.143813 L 140.626649 30.170036 L 140.887681 33.144545 L 141.148714 29.063551 L 141.409746 31.869058 L 141.670778 32.772678 L 141.93181 33.144545 L 142.192843 31.297125 L 142.453875 33.144545 L 142.714907 30.161108 L 142.975939 33.144545 L 143.236972 33.144545 L 143.498004 31.223169 L 143.759036 33.144545 L 144.020069 26.77465 L 144.281101 31.639359 L 144.542133 33.144545 L 144.803165 30.001263 L 145.064198 33.144545 L 145.32523 30.231571 L 145.586262 33.144545 L 146.630391 33.144545 L 146.891424 29.696391 L 147.152456 33.144545 L 147.413488 23.849209 L 147.674521 33.144545 L 148.457617 33.144545 L 148.71865 30.818062 L 148.979682 33.144545 L 166.990909 33.144545 L 166.990909 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pda4c0c0337">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMCTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p13b10f345d)" d="M 14.809091 32.122515 L 15.070123 33.144545 L 15.331155 32.002276 L 15.592188 24.878122 L 15.85322 32.182634 L 16.114252 33.144545 L 16.375285 33.144545 L 16.636317 32.513291 L 16.897349 32.302873 L 17.158381 20.609642 L 17.419414 33.144545 L 17.680446 32.904068 L 17.941478 33.144545 L 18.202511 25.08854 L 18.463543 32.874008 L 18.724575 32.002276 L 18.985607 33.144545 L 19.24664 32.212694 L 19.507672 24.577525 L 19.768704 22.9543 L 20.029736 32.783829 L 20.551801 32.543351 L 20.812833 31.55138 L 21.073866 21.962329 L 21.334898 33.144545 M 21.856962 33.144545 L 22.117995 32.60347 L 22.379027 33.144545 L 22.640059 33.144545 L 22.901092 27.613557 L 23.162124 32.393052 L 23.423156 24.517405 L 23.684188 33.144545 L 23.945221 32.843948 L 24.206253 32.934127 L 24.467285 33.144545 L 24.98935 33.144545 L 25.250382 26.471287 L 25.511414 33.144545 L 25.772447 32.964187 L 26.033479 32.272814 L 26.294511 25.359078 L 26.555543 33.144545 L 26.816576 32.453172 L 27.077608 33.144545 L 27.33864 33.144545 L 27.599673 26.741825 L 27.860705 32.723709 L 28.121737 31.431141 L 28.382769 21.661732 L 28.643802 33.144545 L 28.904834 32.453172 L 29.165866 33.144545 L 29.426898 33.144545 M 29.948963 33.144545 L 30.209995 32.423112 L 30.471028 30.348991 L 30.73206 32.874008 L 30.993092 33.144545 L 31.254124 32.843948 L 31.515157 33.144545 L 31.776189 33.144545 L 32.037221 27.132601 L 32.298254 31.942157 M 32.820318 26.080511 L 33.08135 33.144545 L 33.342383 32.874008 L 33.603415 33.144545 L 33.864447 32.423112 L 34.125479 33.144545 L 34.386512 33.144545 L 34.647544 24.667704 L 34.908576 32.723709 L 35.169609 28.124572 L 35.430641 33.144545 L 35.952705 33.144545 L 36.213738 22.292986 L 36.47477 33.144545 L 36.735802 32.242754 L 37.257867 32.573411 M 37.779931 33.144545 L 38.040964 32.753769 L 38.301996 31.942157 L 38.563028 24.487346 L 38.824061 33.144545 L 39.085093 32.212694 L 39.346125 33.144545 L 39.607157 33.144545 L 39.86819 23.405196 L 40.129222 32.453172 L 40.390254 30.619529 L 40.651286 24.457286 L 40.912319 33.144545 L 41.173351 32.60347 L 41.434383 33.144545 L 41.695416 33.144545 L 41.956448 22.082568 L 42.21748 23.315017 L 42.478512 32.63353 L 42.739545 23.104599 L 43.000577 33.144545 M 43.522642 32.543351 L 43.783674 33.144545 L 44.044706 32.964187 L 44.305738 22.202807 L 44.566771 32.182634 L 44.827803 31.972216 L 45.088835 23.856092 L 45.349867 33.144545 L 45.6109 32.69365 L 45.871932 33.144545 L 46.132964 32.212694 L 46.393997 33.144545 L 46.655029 33.144545 L 46.916061 31.371022 L 47.177093 33.144545 L 47.699158 33.144545 L 47.96019 31.641559 M 48.482255 33.144545 L 48.743287 32.843948 L 49.004319 33.144545 L 49.265352 32.272814 L 49.526384 23.555494 L 49.787416 33.144545 L 50.048448 32.453172 L 50.309481 25.238839 L 50.570513 32.63353 L 50.831545 33.144545 L 51.092578 32.843948 L 51.35361 32.242754 L 51.614642 24.246868 L 51.875674 33.144545 L 52.136707 32.152575 M 52.658771 32.994247 L 52.919804 33.144545 L 53.180836 32.69365 L 53.441868 32.60347 L 53.7029 22.473344 L 53.963933 33.144545 L 54.224965 31.791858 L 54.485997 26.832004 L 54.747029 24.216808 L 55.008062 33.144545 L 55.269094 32.813889 M 55.791159 32.152575 L 56.052191 25.1186 L 56.313223 33.144545 L 56.835288 32.874008 L 57.09632 33.144545 L 57.357352 33.144545 L 57.618385 25.14866 L 57.879417 24.878122 L 58.140449 33.144545 L 58.662514 33.144545 L 58.923546 30.348991 L 59.184578 32.092455 L 59.44561 27.823975 L 59.706643 33.144545 L 59.967675 32.753769 L 60.228707 33.144545 L 60.48974 32.302873 L 60.750772 28.936184 L 61.011804 32.783829 L 61.272836 25.329018 L 61.533869 33.144545 L 61.794901 32.964187 L 62.055933 33.144545 L 62.316966 26.711765 L 62.577998 33.144545 L 62.83903 32.60347 L 63.100062 33.144545 L 63.361095 25.479317 L 63.622127 32.60347 M 64.144191 30.799887 L 64.405224 32.483232 L 64.666256 33.144545 L 64.927288 31.882037 L 65.188321 32.66359 L 65.449353 31.912097 L 65.710385 22.353106 L 65.971417 33.144545 L 66.23245 32.813889 L 66.493482 33.144545 L 66.754514 25.659675 L 67.015547 33.144545 L 67.276579 32.483232 L 67.537611 33.144545 L 67.798643 32.543351 L 68.059676 24.908182 L 68.320708 33.144545 L 68.58174 32.152575 L 68.842772 33.144545 L 69.103805 24.577525 L 69.364837 24.06651 L 69.625869 32.723709 L 69.886902 31.55138 L 70.147934 33.144545 L 70.408966 32.69365 L 70.669998 27.373079 L 70.931031 33.144545 L 71.192063 32.843948 L 71.453095 25.268898 L 71.714128 32.453172 L 71.97516 33.144545 L 72.236192 33.144545 L 72.497224 32.513291 L 72.758257 24.517405 L 73.019289 33.144545 L 73.280321 27.22278 L 73.541354 32.964187 L 73.802386 33.144545 L 74.585483 33.144545 M 75.107547 32.843948 L 75.368579 32.813889 L 75.629612 33.144545 L 75.890644 33.144545 L 76.151676 23.555494 L 76.412709 32.423112 L 76.673741 32.483232 L 76.934773 25.178719 L 77.195805 33.144545 L 77.456838 32.964187 L 77.71787 33.144545 L 77.978902 32.272814 L 78.239935 33.144545 L 78.500967 33.144545 L 78.761999 25.569496 M 79.284064 27.463258 L 79.545096 33.144545 L 79.806128 32.182634 L 80.328193 33.144545 L 80.589225 23.826032 L 80.850257 32.874008 L 81.11129 23.946271 L 81.372322 33.144545 L 81.633354 32.393052 L 81.894386 33.144545 L 82.155419 26.320989 L 82.416451 33.144545 L 82.677483 32.062395 M 83.199548 32.573411 L 83.46058 24.337047 L 83.721612 33.144545 L 83.982645 30.739768 L 84.243677 32.453172 L 84.504709 33.144545 L 84.765741 33.144545 L 85.026774 25.238839 L 85.287806 32.813889 L 85.548838 32.843948 M 86.070903 32.63353 L 86.331935 33.144545 M 86.854 32.904068 L 87.115032 33.144545 L 87.376064 32.753769 L 87.637097 24.607585 L 87.898129 33.144545 L 88.159161 32.122515 L 88.420193 33.144545 L 88.681226 32.513291 L 88.942258 33.144545 L 89.20329 33.144545 L 89.464322 22.92424 L 89.725355 32.904068 L 89.986387 23.525435 L 90.247419 33.144545 L 90.508452 30.950186 L 90.769484 33.144545 L 91.030516 31.972216 L 91.291548 33.144545 L 91.813613 33.144545 L 92.074645 32.60347 L 92.335678 32.60347 L 92.59671 33.144545 L 92.857742 33.144545 L 93.118774 26.381108 L 93.379807 32.453172 L 93.640839 24.306987 L 93.901871 24.487346 L 94.162903 32.934127 L 94.423936 32.843948 L 94.684968 33.144545 L 94.946 33.144545 M 95.468065 33.144545 L 95.729097 32.513291 L 95.990129 33.144545 L 96.251162 32.513291 L 96.512194 25.840033 M 97.034259 31.942157 L 97.295291 33.144545 L 97.556323 33.144545 L 97.817355 24.848062 L 98.078388 33.144545 L 98.33942 33.144545 L 98.600452 29.537379 L 98.861484 27.673676 L 99.122517 32.69365 L 99.383549 32.543351 L 99.644581 33.144545 L 99.905614 33.144545 L 100.166646 32.062395 L 100.427678 30.168633 L 100.68871 30.980246 L 100.949743 30.769827 L 101.210775 31.401082 L 101.471807 31.641559 L 101.73284 30.679648 L 101.993872 31.461201 L 102.254904 30.288872 L 102.515936 30.318932 L 102.776969 31.882037 L 103.560065 28.966244 L 103.821098 30.920126 L 104.08213 30.168633 L 104.343162 31.190664 L 104.604195 29.747797 L 104.865227 30.52935 L 105.126259 29.296901 L 105.387291 30.799887 L 105.648324 30.860007 L 105.909356 31.100484 L 106.170388 30.709708 L 106.431421 29.898096 L 106.692453 30.379051 L 106.953485 29.206722 L 107.214517 30.439171 L 107.47555 30.890066 L 107.736582 30.439171 L 107.997614 30.739768 L 108.258646 31.6115 L 108.519679 31.55138 L 108.780711 30.860007 L 109.041743 29.807916 L 109.302776 30.439171 L 109.563808 29.116543 L 109.82484 29.236782 L 110.085872 28.665647 L 110.346905 28.876065 L 110.607937 29.837976 L 110.868969 31.340962 L 111.130002 29.026364 L 111.391034 29.026364 L 111.913098 31.250783 L 112.174131 27.072482 L 112.435163 30.108514 L 112.957228 29.928155 L 113.21826 30.890066 L 113.479292 29.086483 L 113.740324 29.326961 L 114.001357 29.056423 L 114.262389 27.703736 L 114.523421 29.326961 L 115.045486 31.190664 L 115.306518 31.190664 L 115.56755 30.589469 L 115.828583 31.491261 L 116.089615 27.733796 L 116.350647 33.144545 L 116.611679 28.094512 L 116.872712 30.739768 L 117.133744 26.020392 L 117.394776 33.144545 L 117.655809 30.49929 L 117.916841 33.144545 L 118.438905 33.144545 L 118.699938 22.533464 L 118.96097 33.144545 L 119.222002 33.144545 L 119.483034 23.826032 L 119.744067 23.074539 L 120.266131 25.749854 L 120.527164 23.856092 L 120.788196 23.254897 M 121.31026 24.427226 L 121.571293 21.992389 L 121.832325 21.812031 L 122.093357 33.144545 L 122.35439 25.569496 L 122.615422 23.525435 L 122.876454 33.144545 L 123.137486 33.144545 L 123.398519 27.613557 L 123.659551 33.144545 L 124.181615 33.144545 L 124.442648 21.210836 L 124.70368 33.144545 L 124.964712 27.042422 L 125.225745 25.960272 L 125.486777 33.144545 L 125.747809 21.932269 L 126.008841 24.00639 L 126.269874 33.144545 L 126.530906 22.713822 L 126.791938 21.932269 L 127.052971 18.144745 L 127.314003 33.144545 L 127.575035 23.254897 L 127.836067 23.284957 L 128.0971 20.339104 L 128.358132 23.886151 L 128.619164 21.180776 L 128.880196 33.144545 L 129.141229 22.713822 L 129.402261 22.383165 L 129.663293 24.577525 L 129.924326 33.144545 L 130.185358 23.916211 L 130.44639 33.144545 L 130.707422 22.232867 L 130.968455 33.144545 L 131.229487 33.144545 L 131.490519 21.631672 L 131.751552 33.144545 L 132.012584 20.940299 L 132.273616 24.03645 L 132.534648 33.144545 L 133.056713 33.144545 L 133.317745 23.585554 M 134.100842 33.144545 L 134.361874 20.729881 L 134.622907 21.571553 L 134.883939 25.990332 L 135.144971 33.144545 L 135.667036 33.144545 L 135.928068 19.196835 L 136.1891 22.353106 L 136.450133 23.074539 L 136.711165 33.144545 L 136.972197 33.144545 L 137.233229 23.044479 L 137.494262 24.487346 L 137.755294 33.144545 L 138.016326 17.994446 L 138.277358 33.144545 L 138.538391 19.948328 L 138.799423 33.144545 L 139.060455 22.172747 L 139.321488 33.144545 L 139.58252 33.144545 L 139.843552 22.353106 L 140.104584 16.761997 L 140.365617 14.597697 L 140.887681 33.144545 L 141.148714 23.134658 L 141.670778 16.250982 L 141.93181 33.144545 L 142.192843 17.062595 L 142.453875 33.144545 L 142.714907 21.721851 L 142.975939 33.144545 L 143.236972 33.144545 L 143.498004 23.735853 M 144.020069 11.471486 L 144.281101 14.988474 L 144.542133 33.144545 L 144.803165 19.497432 L 145.064198 33.144545 L 145.32523 18.385222 L 145.586262 33.144545 L 146.630391 33.144545 L 146.891424 13.425368 L 147.152456 33.144545 L 147.413488 8.435455 L 147.674521 33.144545 L 148.457617 33.144545 L 148.71865 16.49146 L 148.979682 33.144545 L 149.762779 33.144545 M 160.987167 31.972216 L 161.248199 32.843948 L 161.770264 32.994247 M 162.55336 32.723709 L 162.814393 32.843948 M 164.902651 32.813889 L 165.163683 32.332933 M 165.685748 31.972216 L 165.94678 32.092455 L 166.207812 31.761798 L 166.468845 31.791858 L 166.729877 32.393052 L 166.990909 31.701679 L 166.990909 31.701679 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p13b10f345d">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMCUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pde2efb7fee)" d="M 14.809091 32.353855 L 15.070123 33.144545 L 15.331155 32.2056 L 15.592188 25.830655 L 15.85322 32.057345 L 16.114252 33.144545 L 16.375285 33.144545 L 16.636317 32.255018 L 16.897349 32.156182 L 17.158381 22.618473 L 17.419414 33.144545 L 17.680446 32.848036 L 17.941478 33.144545 L 18.202511 27.066109 L 18.463543 32.946873 L 18.724575 32.2056 L 18.985607 33.144545 L 19.24664 32.007927 L 19.507672 25.781236 L 19.768704 26.621345 L 20.029736 32.7492 L 20.290769 32.551527 L 20.551801 32.699782 L 20.812833 32.304436 L 21.073866 23.162073 L 21.334898 33.144545 M 21.856962 33.144545 L 22.117995 32.353855 L 22.379027 33.144545 L 22.640059 33.144545 L 22.901092 28.301564 L 23.162124 32.650364 L 23.423156 25.880073 L 23.684188 33.144545 L 23.945221 32.699782 L 24.467285 33.144545 L 24.98935 33.144545 L 25.250382 27.066109 L 25.511414 33.144545 L 26.033479 32.551527 L 26.294511 26.077745 L 26.555543 33.144545 L 26.816576 32.502109 L 27.077608 33.144545 L 27.33864 33.144545 L 27.599673 27.560291 L 27.860705 32.551527 L 28.121737 31.612582 L 28.382769 23.952764 L 28.643802 33.144545 L 28.904834 32.007927 L 29.165866 33.144545 L 29.426898 33.144545 M 29.948963 33.144545 L 30.209995 32.403273 L 30.471028 30.772473 L 30.73206 32.897455 L 30.993092 33.144545 L 31.254124 32.699782 L 31.515157 33.144545 L 31.776189 33.144545 L 32.037221 28.005055 L 32.298254 32.353855 M 32.820318 27.955636 L 33.08135 33.144545 L 33.342383 32.7492 L 33.603415 33.144545 L 33.864447 32.551527 L 34.125479 33.144545 L 34.386512 33.144545 L 34.647544 25.929491 L 34.908576 32.7492 L 35.169609 28.647491 L 35.430641 33.144545 L 35.952705 33.144545 L 36.213738 24.249273 L 36.47477 33.144545 L 36.735802 31.810255 L 36.996835 32.403273 L 37.257867 32.304436 M 37.779931 33.144545 L 38.301996 31.859673 L 38.563028 25.1388 L 38.824061 33.144545 L 39.085093 32.057345 L 39.346125 33.144545 L 39.607157 33.144545 L 39.86819 26.226 L 40.129222 32.452691 L 40.390254 31.760836 L 40.651286 25.237636 L 40.912319 33.144545 L 41.173351 32.551527 L 41.434383 33.144545 L 41.695416 33.144545 L 41.956448 26.028327 L 42.21748 24.842291 L 42.478512 32.551527 L 42.739545 25.929491 L 43.000577 33.144545 M 43.522642 32.650364 L 43.783674 33.144545 L 44.044706 32.897455 L 44.305738 23.508 L 44.566771 32.353855 L 44.827803 32.255018 L 45.088835 25.089382 L 45.349867 33.144545 L 45.6109 32.502109 L 45.871932 33.144545 L 46.132964 31.662 L 46.393997 33.144545 L 46.655029 33.144545 L 46.916061 31.760836 L 47.177093 33.144545 L 47.699158 33.144545 L 47.96019 32.7492 M 48.482255 33.144545 L 48.743287 32.7492 L 49.004319 33.144545 L 49.265352 32.304436 L 49.526384 24.891709 L 49.787416 33.144545 L 50.048448 32.353855 L 50.309481 25.731818 L 50.570513 32.600945 L 50.831545 33.144545 L 51.092578 32.897455 L 51.35361 32.304436 L 51.614642 24.397527 L 51.875674 33.144545 L 52.136707 31.711418 M 52.658771 32.897455 L 52.919804 33.144545 L 53.180836 32.798618 L 53.441868 32.798618 L 53.7029 24.545782 L 53.963933 33.144545 L 54.224965 31.909091 L 54.485997 27.461455 L 54.747029 25.632982 L 55.008062 33.144545 L 55.269094 32.897455 M 55.791159 32.7492 L 56.052191 25.830655 L 56.313223 33.144545 L 56.574255 32.996291 L 56.835288 32.699782 L 57.09632 33.144545 L 57.357352 33.144545 L 57.618385 26.127164 L 57.879417 25.039964 L 58.140449 33.144545 L 58.662514 33.144545 L 58.923546 29.092255 L 59.184578 32.699782 L 59.44561 27.8568 L 59.706643 33.144545 L 59.967675 32.551527 L 60.228707 33.144545 L 60.48974 32.897455 L 60.750772 29.537018 L 61.011804 32.600945 L 61.272836 26.176582 L 61.533869 33.144545 L 61.794901 32.946873 L 62.055933 33.144545 L 62.316966 27.3132 L 62.577998 33.144545 L 62.83903 32.699782 L 63.100062 33.144545 L 63.361095 26.7696 L 63.622127 32.353855 M 64.144191 29.537018 L 64.405224 32.353855 L 64.666256 33.144545 L 64.927288 31.513745 L 65.188321 32.502109 L 65.449353 32.2056 L 65.710385 23.853927 L 65.971417 33.144545 L 66.23245 32.650364 L 66.493482 33.144545 L 66.754514 26.226 L 67.015547 33.144545 L 67.276579 32.600945 L 67.537611 33.144545 L 67.798643 32.798618 L 68.059676 26.077745 L 68.320708 33.144545 L 68.58174 31.810255 L 68.842772 33.144545 L 69.103805 25.781236 L 69.364837 25.336473 L 69.625869 32.650364 L 69.886902 30.673636 L 70.147934 33.144545 L 70.408966 32.946873 L 70.669998 28.054473 L 70.931031 33.144545 L 71.192063 32.798618 L 71.453095 26.621345 L 71.714128 32.403273 L 71.97516 33.144545 L 72.236192 33.144545 L 72.497224 32.650364 L 72.758257 26.176582 L 73.019289 33.144545 L 73.280321 27.757964 L 73.541354 32.946873 L 73.802386 33.144545 L 74.585483 33.144545 M 75.107547 32.848036 L 75.368579 32.848036 L 75.629612 33.144545 L 75.890644 33.144545 L 76.151676 25.632982 L 76.412709 32.353855 L 76.673741 32.2056 L 76.934773 26.374255 L 77.195805 33.144545 L 77.456838 32.897455 L 77.71787 33.144545 L 77.978902 32.007927 L 78.239935 33.144545 L 78.500967 33.144545 L 78.761999 26.819018 M 79.284064 27.955636 L 79.545096 33.144545 L 79.806128 32.650364 L 80.06716 32.600945 L 80.328193 33.144545 L 80.589225 25.089382 L 80.850257 32.7492 L 81.11129 25.880073 L 81.372322 33.144545 L 81.633354 32.255018 L 81.894386 33.144545 L 82.155419 27.362618 L 82.416451 33.144545 L 82.677483 32.156182 M 83.199548 32.600945 L 83.46058 24.842291 L 83.721612 33.144545 L 83.982645 31.1184 L 84.504709 33.144545 L 84.765741 33.144545 L 85.026774 27.066109 L 85.287806 32.7492 L 85.548838 32.798618 M 86.070903 32.452691 L 86.331935 33.144545 M 86.854 32.848036 L 87.115032 33.144545 L 87.376064 32.650364 L 87.637097 26.571927 L 87.898129 33.144545 L 88.159161 32.255018 L 88.420193 33.144545 L 88.681226 32.255018 L 88.942258 33.144545 L 89.20329 33.144545 L 89.464322 25.237636 L 89.725355 32.897455 L 89.986387 26.917855 L 90.247419 33.144545 L 90.508452 31.1184 L 90.769484 33.144545 L 91.030516 32.156182 L 91.291548 33.144545 L 91.813613 33.144545 L 92.074645 32.600945 L 92.335678 32.551527 L 92.59671 33.144545 L 92.857742 33.144545 L 93.118774 26.324836 L 93.379807 32.452691 L 93.640839 26.077745 L 93.901871 24.743455 L 94.162903 32.946873 L 94.423936 32.798618 L 94.684968 33.144545 L 94.946 33.144545 M 95.468065 33.144545 L 95.729097 32.551527 L 95.990129 33.144545 L 96.251162 32.353855 L 96.512194 26.7696 M 97.034259 31.909091 L 97.295291 33.144545 L 97.556323 33.144545 L 97.817355 26.7696 L 98.078388 33.144545 L 98.33942 33.144545 L 98.600452 29.240509 L 98.861484 28.005055 L 99.122517 32.7492 L 99.383549 32.551527 L 99.644581 33.144545 L 99.905614 33.144545 L 100.166646 32.007927 L 100.427678 30.278291 L 100.68871 30.821891 L 100.949743 30.0312 L 101.210775 31.266655 L 101.73284 30.426545 L 101.993872 30.673636 L 102.254904 29.932364 L 102.515936 30.228873 L 102.776969 31.711418 L 103.038001 30.723055 L 103.299033 28.795745 L 103.560065 29.240509 L 103.821098 30.475964 L 104.08213 29.882945 L 104.343162 31.167818 L 104.604195 29.784109 L 104.865227 29.339345 L 105.126259 28.301564 L 105.387291 30.228873 L 105.648324 30.5748 L 105.909356 30.426545 L 106.431421 29.833527 L 106.692453 30.426545 L 106.953485 28.696909 L 107.214517 30.475964 L 107.47555 30.5748 L 107.736582 29.981782 L 107.997614 29.784109 L 108.258646 31.414909 L 108.519679 31.316073 L 109.041743 29.388764 L 109.302776 29.882945 L 109.82484 28.845164 L 110.085872 27.412036 L 110.346905 28.647491 L 110.607937 29.289927 L 110.868969 30.970145 L 111.130002 28.153309 L 111.913098 31.019564 L 112.174131 25.929491 L 112.435163 29.537018 L 112.696195 30.0312 L 112.957228 29.784109 L 113.21826 30.772473 L 113.479292 28.252145 L 113.740324 29.339345 L 114.262389 26.275418 L 114.523421 28.696909 L 114.784453 29.586436 L 115.045486 31.019564 L 115.306518 31.513745 L 115.56755 30.080618 L 115.828583 31.217236 L 116.089615 27.115527 L 116.350647 33.144545 L 116.611679 27.362618 L 116.872712 30.624218 L 117.133744 26.423673 L 117.394776 33.144545 L 117.655809 29.882945 L 117.916841 33.144545 L 118.438905 33.144545 L 118.699938 22.173709 L 118.96097 33.144545 L 119.222002 33.144545 L 119.483034 26.7696 L 119.744067 23.656255 L 120.005099 26.7696 L 120.266131 27.8568 L 120.527164 26.917855 L 120.788196 24.150436 M 121.31026 25.385891 L 121.571293 23.755091 L 121.832325 25.385891 L 122.093357 33.144545 L 122.35439 25.336473 L 122.615422 22.272545 L 122.876454 33.144545 L 123.137486 33.144545 L 123.398519 27.461455 L 123.659551 33.144545 L 124.181615 33.144545 L 124.442648 24.348109 L 124.70368 33.144545 L 124.964712 28.202727 L 125.225745 26.028327 L 125.486777 33.144545 L 125.747809 24.842291 L 126.008841 24.496364 L 126.269874 33.144545 L 126.530906 23.508 L 126.791938 20.888836 L 127.052971 15.947018 L 127.314003 33.144545 L 127.575035 24.496364 L 127.836067 25.731818 L 128.0971 25.830655 L 128.619164 22.4208 L 128.880196 33.144545 L 129.141229 25.435309 L 129.402261 25.237636 L 129.663293 25.188218 L 129.924326 33.144545 L 130.185358 27.3132 L 130.44639 33.144545 L 130.707422 23.409164 L 130.968455 33.144545 L 131.229487 33.144545 L 131.490519 24.743455 L 131.751552 33.144545 L 132.012584 24.644618 L 132.273616 26.324836 L 132.534648 33.144545 L 133.056713 33.144545 L 133.317745 23.903345 M 134.100842 33.144545 L 134.361874 22.865564 L 134.622907 24.496364 L 134.883939 27.263782 L 135.144971 33.144545 L 135.667036 33.144545 L 135.928068 21.135927 L 136.1891 23.903345 L 136.450133 24.298691 L 136.711165 33.144545 L 136.972197 33.144545 L 137.233229 23.458582 L 137.494262 26.423673 L 137.755294 33.144545 L 138.016326 16.638873 L 138.277358 33.144545 L 138.538391 22.272545 L 138.799423 33.144545 L 139.060455 21.234764 L 139.321488 33.144545 L 139.58252 33.144545 L 140.104584 17.231891 L 140.365617 22.321964 L 140.626649 23.656255 L 140.887681 33.144545 L 141.148714 24.101018 L 141.409746 21.3336 L 141.670778 16.737709 L 141.93181 33.144545 L 142.192843 15.551673 L 142.453875 33.144545 L 142.714907 22.717309 L 142.975939 33.144545 L 143.236972 33.144545 L 143.498004 26.423673 M 144.020069 19.999309 L 144.281101 16.095273 L 144.542133 33.144545 L 144.803165 23.853927 L 145.064198 33.144545 L 145.32523 17.775491 L 145.586262 33.144545 L 146.630391 33.144545 L 146.891424 16.391782 L 147.152456 33.144545 L 147.413488 8.435455 L 147.674521 33.144545 L 148.457617 33.144545 L 148.71865 17.182473 L 148.979682 33.144545 L 149.762779 33.144545 M 160.987167 32.650364 L 161.248199 32.946873 L 161.770264 32.946873 M 162.55336 32.848036 L 162.814393 32.848036 M 164.902651 32.7492 L 165.163683 32.650364 M 165.685748 32.7492 L 166.207812 32.650364 L 166.729877 32.848036 L 166.990909 32.650364 L 166.990909 32.650364 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pde2efb7fee">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMC$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p8c01480bb8)" d="M 14.809091 32.184087 L 15.070123 33.144545 L 15.331155 33.141633 L 15.592188 28.798761 L 15.85322 32.646969 L 16.114252 33.144545 L 16.375285 33.144545 L 16.897349 32.878095 L 17.158381 31.852021 L 17.419414 33.144545 L 17.941478 33.144545 L 18.202511 32.050477 L 18.463543 32.823088 L 18.724575 30.548967 L 18.985607 33.144545 L 19.24664 32.098151 L 19.507672 31.913947 L 19.768704 30.853 L 20.029736 32.933615 L 20.290769 33.088958 L 20.551801 32.40388 L 20.812833 32.769779 L 21.073866 31.707914 L 21.334898 33.144545 M 21.856962 33.144545 L 22.640059 33.144545 L 22.901092 32.147488 L 23.162124 32.960457 L 23.423156 31.82987 L 23.684188 33.144545 L 24.206253 32.775872 L 24.467285 33.144545 L 24.98935 33.144545 L 25.250382 32.753362 L 25.511414 33.144545 L 26.033479 33.038201 L 26.294511 32.493461 L 26.555543 33.144545 L 26.816576 32.934456 L 27.077608 33.144545 L 27.33864 33.144545 L 27.599673 32.196225 L 27.860705 33.097722 L 28.121737 32.524362 L 28.382769 32.363033 L 28.643802 33.144545 L 28.904834 32.741044 L 29.165866 33.144545 L 29.426898 33.144545 M 29.948963 33.144545 L 30.209995 32.583598 L 30.471028 33.003654 L 30.993092 33.144545 L 31.254124 32.696013 L 31.515157 33.144545 L 31.776189 33.144545 L 32.037221 32.419566 L 32.298254 32.662723 M 32.820318 32.114741 L 33.08135 33.144545 L 33.864447 33.093843 L 34.386512 33.144545 L 34.647544 31.867525 L 34.908576 33.094426 L 35.169609 32.903457 L 35.430641 33.144545 L 35.952705 33.144545 L 36.213738 32.116478 L 36.47477 33.144545 L 36.735802 32.870263 L 37.257867 32.874323 M 37.779931 33.144545 L 38.040964 33.093507 L 38.301996 32.231581 L 38.563028 32.375224 L 38.824061 33.144545 L 39.085093 32.776113 L 39.346125 33.144545 L 39.607157 33.144545 L 39.86819 32.172271 L 40.390254 32.656437 L 40.651286 32.331212 L 40.912319 33.144545 L 41.173351 32.288443 L 41.434383 33.144545 L 41.695416 33.144545 L 41.956448 32.532887 L 42.21748 32.345503 L 42.478512 32.907125 L 42.739545 31.988563 L 43.000577 33.144545 M 43.522642 32.751266 L 43.783674 33.144545 L 44.044706 33.068624 L 44.305738 31.636614 L 44.566771 32.61486 L 44.827803 33.080565 L 45.088835 32.378428 L 45.349867 33.144545 L 45.6109 33.046913 L 45.871932 33.144545 L 46.132964 32.949182 L 46.393997 33.144545 L 46.655029 33.144545 L 46.916061 32.644816 L 47.177093 33.144545 L 47.699158 33.144545 L 47.96019 32.382328 M 48.482255 33.144545 L 49.004319 33.144545 L 49.526384 31.339367 L 49.787416 33.144545 L 50.048448 33.12966 L 50.309481 31.737966 L 50.831545 33.144545 L 51.092578 32.583393 L 51.35361 32.600229 L 51.614642 31.720523 L 51.875674 33.144545 L 52.136707 32.913013 M 52.658771 33.088452 L 52.919804 33.144545 L 53.180836 32.965017 L 53.441868 33.011398 L 53.7029 32.414728 L 53.963933 33.144545 L 54.224965 33.09889 L 54.747029 32.563025 L 55.008062 33.144545 L 55.269094 33.104304 M 55.791159 32.42939 L 56.052191 32.522129 L 56.313223 33.144545 L 57.357352 33.144545 L 57.618385 31.296124 L 58.140449 33.144545 L 58.662514 33.144545 L 58.923546 32.040277 L 59.184578 32.843158 L 59.44561 32.791536 L 59.706643 33.144545 L 59.967675 32.039467 L 60.228707 33.144545 L 60.48974 23.999544 L 60.750772 33.113204 L 61.011804 32.496661 L 61.272836 31.424816 L 61.533869 33.144545 L 62.055933 33.144545 L 62.316966 31.16553 L 62.577998 33.144545 L 62.83903 31.694662 L 63.100062 33.144545 L 63.361095 32.263908 L 63.622127 33.006189 M 64.144191 33.086596 L 64.405224 32.29297 L 64.666256 33.144545 L 65.188321 32.978681 L 65.449353 32.527358 L 65.710385 32.514952 L 65.971417 33.144545 L 66.23245 32.825857 L 66.493482 33.144545 L 66.754514 32.50529 L 67.015547 33.144545 L 67.276579 32.736099 L 67.537611 33.144545 L 68.059676 32.732193 L 68.320708 33.144545 L 68.58174 32.884211 L 68.842772 33.144545 L 69.103805 32.268598 L 69.364837 31.822898 L 69.625869 33.134519 L 69.886902 32.623327 L 70.147934 33.144545 L 70.408966 33.122208 L 70.669998 31.863333 L 70.931031 33.144545 L 71.192063 32.856664 L 71.453095 31.863761 L 71.97516 33.144545 L 72.236192 33.144545 L 72.497224 32.81896 L 72.758257 32.822079 L 73.019289 33.144545 L 73.541354 32.956241 L 73.802386 33.144545 L 74.585483 33.144545 M 75.107547 33.036479 L 75.890644 33.144545 L 76.151676 31.683835 L 76.673741 33.010286 L 76.934773 32.366028 L 77.195805 33.144545 L 77.456838 33.049682 L 77.71787 33.144545 L 77.978902 32.698979 L 78.239935 33.144545 L 78.500967 33.144545 L 78.761999 32.300547 M 79.284064 32.633329 L 79.545096 33.144545 L 79.806128 32.848167 L 80.328193 33.144545 L 80.589225 31.532563 L 80.850257 32.996107 L 81.11129 32.514759 L 81.372322 33.144545 L 81.633354 32.931884 L 81.894386 33.144545 L 82.155419 32.380064 L 82.416451 33.144545 L 82.677483 32.267245 M 83.199548 32.947849 L 83.46058 32.067501 L 83.721612 33.144545 L 83.982645 32.983287 L 84.243677 32.500401 L 84.504709 33.144545 L 84.765741 33.144545 L 85.026774 32.151897 L 85.287806 33.04896 L 85.548838 32.898782 M 86.070903 32.97358 L 86.331935 33.144545 M 86.854 33.143981 L 87.115032 33.144545 L 87.376064 32.396925 L 87.637097 32.632447 L 87.898129 33.144545 L 88.159161 33.032268 L 88.420193 33.144545 L 88.942258 33.144545 L 89.20329 33.144545 L 89.464322 32.600501 L 89.725355 32.953996 L 90.247419 33.144545 L 90.508452 33.076468 L 90.769484 33.144545 L 91.030516 32.90098 L 91.291548 33.144545 L 91.813613 33.144545 L 92.074645 32.348924 L 92.335678 33.015636 L 92.59671 33.144545 L 92.857742 33.144545 L 93.118774 31.891385 L 93.379807 32.437283 L 93.640839 31.641881 L 93.901871 32.100695 L 94.162903 33.081029 L 94.423936 33.012445 L 94.684968 33.144545 L 94.946 33.144545 M 95.468065 33.144545 L 95.729097 32.854508 L 95.990129 33.144545 L 96.251162 32.855383 L 96.512194 32.803511 M 97.034259 32.95998 L 97.295291 33.144545 L 97.556323 33.144545 L 97.817355 32.786474 L 98.078388 33.144545 L 98.33942 33.144545 L 98.600452 32.643267 L 98.861484 31.897562 L 99.122517 32.646125 L 99.383549 33.029754 L 99.905614 33.144545 L 100.166646 32.763565 L 100.427678 33.060724 L 100.68871 32.970913 L 100.949743 32.228587 L 101.210775 33.107904 L 101.471807 32.866909 L 101.73284 32.999873 L 101.993872 32.991455 L 102.254904 32.43983 L 102.515936 32.972329 L 102.776969 33.135425 L 103.038001 32.838922 L 103.299033 30.721971 L 103.560065 32.896906 L 103.821098 32.916491 L 104.08213 33.054038 L 104.343162 33.061689 L 104.604195 32.687004 L 104.865227 33.035985 L 105.126259 31.482054 L 105.387291 33.081535 L 105.648324 33.041262 L 105.909356 32.61003 L 106.170388 32.418205 L 106.431421 32.414315 L 106.692453 33.008631 L 106.953485 32.865906 L 107.214517 33.033166 L 107.997614 33.033206 L 108.258646 32.950423 L 108.519679 33.113634 L 108.780711 33.121514 L 109.041743 31.644305 L 109.302776 31.888154 L 109.563808 31.208601 L 109.82484 32.893005 L 110.346905 32.561581 L 110.607937 31.429241 L 110.868969 33.0903 L 111.130002 32.751822 L 111.391034 32.705615 L 111.913098 33.000839 L 112.174131 31.815294 L 112.435163 32.936358 L 112.696195 33.079395 L 112.957228 32.313341 L 113.21826 33.107126 L 113.479292 31.936663 L 113.740324 32.096603 L 114.001357 32.523498 L 114.262389 32.342804 L 115.045486 33.016457 L 115.828583 32.988048 L 116.089615 32.654171 L 116.350647 33.144545 L 116.611679 32.803374 L 116.872712 33.064069 L 117.133744 32.575205 L 117.394776 33.144545 L 117.655809 32.849535 L 117.916841 33.144545 L 118.438905 33.144545 L 118.699938 32.278927 L 118.96097 33.144545 L 119.222002 33.144545 L 119.483034 32.858952 L 119.744067 30.190375 L 120.005099 32.315325 L 120.266131 31.495758 L 120.527164 32.132572 L 120.788196 30.292778 M 121.31026 31.231344 L 121.571293 30.285254 L 121.832325 31.132229 L 122.093357 33.144545 L 122.35439 32.337679 L 122.615422 31.995607 L 122.876454 33.144545 L 123.137486 33.144545 L 123.398519 32.284738 L 123.659551 33.144545 L 124.181615 33.144545 L 124.442648 29.958898 L 124.70368 33.144545 L 125.225745 31.239822 L 125.486777 33.144545 L 125.747809 31.3261 L 126.269874 33.144545 L 126.530906 31.22654 L 126.791938 31.5698 L 127.052971 30.417716 L 127.314003 33.144545 L 127.575035 32.57439 L 127.836067 32.282673 L 128.0971 30.946052 L 128.358132 31.004891 L 128.619164 24.901316 L 128.880196 33.144545 L 129.141229 31.68108 L 129.402261 32.064001 L 129.663293 30.575851 L 129.924326 33.144545 L 130.185358 32.902894 L 130.44639 33.144545 L 130.707422 32.174303 L 130.968455 33.144545 L 131.229487 33.144545 L 131.490519 32.243274 L 131.751552 33.144545 L 132.273616 32.194628 L 132.534648 33.144545 L 133.056713 33.144545 L 133.317745 31.196155 M 134.100842 33.144545 L 134.361874 30.893116 L 134.622907 31.854078 L 134.883939 31.72339 L 135.144971 33.144545 L 135.667036 33.144545 L 135.928068 30.307333 L 136.1891 31.902211 L 136.450133 32.144401 L 136.711165 33.144545 L 136.972197 33.144545 L 137.233229 31.162199 L 137.494262 31.476651 L 137.755294 33.144545 L 138.016326 29.282981 L 138.277358 33.144545 L 138.538391 30.536554 L 138.799423 33.144545 L 139.060455 31.593971 L 139.321488 33.144545 L 139.58252 33.144545 L 139.843552 32.261108 L 140.104584 28.828735 L 140.365617 32.120146 L 140.626649 31.034931 L 140.887681 33.144545 L 141.409746 31.045768 L 141.670778 32.577391 L 141.93181 33.144545 L 142.192843 29.534357 L 142.453875 33.144545 L 142.714907 31.817093 L 142.975939 33.144545 L 143.236972 33.144545 L 143.498004 31.602666 M 144.020069 24.823626 L 144.281101 32.088366 L 144.542133 33.144545 L 144.803165 31.695389 L 145.064198 33.144545 L 145.32523 31.1042 L 145.586262 33.144545 L 146.630391 33.144545 L 146.891424 30.326156 L 147.152456 33.144545 L 147.413488 8.435455 L 147.674521 33.144545 L 148.457617 33.144545 L 148.71865 31.85378 L 148.979682 33.144545 L 149.762779 33.144545 M 160.987167 32.197446 L 161.248199 32.713303 L 161.509231 31.512267 L 161.770264 32.837465 M 162.55336 32.293647 L 162.814393 31.14428 M 164.902651 32.877797 L 165.163683 32.349935 M 165.685748 25.638019 L 165.94678 30.662927 L 166.207812 31.951658 L 166.468845 29.122999 L 166.729877 29.306225 L 166.990909 31.996039 L 166.990909 31.996039 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p8c01480bb8">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>GNMATradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p1d7c96a738)" d="M 14.809091 32.937708 L 15.069676 33.144545 L 15.330262 33.107421 L 15.590847 31.887612 L 15.851432 32.974833 L 16.372603 32.927101 M 16.893773 32.884673 L 17.154359 31.680774 L 17.414944 33.144545 L 17.675529 33.043779 L 17.936115 33.144545 L 18.1967 31.664864 L 18.457285 32.98544 L 19.239041 32.953619 L 19.499626 31.755024 L 19.760212 31.622436 L 20.020797 33.096814 L 20.541968 33.096814 L 20.802553 32.943012 L 21.063138 31.298921 L 21.323724 33.144545 L 21.584309 32.80512 L 21.844894 33.00135 L 22.62665 33.144545 L 22.887235 32.136877 L 23.147821 32.980136 L 23.408406 31.877005 L 23.668991 33.144545 L 24.190162 33.064993 L 24.711333 33.0756 L 24.971918 33.144545 L 25.232503 31.792148 L 25.493088 33.144545 L 26.014259 32.996047 L 26.274844 31.792148 L 26.53543 33.144545 L 26.796015 33.00135 L 27.0566 33.144545 L 27.317186 33.022565 L 27.577771 32.168698 L 27.838356 32.974833 L 28.098941 33.09151 L 28.359527 31.293618 L 28.620112 33.144545 L 28.880697 33.027868 L 29.401868 33.144545 L 29.662453 33.033172 L 29.923039 33.144545 L 30.183624 33.049082 M 30.704795 33.118028 L 31.225965 33.059689 L 31.48655 33.144545 L 31.747136 33.049082 L 32.007721 32.184609 L 32.268306 32.969529 L 32.528892 33.09151 L 32.789477 31.765631 L 33.050062 33.144545 L 33.571233 33.033172 M 34.092403 32.996047 L 34.352989 33.144545 L 34.613574 31.861094 L 34.874159 32.958922 L 35.134745 32.433874 L 35.39533 33.144545 M 35.916501 33.080903 L 36.177086 31.272404 L 36.437671 32.927101 L 36.958842 33.080903 L 37.480012 32.958922 L 37.740598 33.027868 L 38.001183 32.720264 L 38.261768 33.080903 L 38.522354 31.877005 L 38.782939 33.144545 L 39.043524 32.470999 L 39.30411 33.144545 L 39.564695 33.118028 L 39.82528 31.701989 L 40.085866 32.958922 L 40.607036 31.17694 L 40.867621 33.144545 L 41.128207 33.033172 L 41.388792 33.144545 L 41.649377 33.006654 L 41.909963 31.850487 L 42.170548 31.277707 L 42.431133 32.89528 L 42.691719 31.404992 L 42.952304 33.144545 L 43.473474 32.486909 L 43.73406 33.144545 L 43.994645 33.064993 L 44.25523 31.346653 L 44.515816 33.038475 L 44.776401 33.017261 L 45.036986 31.389081 L 45.297572 33.144545 L 45.558157 32.932405 L 47.642839 33.144545 L 48.685181 32.831638 L 48.945766 33.144545 L 49.206351 32.98544 L 49.466936 31.696685 L 49.727522 33.144545 L 49.988107 33.049082 L 50.248692 31.877005 L 50.509278 33.059689 L 51.030448 32.937708 L 51.291034 33.006654 L 51.551619 31.564097 L 51.812204 33.144545 L 52.07279 32.974833 L 52.333375 32.131573 L 52.59396 33.096814 L 52.854545 33.144545 L 53.115131 33.027868 L 53.375716 32.773299 L 53.636301 31.542883 L 53.896887 33.144545 L 54.157472 33.011958 L 54.418057 32.105056 L 54.678643 32.03611 L 54.939228 33.102117 L 55.720984 33.00135 L 55.981569 32.067931 L 56.242154 33.144545 L 56.50274 32.3225 L 56.763325 32.958922 L 57.02391 32.874066 L 57.284496 33.144545 L 57.545081 31.977771 L 57.805666 31.977771 L 58.066252 33.144545 L 58.587422 33.144545 L 58.848007 32.688443 L 59.108593 33.107421 L 59.369178 32.131573 L 59.629763 33.144545 L 60.150934 33.0756 L 60.411519 33.054386 L 60.672105 31.792148 L 60.93269 33.070296 L 61.193275 31.55349 L 61.453861 33.144545 L 61.714446 32.80512 L 61.975031 33.144545 L 62.235616 31.956557 L 62.496202 32.990743 L 63.017372 33.022565 L 63.277958 31.717899 L 63.538543 32.889977 L 63.799128 33.054386 L 64.059714 32.131573 L 64.320299 33.027868 L 64.580884 33.080903 L 64.841469 32.911191 L 65.102055 33.144545 L 65.36264 32.921798 L 65.623225 31.293618 L 65.883811 33.144545 L 66.144396 33.080903 L 66.404981 33.144545 L 66.665567 31.755024 L 66.926152 33.022565 L 67.707908 33.00135 L 67.968493 31.606525 L 68.229078 33.144545 L 68.489664 33.033172 L 68.750249 33.144545 L 69.010834 31.908826 L 69.27142 31.214065 L 69.532005 33.011958 L 70.053176 33.144545 M 70.574346 32.099752 L 70.834932 33.144545 M 71.356102 31.850487 L 71.616687 32.87937 L 71.877273 33.049082 L 72.398443 33.054386 L 72.659029 31.808059 L 72.919614 33.144545 L 73.180199 33.043779 L 73.440785 33.112724 L 73.70137 33.059689 L 73.961955 33.144545 L 74.22254 33.006654 L 74.483126 33.144545 L 74.743711 32.996047 M 75.264882 33.112724 L 75.525467 33.144545 L 75.786052 33.038475 L 76.046638 31.240582 L 76.307223 33.064993 L 76.567808 32.921798 L 76.828394 31.64365 L 77.088979 33.144545 L 77.349564 32.964226 L 77.870735 33.070296 L 78.13132 32.953619 L 78.391905 33.144545 L 78.652491 31.654257 L 78.913076 33.070296 L 79.173661 32.046717 L 79.434247 33.144545 L 79.694832 32.980136 L 80.216002 33.102117 L 80.476588 31.473937 L 80.737173 33.022565 L 80.997758 31.426206 L 81.258344 33.144545 L 81.518929 32.990743 L 81.779514 33.144545 L 82.0401 31.664864 L 82.300685 33.038475 L 82.821856 32.990743 L 83.082441 32.980136 L 83.343026 31.240582 L 83.603611 33.144545 L 83.864197 32.990743 L 84.385367 33.144545 L 84.645953 33.086207 L 84.906538 31.898219 M 85.427709 33.011958 L 85.948879 32.958922 L 86.209465 33.144545 L 86.47005 33.043779 M 86.99122 33.144545 L 87.251806 33.054386 L 87.512391 31.298921 L 87.772976 33.144545 L 88.033562 33.006654 L 88.294147 33.027868 L 88.554732 32.30659 L 88.815318 33.027868 L 89.075903 33.144545 L 89.336488 31.617132 L 89.597073 32.964226 L 89.857659 32.221733 L 90.118244 33.144545 L 90.378829 32.911191 L 90.639415 33.064993 L 90.9 32.921798 L 91.160585 33.144545 L 92.202927 33.096814 L 92.463512 33.017261 L 92.724097 33.144545 L 92.984682 31.83988 L 93.245268 32.884673 L 93.505853 31.330742 L 93.766438 31.723203 L 94.027024 33.006654 L 94.80878 33.064993 L 95.069365 32.709657 L 95.32995 33.144545 L 95.590535 32.863459 L 95.851121 33.144545 L 96.111706 33.011958 L 96.372291 31.983075 L 96.632877 33.011958 L 96.893462 32.980136 L 97.414633 33.144545 L 97.675218 31.882308 L 97.935803 33.086207 L 98.196389 33.144545 L 98.456974 33.006654 L 98.717559 32.253554 L 98.978144 33.080903 L 99.23873 32.911191 L 99.7599 33.070296 L 100.281071 32.831638 L 100.541656 33.054386 L 100.802242 32.87937 L 101.323412 33.017261 L 101.583998 32.741478 L 101.844583 33.064993 L 102.105168 33.011958 L 102.626339 32.725568 L 102.886924 32.990743 L 103.147509 32.842245 L 103.408095 33.011958 L 103.929265 32.87937 L 104.189851 33.070296 L 104.711021 32.730871 L 104.971606 33.00135 L 105.232192 32.87937 L 105.753362 33.064993 L 106.274533 32.889977 L 106.795704 32.89528 L 107.056289 32.900584 L 107.316874 33.027868 L 107.838045 32.953619 L 108.359215 33.080903 L 108.619801 32.481606 L 108.880386 33.033172 L 109.401557 32.842245 L 109.922727 32.916494 L 110.183313 32.783906 L 110.443898 33.022565 L 110.704483 32.852852 L 110.965068 32.884673 L 111.225654 32.757389 L 111.486239 33.00135 L 111.746824 32.417963 L 112.00741 32.889977 L 112.267995 33.006654 L 112.52858 32.821031 L 113.049751 32.89528 L 113.310336 32.582373 L 113.831507 33.017261 L 114.092092 32.773299 L 114.613263 32.943012 L 114.873848 32.921798 L 115.134433 32.577069 L 115.395019 32.688443 L 115.655604 32.921798 L 115.916189 32.87937 L 116.176775 33.144545 L 116.43736 32.974833 L 116.697945 32.561158 L 116.958531 31.245886 L 117.219116 33.144545 L 117.479701 32.709657 L 117.740286 33.144545 L 118.261457 33.144545 L 118.522042 28.997194 L 118.782628 33.144545 L 119.043213 33.144545 L 119.564384 27.581155 L 119.824969 29.310102 L 120.085554 29.294191 L 120.346139 31.532276 L 120.606725 29.479814 L 120.86731 33.144545 L 121.127895 29.373744 L 121.649066 30.217003 L 121.909651 33.144545 L 122.170237 29.002498 L 122.430822 28.260005 L 122.691407 33.144545 L 122.951993 33.144545 L 123.212578 30.455662 L 123.473163 33.144545 L 123.994334 33.144545 L 124.254919 28.328951 L 124.515504 33.144545 L 124.77609 29.575278 L 125.036675 29.113872 L 125.29726 33.144545 L 125.557846 26.218151 L 126.079016 33.144545 L 126.339601 30.460965 L 126.600187 29.299495 L 126.860772 23.990673 L 127.121357 33.144545 L 127.381943 29.410869 L 127.642528 27.83042 L 127.903113 29.962435 L 128.163699 27.480388 L 128.684869 33.144545 L 128.945455 29.034319 L 129.20604 29.930613 L 129.466625 27.517513 L 129.72721 33.144545 L 129.987796 29.490421 L 130.248381 33.144545 L 130.508966 28.519878 L 130.769552 33.144545 L 131.030137 33.144545 L 131.290722 28.355469 L 131.551308 33.144545 L 131.811893 26.504541 L 132.333064 33.144545 L 132.854234 33.144545 L 133.114819 30.333681 L 133.375405 33.144545 L 133.896575 33.144545 L 134.157161 26.886394 L 134.417746 29.097961 L 134.678331 29.177514 L 134.938917 33.144545 L 135.460087 33.144545 L 135.720672 26.711378 L 135.981258 25.04077 L 136.502428 33.144545 L 136.763014 33.144545 L 137.023599 26.122687 L 137.284184 26.122687 L 137.54477 33.144545 L 137.805355 29.898792 L 138.06594 33.144545 L 138.326526 28.546395 L 138.587111 33.144545 L 138.847696 28.01074 L 139.108281 33.144545 L 139.368867 33.144545 L 139.629452 26.912912 L 139.890037 30.291253 L 140.150623 27.06141 L 140.411208 28.01074 L 140.671793 33.144545 L 140.932379 29.204031 L 141.192964 22.898148 L 141.453549 29.447993 L 141.714134 33.144545 L 141.97472 28.700197 L 142.235305 33.144545 L 142.49589 30.641285 L 142.756476 33.144545 L 143.017061 33.144545 L 143.277646 29.405565 L 143.538232 33.144545 L 143.798817 29.951828 L 144.059402 28.562306 L 144.319988 33.144545 L 144.580573 29.437386 L 144.841158 33.144545 L 145.101743 28.397897 L 145.362329 33.144545 L 146.40467 33.144545 L 146.665255 29.034319 L 146.925841 33.144545 L 147.186426 29.681348 L 147.447011 33.144545 L 148.228767 33.144545 L 148.489352 27.639494 L 148.749938 33.144545 L 149.792279 33.144545 M 150.31345 27.506906 L 150.574035 26.234061 L 150.83462 25.815083 L 151.095205 26.297704 L 151.355791 13.012391 L 151.616376 26.271186 L 151.876961 25.14684 L 152.137547 26.11208 L 152.398132 25.189268 L 152.658717 10.196223 L 152.919303 25.52339 L 153.179888 13.187407 L 153.440473 26.822752 L 153.701059 26.960643 L 153.961644 16.820317 L 154.222229 23.391376 L 154.482814 25.43323 L 154.7434 26.212847 L 155.26457 23.025433 L 155.525156 8.435455 L 155.785741 26.085563 L 156.046326 15.653543 L 156.306912 25.581729 L 156.567497 21.863962 L 156.828082 25.030163 L 157.088667 25.698406 L 157.349253 24.733166 L 157.609838 26.207544 L 157.870423 25.353677 L 158.391594 13.495011 L 158.652179 25.369588 L 158.912765 25.321856 L 159.17335 24.245242 L 159.433935 24.229331 L 159.694521 24.711952 L 159.955106 23.98537 L 160.215691 22.76556 L 160.476276 24.940003 L 160.736862 24.823326 L 160.997447 23.343644 L 161.258032 23.253484 L 161.518618 22.457956 L 161.779203 18.947027 L 162.039788 25.5393 L 162.300374 22.717829 L 162.560959 24.886968 L 162.821544 18.284088 L 163.08213 23.465625 L 163.342715 24.245242 L 163.6033 23.295912 L 163.863885 20.394888 L 164.124471 21.901087 L 164.385056 16.274054 L 164.645641 24.37783 L 164.906227 22.447349 L 165.166812 24.945306 L 165.427397 22.579937 L 165.687983 24.966521 L 165.948568 21.837445 L 166.209153 23.062558 L 166.469738 21.508627 L 166.730324 24.059619 L 166.990909 32.868763 L 166.990909 32.868763 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p1d7c96a738">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>GNMAUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p9de76b4d93)" d="M 14.809091 32.531199 L 15.069676 33.144545 L 15.330262 33.027718 L 15.590847 28.938743 L 15.851432 32.531199 L 16.112017 32.794062 L 16.372603 32.648027 M 16.893773 32.180716 L 17.154359 29.055571 L 17.414944 33.144545 L 17.675529 32.794062 L 17.936115 33.144545 L 18.1967 28.821915 L 18.457285 32.794062 L 18.71787 32.560406 L 18.978456 32.852476 L 19.239041 32.297544 L 19.499626 29.581296 L 19.760212 29.318433 L 20.020797 32.91089 L 20.541968 32.969304 L 20.802553 32.531199 L 21.063138 27.887292 L 21.323724 33.144545 L 21.584309 31.625783 L 21.844894 32.706441 L 22.105479 32.823269 L 22.366065 32.794062 L 22.62665 33.144545 L 22.887235 30.282263 L 23.147821 32.648027 L 23.408406 30.048607 L 23.668991 33.144545 L 23.929577 32.794062 L 24.190162 32.881683 L 24.450747 32.823269 L 24.711333 32.881683 L 24.971918 33.144545 L 25.232503 29.113985 L 25.493088 33.144545 L 26.014259 32.823269 L 26.274844 28.96795 L 26.53543 33.144545 L 26.796015 32.677234 L 27.0566 33.144545 L 27.317186 32.823269 L 27.577771 30.545126 L 27.838356 32.385164 L 28.098941 32.91089 L 28.359527 28.29619 L 28.620112 33.144545 L 28.880697 32.61882 L 29.141283 33.144545 L 29.401868 33.144545 L 29.662453 32.940097 L 29.923039 33.144545 L 30.183624 32.706441 M 30.704795 32.998511 L 31.225965 32.794062 L 31.48655 33.144545 L 31.747136 32.794062 L 32.007721 30.340677 L 32.268306 32.560406 L 32.528892 32.91089 L 32.789477 29.931779 L 33.050062 33.144545 L 33.310648 32.91089 L 33.571233 32.852476 M 34.092403 32.794062 L 34.352989 33.144545 L 34.613574 29.143191 L 34.874159 32.823269 L 35.134745 31.158472 L 35.39533 33.144545 M 35.916501 32.940097 L 36.177086 28.237776 L 36.437671 32.735648 L 36.698257 32.385164 L 36.958842 32.940097 L 37.219427 32.560406 L 37.740598 32.794062 L 38.001183 31.976267 L 38.261768 32.823269 L 38.522354 29.376847 L 38.782939 33.144545 L 39.043524 29.902573 L 39.30411 33.144545 L 39.564695 33.027718 L 39.82528 29.493675 L 40.085866 32.648027 L 40.346451 31.567369 L 40.607036 27.741257 L 40.867621 33.144545 L 41.128207 32.735648 L 41.388792 33.144545 L 41.649377 32.881683 L 41.909963 29.289226 L 42.170548 28.529845 L 42.431133 32.414371 L 42.691719 29.172398 L 42.952304 33.144545 L 43.473474 29.931779 L 43.73406 33.144545 L 43.994645 32.881683 L 44.25523 28.471431 L 44.515816 32.706441 L 44.776401 32.823269 L 45.036986 28.617466 L 45.297572 33.144545 L 45.558157 32.151509 L 45.818742 32.881683 L 46.339913 32.881683 L 46.600498 33.144545 L 46.861083 32.794062 L 47.121669 33.144545 L 47.382254 32.794062 L 47.642839 33.144545 L 47.903425 32.852476 L 48.16401 32.823269 L 48.424595 32.589613 L 48.685181 31.567369 L 48.945766 33.144545 L 49.206351 32.531199 L 49.466936 28.851122 L 49.727522 33.144545 L 49.988107 32.794062 L 50.248692 29.464468 L 50.509278 32.91089 L 51.030448 32.794062 L 51.291034 32.735648 L 51.551619 28.179362 L 51.812204 33.144545 L 52.07279 32.501992 L 52.333375 27.945706 L 52.59396 32.91089 L 52.854545 33.144545 L 53.115131 32.823269 L 53.375716 32.209923 L 53.636301 28.266983 L 53.896887 33.144545 L 54.157472 32.735648 L 54.418057 29.990193 L 54.678643 29.727331 L 54.939228 32.91089 L 55.720984 32.648027 L 55.981569 29.785745 L 56.242154 33.144545 L 56.50274 30.720368 L 56.763325 32.268337 L 57.02391 32.852476 L 57.284496 33.144545 L 57.545081 30.428298 L 57.805666 29.435261 L 58.066252 33.144545 L 58.587422 33.144545 L 58.848007 31.158472 L 59.108593 32.998511 L 59.369178 30.136228 L 59.629763 33.144545 L 59.890349 32.852476 L 60.411519 32.998511 L 60.672105 29.34764 L 60.93269 32.91089 L 61.193275 28.851122 L 61.453861 33.144545 L 61.714446 32.034681 L 61.975031 33.144545 L 62.235616 30.545126 L 62.496202 32.706441 L 62.756787 32.648027 L 63.017372 32.852476 L 63.277958 29.143191 L 63.538543 31.976267 L 63.799128 32.823269 L 64.059714 27.682843 L 64.320299 32.823269 L 64.580884 32.91089 L 64.841469 31.888646 L 65.102055 33.144545 L 65.36264 32.560406 L 65.623225 28.237776 L 65.883811 33.144545 L 66.144396 32.881683 L 66.404981 33.144545 L 66.665567 29.113985 L 66.926152 32.881683 L 67.186737 32.648027 L 67.447323 32.823269 L 67.707908 32.794062 L 67.968493 29.143191 L 68.229078 33.144545 L 68.489664 32.706441 L 68.750249 33.144545 L 69.010834 29.785745 L 69.27142 28.500638 L 69.532005 32.560406 L 69.79259 32.969304 L 70.053176 33.144545 M 70.574346 30.486712 L 70.834932 33.144545 M 71.356102 30.0194 L 71.616687 32.268337 L 71.877273 32.794062 L 72.137858 32.764855 L 72.398443 32.940097 L 72.659029 29.698124 L 72.919614 33.144545 L 73.180199 32.61882 L 73.440785 33.027718 L 73.70137 32.881683 L 73.961955 33.144545 L 74.22254 32.823269 L 74.483126 33.144545 L 74.743711 32.735648 M 75.264882 32.969304 L 75.525467 33.144545 L 75.786052 32.794062 L 76.046638 29.201605 L 76.307223 32.852476 L 76.567808 32.093095 L 76.828394 28.792708 L 77.088979 33.144545 L 77.349564 32.648027 L 77.610149 32.881683 L 77.870735 32.881683 L 78.13132 32.735648 L 78.391905 33.144545 L 78.652491 29.873366 L 78.913076 32.91089 L 79.173661 29.698124 L 79.434247 33.144545 L 79.694832 32.61882 L 79.955417 32.472785 L 80.216002 32.998511 L 80.476588 28.500638 L 80.737173 32.764855 L 80.997758 28.266983 L 81.258344 33.144545 L 81.518929 32.531199 L 81.779514 33.144545 L 82.0401 29.493675 L 82.300685 32.823269 L 82.56127 32.61882 L 82.821856 32.706441 L 83.082441 32.355957 L 83.343026 28.062534 L 83.603611 33.144545 L 83.864197 32.501992 L 84.124782 32.969304 L 84.385367 33.144545 L 84.645953 32.940097 L 84.906538 29.990193 M 85.427709 32.677234 L 85.688294 32.706441 L 85.948879 32.23913 L 86.209465 33.144545 L 86.47005 32.764855 M 86.99122 33.144545 L 87.251806 32.852476 L 87.512391 29.026364 L 87.772976 33.144545 L 88.033562 32.61882 L 88.294147 32.91089 L 88.554732 28.617466 L 88.815318 32.764855 L 89.075903 33.144545 L 89.336488 28.909536 L 89.597073 32.794062 L 89.857659 30.691161 L 90.118244 33.144545 L 90.378829 32.005474 L 90.639415 32.823269 L 90.9 32.355957 L 91.160585 33.144545 L 91.681756 33.144545 L 91.942341 32.764855 L 92.202927 32.91089 L 92.463512 32.852476 L 92.724097 33.144545 L 92.984682 29.727331 L 93.245268 32.355957 L 93.505853 28.588259 L 93.766438 28.821915 L 94.027024 32.414371 L 94.287609 32.794062 L 94.80878 32.823269 L 95.069365 31.479749 L 95.32995 33.144545 L 95.590535 32.414371 L 95.851121 33.144545 L 96.111706 32.677234 L 96.372291 29.785745 L 96.632877 32.852476 L 96.893462 32.589613 L 97.154047 32.998511 L 97.414633 33.144545 L 97.675218 29.931779 L 97.935803 32.852476 L 98.196389 33.144545 L 98.456974 32.735648 L 98.717559 30.954023 L 98.978144 32.881683 L 99.23873 32.794062 L 99.7599 32.969304 L 100.281071 32.122302 L 100.541656 32.881683 L 100.802242 32.297544 L 101.062827 32.794062 L 101.323412 32.589613 L 101.583998 31.538162 L 101.844583 32.764855 L 102.105168 32.61882 L 102.626339 31.94706 L 102.886924 32.677234 L 103.147509 32.414371 L 103.408095 32.764855 L 103.66868 32.443578 L 103.929265 32.531199 L 104.189851 32.881683 L 104.711021 31.917853 L 104.971606 32.794062 L 105.232192 32.385164 L 105.753362 32.940097 L 106.013948 32.560406 L 106.535118 32.677234 L 106.795704 32.297544 L 107.316874 32.764855 L 107.57746 32.648027 L 108.359215 32.823269 L 108.619801 29.960986 L 108.880386 32.852476 L 109.401557 32.385164 L 109.922727 32.677234 L 110.183313 31.801025 L 110.443898 32.706441 L 110.704483 32.472785 L 110.965068 32.589613 L 111.225654 32.32675 L 111.486239 32.706441 L 111.746824 31.158472 L 112.267995 32.794062 L 112.52858 32.61882 L 112.789166 32.735648 L 113.049751 32.589613 L 113.310336 31.859439 L 113.570922 32.589613 L 113.831507 32.648027 L 114.092092 32.32675 L 114.352677 32.385164 L 114.613263 32.706441 L 114.873848 32.61882 L 115.134433 31.917853 L 115.395019 32.61882 L 115.655604 32.501992 L 115.916189 32.61882 L 116.176775 33.144545 L 116.697945 31.801025 L 116.958531 28.237776 L 117.219116 33.144545 L 117.479701 32.560406 L 117.740286 33.144545 L 118.261457 33.144545 L 118.522042 20.322689 L 118.782628 33.144545 L 119.043213 33.144545 L 119.564384 20.089033 L 119.824969 24.557698 L 120.085554 24.995803 L 120.346139 29.931779 L 120.606725 22.016692 L 120.86731 33.144545 L 121.127895 23.506248 L 121.649066 25.4047 L 121.909651 33.144545 L 122.170237 21.432553 L 122.430822 21.257311 L 122.691407 33.144545 L 122.951993 33.144545 L 123.212578 25.69677 L 123.473163 33.144545 L 123.994334 33.144545 L 124.254919 22.104313 L 124.515504 33.144545 L 124.77609 25.083424 L 125.036675 23.38942 L 125.29726 33.144545 L 125.557846 17.022302 L 126.079016 33.144545 L 126.339601 25.901219 L 126.600187 22.075106 L 126.860772 10.041838 L 127.121357 33.144545 L 127.642528 16.408956 L 127.903113 25.638356 L 128.163699 18.248994 L 128.424284 27.974913 L 128.684869 33.144545 L 128.945455 21.637002 L 129.20604 25.959632 L 129.466625 20.11824 L 129.72721 33.144545 L 129.987796 24.616112 L 130.248381 33.144545 L 130.508966 20.001412 L 130.769552 33.144545 L 131.030137 33.144545 L 131.290722 22.922108 L 131.551308 33.144545 L 131.811893 16.876267 L 132.072478 23.38942 L 132.333064 33.144545 L 132.854234 33.144545 L 133.114819 26.36853 L 133.375405 33.144545 L 133.896575 33.144545 L 134.157161 18.920754 L 134.417746 23.710696 L 134.678331 21.549381 L 134.938917 33.144545 L 135.460087 33.144545 L 135.981258 11.064081 L 136.502428 33.144545 L 136.763014 33.144545 L 137.023599 14.598124 L 137.284184 15.21147 L 137.54477 33.144545 L 137.805355 25.346286 L 138.06594 33.144545 L 138.326526 24.06118 L 138.587111 33.144545 L 138.847696 15.649574 L 139.108281 33.144545 L 139.368867 33.144545 L 139.629452 18.570271 L 139.890037 26.719014 L 140.150623 14.977814 L 140.411208 12.407602 L 140.671793 33.144545 L 140.932379 23.418627 L 141.192964 8.435455 L 141.714134 33.144545 L 141.97472 19.504894 L 142.235305 33.144545 L 142.49589 27.303153 L 142.756476 33.144545 L 143.017061 33.144545 L 143.277646 23.856731 L 143.538232 33.144545 L 143.798817 25.171044 L 144.059402 21.432553 L 144.319988 33.144545 L 144.580573 24.294836 L 144.841158 33.144545 L 145.101743 16.292128 L 145.362329 33.144545 L 146.40467 33.144545 L 146.665255 21.812244 L 146.925841 33.144545 L 147.186426 24.557698 L 147.447011 33.144545 L 148.228767 33.144545 L 148.489352 16.642611 L 148.749938 33.144545 L 149.792279 33.144545 M 150.31345 32.385164 L 151.095205 32.355957 L 151.355791 31.888646 L 151.616376 32.355957 L 151.876961 32.23913 L 152.137547 32.414371 L 152.398132 32.355957 L 152.658717 32.093095 L 152.919303 32.268337 L 153.179888 32.005474 L 153.440473 32.443578 L 153.701059 32.355957 L 153.961644 32.122302 L 154.222229 32.385164 L 154.482814 32.209923 L 154.7434 32.355957 L 155.003985 32.209923 L 155.26457 32.414371 L 155.525156 32.122302 L 155.785741 32.385164 L 156.046326 31.976267 L 156.306912 32.209923 L 156.567497 32.005474 L 156.828082 32.23913 L 157.609838 32.472785 L 157.870423 32.32675 L 158.131009 32.005474 L 158.391594 32.005474 L 158.912765 32.209923 L 159.17335 32.209923 L 159.433935 32.32675 L 159.955106 32.180716 L 160.476276 32.355957 L 160.736862 32.23913 L 160.997447 32.443578 L 161.258032 32.414371 L 161.518618 32.122302 L 161.779203 32.034681 L 162.039788 32.297544 L 162.300374 32.385164 L 162.560959 32.063888 L 162.821544 32.093095 L 163.08213 32.297544 L 163.342715 32.180716 L 163.6033 32.209923 L 163.863885 32.005474 L 164.124471 32.268337 L 164.385056 31.830232 L 164.645641 32.297544 L 164.906227 32.151509 L 165.166812 32.23913 L 165.427397 32.151509 L 165.948568 32.355957 L 166.469738 32.209923 L 166.730324 32.297544 L 166.990909 31.917853 L 166.990909 31.917853 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p9de76b4d93">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>GNMA$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p50af535c86)" d="M 14.809091 33.054772 L 15.330262 33.136174 L 15.590847 32.193774 L 15.851432 33.08195 L 16.372603 33.060349 M 16.893773 33.090743 L 17.154359 32.951969 L 17.414944 33.144545 L 17.936115 33.144545 L 18.1967 32.958782 L 18.457285 33.083829 L 21.063138 32.948284 L 21.323724 33.144545 L 21.844894 33.067593 L 22.105479 33.143261 L 22.366065 33.084127 L 22.887235 33.10853 L 28.359527 33.071133 L 28.880697 33.129731 L 30.183624 33.120568 M 30.704795 33.138358 L 32.268306 33.052984 L 33.571233 33.110657 M 34.092403 33.098921 L 34.352989 33.144545 L 34.613574 32.989707 L 34.874159 33.127226 L 35.39533 33.144545 M 35.916501 33.106434 L 36.698257 33.142144 L 38.261768 33.092346 L 38.522354 32.996754 L 38.782939 33.144545 L 39.82528 33.102503 L 40.085866 32.993632 L 40.867621 33.144545 L 42.431133 33.105016 L 42.691719 33.011858 L 42.952304 33.144545 L 43.212889 33.083108 L 43.73406 33.144545 L 45.036986 33.03178 L 45.297572 33.144545 L 45.818742 33.069622 L 46.339913 33.093823 L 47.121669 33.144545 L 48.685181 33.121571 L 49.206351 33.075316 L 49.466936 32.994968 L 49.727522 33.144545 L 49.988107 33.116109 L 50.248692 32.936829 L 50.509278 33.121017 L 51.551619 33.022802 L 51.812204 33.144545 L 55.981569 33.075031 L 56.50274 33.125926 L 57.545081 33.084163 L 57.805666 33.050882 L 58.326837 33.144545 L 58.587422 33.144545 L 58.848007 32.994946 L 59.108593 33.130339 L 59.629763 33.144545 L 63.017372 33.082643 L 63.277958 33.007816 L 63.799128 33.094364 L 64.320299 33.064334 L 65.102055 33.144545 L 65.36264 32.987088 L 65.883811 33.144545 L 67.186737 32.991309 L 67.447323 33.092532 L 67.968493 33.085231 L 68.489664 33.126403 L 69.010834 33.110505 L 69.532005 33.132068 L 70.053176 33.144545 M 70.574346 33.121723 L 70.834932 33.144545 M 71.356102 33.070509 L 72.137858 33.055501 L 72.398443 33.141581 L 72.659029 32.831609 L 72.919614 33.144545 L 74.743711 33.071549 M 75.264882 33.133312 L 76.046638 33.102837 L 76.307223 33.019918 L 76.567808 33.113929 L 76.828394 33.05347 L 77.349564 33.133555 L 78.13132 33.031187 L 78.391905 33.144545 L 79.173661 33.050398 L 79.434247 33.144545 L 79.694832 32.936078 L 79.955417 33.128744 L 82.300685 33.066314 L 82.56127 32.907661 L 82.821856 33.103903 L 83.082441 33.035424 L 83.864197 33.129958 L 84.906538 33.08501 M 85.427709 32.986263 L 85.688294 33.077332 L 85.948879 32.993225 L 86.209465 33.144545 L 86.47005 33.097809 M 86.99122 33.144545 L 90.9 33.054172 L 91.421171 33.144545 L 94.027024 33.133702 L 94.287609 33.007715 L 94.80878 33.115432 L 95.590535 32.998131 L 95.851121 33.144545 L 96.893462 33.126041 L 107.57746 33.144067 L 107.838045 33.074655 L 108.359215 33.141032 L 116.697945 33.059418 L 116.958531 32.634606 L 117.219116 33.144545 L 118.000872 33.144545 L 118.261457 33.144545 L 118.522042 32.554982 L 118.782628 33.144545 L 119.043213 33.144545 L 119.303798 32.844055 L 119.564384 31.152384 L 119.824969 31.362078 L 120.346139 31.256009 L 120.86731 33.144545 L 121.127895 31.459637 L 121.649066 31.651114 L 121.909651 33.144545 L 122.170237 31.05958 L 122.691407 33.144545 L 122.951993 33.144545 L 123.212578 32.410968 L 123.473163 33.144545 L 123.994334 33.144545 L 124.254919 31.088146 L 124.515504 33.144545 L 125.036675 31.253889 L 125.29726 33.144545 L 125.557846 30.001762 L 125.818431 31.237825 L 126.079016 33.144545 L 126.339601 32.238397 L 126.600187 32.398377 L 126.860772 30.265908 L 127.121357 33.144545 L 127.381943 31.799629 L 127.642528 32.512287 L 127.903113 31.693528 L 128.163699 31.997288 L 128.424284 31.769917 L 128.684869 33.144545 L 128.945455 31.569849 L 129.20604 32.20605 L 129.466625 31.233496 L 129.72721 33.144545 L 129.987796 30.643255 L 130.248381 33.144545 L 130.508966 31.609636 L 130.769552 33.144545 L 131.030137 33.144545 L 131.290722 31.474748 L 131.551308 33.144545 L 131.811893 31.223855 L 132.333064 33.144545 L 132.854234 33.144545 L 133.114819 32.5325 L 133.375405 33.144545 L 133.896575 33.144545 L 134.157161 30.76411 L 134.417746 31.21384 L 134.938917 33.144545 L 135.460087 33.144545 L 135.720672 30.650008 L 135.981258 31.931529 L 136.241843 31.325156 L 136.502428 33.144545 L 136.763014 33.144545 L 137.284184 31.527074 L 137.54477 33.144545 L 137.805355 31.200562 L 138.06594 33.144545 L 138.326526 31.828454 L 138.587111 33.144545 L 138.847696 32.196177 L 139.108281 33.144545 L 139.368867 33.144545 L 139.629452 29.981468 L 139.890037 32.099707 L 140.150623 31.690505 L 140.411208 31.637375 L 140.671793 33.144545 L 141.192964 30.735402 L 141.453549 32.619832 L 141.714134 33.144545 L 141.97472 31.24013 L 142.235305 33.144545 L 142.49589 30.682948 L 142.756476 33.144545 L 143.017061 33.144545 L 143.277646 32.090998 L 143.538232 33.144545 L 143.798817 31.697698 L 144.059402 32.185395 L 144.319988 33.144545 L 144.580573 32.091981 L 144.841158 33.144545 L 145.101743 32.274542 L 145.362329 33.144545 L 146.40467 33.144545 L 146.665255 32.634193 L 146.925841 33.144545 L 147.186426 31.619142 L 147.447011 33.144545 L 148.228767 33.144545 L 148.489352 31.865717 L 148.749938 33.144545 L 149.792279 33.144545 M 150.31345 24.457905 L 150.574035 23.272859 L 150.83462 22.73923 L 151.095205 25.558372 L 151.355791 14.267321 L 151.616376 23.347508 L 151.876961 23.752238 L 152.137547 25.561856 L 152.398132 21.474379 L 152.658717 10.320068 L 152.919303 23.626348 L 153.179888 10.422786 L 153.701059 28.652617 L 153.961644 10.856597 L 154.482814 24.840794 L 154.7434 26.452853 L 155.003985 17.276926 L 155.26457 21.676979 L 155.525156 9.211721 L 155.785741 16.29875 L 156.046326 15.294232 L 156.306912 25.242441 L 156.567497 21.690978 L 156.828082 21.843566 L 157.088667 21.551891 L 157.349253 22.893962 L 157.609838 19.31164 L 157.870423 21.02639 L 158.131009 11.380679 L 158.391594 11.280338 L 158.652179 19.274934 L 158.912765 23.167153 L 159.17335 13.127214 L 159.433935 20.20376 L 159.694521 20.938758 L 159.955106 20.522083 L 160.215691 17.452242 L 160.736862 25.60829 L 160.997447 20.558737 L 161.258032 20.569078 L 161.518618 22.163583 L 161.779203 10.32328 L 162.039788 21.641884 L 162.300374 17.172593 L 162.560959 21.450643 L 162.821544 15.681866 L 163.08213 22.299736 L 163.342715 21.841085 L 163.863885 16.08988 L 164.124471 19.511965 L 164.385056 8.435455 L 164.645641 22.172662 L 164.906227 16.343098 L 165.166812 21.885543 L 165.427397 18.036535 L 165.687983 25.003972 L 165.948568 14.228842 L 166.209153 22.728199 L 166.469738 20.689088 L 166.730324 22.013596 L 166.990909 33.144451 L 166.990909 33.144451 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p50af535c86">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>OtherTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p3c0cb9ffd5)" d="M 14.809091 33.144545 L 15.070123 29.976713 L 15.331155 29.976713 M 15.85322 33.144545 L 16.114252 33.144545 L 16.375285 31.243846 L 16.636317 33.144545 L 16.897349 31.243846 L 17.158381 33.144545 L 17.419414 24.274615 L 17.680446 33.144545 L 17.941478 27.125664 L 18.202511 33.144545 L 18.985607 33.144545 L 19.24664 24.274615 M 19.768704 33.144545 L 20.029736 31.243846 M 21.073866 33.144545 L 21.334898 29.65993 L 21.59593 33.144545 L 21.856962 30.61028 L 22.117995 33.144545 L 22.379027 33.144545 L 22.640059 28.392797 L 22.901092 33.144545 L 23.162124 30.293497 L 23.423156 33.144545 M 24.206253 33.144545 L 24.728317 33.144545 L 24.98935 30.293497 L 25.250382 33.144545 L 25.511414 30.927063 L 25.772447 29.976713 L 26.033479 29.976713 L 26.294511 33.144545 L 26.555543 29.976713 L 26.816576 33.144545 L 27.077608 33.144545 L 27.33864 29.65993 L 27.599673 33.144545 L 27.860705 30.61028 L 28.121737 23.641049 L 28.382769 33.144545 L 28.643802 28.392797 L 28.904834 33.144545 L 29.687931 33.144545 M 30.209995 30.927063 L 30.471028 24.274615 L 30.73206 33.144545 L 31.515157 33.144545 L 31.776189 29.026364 L 32.037221 33.144545 M 32.559286 31.243846 L 32.820318 33.144545 M 33.864447 33.144545 L 34.125479 33.144545 L 34.386512 26.175315 L 34.647544 33.144545 L 34.908576 29.65993 L 35.169609 33.144545 L 35.430641 31.560629 L 35.691673 33.144545 L 35.952705 23.007483 L 36.213738 33.144545 L 36.47477 30.927063 L 36.735802 33.144545 L 37.518899 33.144545 L 37.779931 28.076014 L 38.040964 31.243846 L 38.301996 29.026364 L 38.563028 33.144545 L 38.824061 19.522867 L 39.085093 33.144545 L 39.346125 33.144545 L 39.607157 29.026364 L 39.86819 33.144545 M 40.390254 27.125664 L 40.651286 33.144545 M 41.173351 33.144545 L 41.434383 33.144545 L 41.695416 20.79 L 41.956448 22.690699 M 42.478512 25.224965 L 42.739545 33.144545 L 43.000577 27.442448 L 43.522642 33.144545 L 43.783674 33.144545 L 44.044706 28.076014 L 44.305738 33.144545 L 44.566771 33.144545 L 44.827803 26.175315 L 45.088835 33.144545 L 45.349867 23.324266 L 45.6109 33.144545 M 46.132964 33.144545 L 46.393997 33.144545 M 46.916061 33.144545 L 48.221223 33.144545 L 48.482255 25.224965 L 48.743287 33.144545 M 49.265352 33.144545 L 49.526384 33.144545 M 50.048448 26.492098 L 50.309481 33.144545 L 50.831545 33.144545 M 51.35361 27.125664 L 51.614642 33.144545 M 52.658771 33.144545 L 52.919804 25.541748 M 53.441868 24.908182 L 53.7029 33.144545 L 54.224965 24.591399 L 54.485997 27.442448 L 54.747029 33.144545 L 55.530126 33.144545 L 55.791159 29.343147 L 56.052191 33.144545 L 56.313223 30.61028 M 56.835288 33.144545 L 57.09632 33.144545 L 57.357352 20.473217 L 57.879417 33.144545 L 58.401481 33.144545 L 58.662514 30.61028 L 58.923546 33.144545 L 59.184578 24.274615 L 59.44561 33.144545 L 59.706643 29.976713 L 59.967675 33.144545 L 60.228707 33.144545 L 60.48974 31.243846 L 60.750772 33.144545 M 61.272836 33.144545 L 61.533869 24.591399 L 61.794901 33.144545 M 63.622127 33.144545 L 63.883159 30.293497 M 64.405224 33.144545 L 64.666256 28.392797 L 64.927288 33.144545 L 65.188321 33.144545 L 65.449353 25.224965 L 65.710385 33.144545 L 65.971417 30.927063 L 66.23245 33.144545 L 66.493482 30.293497 L 66.754514 33.144545 M 67.276579 33.144545 L 67.537611 33.144545 L 67.798643 18.889301 L 68.059676 33.144545 M 69.103805 24.908182 L 69.364837 21.423566 M 69.886902 33.144545 L 70.147934 33.144545 L 70.408966 29.026364 L 70.669998 33.144545 L 70.931031 31.560629 L 71.192063 28.076014 L 71.453095 33.144545 L 71.97516 33.144545 L 72.236192 8.435455 L 72.497224 27.125664 L 72.758257 33.144545 L 73.019289 29.976713 L 73.280321 29.343147 L 73.541354 33.144545 L 74.585483 33.144545 L 74.846515 28.076014 M 75.368579 33.144545 L 75.629612 33.144545 L 75.890644 26.492098 L 76.151676 33.144545 L 76.412709 33.144545 L 76.673741 21.423566 L 76.934773 33.144545 M 77.456838 33.144545 L 78.239935 33.144545 L 78.500967 22.057133 L 78.761999 33.144545 L 79.023031 28.392797 L 79.284064 33.144545 M 79.806128 21.423566 L 80.06716 33.144545 L 80.328193 21.74035 L 80.589225 33.144545 L 80.850257 30.293497 L 81.11129 33.144545 L 81.372322 30.293497 L 81.633354 33.144545 L 81.894386 30.927063 L 82.155419 33.144545 M 83.199548 20.473217 L 83.46058 33.144545 L 83.982645 18.572517 L 84.243677 33.144545 L 84.504709 33.144545 L 84.765741 30.61028 L 85.026774 29.343147 L 85.287806 33.144545 L 87.115032 33.144545 L 87.376064 23.641049 L 87.637097 33.144545 L 87.898129 29.343147 L 88.159161 33.144545 L 88.420193 30.61028 L 88.681226 33.144545 L 88.942258 33.144545 L 89.20329 28.392797 M 89.725355 28.70958 L 89.986387 33.144545 L 90.247419 29.65993 L 90.508452 33.144545 L 91.552581 33.144545 L 91.813613 24.908182 M 92.335678 33.144545 L 92.59671 33.144545 L 92.857742 30.61028 M 93.379807 20.156434 L 93.640839 28.70958 L 93.901871 23.957832 L 94.162903 33.144545 L 94.684968 33.144545 M 95.729097 33.144545 L 95.990129 30.61028 L 96.251162 30.61028 L 96.512194 33.144545 L 97.295291 33.144545 L 97.556323 25.541748 L 97.817355 33.144545 L 98.078388 33.144545 L 98.33942 31.243846 M 98.861484 33.144545 L 99.122517 17.305385 L 99.383549 33.144545 L 99.644581 33.144545 L 99.905614 25.858531 L 100.166646 33.144545 L 127.575035 33.144545 M 128.0971 33.144545 L 128.619164 33.144545 M 129.141229 33.144545 L 140.104584 33.144545 M 140.626649 33.144545 L 143.498004 33.144545 M 144.020069 33.144545 L 166.990909 33.144545 L 166.990909 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p3c0cb9ffd5">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>OtherUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p9e8989656b)" d="M 14.809091 33.144545 L 15.070123 28.076014 L 15.331155 28.70958 M 15.85322 33.144545 L 16.114252 33.144545 L 16.375285 29.976713 L 16.636317 33.144545 L 16.897349 29.343147 L 17.158381 33.144545 L 17.419414 20.473217 L 17.680446 33.144545 L 17.941478 25.541748 L 18.202511 33.144545 L 18.985607 33.144545 L 19.24664 17.938951 M 19.768704 33.144545 L 20.029736 29.343147 M 21.073866 33.144545 L 21.334898 29.343147 L 21.59593 33.144545 L 21.856962 29.976713 L 22.117995 33.144545 L 22.379027 33.144545 L 22.640059 25.541748 L 22.901092 33.144545 L 23.162124 28.076014 L 23.423156 33.144545 M 24.206253 33.144545 L 24.728317 33.144545 L 24.98935 29.343147 L 25.250382 33.144545 L 25.772447 27.442448 L 26.033479 28.076014 L 26.294511 33.144545 L 26.555543 29.976713 L 26.816576 33.144545 L 27.077608 33.144545 L 27.33864 26.175315 L 27.599673 33.144545 L 28.121737 22.373916 L 28.382769 33.144545 L 28.643802 27.442448 L 28.904834 33.144545 L 29.687931 33.144545 M 30.209995 30.61028 L 30.471028 19.83965 L 30.73206 33.144545 L 31.515157 33.144545 L 31.776189 26.808881 L 32.037221 33.144545 M 32.559286 29.976713 L 32.820318 33.144545 M 33.864447 33.144545 L 34.125479 33.144545 L 34.386512 22.373916 L 34.647544 33.144545 L 34.908576 28.076014 L 35.169609 33.144545 L 35.430641 30.61028 L 35.691673 33.144545 L 35.952705 20.473217 L 36.213738 33.144545 L 36.47477 28.70958 L 36.735802 33.144545 L 37.518899 33.144545 L 37.779931 27.442448 L 38.040964 29.343147 L 38.301996 28.076014 L 38.563028 33.144545 L 38.824061 12.87042 L 39.085093 33.144545 L 39.346125 33.144545 L 39.607157 26.175315 L 39.86819 33.144545 M 40.390254 24.274615 L 40.651286 33.144545 M 41.173351 33.144545 L 41.434383 33.144545 L 41.695416 17.938951 L 41.956448 22.373916 M 42.478512 24.274615 L 42.739545 33.144545 L 43.000577 25.541748 L 43.522642 33.144545 L 43.783674 33.144545 L 44.044706 26.808881 L 44.305738 33.144545 L 44.566771 33.144545 L 44.827803 25.541748 L 45.088835 33.144545 L 45.349867 21.74035 L 45.6109 33.144545 M 46.132964 33.144545 L 46.393997 33.144545 M 46.916061 33.144545 L 48.221223 33.144545 L 48.482255 23.641049 L 48.743287 33.144545 M 49.265352 33.144545 L 49.526384 33.144545 M 50.048448 22.373916 L 50.309481 33.144545 L 50.831545 33.144545 M 51.35361 24.908182 L 51.614642 33.144545 M 52.658771 33.144545 L 52.919804 26.175315 M 53.441868 23.641049 L 53.7029 33.144545 L 53.963933 28.70958 L 54.224965 21.106783 L 54.747029 33.144545 L 55.530126 33.144545 L 55.791159 26.808881 L 56.052191 33.144545 L 56.313223 29.976713 M 56.835288 33.144545 L 57.09632 33.144545 L 57.357352 10.96972 L 57.879417 33.144545 L 58.401481 33.144545 L 58.662514 30.61028 L 58.923546 33.144545 L 59.184578 25.541748 L 59.44561 33.144545 L 59.706643 27.442448 L 59.967675 33.144545 L 60.228707 33.144545 L 60.48974 29.976713 L 60.750772 33.144545 M 61.272836 33.144545 L 61.533869 21.74035 L 61.794901 33.144545 M 63.622127 33.144545 L 63.883159 30.61028 M 64.405224 33.144545 L 64.666256 24.274615 L 64.927288 33.144545 L 65.188321 33.144545 L 65.449353 23.007483 L 65.710385 33.144545 L 65.971417 28.70958 L 66.23245 33.144545 L 66.493482 28.076014 L 66.754514 33.144545 M 67.276579 33.144545 L 67.537611 33.144545 L 67.798643 19.83965 L 68.059676 33.144545 M 69.103805 23.007483 L 69.364837 14.771119 M 69.886902 33.144545 L 70.147934 33.144545 L 70.408966 24.908182 L 70.669998 33.144545 L 70.931031 30.61028 L 71.192063 24.908182 L 71.453095 33.144545 L 71.97516 33.144545 L 72.236192 8.435455 L 72.497224 24.274615 L 72.758257 33.144545 L 73.019289 27.442448 L 73.541354 33.144545 L 74.585483 33.144545 L 74.846515 28.076014 M 75.368579 33.144545 L 75.629612 33.144545 L 75.890644 24.274615 L 76.151676 33.144545 L 76.412709 33.144545 L 76.673741 21.106783 L 76.934773 33.144545 M 77.456838 33.144545 L 78.239935 33.144545 L 78.500967 22.373916 L 78.761999 33.144545 L 79.023031 26.808881 L 79.284064 33.144545 M 79.806128 17.305385 L 80.06716 33.144545 L 80.328193 21.106783 L 80.589225 33.144545 L 80.850257 29.976713 L 81.11129 33.144545 L 81.372322 28.076014 L 81.633354 33.144545 L 81.894386 29.976713 L 82.155419 33.144545 M 83.199548 25.541748 L 83.46058 33.144545 L 83.721612 25.541748 L 83.982645 8.435455 L 84.243677 33.144545 L 84.504709 33.144545 L 84.765741 28.70958 L 85.026774 28.70958 L 85.287806 33.144545 L 87.115032 33.144545 L 87.376064 23.641049 L 87.637097 33.144545 L 87.898129 29.976713 L 88.159161 33.144545 L 88.420193 30.61028 L 88.681226 33.144545 L 88.942258 33.144545 L 89.20329 27.442448 M 89.725355 30.61028 L 89.986387 33.144545 L 90.247419 26.175315 L 90.508452 33.144545 L 91.552581 33.144545 L 91.813613 21.74035 M 92.335678 33.144545 L 92.59671 33.144545 L 92.857742 28.076014 M 93.379807 17.305385 L 93.640839 25.541748 L 93.901871 22.373916 L 94.162903 33.144545 L 94.684968 33.144545 M 95.729097 33.144545 L 96.251162 28.70958 L 96.512194 33.144545 L 97.295291 33.144545 L 97.556323 26.808881 L 97.817355 33.144545 L 98.078388 33.144545 L 98.33942 29.976713 M 98.861484 33.144545 L 99.122517 13.503986 L 99.383549 33.144545 L 99.644581 33.144545 L 99.905614 20.473217 L 100.166646 33.144545 L 127.575035 33.144545 M 128.0971 33.144545 L 128.619164 33.144545 M 129.141229 33.144545 L 140.104584 33.144545 M 140.626649 33.144545 L 143.498004 33.144545 M 144.020069 33.144545 L 166.990909 33.144545 L 166.990909 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p9e8989656b">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>Other$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p9d818089a3)" d="M 14.809091 33.144545 L 15.070123 32.551453 L 15.331155 32.441855 M 15.85322 33.144545 L 16.114252 33.144545 L 16.375285 32.89954 L 16.636317 33.144545 L 16.897349 30.890111 L 17.158381 33.144545 L 17.419414 32.198464 L 17.680446 33.144545 L 17.941478 30.694552 L 18.202511 33.144545 L 18.985607 33.144545 L 19.24664 32.447383 M 19.768704 33.144545 L 20.029736 33.088784 M 21.073866 33.144545 L 21.334898 31.020106 L 21.59593 33.144545 L 21.856962 33.006431 L 22.117995 33.144545 L 22.379027 33.144545 L 22.640059 28.776355 L 22.901092 33.144545 L 23.162124 32.065697 L 23.423156 33.144545 M 24.206253 33.144545 L 24.728317 33.144545 L 24.98935 31.541699 L 25.250382 33.144545 L 25.511414 33.046434 L 25.772447 26.042927 L 26.033479 30.565299 L 26.294511 33.144545 L 26.555543 32.331122 L 26.816576 33.144545 L 27.077608 33.144545 L 27.33864 32.233182 L 27.599673 33.144545 L 27.860705 32.745185 L 28.121737 29.489288 L 28.382769 33.144545 L 28.643802 32.620515 L 28.904834 33.144545 L 29.687931 33.144545 M 30.209995 32.782252 L 30.471028 31.895416 L 30.73206 33.144545 L 31.515157 33.144545 L 31.776189 31.032026 L 32.037221 33.144545 M 32.559286 32.967536 L 32.820318 33.144545 M 33.864447 33.144545 L 34.125479 33.144545 L 34.386512 32.630298 L 34.647544 33.144545 L 34.908576 31.236883 L 35.169609 33.144545 L 35.430641 31.411376 L 35.691673 33.144545 L 35.952705 32.107449 L 36.213738 33.144545 L 36.47477 33.044915 L 36.996835 33.144545 L 37.518899 33.144545 L 38.040964 31.488956 L 38.301996 32.671067 L 38.563028 33.144545 L 38.824061 32.685069 L 39.085093 33.144545 L 39.346125 33.144545 L 39.607157 31.171892 L 39.86819 33.144545 M 40.390254 32.782915 L 40.651286 33.144545 M 41.173351 33.144545 L 41.434383 33.144545 L 41.695416 31.592293 L 41.956448 25.50053 M 42.478512 29.704405 L 42.739545 33.144545 L 43.000577 28.849636 L 43.261609 31.812 L 43.522642 33.144545 L 43.783674 33.144545 L 44.044706 28.269755 L 44.305738 33.144545 L 44.566771 33.144545 L 44.827803 32.052183 L 45.088835 33.144545 L 45.349867 31.80307 L 45.6109 33.144545 M 46.132964 33.144545 L 46.393997 33.144545 M 46.916061 33.144545 L 48.221223 33.144545 L 48.482255 32.796212 L 48.743287 33.144545 M 49.265352 33.144545 L 49.526384 33.144545 M 50.048448 31.829123 L 50.309481 33.144545 L 50.831545 33.144545 M 51.35361 32.337359 L 51.614642 33.144545 M 52.658771 33.144545 L 52.919804 13.36911 M 53.441868 32.513247 L 53.7029 33.144545 L 53.963933 32.548631 L 54.224965 26.020207 L 54.485997 32.00004 L 54.747029 33.144545 L 55.530126 33.144545 L 55.791159 33.026103 L 56.052191 33.144545 L 56.313223 32.74736 M 56.835288 33.144545 L 57.09632 33.144545 L 57.357352 31.882575 L 57.618385 33.00169 L 57.879417 33.144545 L 58.401481 33.144545 L 58.662514 27.800647 L 58.923546 33.144545 L 59.184578 29.874095 L 59.44561 33.144545 L 59.706643 32.641453 L 59.967675 33.144545 L 60.228707 33.144545 L 60.48974 32.947345 L 60.750772 33.144545 M 61.272836 33.144545 L 61.533869 31.902641 L 61.794901 33.144545 M 63.622127 33.144545 L 63.883159 32.912457 M 64.405224 33.144545 L 64.666256 31.728646 L 64.927288 33.144545 L 65.188321 33.144545 L 65.449353 32.843309 L 65.710385 33.144545 L 65.971417 32.208625 L 66.23245 33.144545 L 66.493482 32.463866 L 66.754514 33.144545 M 67.276579 33.144545 L 67.537611 33.144545 L 67.798643 29.221165 L 68.059676 33.144545 M 69.103805 25.15263 L 69.364837 30.259059 M 69.886902 33.144545 L 70.147934 33.144545 L 70.408966 31.521541 L 70.669998 33.144545 L 70.931031 32.932516 L 71.192063 32.892073 L 71.453095 33.144545 L 71.97516 33.144545 L 72.236192 26.860274 L 72.497224 32.62685 L 72.758257 33.144545 L 73.541354 33.144545 L 74.585483 33.144545 L 74.846515 32.475169 M 75.368579 33.144545 L 75.629612 33.144545 L 75.890644 32.780536 L 76.151676 33.144545 L 76.412709 33.144545 L 76.673741 29.564476 L 76.934773 33.144545 M 77.456838 33.144545 L 78.239935 33.144545 L 78.500967 31.456495 L 78.761999 33.144545 L 79.023031 33.078639 L 79.284064 33.144545 M 79.806128 32.551541 L 80.06716 33.144545 L 80.328193 31.665621 L 80.589225 33.144545 L 80.850257 31.350926 L 81.11129 33.144545 L 81.372322 32.882515 L 81.633354 33.144545 L 81.894386 32.7069 L 82.155419 33.144545 M 83.199548 24.146282 L 83.46058 33.144545 L 83.982645 31.975965 L 84.243677 33.144545 L 84.504709 33.144545 L 84.765741 32.199832 L 85.287806 33.144545 L 87.115032 33.144545 L 87.376064 22.109094 L 87.637097 33.144545 L 87.898129 31.903136 L 88.159161 33.144545 L 88.420193 32.966247 L 88.681226 33.144545 L 88.942258 33.144545 L 89.20329 32.549589 M 89.725355 31.084962 L 89.986387 33.144545 L 90.247419 32.947893 L 90.508452 33.144545 L 91.552581 33.144545 L 91.813613 32.386937 M 92.335678 33.144545 L 92.857742 33.045329 M 93.379807 8.435455 L 93.640839 32.52119 L 93.901871 32.212673 L 94.162903 33.144545 L 94.684968 33.144545 M 95.729097 33.144545 L 95.990129 32.465379 L 96.251162 32.998596 L 96.512194 33.144545 L 97.295291 33.144545 L 97.556323 11.394761 L 97.817355 33.144545 L 98.078388 33.144545 L 98.33942 32.658356 M 98.861484 33.144545 L 99.122517 31.686185 L 99.383549 33.144545 L 99.644581 33.144545 L 99.905614 31.697636 L 100.166646 33.144545 L 127.575035 33.144545 M 128.0971 33.144545 L 128.619164 33.144545 M 129.141229 33.144545 L 140.104584 33.144545 M 140.626649 33.144545 L 143.498004 33.144545 M 144.020069 33.144545 L 166.990909 33.144545 L 166.990909 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p9d818089a3">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>584</th>
      <td>AGENCY CMO</td>
      <td>IO/PO</td>
      <td>2019-10-31</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>29.0</td>
      <td>17.0</td>
      <td>303877.5</td>
      <td>34.0</td>
      <td>16.0</td>
      <td>321216.4</td>
      <td>39.0</td>
      <td>21.0</td>
      <td>336688.5</td>
      <td>NaN</td>
      <td>NaN</td>
      <td>NaN</td>
    </tr>
    <tr>
      <th>231</th>
      <td>AGENCY PASS-THRU (SPECIFIED)</td>
      <td>OTHER</td>
      <td>2019-09-06</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
    </tr>
    <tr>
      <th>230</th>
      <td>AGENCY PASS-THRU (SPECIFIED)</td>
      <td>ADJUSTABLE/HYBRID</td>
      <td>2019-09-06</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>9.0</td>
      <td>6.0</td>
      <td>84252.2</td>
      <td>38.0</td>
      <td>19.0</td>
      <td>974.0</td>
      <td>7.0</td>
      <td>4.0</td>
      <td>31394.5</td>
      <td>10.0</td>
      <td>8.0</td>
      <td>18077.3</td>
    </tr>
    <tr>
      <th>...</th>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
    </tr>
    <tr>
      <th>37</th>
      <td>AGENCY PASS-THRU (TBA, STIP, $ ROLLS)</td>
      <td>SINGLE FAMILY 30Y</td>
      <td>2019-08-07</td>
      <td>10987.0</td>
      <td>28.0</td>
      <td>363701507.6</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>25.0</td>
      <td>6.0</td>
      <td>1283690.0</td>
      <td>2194.0</td>
      <td>32.0</td>
      <td>46713012.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
    </tr>
    <tr>
      <th>415</th>
      <td>AGENCY PASS-THRU (TBA, STIP, $ ROLLS)</td>
      <td>SINGLE FAMILY 30Y</td>
      <td>2019-10-07</td>
      <td>11254.0</td>
      <td>29.0</td>
      <td>395799855.8</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>48.0</td>
      <td>10.0</td>
      <td>384107.0</td>
      <td>1713.0</td>
      <td>29.0</td>
      <td>41745567.8</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
    </tr>
    <tr>
      <th>463</th>
      <td>AGENCY PASS-THRU (SPECIFIED)</td>
      <td>SINGLE FAMILY 30Y</td>
      <td>2019-10-14</td>
      <td>NaN</td>
      <td>NaN</td>
      <td>NaN</td>
      <td>NaN</td>
      <td>NaN</td>
      <td>NaN</td>
      <td>NaN</td>
      <td>NaN</td>
      <td>NaN</td>
      <td>52.0</td>
      <td>42.0</td>
      <td>355.3</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
    </tr>
  </tbody>
</table>



### 3. A df with a Multiindex on the ind... on the rows.


```python
df3 = df.copy()
df3 = df2.groupby(['AssetClass', 'Date']).mean()

spkly.display(df3)
```




<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th></th>
      <th>UMBSTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p641a06545a)" d="M 14.809091 33.144545 L 65.013402 33.144545 L 65.797844 31.509906 L 66.582287 31.50843 L 67.366729 31.151083 L 68.151172 31.038858 L 68.935614 29.925473 L 69.720056 30.219324 L 70.504499 31.31056 L 71.288941 31.343046 L 72.073383 30.840989 L 73.642268 31.258878 L 74.42671 31.041812 L 75.211153 31.245588 L 75.995595 30.615063 L 76.780037 30.719904 L 77.56448 30.334502 L 78.348922 31.272167 L 79.133365 31.511383 L 79.917807 29.921043 L 80.702249 30.473306 L 82.271134 31.884972 L 83.055576 31.236728 L 83.840019 31.298747 L 84.624461 30.684465 L 85.408903 30.557474 L 86.193346 30.687418 L 86.977788 31.038858 L 87.762231 30.855755 L 89.331115 31.084634 L 90.115558 31.607364 L 90.9 31.022615 L 91.684442 31.620654 L 92.468885 31.30613 L 93.253327 31.421308 L 94.037769 31.245588 L 94.822212 29.652294 L 95.606654 31.010802 L 96.391097 30.685942 L 97.175539 31.570448 L 97.959981 31.529102 L 98.744424 31.30613 L 101.097751 31.227868 L 101.882193 30.845419 L 102.666635 30.662315 L 103.451078 31.221962 L 104.23552 30.501362 L 105.019963 31.285457 L 105.804405 33.144545 L 106.588847 30.560427 L 107.37329 30.522035 L 108.157732 31.264784 L 108.942174 30.907438 L 109.726617 31.276597 L 110.511059 30.625399 L 112.079944 30.203081 L 112.864386 30.911867 L 113.648828 31.133363 L 114.433271 30.953213 L 115.217713 31.403588 L 116.002156 31.294317 L 116.786598 17.783563 L 117.57104 18.366343 L 118.355483 15.607982 L 119.924367 8.435455 L 120.70881 9.14621 L 121.493252 18.393907 L 122.277694 19.728789 L 123.062137 12.14674 L 124.631022 14.058495 L 125.415464 19.872515 L 126.199906 22.817917 L 126.984349 19.19523 L 127.768791 19.451181 L 128.553233 17.962729 L 129.337676 23.213657 L 130.122118 23.745247 L 130.90656 23.040398 L 131.691003 23.418417 L 132.475445 20.992792 L 133.259888 22.408396 L 134.04433 22.069754 L 135.613215 17.139749 L 136.397657 16.667224 L 137.966542 9.876654 L 138.750984 16.371896 L 139.535426 15.117738 L 140.319869 13.432401 L 141.104311 22.603313 L 141.888754 20.22494 L 142.673196 18.706955 L 143.457638 20.303694 L 144.242081 19.890235 L 145.026523 23.792499 L 145.810965 18.724674 L 146.595408 15.73202 L 147.37985 16.318737 L 148.164292 21.599198 L 148.948735 18.992438 L 149.733177 15.50757 L 150.517619 16.576657 L 151.302062 13.300488 L 152.086504 13.180388 L 152.870947 8.860727 L 153.655389 12.863402 L 154.439831 20.801813 L 155.224274 17.96076 L 156.008716 18.529758 L 156.793158 33.144545 L 157.577601 19.888266 L 158.362043 21.366874 L 159.930928 25.194322 L 160.71537 23.881097 L 161.499813 22.132757 L 162.284255 22.697817 L 163.068697 20.506485 L 163.85314 23.168373 L 164.637582 22.130788 L 165.422024 21.876806 L 166.206467 20.020179 L 166.990909 18.51007 L 166.990909 18.51007 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p641a06545a">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>UMBSUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pbb1d3431f8)" d="M 14.809091 33.144545 L 65.013402 33.144545 L 65.797844 25.360729 L 66.582287 25.888701 L 67.366729 22.675614 L 68.151172 22.494595 L 68.935614 16.43046 L 70.504499 23.324266 L 71.288941 22.554935 L 72.073383 21.468821 L 74.42671 21.423566 L 75.211153 23.806983 L 75.995595 22.042048 L 76.780037 17.923866 L 77.56448 18.798791 L 78.348922 22.977313 L 79.133365 22.962228 L 79.917807 14.891798 L 80.702249 16.520969 L 81.486692 21.845944 L 82.271134 25.541748 L 83.055576 22.313576 L 83.840019 22.916973 L 84.624461 17.893696 L 85.408903 18.346244 L 86.193346 18.632857 L 86.977788 22.751039 L 87.762231 21.408482 L 88.546673 21.664925 L 89.331115 21.71018 L 90.115558 23.988002 L 90.9 21.333057 L 91.684442 24.229361 L 92.468885 22.50968 L 93.253327 22.57002 L 94.037769 22.434256 L 94.822212 8.435455 L 95.606654 20.156434 L 96.391097 20.382707 L 97.175539 24.742248 L 97.959981 23.625964 L 98.744424 20.337453 L 99.528866 21.287802 L 100.313308 22.781209 L 101.097751 22.011878 L 101.882193 18.466923 L 102.666635 17.516573 L 103.451078 22.63036 L 104.23552 17.109281 L 105.019963 23.686304 L 105.804405 33.144545 L 106.588847 18.678112 L 108.157732 22.585105 L 108.942174 17.26013 L 109.726617 24.123766 L 110.511059 17.561828 L 111.295501 16.264525 L 112.079944 14.288402 L 112.864386 19.130659 L 113.648828 19.266424 L 114.433271 21.64984 L 115.217713 22.871718 L 116.002156 23.263926 L 116.786598 32.340017 L 117.57104 32.42047 L 119.139925 32.279677 L 129.337676 32.319903 L 130.122118 32.42047 L 130.90656 32.319903 L 134.828772 32.400356 L 136.397657 32.239451 L 137.182099 32.259564 L 137.966542 32.138884 L 138.750984 32.138884 L 139.535426 32.29979 L 140.319869 32.259564 L 141.104311 32.400356 L 141.888754 32.340017 L 142.673196 32.521036 L 143.457638 32.340017 L 145.026523 32.460696 L 145.810965 32.279677 L 146.595408 32.440583 L 148.164292 32.42047 L 151.302062 32.319903 L 152.086504 32.400356 L 153.655389 32.239451 L 156.008716 32.279677 L 156.793158 33.144545 L 157.577601 32.239451 L 159.930928 32.480809 L 160.71537 32.340017 L 162.284255 32.42047 L 166.990909 32.440583 L 166.990909 32.440583 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pbb1d3431f8">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>UMBS$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pe455b2272b)" d="M 14.809091 33.144545 L 65.013402 33.144545 L 65.797844 32.807696 L 66.582287 32.820632 L 67.366729 32.15863 L 68.151172 32.543674 L 68.935614 32.171426 L 69.720056 32.501023 L 70.504499 32.133997 L 71.288941 32.802569 L 72.857826 32.668718 L 73.642268 32.797158 L 74.42671 32.545964 L 75.211153 32.843937 L 75.995595 32.874407 L 76.780037 32.598555 L 77.56448 32.543238 L 78.348922 32.645592 L 79.133365 32.529161 L 79.917807 32.733839 L 80.702249 32.491208 L 83.055576 32.828656 L 83.840019 32.17668 L 84.624461 32.437696 L 86.193346 32.457244 L 86.977788 32.11506 L 87.762231 32.766119 L 88.546673 32.858793 L 89.331115 32.767665 L 90.115558 32.921782 L 90.9 32.774673 L 94.037769 32.95155 L 94.822212 32.307225 L 95.606654 32.62074 L 96.391097 32.558302 L 97.959981 32.854766 L 99.528866 32.21682 L 100.313308 32.580832 L 101.097751 32.661915 L 101.882193 32.489043 L 105.019963 32.653596 L 105.804405 33.144545 L 106.588847 32.771303 L 107.37329 32.728765 L 109.726617 32.92172 L 110.511059 32.528325 L 112.079944 32.376276 L 112.864386 32.699298 L 113.648828 32.759374 L 115.217713 32.59449 L 116.002156 32.619225 L 116.786598 21.213267 L 117.57104 21.085778 L 118.355483 12.883454 L 119.139925 12.282668 L 119.924367 10.131982 L 120.70881 13.097422 L 122.277694 26.047313 L 123.062137 21.288217 L 123.846579 22.220856 L 124.631022 22.491128 L 125.415464 26.377154 L 126.199906 26.562046 L 126.984349 22.688655 L 127.768791 25.73236 L 128.553233 23.521141 L 129.337676 27.968122 L 130.122118 24.669552 L 130.90656 27.266176 L 131.691003 26.262955 L 132.475445 24.501115 L 133.259888 27.001022 L 134.04433 20.26544 L 134.828772 16.757642 L 135.613215 8.673195 L 136.397657 11.162711 L 137.182099 14.22404 L 137.966542 14.595309 L 138.750984 19.666813 L 139.535426 21.391692 L 140.319869 20.349104 L 141.104311 26.606738 L 141.888754 24.596205 L 142.673196 21.131051 L 143.457638 24.16328 L 144.242081 23.293967 L 145.026523 28.280297 L 145.810965 23.941514 L 146.595408 23.498136 L 147.37985 25.220611 L 148.164292 25.581157 L 148.948735 23.465176 L 149.733177 19.023512 L 150.517619 19.843484 L 151.302062 16.90293 L 152.086504 11.110567 L 152.870947 8.435455 L 153.655389 21.098599 L 154.439831 25.366065 L 155.224274 21.249399 L 156.008716 22.058451 L 156.793158 33.144545 L 157.577601 24.139611 L 158.362043 25.508284 L 159.146485 27.134725 L 159.930928 27.099932 L 160.71537 23.907044 L 161.499813 24.468816 L 162.284255 24.554043 L 163.068697 23.671457 L 163.85314 26.872318 L 164.637582 24.773439 L 165.422024 25.305182 L 166.206467 23.458636 L 166.990909 20.535448 L 166.990909 20.535448 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pe455b2272b">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMATradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p1636740f9a)" d="M 14.809091 20.082837 L 15.593533 16.089449 L 16.377976 19.250882 L 17.162418 18.543719 L 17.94686 16.380634 L 18.731303 21.829945 L 19.515745 23.077879 L 20.300187 18.044545 L 21.08463 14.009559 L 21.869072 17.378981 L 22.653515 16.172645 L 23.437957 23.493857 L 24.222399 18.834904 L 25.006842 13.219201 L 25.791284 12.054463 L 26.575726 15.50708 L 27.360169 21.16438 L 28.144611 14.633526 L 28.929053 10.889725 L 29.713496 13.80157 L 31.282381 24.575399 L 32.066823 24.991377 L 32.851265 21.205978 L 33.635708 8.435455 L 34.42015 17.878154 L 35.204592 18.33573 L 35.989035 14.633526 L 36.773477 15.715069 L 37.557919 14.342342 L 38.342362 17.545372 L 39.126804 17.503774 L 39.911246 11.388898 L 40.695689 10.057769 L 41.480131 11.430496 L 42.264574 15.1327 L 43.049016 15.299091 L 43.833458 17.628567 L 44.617901 12.262452 L 45.402343 14.508733 L 46.186785 15.673471 L 46.971228 18.33573 L 47.75567 14.342342 L 48.540112 20.706804 L 49.324555 19.126088 L 50.108997 22.994683 L 50.89344 19.66686 L 51.677882 18.002948 L 52.462324 23.285868 L 53.246767 18.294132 L 54.031209 18.127741 L 54.815651 32.770165 L 55.600094 21.039587 L 56.384536 19.292479 L 57.168978 15.88146 L 57.953421 25.157769 L 58.737863 22.453912 L 59.522306 20.457218 L 60.306748 21.996336 L 61.09119 15.715069 L 61.875633 22.453912 L 62.660075 19.625262 L 63.444517 20.498815 L 64.22896 18.044545 L 65.013402 20.290826 L 65.797844 30.648678 L 67.366729 31.036924 L 68.151172 29.587934 L 68.935614 28.568788 L 69.720056 28.71438 L 70.504499 31.023058 L 71.288941 29.27595 L 72.073383 29.296749 L 72.857826 29.983113 L 73.642268 30.919063 L 74.42671 31.376639 L 75.211153 28.547989 L 75.995595 29.816722 L 76.780037 29.587934 L 77.56448 30.107906 L 78.348922 28.547989 L 79.133365 29.171956 L 79.917807 29.317548 L 80.702249 29.754325 L 81.486692 30.357493 L 82.271134 32.423517 L 83.840019 31.16865 L 84.624461 29.192755 L 85.408903 30.815069 L 86.193346 30.773471 L 86.977788 31.002259 L 87.762231 29.255152 L 88.546673 28.839174 L 89.331115 28.922369 L 90.115558 30.939862 L 90.9 28.797576 L 91.684442 29.317548 L 92.468885 29.359146 L 93.253327 26.218512 L 94.037769 30.149504 L 94.822212 30.835868 L 95.606654 29.775124 L 96.391097 30.04551 L 97.175539 30.856667 L 97.959981 31.875813 L 98.744424 30.752672 L 99.528866 30.960661 L 101.097751 28.111212 L 101.882193 30.191102 L 102.666635 29.296749 L 103.451078 30.295096 L 104.23552 29.795923 L 105.019963 30.378292 L 105.804405 33.144545 L 106.588847 29.879118 L 107.37329 29.629532 L 108.157732 30.98146 L 108.942174 25.906529 L 109.726617 30.690275 L 110.511059 26.322507 L 111.295501 29.629532 L 112.079944 20.290826 L 112.864386 26.863278 L 113.648828 28.839174 L 114.433271 29.047163 L 115.217713 30.586281 L 116.002156 30.815069 L 116.786598 32.673104 L 117.57104 32.257126 L 118.355483 32.229394 L 119.139925 32.395785 L 120.70881 31.924343 L 121.493252 31.009192 L 122.277694 32.506713 L 123.062137 32.090735 L 123.846579 32.257126 L 125.415464 32.035271 L 126.199906 32.090735 L 126.984349 32.395785 L 127.768791 32.229394 L 128.553233 32.340321 L 129.337676 32.229394 L 130.122118 31.924343 L 130.90656 32.201662 L 131.691003 32.31259 L 132.475445 32.201662 L 133.259888 31.841148 L 134.04433 32.395785 L 134.828772 32.784031 L 135.613215 31.86888 L 136.397657 32.673104 L 137.966542 32.478981 L 138.750984 32.201662 L 139.535426 32.506713 L 140.319869 31.757952 L 141.104311 32.478981 L 141.888754 32.340321 L 143.457638 32.784031 L 144.242081 32.534444 L 145.026523 32.839495 L 145.810965 32.423517 L 146.595408 32.31259 L 147.37985 32.562176 L 148.164292 32.451249 L 148.948735 32.61764 L 150.517619 32.506713 L 152.086504 32.589908 L 152.870947 32.395785 L 153.655389 32.784031 L 154.439831 32.950422 L 155.224274 32.728567 L 156.008716 32.368053 L 156.793158 33.144545 L 157.577601 32.506713 L 158.362043 32.423517 L 159.146485 32.700836 L 159.930928 32.562176 L 160.71537 32.562176 L 161.499813 32.395785 L 163.068697 32.839495 L 164.637582 32.478981 L 165.422024 32.867227 L 166.206467 32.950422 L 166.990909 32.673104 L 166.990909 32.673104 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p1636740f9a">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMAUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p5ead1d6af7)" d="M 14.809091 19.712087 L 15.593533 15.2346 L 16.377976 21.204582 L 17.162418 18.634173 L 17.94686 14.902935 L 18.731303 20.209585 L 19.515745 21.038749 L 21.08463 14.156687 L 21.869072 16.727096 L 22.653515 13.493356 L 23.437957 20.541251 L 24.222399 19.131672 L 25.006842 14.902935 L 25.791284 15.2346 L 27.360169 21.702081 L 28.144611 19.048755 L 28.929053 8.435455 L 30.497938 19.463337 L 31.282381 24.438322 L 32.066823 25.267486 L 32.851265 20.624167 L 33.635708 13.659189 L 34.42015 19.62917 L 35.204592 17.805009 L 35.989035 15.649182 L 36.773477 14.073771 L 37.557919 15.815015 L 38.342362 16.478347 L 39.126804 18.053758 L 39.911246 12.00086 L 40.695689 12.498359 L 41.480131 13.990854 L 42.264574 16.892929 L 43.049016 15.980848 L 43.833458 17.639176 L 44.617901 14.32252 L 45.402343 14.985851 L 46.186785 18.136675 L 46.971228 20.126669 L 47.75567 18.053758 L 48.540112 19.048755 L 49.324555 18.551257 L 50.108997 21.702081 L 50.89344 15.649182 L 51.677882 16.39543 L 52.462324 22.614161 L 53.246767 17.970842 L 54.031209 18.053758 L 54.815651 32.481214 L 55.600094 18.800006 L 56.384536 17.722093 L 57.168978 16.063764 L 57.953421 24.189573 L 58.737863 18.965839 L 59.522306 18.634173 L 60.306748 21.121666 L 61.09119 9.762117 L 61.875633 21.287498 L 62.660075 20.043752 L 63.444517 22.531245 L 64.22896 20.375418 L 65.013402 19.712087 L 65.797844 29.496223 L 66.582287 30.104277 L 67.366729 30.546498 L 68.935614 27.174564 L 69.720056 27.381855 L 70.504499 30.49122 L 71.288941 27.796437 L 72.073383 28.667059 L 72.857826 28.667059 L 73.642268 30.822886 L 74.42671 31.030177 L 75.211153 28.045186 L 75.995595 28.749976 L 76.780037 28.542685 L 77.56448 29.952264 L 78.348922 28.169561 L 79.133365 28.915808 L 79.917807 28.335394 L 80.702249 28.998725 L 81.486692 29.910805 L 82.271134 32.149549 L 83.055576 31.403301 L 83.840019 30.905802 L 84.624461 28.87435 L 85.408903 30.947261 L 86.193346 30.947261 L 86.977788 30.532678 L 87.762231 28.003728 L 88.546673 27.298938 L 89.331115 27.796437 L 90.115558 29.744973 L 90.9 28.003728 L 91.684442 28.542685 L 92.468885 27.71352 L 93.253327 21.619164 L 94.037769 28.915808 L 94.822212 29.827889 L 95.606654 29.081641 L 96.391097 27.796437 L 97.175539 30.366846 L 97.959981 31.154552 L 98.744424 29.164558 L 99.528866 29.952264 L 100.313308 27.796437 L 101.097751 26.221025 L 101.882193 29.620598 L 102.666635 27.133106 L 103.451078 29.164558 L 105.019963 30.615595 L 105.804405 33.144545 L 106.588847 29.620598 L 107.37329 29.123099 L 108.157732 30.283929 L 108.942174 20.997291 L 109.726617 30.076638 L 110.511059 22.987285 L 111.295501 29.040183 L 112.079944 17.514802 L 112.864386 26.511232 L 113.648828 28.708517 L 114.433271 27.71352 L 115.217713 29.827889 L 116.002156 30.325387 L 116.786598 32.591769 L 118.355483 32.315381 L 119.139925 32.536492 L 119.924367 32.370659 L 120.70881 32.370659 L 121.493252 31.707328 L 122.277694 32.647047 L 123.062137 32.425937 L 126.199906 32.481214 L 126.984349 32.204826 L 128.553233 32.481214 L 129.337676 32.315381 L 130.90656 32.481214 L 131.691003 32.260104 L 132.475445 32.315381 L 133.259888 31.983716 L 134.04433 32.591769 L 134.828772 32.702325 L 135.613215 32.425937 L 136.397657 32.591769 L 137.966542 32.591769 L 138.750984 31.983716 L 139.535426 32.536492 L 140.319869 31.983716 L 141.104311 32.536492 L 141.888754 32.370659 L 143.457638 32.702325 L 144.242081 32.370659 L 145.026523 32.702325 L 145.810965 32.425937 L 148.948735 32.757602 L 149.733177 32.536492 L 152.086504 32.647047 L 152.870947 32.370659 L 153.655389 32.81288 L 154.439831 32.868157 L 156.008716 32.315381 L 156.793158 33.144545 L 157.577601 32.591769 L 158.362043 32.481214 L 159.146485 32.757602 L 159.930928 32.591769 L 160.71537 32.591769 L 161.499813 32.204826 L 162.284255 32.647047 L 163.068697 32.81288 L 164.637582 32.425937 L 165.422024 32.702325 L 166.990909 32.757602 L 166.990909 32.757602 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p5ead1d6af7">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMA$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pe0fcc887c4)" d="M 14.809091 31.10141 L 15.593533 31.1654 L 16.377976 30.777705 L 17.162418 27.952375 L 17.94686 28.848227 L 18.731303 28.862136 L 19.515745 26.599278 L 20.300187 29.539978 L 21.08463 25.979666 L 21.869072 29.23491 L 22.653515 30.813189 L 23.437957 31.000619 L 24.222399 31.073727 L 25.006842 27.980159 L 25.791284 28.507695 L 26.575726 26.48042 L 27.360169 30.572842 L 28.144611 29.932308 L 28.929053 25.82975 L 31.282381 30.966636 L 32.066823 31.40786 L 32.851265 28.377574 L 33.635708 27.08605 L 35.204592 29.853506 L 35.989035 26.881846 L 36.773477 27.169514 L 37.557919 25.857197 L 38.342362 29.613132 L 39.126804 31.074156 L 39.911246 25.979153 L 40.695689 25.809583 L 41.480131 24.852061 L 42.264574 26.744925 L 43.049016 31.214952 L 43.833458 30.357779 L 44.617901 25.828165 L 45.402343 25.463721 L 46.186785 28.193448 L 46.971228 31.877068 L 47.75567 27.47297 L 48.540112 27.82686 L 49.324555 24.556217 L 50.108997 30.030219 L 50.89344 8.435455 L 51.677882 24.788312 L 52.462324 27.945884 L 53.246767 21.748483 L 54.031209 25.373926 L 54.815651 33.144066 L 55.600094 29.931355 L 56.384536 24.497667 L 57.168978 25.635163 L 57.953421 28.468606 L 58.737863 27.441952 L 59.522306 28.00063 L 60.306748 28.015776 L 61.09119 24.749235 L 61.875633 28.128516 L 63.444517 22.312483 L 64.22896 29.346494 L 65.013402 29.011122 L 65.797844 29.750337 L 66.582287 29.830915 L 67.366729 30.468613 L 68.151172 29.400827 L 68.935614 26.196507 L 69.720056 27.290874 L 70.504499 29.486104 L 71.288941 30.927948 L 72.073383 21.803171 L 72.857826 23.018248 L 73.642268 31.360084 L 74.42671 29.457971 L 75.995595 31.236679 L 76.780037 31.225482 L 78.348922 29.646687 L 79.133365 30.677325 L 79.917807 28.911537 L 80.702249 30.573595 L 81.486692 30.237663 L 82.271134 31.877644 L 83.840019 31.574703 L 84.624461 29.21117 L 85.408903 29.982559 L 86.193346 30.941325 L 86.977788 30.709316 L 87.762231 27.317373 L 88.546673 31.223156 L 89.331115 27.341497 L 90.115558 31.514807 L 90.9 30.477536 L 91.684442 31.387758 L 92.468885 27.76319 L 93.253327 30.338214 L 94.037769 30.109618 L 94.822212 28.933326 L 95.606654 29.039244 L 96.391097 31.616798 L 97.175539 30.250202 L 97.959981 31.969176 L 98.744424 30.60623 L 99.528866 30.944799 L 100.313308 28.459062 L 101.097751 28.612491 L 101.882193 31.080488 L 102.666635 27.823125 L 103.451078 29.770586 L 104.23552 27.830113 L 105.804405 33.144545 L 106.588847 29.760258 L 107.37329 24.591629 L 108.157732 30.726292 L 109.726617 30.525524 L 110.511059 28.353752 L 111.295501 30.803293 L 112.079944 30.513702 L 112.864386 31.508059 L 114.433271 27.994338 L 115.217713 30.353106 L 116.002156 31.415123 L 116.786598 31.129982 L 117.57104 28.979043 L 118.355483 29.24989 L 119.139925 28.899098 L 119.924367 30.759684 L 120.70881 29.649609 L 121.493252 12.254341 L 122.277694 29.925087 L 123.062137 28.696129 L 123.846579 28.339976 L 124.631022 29.222895 L 125.415464 28.495849 L 126.199906 30.142596 L 126.984349 31.250416 L 127.768791 28.729078 L 128.553233 30.914906 L 129.337676 29.479357 L 130.90656 28.830963 L 131.691003 30.671602 L 132.475445 24.901424 L 133.259888 30.948933 L 134.04433 31.453744 L 134.828772 32.163691 L 135.613215 24.947667 L 136.397657 31.710375 L 137.182099 31.44672 L 137.966542 30.896826 L 138.750984 29.589917 L 139.535426 31.133481 L 140.319869 30.520879 L 141.104311 26.543419 L 141.888754 28.115193 L 142.673196 31.826511 L 143.457638 31.499394 L 144.242081 30.890447 L 145.026523 32.686129 L 145.810965 31.041281 L 146.595408 29.988064 L 147.37985 31.106489 L 148.164292 31.812985 L 148.948735 31.024418 L 149.733177 31.713143 L 150.517619 30.273259 L 151.302062 31.268075 L 152.086504 32.009993 L 152.870947 29.659418 L 153.655389 32.719542 L 155.224274 31.993416 L 156.008716 30.593209 L 156.793158 33.144545 L 157.577601 31.677542 L 158.362043 30.903587 L 159.146485 31.333092 L 159.930928 29.834023 L 160.71537 31.732746 L 161.499813 30.587868 L 162.284255 24.143084 L 163.068697 32.839503 L 163.85314 32.146476 L 164.637582 30.15214 L 165.422024 32.841392 L 166.206467 32.565183 L 166.990909 30.320867 L 166.990909 30.320867 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pe0fcc887c4">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMCTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pff6ccb6ddb)" d="M 14.809091 17.338938 L 15.593533 22.521946 L 16.377976 13.746754 L 17.162418 18.416593 L 17.94686 16.723135 L 18.731303 19.186347 L 19.515745 22.265361 L 20.300187 18.057375 L 21.08463 12.617782 L 21.869072 16.158649 L 22.653515 17.184987 L 23.437957 19.596882 L 24.222399 16.928403 L 25.006842 16.056015 L 25.791284 17.13367 L 26.575726 16.97972 L 27.360169 16.3126 L 28.144611 17.903424 L 28.929053 13.387536 L 29.713496 10.616423 L 30.497938 18.365276 L 31.282381 23.856185 L 32.066823 9.025599 L 32.851265 14.15729 L 33.635708 10.308522 L 34.42015 17.903424 L 35.204592 17.13367 L 35.989035 11.33486 L 36.773477 16.415234 L 37.557919 15.286262 L 38.342362 18.262642 L 39.126804 17.749473 L 39.911246 14.003339 L 40.695689 14.003339 L 41.480131 16.3126 L 42.264574 11.232226 L 43.049016 15.286262 L 43.833458 15.132311 L 44.617901 12.82305 L 45.402343 15.388895 L 46.186785 15.337579 L 46.971228 21.803509 L 47.75567 16.928403 L 49.324555 20.725854 L 50.108997 23.343016 L 50.89344 17.390255 L 51.677882 17.441572 L 52.462324 20.828488 L 53.246767 18.160008 L 54.031209 21.495607 L 54.815651 32.73401 L 55.600094 14.82441 L 56.384536 19.648199 L 57.168978 19.13503 L 57.953421 23.035115 L 58.737863 21.085072 L 59.522306 17.390255 L 60.306748 19.237664 L 61.09119 15.286262 L 61.875633 21.239023 L 62.660075 15.542846 L 63.444517 18.570544 L 64.22896 18.519227 L 65.013402 16.158649 L 65.797844 14.850068 L 66.582287 22.650238 L 67.366729 18.313959 L 68.151172 20.62322 L 68.935614 8.435455 L 69.720056 9.872328 L 70.504499 21.367315 L 71.288941 19.263322 L 72.073383 19.725174 L 72.857826 20.469269 L 73.642268 17.390255 L 74.42671 22.752872 L 75.995595 11.206568 L 76.780037 16.3126 L 77.56448 19.237664 L 78.348922 20.058734 L 79.133365 19.879125 L 79.917807 10.924325 L 80.702249 15.132311 L 81.486692 21.95746 L 82.271134 25.626619 L 83.055576 21.110731 L 83.840019 24.856865 L 84.624461 22.44497 L 85.408903 19.596882 L 86.193346 15.080994 L 86.977788 18.981079 L 87.762231 23.907502 L 88.546673 19.648199 L 89.331115 16.962614 L 90.115558 21.110731 L 90.9 17.184987 L 91.684442 23.753551 L 92.468885 21.008097 L 93.253327 22.316678 L 94.037769 22.393653 L 94.822212 11.523022 L 95.606654 22.727213 L 96.391097 16.620501 L 97.175539 22.701555 L 97.959981 23.702234 L 98.744424 22.881164 L 99.528866 25.164766 L 100.313308 23.163407 L 101.097751 20.110051 L 101.882193 17.852107 L 102.666635 16.80011 L 103.451078 21.880484 L 104.23552 21.880484 L 105.019963 21.444291 L 105.804405 33.144545 L 106.588847 17.903424 L 107.37329 21.983118 L 108.157732 21.367315 L 108.942174 23.933161 L 109.726617 20.751512 L 110.511059 19.699516 L 111.295501 22.77853 L 112.079944 15.055336 L 112.864386 19.109371 L 113.648828 20.751512 L 114.433271 20.879805 L 115.217713 25.318717 L 116.002156 23.368675 L 116.786598 32.973489 L 118.355483 32.682693 L 119.139925 31.810306 L 119.924367 32.289264 L 120.70881 31.605038 L 121.493252 29.706313 L 122.277694 33.144545 L 125.415464 33.144545 L 126.199906 32.973489 L 126.984349 33.144545 L 133.259888 33.144545 L 134.04433 32.939278 L 134.828772 32.528743 L 135.613215 32.357686 L 136.397657 32.802433 L 137.182099 31.947151 L 137.966542 31.570827 L 138.750984 33.144545 L 145.026523 33.144545 L 145.810965 32.836644 L 146.595408 33.144545 L 148.948735 33.144545 L 150.517619 32.73401 L 151.302062 32.631376 L 152.086504 32.768221 L 152.870947 30.681334 L 153.655389 32.220841 L 154.439831 32.973489 L 155.224274 33.144545 L 166.990909 33.144545 L 166.990909 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pff6ccb6ddb">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMCUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pc9734015c0)" d="M 14.809091 20.707636 L 15.593533 24.331636 L 16.377976 15.848182 L 17.162418 20.295818 L 17.94686 18.813273 L 18.731303 20.625273 L 19.515745 23.590364 L 20.300187 20.79 L 21.08463 16.095273 L 21.869072 18.730909 L 22.653515 17.989636 L 23.437957 21.201818 L 25.006842 19.719273 L 25.791284 18.401455 L 27.360169 22.354909 L 28.144611 21.366545 L 28.929053 17.083636 L 29.713496 15.271636 L 31.282381 24.990545 L 32.066823 15.848182 L 32.851265 20.378182 L 33.635708 13.953818 L 34.42015 20.213455 L 35.204592 20.213455 L 35.989035 15.106909 L 36.773477 17.166 L 37.557919 17.989636 L 39.126804 20.295818 L 39.911246 18.236727 L 40.695689 17.660182 L 41.480131 17.660182 L 42.264574 18.978 L 43.049016 18.236727 L 43.833458 20.131091 L 44.617901 15.765818 L 45.402343 17.907273 L 46.971228 23.260909 L 47.75567 20.79 L 48.540112 19.884 L 50.108997 24.743455 L 50.89344 19.142727 L 51.677882 21.448909 L 52.462324 23.260909 L 53.246767 20.378182 L 54.031209 22.849091 L 54.815651 32.650364 L 55.600094 18.813273 L 56.384536 21.860727 L 57.168978 22.437273 L 57.953421 23.919818 L 58.737863 21.201818 L 59.522306 19.554545 L 60.306748 20.707636 L 61.09119 15.765818 L 61.875633 22.684364 L 62.660075 19.307455 L 63.444517 21.778364 L 64.22896 21.037091 L 65.013402 19.307455 L 65.797844 18.936818 L 66.582287 25.443545 L 67.366729 23.055 L 68.151172 22.437273 L 68.935614 8.435455 L 69.720056 17.001273 L 70.504499 21.901909 L 71.288941 20.048727 L 72.073383 22.354909 L 72.857826 22.807909 L 73.642268 15.889364 L 74.42671 24.702273 L 75.211153 20.378182 L 75.995595 17.166 L 76.780037 19.060364 L 77.56448 22.890273 L 78.348922 22.849091 L 79.133365 19.678091 L 79.917807 13.006636 L 80.702249 15.848182 L 81.486692 22.231364 L 82.271134 25.484727 L 83.055576 21.901909 L 83.840019 25.690636 L 84.624461 21.737182 L 85.408903 20.460545 L 86.193346 14.736273 L 86.977788 22.931455 L 87.762231 23.302091 L 88.546673 21.201818 L 89.331115 19.966364 L 90.115558 21.490091 L 90.9 19.307455 L 91.684442 24.619909 L 92.468885 21.531273 L 93.253327 20.666455 L 94.037769 24.290455 L 94.822212 12.169273 L 95.606654 22.807909 L 96.391097 16.795364 L 97.175539 23.549182 L 97.959981 26.102455 L 98.744424 22.396091 L 99.528866 26.802545 L 100.313308 23.178545 L 101.097751 21.284182 L 101.882193 16.507091 L 102.666635 15.230455 L 103.451078 20.666455 L 104.23552 23.178545 L 105.019963 24.496364 L 105.804405 33.144545 L 106.588847 19.966364 L 107.37329 23.590364 L 108.157732 21.160636 L 108.942174 24.743455 L 109.726617 23.384455 L 110.511059 20.680182 L 111.295501 25.031727 L 112.079944 12.883091 L 112.864386 19.019182 L 113.648828 19.884 L 115.217713 24.084545 L 116.002156 25.361182 L 116.786598 32.924909 L 117.57104 32.924909 L 118.355483 32.732727 L 119.139925 32.705273 L 119.924367 32.815091 L 120.70881 32.705273 L 121.493252 31.909091 L 122.277694 33.144545 L 125.415464 33.144545 L 126.199906 32.979818 L 126.984349 33.144545 L 133.259888 33.144545 L 134.04433 32.924909 L 134.828772 32.897455 L 135.613215 32.595455 L 136.397657 32.815091 L 137.966542 32.595455 L 138.750984 33.144545 L 145.026523 33.144545 L 145.810965 32.732727 L 146.595408 33.144545 L 148.948735 33.144545 L 149.733177 32.815091 L 152.086504 32.705273 L 152.870947 32.320909 L 153.655389 32.595455 L 154.439831 33.034727 L 156.008716 33.144545 L 166.990909 33.144545 L 166.990909 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pc9734015c0">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMC$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pcac99d9f90)" d="M 14.809091 31.878981 L 15.593533 30.598877 L 16.377976 31.147864 L 17.162418 31.362007 L 17.94686 30.293342 L 18.731303 28.520893 L 19.515745 31.866592 L 20.300187 31.991759 L 21.869072 29.430141 L 22.653515 29.724844 L 23.437957 31.913852 L 24.222399 32.084844 L 25.006842 29.73438 L 27.360169 32.564771 L 28.144611 30.684474 L 28.929053 30.0414 L 29.713496 30.407211 L 30.497938 31.665383 L 31.282381 32.575855 L 32.066823 29.12239 L 32.851265 26.625972 L 33.635708 30.100064 L 34.42015 30.329422 L 35.204592 30.217649 L 35.989035 29.607114 L 36.773477 29.300629 L 37.557919 27.517073 L 38.342362 31.058316 L 39.126804 30.532437 L 39.911246 31.459284 L 41.480131 29.859254 L 42.264574 30.974145 L 43.049016 31.523471 L 44.617901 29.165337 L 45.402343 31.056406 L 46.186785 29.705688 L 46.971228 32.459166 L 47.75567 28.046298 L 48.540112 28.956625 L 49.324555 30.934187 L 50.108997 30.477446 L 50.89344 23.686075 L 51.677882 25.93913 L 52.462324 30.787813 L 53.246767 29.774758 L 54.031209 31.201154 L 54.815651 33.143444 L 55.600094 31.748223 L 56.384536 29.938353 L 57.168978 30.726083 L 57.953421 29.735993 L 58.737863 30.439306 L 59.522306 29.770911 L 60.306748 31.098514 L 61.09119 29.268275 L 61.875633 26.448339 L 62.660075 28.926146 L 63.444517 30.917534 L 64.22896 29.711576 L 65.013402 30.133255 L 65.797844 30.788562 L 66.582287 31.766564 L 67.366729 30.323108 L 68.151172 30.443515 L 68.935614 8.435455 L 69.720056 24.498303 L 70.504499 30.10432 L 71.288941 29.714958 L 72.073383 30.550057 L 72.857826 29.756467 L 73.642268 29.706925 L 74.42671 30.657232 L 75.211153 31.931052 L 75.995595 30.474351 L 76.780037 30.011959 L 77.56448 31.381565 L 78.348922 31.724566 L 79.133365 31.944078 L 79.917807 30.010811 L 80.702249 31.633717 L 81.486692 30.348816 L 82.271134 32.439137 L 83.055576 32.263614 L 83.840019 30.540289 L 84.624461 29.174922 L 85.408903 30.170642 L 86.193346 28.367652 L 86.977788 31.747778 L 88.546673 29.704845 L 89.331115 30.182926 L 90.115558 27.87853 L 90.9 29.882846 L 92.468885 30.943039 L 93.253327 31.638567 L 94.037769 32.1068 L 95.606654 30.553803 L 96.391097 32.210446 L 97.175539 30.229235 L 97.959981 32.780726 L 98.744424 32.276128 L 99.528866 31.333415 L 100.313308 30.145878 L 101.097751 24.935446 L 101.882193 29.297205 L 102.666635 28.775855 L 103.451078 31.571032 L 104.23552 32.03988 L 105.019963 32.099302 L 105.804405 33.144545 L 106.588847 30.977914 L 107.37329 32.063522 L 108.157732 28.803024 L 108.942174 31.441509 L 109.726617 31.997376 L 110.511059 31.480382 L 111.295501 31.440504 L 112.079944 30.48928 L 112.864386 31.590999 L 113.648828 31.236867 L 114.433271 31.430868 L 115.217713 31.27414 L 116.002156 31.863601 L 116.786598 32.744753 L 117.57104 32.583104 L 119.139925 23.37168 L 119.924367 28.147376 L 120.70881 27.908831 L 121.493252 13.435946 L 122.277694 33.144545 L 133.259888 33.144545 L 134.04433 31.085245 L 134.828772 32.791856 L 136.397657 30.540368 L 137.182099 29.913687 L 138.750984 33.144545 L 145.026523 33.144545 L 145.810965 32.99628 L 146.595408 33.144545 L 148.948735 33.144545 L 149.733177 31.079533 L 150.517619 29.956913 L 151.302062 32.048686 L 152.086504 32.797261 L 152.870947 30.901658 L 153.655389 32.110029 L 154.439831 30.415292 L 155.224274 33.144545 L 166.990909 33.144545 L 166.990909 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pcac99d9f90">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>GNMATradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p493c978dec)" d="M 14.809091 31.016906 L 15.593533 30.028226 L 16.377976 31.396559 L 17.94686 29.885856 L 19.515745 31.578476 L 20.300187 30.637253 L 21.08463 30.051954 L 21.869072 30.233871 L 22.653515 30.637253 L 23.437957 31.214642 L 24.222399 31.016906 L 25.006842 30.10732 L 25.791284 30.059864 L 26.575726 30.39997 L 27.360169 31.499382 L 28.144611 30.2576 L 28.929053 30.210143 L 29.713496 30.305056 L 30.497938 30.906174 L 31.282381 31.80785 L 32.066823 31.008997 L 32.851265 30.589796 L 33.635708 30.573977 L 34.42015 31.001087 L 35.204592 31.008997 L 35.989035 30.091502 L 36.773477 30.581887 L 37.557919 30.747985 L 38.342362 31.230461 L 39.126804 31.325374 L 39.911246 30.202234 L 40.695689 28.778535 L 41.480131 31.159276 L 42.264574 31.032725 L 43.049016 30.336694 L 43.833458 30.178505 L 44.617901 30.305056 L 45.402343 30.083592 L 46.971228 31.475654 L 48.540112 31.127638 L 49.324555 31.056453 L 50.108997 31.52311 L 50.89344 31.016906 L 51.677882 30.660981 L 52.462324 31.451925 L 53.246767 31.10391 L 54.031209 31.436106 L 54.815651 33.144545 L 55.600094 30.589796 L 56.384536 30.6768 L 57.168978 31.088091 L 57.953421 31.720846 L 58.737863 31.064363 L 59.522306 31.127638 L 60.306748 30.906174 L 61.09119 30.336694 L 61.875633 31.167185 L 62.660075 30.186415 L 63.444517 30.6768 L 64.22896 30.81917 L 65.013402 31.183004 L 65.797844 30.787532 L 66.582287 31.299009 L 67.366729 29.622208 L 68.151172 29.525977 L 68.935614 30.2576 L 69.720056 30.312966 L 70.504499 30.882446 L 71.288941 30.415789 L 72.857826 29.110731 L 73.642268 26.026049 L 74.42671 27.603983 L 75.211153 27.864994 L 75.995595 28.303968 L 76.780037 29.312422 L 77.56448 29.723713 L 78.348922 30.459291 L 79.133365 29.771169 L 79.917807 29.779079 L 80.702249 29.55366 L 81.486692 30.842898 L 82.271134 31.177731 L 83.055576 30.135003 L 83.840019 30.380196 L 84.624461 29.015818 L 85.408903 31.159276 L 86.193346 30.787532 L 86.977788 29.964951 L 87.762231 29.68812 L 88.546673 28.224874 L 89.331115 27.07405 L 90.115558 28.157643 L 90.9 28.110187 L 91.684442 30.103366 L 92.468885 28.996044 L 93.253327 29.312422 L 94.822212 28.620346 L 95.606654 27.323198 L 96.391097 30.273419 L 97.175539 30.04009 L 97.959981 31.076227 L 98.744424 29.826535 L 99.528866 29.873992 L 100.313308 28.648029 L 101.097751 30.985268 L 101.882193 30.206188 L 102.666635 28.535978 L 103.451078 29.739531 L 104.23552 28.361971 L 105.019963 28.767989 L 105.804405 32.9389 L 106.588847 24.637943 L 108.157732 28.754806 L 108.942174 29.909584 L 109.726617 29.237282 L 111.295501 30.170596 L 112.079944 28.754806 L 112.864386 27.9955 L 113.648828 30.146868 L 114.433271 26.93959 L 115.217713 31.048544 L 116.002156 30.573977 L 116.786598 22.435164 L 117.57104 23.305202 L 118.355483 23.384296 L 119.924367 21.470212 L 120.70881 22.967733 L 121.493252 24.781631 L 122.277694 22.994097 L 123.062137 16.194615 L 123.846579 20.405074 L 124.631022 18.290617 L 125.415464 13.481677 L 126.199906 13.186392 L 126.984349 25.356383 L 127.768791 24.723628 L 128.553233 24.881817 L 129.337676 25.156011 L 130.122118 26.221149 L 130.90656 25.467116 L 131.691003 26.041868 L 132.475445 24.955638 L 133.259888 25.414386 L 134.04433 24.259608 L 134.828772 25.272016 L 135.613215 22.619717 L 136.397657 24.760539 L 137.182099 24.945093 L 137.966542 21.797135 L 138.750984 22.609171 L 139.535426 18.886461 L 140.319869 16.12343 L 141.104311 10.059526 L 141.888754 15.712139 L 142.673196 24.185786 L 143.457638 25.372202 L 144.242081 26.131509 L 145.026523 25.799312 L 145.810965 24.217424 L 146.595408 24.164694 L 147.37985 25.398567 L 148.164292 25.440751 L 148.948735 24.623442 L 149.733177 23.131194 L 150.517619 23.199743 L 151.302062 24.786904 L 152.086504 24.285973 L 152.870947 24.017052 L 153.655389 22.292794 L 154.439831 23.33684 L 155.224274 20.215247 L 156.008716 21.870957 L 156.793158 33.144545 L 157.577601 16.798369 L 158.362043 8.435455 L 159.146485 12.975473 L 159.930928 27.465567 L 160.71537 26.236968 L 161.499813 26.890815 L 162.284255 25.150738 L 163.068697 25.983866 L 163.85314 26.242241 L 164.637582 26.737899 L 166.206467 25.593667 L 166.990909 23.906319 L 166.990909 23.906319 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p493c978dec">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>GNMAUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p9dd8edf0b3)" d="M 14.809091 27.082452 L 15.593533 24.318138 L 16.377976 27.033956 L 17.162418 24.172648 L 17.94686 23.493693 L 19.515745 27.906897 L 21.08463 24.027158 L 21.869072 24.221145 L 22.653515 24.657615 L 23.437957 26.791472 L 24.222399 26.888466 L 25.006842 24.269641 L 25.791284 23.3967 L 26.575726 24.415132 L 27.360169 28.488858 L 28.144611 25.821537 L 28.929053 24.269641 L 29.713496 24.706112 L 30.497938 25.676047 L 31.282381 29.313303 L 32.851265 25.385066 L 33.635708 24.754609 L 34.42015 26.839969 L 35.204592 27.179446 L 35.989035 23.3967 L 37.557919 24.997093 L 38.342362 26.451995 L 39.126804 26.742975 L 39.911246 23.493693 L 40.695689 21.553824 L 41.480131 26.355001 L 42.264574 26.161014 L 43.049016 25.094086 L 43.833458 25.33657 L 44.617901 24.657615 L 45.402343 24.512125 L 46.186785 26.258008 L 46.971228 27.42193 L 47.75567 28.149381 L 48.540112 26.645982 L 49.324555 26.161014 L 50.108997 27.955394 L 50.89344 25.142583 L 51.677882 24.997093 L 52.462324 27.518923 L 53.246767 25.918531 L 54.031209 27.56742 L 54.815651 33.144545 L 55.600094 24.609119 L 56.384536 26.209511 L 57.168978 27.130949 L 57.953421 29.070819 L 58.737863 26.888466 L 59.522306 27.033956 L 60.306748 25.62755 L 61.09119 23.202713 L 61.875633 28.003891 L 62.660075 26.112518 L 63.444517 26.839969 L 64.22896 26.500492 L 65.013402 26.451995 L 65.797844 25.967027 L 66.582287 28.973825 L 67.366729 23.348203 L 68.151172 22.111536 L 68.935614 24.900099 L 69.720056 25.166831 L 70.504499 26.37925 L 71.288941 25.021341 L 72.073383 24.633367 L 72.857826 22.984478 L 73.642268 12.945652 L 74.42671 17.092123 L 75.211153 18.522777 L 75.995595 16.679901 L 76.780037 24.390883 L 77.56448 23.639184 L 78.348922 25.845786 L 79.133365 21.553824 L 79.917807 22.232778 L 80.702249 22.669249 L 81.486692 26.694479 L 82.271134 27.292605 L 83.055576 23.445197 L 83.840019 26.088269 L 84.624461 15.006763 L 85.408903 27.834152 L 86.193346 27.130949 L 86.977788 24.463628 L 87.762231 24.027158 L 88.546673 20.656634 L 89.331115 15.079508 L 90.115558 19.686699 L 90.9 20.826373 L 91.684442 24.512125 L 92.468885 18.838006 L 93.253327 22.741994 L 94.037769 18.086307 L 94.822212 17.528594 L 95.606654 14.618789 L 96.391097 23.420948 L 97.175539 22.717746 L 97.959981 26.112518 L 98.744424 23.54219 L 99.528866 24.536373 L 100.313308 21.117353 L 101.097751 28.197878 L 101.882193 23.905916 L 102.666635 17.399269 L 103.451078 22.572255 L 104.23552 19.63012 L 105.019963 22.281275 L 105.804405 32.126114 L 106.588847 8.435455 L 107.37329 16.429334 L 108.157732 20.341405 L 108.942174 22.935981 L 109.726617 23.129968 L 110.511059 23.129968 L 111.295501 24.972844 L 112.079944 14.206567 L 112.864386 14.473299 L 113.648828 23.445197 L 114.433271 14.182319 L 115.217713 26.645982 L 116.002156 24.73036 L 116.786598 31.721974 L 117.57104 31.980624 L 118.355483 31.851299 L 119.139925 31.59265 L 119.924367 31.721974 L 120.70881 31.657312 L 121.493252 31.980624 L 122.277694 31.980624 L 123.062137 31.253172 L 123.846579 31.624981 L 126.984349 31.689643 L 127.768791 32.045286 L 128.553233 31.915961 L 130.122118 31.851299 L 130.90656 31.754305 L 131.691003 32.109948 L 132.475445 31.786637 L 133.259888 31.88363 L 134.04433 31.721974 L 134.828772 31.721974 L 135.613215 31.915961 L 136.397657 31.560318 L 137.182099 31.915961 L 137.966542 31.88363 L 139.535426 31.527987 L 140.319869 31.075351 L 141.104311 31.657312 L 141.888754 31.59265 L 143.457638 32.109948 L 146.595408 31.754305 L 147.37985 31.915961 L 148.164292 31.560318 L 148.948735 31.818968 L 149.733177 31.689643 L 150.517619 31.980624 L 151.302062 31.754305 L 152.086504 31.721974 L 152.870947 31.851299 L 153.655389 31.495656 L 154.439831 31.980624 L 155.224274 31.560318 L 156.008716 31.59265 L 156.793158 33.144545 L 157.577601 31.754305 L 159.146485 31.269338 L 159.930928 32.109948 L 160.71537 32.109948 L 161.499813 31.948292 L 164.637582 32.045286 L 165.422024 31.980624 L 166.206467 31.754305 L 166.990909 31.657312 L 166.990909 31.657312 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p9dd8edf0b3">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>GNMA$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p114903e697)" d="M 14.809091 32.672867 L 15.593533 33.076391 L 17.162418 32.962844 L 20.300187 32.92942 L 21.869072 32.832807 L 23.437957 33.08045 L 25.791284 32.919029 L 28.929053 33.019141 L 32.851265 32.847816 L 33.635708 32.776672 L 34.42015 33.040971 L 37.557919 32.81784 L 38.342362 32.859828 L 39.126804 32.740239 L 39.911246 32.909944 L 46.186785 32.856439 L 47.75567 32.922492 L 48.540112 32.799268 L 50.108997 32.93486 L 50.89344 31.631464 L 51.677882 32.765699 L 52.462324 32.825308 L 53.246767 32.686536 L 54.815651 33.144545 L 55.600094 32.815978 L 56.384536 32.672934 L 57.953421 33.0112 L 58.737863 32.897244 L 59.522306 32.973953 L 61.09119 32.71702 L 61.875633 32.898888 L 65.013402 32.979167 L 65.797844 32.023161 L 66.582287 31.258481 L 67.366729 31.665166 L 68.151172 31.942336 L 69.720056 32.043286 L 70.504499 32.462131 L 71.288941 31.960692 L 72.073383 31.661661 L 72.857826 31.56266 L 73.642268 30.967898 L 74.42671 31.930141 L 75.211153 31.699116 L 75.995595 32.024143 L 78.348922 32.363133 L 79.133365 32.700316 L 79.917807 32.738309 L 80.702249 32.414762 L 81.486692 32.674625 L 82.271134 32.634579 L 83.055576 32.106193 L 83.840019 32.312003 L 84.624461 31.989011 L 85.408903 31.257329 L 86.193346 32.33387 L 86.977788 31.230873 L 87.762231 31.701467 L 88.546673 31.332538 L 89.331115 30.78034 L 90.115558 31.63096 L 90.9 31.264773 L 91.684442 31.859512 L 92.468885 31.968926 L 94.037769 32.601366 L 94.822212 32.139562 L 95.606654 32.37557 L 96.391097 32.746223 L 97.175539 32.502597 L 97.959981 32.917565 L 98.744424 31.670138 L 100.313308 31.701844 L 101.097751 32.099056 L 102.666635 31.241488 L 103.451078 31.571121 L 104.23552 31.248761 L 105.019963 31.344907 L 105.804405 33.144475 L 106.588847 31.316141 L 107.37329 29.987034 L 108.157732 32.266155 L 108.942174 32.472875 L 109.726617 31.873465 L 110.511059 32.325898 L 112.864386 32.424151 L 113.648828 32.57422 L 114.433271 32.233014 L 115.217713 32.585347 L 116.002156 32.44416 L 116.786598 22.139691 L 117.57104 20.547109 L 118.355483 22.299299 L 119.139925 17.99296 L 119.924367 20.687046 L 120.70881 22.725543 L 121.493252 25.604418 L 122.277694 21.679601 L 123.062137 12.727055 L 123.846579 16.149085 L 124.631022 15.732944 L 125.415464 11.317714 L 126.199906 10.478298 L 126.984349 19.289511 L 127.768791 22.91661 L 128.553233 21.033633 L 129.337676 21.487367 L 130.122118 25.568249 L 130.90656 23.623463 L 131.691003 25.566697 L 132.475445 21.861426 L 133.259888 24.840927 L 134.04433 17.304257 L 134.828772 23.145728 L 135.613215 17.18538 L 136.397657 21.451579 L 137.182099 25.019752 L 137.966542 14.255421 L 138.750984 17.401918 L 139.535426 10.386619 L 140.319869 8.435455 L 141.104311 10.33469 L 142.673196 20.243242 L 143.457638 21.061046 L 144.242081 19.285995 L 145.026523 22.736444 L 145.810965 13.196973 L 146.595408 21.794732 L 147.37985 21.620039 L 148.164292 25.210492 L 148.948735 20.940127 L 149.733177 19.322907 L 151.302062 21.871366 L 152.086504 22.146363 L 152.870947 22.018947 L 153.655389 16.336315 L 154.439831 17.108933 L 155.224274 11.446724 L 156.793158 33.144545 L 157.577601 10.932902 L 158.362043 9.254538 L 159.146485 14.313409 L 159.930928 24.469231 L 160.71537 23.301397 L 161.499813 28.640206 L 162.284255 23.769227 L 163.068697 16.324206 L 163.85314 23.366275 L 164.637582 20.511955 L 165.422024 26.437861 L 166.206467 21.532376 L 166.990909 20.491315 L 166.990909 20.491315 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p114903e697">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>OtherTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pd3d2adf942)" d="M 14.809091 8.435455 L 15.593533 29.833018 L 16.377976 29.323552 L 17.162418 23.719428 L 17.94686 19.898435 L 18.731303 33.144545 L 19.515745 26.012024 L 20.300187 21.681565 L 21.08463 26.776223 L 21.869072 14.803777 L 22.653515 26.012024 L 23.437957 29.068819 L 24.222399 27.030956 L 25.006842 22.700497 L 25.791284 12.765914 L 26.575726 30.851949 L 27.360169 26.012024 L 28.144611 25.502559 L 28.929053 16.84164 L 29.713496 23.464695 L 30.497938 28.049888 L 31.282381 30.342484 L 32.066823 30.087751 L 32.851265 33.144545 L 33.635708 31.616148 L 34.42015 26.012024 L 35.204592 30.851949 L 35.989035 33.144545 L 36.773477 23.464695 L 37.557919 33.144545 L 38.342362 22.191031 L 39.126804 30.087751 L 39.911246 19.898435 L 40.695689 23.464695 L 41.480131 28.30462 L 42.264574 13.27538 L 43.049016 27.540422 L 43.833458 20.407901 L 44.617901 29.068819 L 45.402343 24.73836 L 46.186785 29.833018 L 47.75567 22.95523 L 48.540112 27.795155 L 49.324555 28.559353 L 50.108997 25.502559 L 50.89344 28.049888 L 51.677882 28.30462 L 52.462324 29.833018 L 53.246767 27.540422 L 54.815651 33.144545 L 55.600094 29.323552 L 56.384536 29.578285 L 57.168978 31.106682 L 57.953421 33.144545 L 58.737863 31.106682 M 60.306748 28.559353 L 61.09119 29.068819 M 62.660075 27.795155 L 63.444517 15.313243 L 64.22896 29.068819 L 65.013402 23.974161 L 65.797844 31.870881 L 66.582287 32.507713 L 67.366729 30.427395 L 68.151172 33.144545 L 68.935614 28.431987 L 69.720056 28.559353 L 70.504499 31.870881 L 71.288941 33.144545 L 72.073383 32.25298 L 72.857826 28.431987 L 73.642268 29.450918 L 74.42671 29.833018 L 75.211153 32.380347 L 75.995595 30.215117 L 76.780037 30.597216 L 77.56448 31.998247 L 78.348922 31.743515 L 79.133365 31.616148 L 79.917807 31.234049 L 80.702249 31.234049 L 83.055576 33.144545 L 83.840019 29.578285 L 84.624461 28.389531 L 85.408903 31.870881 L 86.193346 33.144545 L 86.977788 31.743515 L 87.762231 33.144545 L 89.331115 33.144545 L 90.115558 32.125614 L 90.9 31.488782 L 91.684442 33.144545 L 92.468885 27.667788 L 93.253327 33.144545 L 94.037769 29.196186 L 94.822212 30.851949 L 95.606654 31.870881 L 96.391097 33.144545 L 97.175539 31.106682 L 97.959981 33.144545 L 98.744424 33.144545 L 99.528866 29.960384 L 100.313308 32.25298 L 101.097751 32.125614 L 101.882193 32.380347 L 102.666635 32.380347 L 103.451078 32.25298 L 104.23552 33.144545 L 105.019963 32.25298 L 105.804405 33.144545 L 106.588847 32.125614 L 107.37329 31.616148 L 108.157732 27.285689 L 108.942174 26.776223 L 109.726617 33.144545 L 111.295501 33.144545 L 112.079944 31.998247 L 112.864386 32.380347 L 113.648828 33.144545 L 115.217713 33.144545 L 116.002156 31.616148 L 116.786598 33.144545 L 166.990909 33.144545 L 166.990909 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pd3d2adf942">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>OtherUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p359be29d51)" d="M 14.809091 8.435455 L 15.593533 27.083825 L 16.377976 28.482453 L 17.162418 24.286569 L 17.94686 18.225849 L 18.731303 33.144545 L 19.515745 27.550034 L 20.300187 23.354151 L 21.08463 25.685197 L 21.869072 15.428593 L 23.437957 28.482453 L 24.222399 28.482453 L 25.006842 21.489314 L 25.791284 21.955523 L 26.575726 30.813499 L 27.360169 29.414871 L 28.144611 26.151407 L 28.929053 14.496175 L 29.713496 21.489314 L 31.282381 29.414871 L 32.066823 28.482453 L 32.851265 33.144545 L 33.635708 30.34729 L 34.42015 21.955523 L 35.204592 29.414871 L 35.989035 33.144545 L 36.773477 21.023105 L 37.557919 33.144545 L 38.342362 21.955523 L 39.126804 28.482453 L 39.911246 19.158268 L 40.695689 20.090686 L 41.480131 26.617616 L 42.264574 10.766501 L 43.049016 27.550034 L 43.833458 20.090686 L 44.617901 28.482453 L 45.402343 25.218988 L 46.186785 28.016244 L 46.971228 24.286569 L 47.75567 16.827221 L 48.540112 25.218988 L 49.324555 27.550034 L 50.108997 21.955523 L 50.89344 26.617616 L 52.462324 28.482453 L 53.246767 25.218988 L 54.031209 28.016244 L 54.815651 33.144545 L 55.600094 28.948662 L 56.384536 28.482453 L 57.168978 29.881081 L 57.953421 33.144545 L 58.737863 29.414871 M 60.306748 25.685197 L 61.09119 29.414871 M 62.660075 26.617616 L 63.444517 17.293431 L 64.22896 27.083825 L 65.013402 22.887942 L 65.797844 31.046604 L 66.582287 32.212127 L 67.366729 30.658096 L 68.151172 33.144545 L 68.935614 26.384511 L 69.720056 27.550034 L 70.504499 31.046604 L 71.288941 33.144545 L 72.073383 31.512813 L 72.857826 27.31693 L 73.642268 29.181767 L 74.42671 28.948662 L 75.211153 31.979022 L 75.995595 28.482453 L 76.780037 30.34729 L 77.56448 31.279708 L 78.348922 30.580395 L 79.133365 31.979022 L 79.917807 29.881081 L 80.702249 31.046604 L 81.486692 31.979022 L 82.271134 32.212127 L 83.055576 33.144545 L 83.840019 28.249348 L 84.624461 26.928422 L 85.408903 31.279708 L 86.193346 33.144545 L 86.977788 31.745918 L 87.762231 33.144545 L 89.331115 33.144545 L 90.115558 31.979022 L 90.9 31.512813 L 91.684442 33.144545 L 92.468885 25.685197 L 93.253327 33.144545 L 94.037769 28.948662 L 96.391097 33.144545 L 97.175539 31.046604 L 97.959981 33.144545 L 98.744424 33.144545 L 99.528866 29.647976 L 100.313308 31.512813 L 101.097751 31.979022 L 101.882193 31.745918 L 102.666635 31.979022 L 103.451078 31.979022 L 104.23552 33.144545 L 105.019963 32.212127 L 105.804405 33.144545 L 106.588847 32.212127 L 107.37329 31.512813 L 108.157732 24.053465 L 108.942174 25.918302 L 109.726617 33.144545 L 111.295501 33.144545 L 112.079944 32.212127 L 112.864386 31.979022 L 113.648828 33.144545 L 115.217713 33.144545 L 116.002156 32.212127 L 116.786598 33.144545 L 166.990909 33.144545 L 166.990909 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p359be29d51">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>Other$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p9ec416b01b)" d="M 14.809091 26.342579 L 15.593533 31.521541 L 16.377976 33.078639 L 17.162418 29.564476 L 17.94686 17.160714 L 18.731303 33.144545 L 19.515745 29.874095 L 20.300187 29.221165 L 21.08463 32.843309 L 21.869072 30.186696 L 22.653515 31.897834 L 23.437957 32.319429 L 24.222399 11.394761 L 25.006842 8.435455 L 25.791284 15.148018 L 26.575726 31.350926 L 27.360169 29.025379 L 28.144611 22.109094 L 28.929053 31.070353 L 29.713496 29.089927 L 30.497938 23.46368 L 31.282381 31.236883 L 32.066823 32.790526 L 32.851265 33.144545 L 33.635708 30.890111 L 34.42015 32.447383 L 35.204592 32.065697 L 35.989035 33.144545 L 36.773477 31.530173 L 37.557919 33.144545 L 38.342362 13.226254 L 39.126804 33.026103 L 39.911246 31.881948 L 40.695689 32.421284 L 41.480131 31.015477 L 42.264574 30.040041 L 43.049016 32.052183 L 43.833458 26.264264 L 44.617901 28.269755 L 45.402343 25.50053 L 46.186785 31.171892 L 46.971228 26.020207 L 47.75567 31.882575 L 48.540112 31.829123 L 49.324555 29.938853 L 50.108997 24.408164 L 50.89344 31.739165 L 51.677882 30.694552 L 52.462324 31.032026 L 53.246767 32.630298 L 54.031209 32.233182 L 54.815651 33.144545 L 55.600094 32.549589 L 56.384536 32.269255 L 57.168978 32.199832 L 57.953421 33.144545 L 58.737863 33.045329 M 60.306748 31.783187 L 61.09119 22.456748 M 62.660075 32.780536 L 63.444517 29.768444 L 64.22896 32.892073 L 65.013402 30.855534 L 65.797844 33.128551 L 66.582287 33.038531 L 67.366729 32.698295 L 68.151172 33.144545 L 68.935614 31.701802 L 70.504499 32.892999 L 71.288941 33.144545 L 72.073383 32.676585 L 72.857826 32.848043 L 73.642268 32.678609 L 75.211153 32.901451 L 75.995595 32.42109 L 76.780037 32.79323 L 77.56448 33.01353 L 78.348922 33.046219 L 79.133365 32.523841 L 79.917807 32.436596 L 80.702249 32.88253 L 81.486692 32.737834 L 82.271134 32.277961 L 83.055576 33.144545 L 83.840019 32.519981 L 84.624461 32.513824 L 86.193346 33.144545 L 86.977788 32.082326 L 87.762231 33.144545 L 89.331115 33.144545 L 90.9 32.846588 L 91.684442 33.144545 L 92.468885 32.914807 L 93.253327 33.144545 L 94.037769 32.473808 L 94.822212 30.997091 L 95.606654 32.478273 L 96.391097 33.144545 L 97.175539 32.74133 L 97.959981 33.144545 L 98.744424 33.144545 L 99.528866 32.970379 L 100.313308 33.09473 L 103.451078 33.09549 L 104.23552 33.144545 L 105.019963 32.963399 L 105.804405 33.144545 L 107.37329 32.935203 L 108.157732 32.560255 L 108.942174 32.415365 L 109.726617 33.144545 L 111.295501 33.144545 L 112.079944 33.028501 L 122.277694 33.144545 L 166.990909 33.144545 L 166.990909 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p9ec416b01b">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
    </tr>
    <tr>
      <th>AssetClass</th>
      <th>Date</th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th rowspan="3" valign="top">AGENCY CMO</th>
      <th>2019-08-01</th>
      <td>0.000000</td>
      <td>0.000000</td>
      <td>0.000000e+00</td>
      <td>157.000000</td>
      <td>81.000000</td>
      <td>125801.70</td>
      <td>154.0</td>
      <td>75.5</td>
      <td>108367.50</td>
      <td>134.500000</td>
      <td>62.500000</td>
      <td>5.923772e+05</td>
      <td>48.5</td>
      <td>26.5</td>
      <td>103661.00</td>
    </tr>
    <tr>
      <th>2019-08-02</th>
      <td>0.000000</td>
      <td>0.000000</td>
      <td>0.000000e+00</td>
      <td>205.000000</td>
      <td>108.000000</td>
      <td>121861.70</td>
      <td>103.5</td>
      <td>53.5</td>
      <td>217979.95</td>
      <td>197.000000</td>
      <td>91.000000</td>
      <td>8.559520e+04</td>
      <td>6.5</td>
      <td>6.5</td>
      <td>24734.35</td>
    </tr>
    <tr>
      <th>2019-08-05</th>
      <td>0.000000</td>
      <td>0.000000</td>
      <td>0.000000e+00</td>
      <td>167.000000</td>
      <td>72.000000</td>
      <td>145733.15</td>
      <td>189.0</td>
      <td>105.0</td>
      <td>170971.40</td>
      <td>110.500000</td>
      <td>63.000000</td>
      <td>2.223507e+05</td>
      <td>7.5</td>
      <td>5.0</td>
      <td>1004.40</td>
    </tr>
    <tr>
      <th>...</th>
      <th>...</th>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
    </tr>
    <tr>
      <th rowspan="3" valign="top">AGENCY PASS-THRU (TBA, STIP, $ ROLLS)</th>
      <th>2019-10-29</th>
      <td>1907.666667</td>
      <td>10.333333</td>
      <td>4.314584e+07</td>
      <td>3.333333</td>
      <td>2.666667</td>
      <td>18666.00</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.00</td>
      <td>444.666667</td>
      <td>12.000000</td>
      <td>8.422877e+06</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.00</td>
    </tr>
    <tr>
      <th>2019-10-30</th>
      <td>2222.000000</td>
      <td>12.666667</td>
      <td>5.330876e+07</td>
      <td>2.333333</td>
      <td>2.333333</td>
      <td>35673.00</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.00</td>
      <td>477.333333</td>
      <td>14.333333</td>
      <td>1.458364e+07</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.00</td>
    </tr>
    <tr>
      <th>2019-10-31</th>
      <td>2477.666667</td>
      <td>11.666667</td>
      <td>6.939723e+07</td>
      <td>5.666667</td>
      <td>2.333333</td>
      <td>173862.00</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.00</td>
      <td>584.000000</td>
      <td>15.333333</td>
      <td>1.589110e+07</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.00</td>
    </tr>
  </tbody>
</table>



### 4. A df with Multiindex columns.


```python
df4 = df.copy()
df4 = df4.groupby(['AssetClass', 'Date']).agg({
    'UMBSTradeCount': [min, max], 
    'FNMA$Trades': np.mean
})

spkly.display(df4)
```




<table border="1" class="dataframe">
  <thead>
    <tr>
      <th></th>
      <th></th>
      <th colspan="2" halign="left">UMBSTradeCount</th>
      <th>FNMA$Trades</th>
    </tr>
    <tr>
      <th></th>
      <th></th>
      <th>min<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p54110047fd)" d="M 14.809091 20.79 L 166.990909 20.79 L 166.990909 20.79 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p54110047fd">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>max<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p40ec72d3cf)" d="M 14.809091 33.144545 L 65.013402 33.144545 L 65.797844 31.320016 L 66.582287 31.414426 L 67.366729 30.981896 L 68.151172 30.966527 L 68.935614 29.381316 L 69.720056 29.901669 L 70.504499 31.025808 L 71.288941 31.328798 L 72.073383 30.709644 L 72.857826 31.16413 L 73.642268 31.017026 L 74.42671 30.46813 L 75.211153 30.883095 L 75.995595 30.272723 L 76.780037 30.404458 L 77.56448 29.851171 L 78.348922 30.948962 L 79.133365 31.500054 L 79.917807 29.56355 L 80.702249 29.879714 L 82.271134 31.796458 L 83.055576 31.003852 L 83.840019 31.153152 L 84.624461 30.266136 L 85.408903 30.105859 L 86.193346 30.283701 L 86.977788 30.931398 L 87.762231 31.139978 L 88.546673 30.729404 L 90.115558 31.451751 L 90.9 30.604256 L 91.684442 31.37271 L 92.468885 30.90066 L 93.253327 31.291473 L 94.037769 30.986287 L 94.822212 28.612862 L 95.606654 30.485694 L 96.391097 30.198073 L 97.175539 31.41223 L 97.959981 31.458338 L 98.744424 31.041177 L 99.528866 31.425404 L 100.313308 30.937985 L 101.097751 30.970918 L 101.882193 30.44837 L 102.666635 30.127814 L 103.451078 31.304647 L 104.23552 30.540584 L 105.019963 31.436382 L 105.804405 33.144545 L 106.588847 30.206855 L 107.37329 30.292483 L 108.157732 30.981896 L 108.942174 30.709644 L 109.726617 30.891877 L 110.511059 30.211247 L 112.079944 29.763348 L 113.648828 31.019221 L 114.433271 30.593278 L 115.217713 31.229997 L 116.002156 30.878704 L 116.786598 18.273862 L 117.57104 18.879843 L 118.355483 16.763301 L 119.139925 13.406254 L 119.924367 9.021675 L 120.70881 9.932842 L 121.493252 19.044512 L 122.277694 22.375211 L 123.062137 15.450342 L 123.846579 15.825787 L 124.631022 17.000424 L 125.415464 20.519943 L 126.199906 23.459829 L 126.984349 20.497987 L 127.768791 20.895388 L 128.553233 19.048903 L 129.337676 23.732081 L 130.122118 24.269999 L 130.90656 23.521305 L 131.691003 23.929684 L 132.475445 21.534303 L 133.259888 22.761634 L 134.04433 22.691375 L 134.828772 19.88542 L 135.613215 17.507603 L 136.397657 17.068487 L 137.182099 13.360147 L 137.966542 10.652993 L 138.750984 19.13453 L 139.535426 18.227755 L 140.319869 14.534784 L 141.104311 23.635476 L 141.888754 21.852662 L 142.673196 19.681231 L 143.457638 20.743893 L 144.242081 20.882214 L 145.026523 24.739854 L 145.810965 19.744902 L 146.595408 16.374683 L 147.37985 17.843528 L 148.164292 21.622126 L 148.948735 19.477041 L 149.733177 16.256121 L 150.517619 18.282644 L 151.302062 13.761939 L 152.086504 13.836589 L 152.870947 8.435455 L 153.655389 13.799264 L 154.439831 22.781394 L 155.224274 20.708763 L 156.008716 21.538694 L 156.793158 33.144545 L 157.577601 22.886782 L 158.362043 22.300561 L 159.146485 24.169002 L 159.930928 25.479765 L 160.71537 24.794743 L 161.499813 23.115122 L 162.284255 23.945053 L 163.068697 22.124914 L 163.85314 23.993356 L 164.637582 23.187577 L 165.422024 22.717722 L 166.206467 21.246681 L 166.990909 19.211376 L 166.990909 19.211376 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p40ec72d3cf">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>mean<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p9cfdb14840)" d="M 14.809091 31.10141 L 15.593533 31.1654 L 16.377976 30.777705 L 17.162418 27.952375 L 17.94686 28.848227 L 18.731303 28.862136 L 19.515745 26.599278 L 20.300187 29.539978 L 21.08463 25.979666 L 21.869072 29.23491 L 22.653515 30.813189 L 23.437957 31.000619 L 24.222399 31.073727 L 25.006842 27.980159 L 25.791284 28.507695 L 26.575726 26.48042 L 27.360169 30.572842 L 28.144611 29.932308 L 28.929053 25.82975 L 31.282381 30.966636 L 32.066823 31.40786 L 32.851265 28.377574 L 33.635708 27.08605 L 35.204592 29.853506 L 35.989035 26.881846 L 36.773477 27.169514 L 37.557919 25.857197 L 38.342362 29.613132 L 39.126804 31.074156 L 39.911246 25.979153 L 40.695689 25.809583 L 41.480131 24.852061 L 42.264574 26.744925 L 43.049016 31.214952 L 43.833458 30.357779 L 44.617901 25.828165 L 45.402343 25.463721 L 46.186785 28.193448 L 46.971228 31.877068 L 47.75567 27.47297 L 48.540112 27.82686 L 49.324555 24.556217 L 50.108997 30.030219 L 50.89344 8.435455 L 51.677882 24.788312 L 52.462324 27.945884 L 53.246767 21.748483 L 54.031209 25.373926 L 54.815651 33.144066 L 55.600094 29.931355 L 56.384536 24.497667 L 57.168978 25.635163 L 57.953421 28.468606 L 58.737863 27.441952 L 59.522306 28.00063 L 60.306748 28.015776 L 61.09119 24.749235 L 61.875633 28.128516 L 63.444517 22.312483 L 64.22896 29.346494 L 65.013402 29.011122 L 65.797844 29.750337 L 66.582287 29.830915 L 67.366729 30.468613 L 68.151172 29.400827 L 68.935614 26.196507 L 69.720056 27.290874 L 70.504499 29.486104 L 71.288941 30.927948 L 72.073383 21.803171 L 72.857826 23.018248 L 73.642268 31.360084 L 74.42671 29.457971 L 75.995595 31.236679 L 76.780037 31.225482 L 78.348922 29.646687 L 79.133365 30.677325 L 79.917807 28.911537 L 80.702249 30.573595 L 81.486692 30.237663 L 82.271134 31.877644 L 83.840019 31.574703 L 84.624461 29.21117 L 85.408903 29.982559 L 86.193346 30.941325 L 86.977788 30.709316 L 87.762231 27.317373 L 88.546673 31.223156 L 89.331115 27.341497 L 90.115558 31.514807 L 90.9 30.477536 L 91.684442 31.387758 L 92.468885 27.76319 L 93.253327 30.338214 L 94.037769 30.109618 L 94.822212 28.933326 L 95.606654 29.039244 L 96.391097 31.616798 L 97.175539 30.250202 L 97.959981 31.969176 L 98.744424 30.60623 L 99.528866 30.944799 L 100.313308 28.459062 L 101.097751 28.612491 L 101.882193 31.080488 L 102.666635 27.823125 L 103.451078 29.770586 L 104.23552 27.830113 L 105.804405 33.144545 L 106.588847 29.760258 L 107.37329 24.591629 L 108.157732 30.726292 L 109.726617 30.525524 L 110.511059 28.353752 L 111.295501 30.803293 L 112.079944 30.513702 L 112.864386 31.508059 L 114.433271 27.994338 L 115.217713 30.353106 L 116.002156 31.415123 L 116.786598 31.129982 L 117.57104 28.979043 L 118.355483 29.24989 L 119.139925 28.899098 L 119.924367 30.759684 L 120.70881 29.649609 L 121.493252 12.254341 L 122.277694 29.925087 L 123.062137 28.696129 L 123.846579 28.339976 L 124.631022 29.222895 L 125.415464 28.495849 L 126.199906 30.142596 L 126.984349 31.250416 L 127.768791 28.729078 L 128.553233 30.914906 L 129.337676 29.479357 L 130.90656 28.830963 L 131.691003 30.671602 L 132.475445 24.901424 L 133.259888 30.948933 L 134.04433 31.453744 L 134.828772 32.163691 L 135.613215 24.947667 L 136.397657 31.710375 L 137.182099 31.44672 L 137.966542 30.896826 L 138.750984 29.589917 L 139.535426 31.133481 L 140.319869 30.520879 L 141.104311 26.543419 L 141.888754 28.115193 L 142.673196 31.826511 L 143.457638 31.499394 L 144.242081 30.890447 L 145.026523 32.686129 L 145.810965 31.041281 L 146.595408 29.988064 L 147.37985 31.106489 L 148.164292 31.812985 L 148.948735 31.024418 L 149.733177 31.713143 L 150.517619 30.273259 L 151.302062 31.268075 L 152.086504 32.009993 L 152.870947 29.659418 L 153.655389 32.719542 L 155.224274 31.993416 L 156.008716 30.593209 L 156.793158 33.144545 L 157.577601 31.677542 L 158.362043 30.903587 L 159.146485 31.333092 L 159.930928 29.834023 L 160.71537 31.732746 L 161.499813 30.587868 L 162.284255 24.143084 L 163.068697 32.839503 L 163.85314 32.146476 L 164.637582 30.15214 L 165.422024 32.841392 L 166.206467 32.565183 L 166.990909 30.320867 L 166.990909 30.320867 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p9cfdb14840">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
    </tr>
    <tr>
      <th>AssetClass</th>
      <th>Date</th>
      <th></th>
      <th></th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th rowspan="3" valign="top">AGENCY CMO</th>
      <th>2019-08-01</th>
      <td>0.0</td>
      <td>0.0</td>
      <td>125801.70</td>
    </tr>
    <tr>
      <th>2019-08-02</th>
      <td>0.0</td>
      <td>0.0</td>
      <td>121861.70</td>
    </tr>
    <tr>
      <th>2019-08-05</th>
      <td>0.0</td>
      <td>0.0</td>
      <td>145733.15</td>
    </tr>
    <tr>
      <th>...</th>
      <th>...</th>
      <td>...</td>
      <td>...</td>
      <td>...</td>
    </tr>
    <tr>
      <th rowspan="3" valign="top">AGENCY PASS-THRU (TBA, STIP, $ ROLLS)</th>
      <th>2019-10-29</th>
      <td>0.0</td>
      <td>4749.0</td>
      <td>18666.00</td>
    </tr>
    <tr>
      <th>2019-10-30</th>
      <td>0.0</td>
      <td>5419.0</td>
      <td>35673.00</td>
    </tr>
    <tr>
      <th>2019-10-31</th>
      <td>0.0</td>
      <td>6346.0</td>
      <td>173862.00</td>
    </tr>
  </tbody>
</table>



### 5. A df where we have some predetermined x-axis for ordering, rather than the order the data is already set within the dataframe.

It'll sort by however matplotlib does it.

In this case I generated a randomly ordered index for the axis, which creates kind of a crazy scribbly effect.


```python
df5 = df.copy()
random_counter = [random.randint(1, 2000000) for i in df5.index]
df5['counter'] = random_counter

spkly.display(df=df5, order=df5['counter'])
```




<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>AssetClass</th>
      <th>AssetClassSubType</th>
      <th>Date</th>
      <th>UMBSTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p1d01cee815)" d="M 89.56766 30.885291 L 130.156988 18.273862 L 17.112363 33.144545 L 114.184658 32.538565 L 70.098324 31.320016 L 149.12887 33.144545 L 28.88567 33.144545 L 162.767645 33.144545 L 27.732925 30.929202 L 153.784051 18.879843 L 41.988526 33.144545 L 48.568058 32.441959 L 139.653559 31.414426 L 25.068398 33.144545 L 160.572964 33.144545 L 83.556777 29.969732 L 42.236679 16.763301 L 145.046392 33.144545 L 145.05748 32.343158 L 156.409042 30.981896 L 106.548201 33.144545 L 120.932658 33.144545 L 110.55719 33.144545 L 144.877541 29.13102 L 146.66233 13.406254 L 160.630241 33.144545 L 59.691043 32.191662 L 94.812136 30.966527 L 159.87653 33.144545 L 49.857 33.144545 L 76.98321 33.144545 L 106.625362 29.712849 L 115.509007 9.021675 L 162.991862 33.144545 L 89.720987 32.121404 L 95.267529 29.381316 L 22.855439 33.144545 L 133.578821 33.144545 L 48.290692 29.594288 L 45.146453 9.932842 L 51.232279 33.144545 L 62.639054 32.037972 L 28.514014 29.901669 L 43.135077 33.144545 L 97.172227 33.144545 L 84.421297 30.795272 L 54.438767 19.044512 L 33.379952 33.144545 L 63.031281 32.536369 L 21.792091 31.025808 L 41.269762 33.144545 L 150.970784 33.144545 L 140.228707 33.144545 L 112.825744 28.953178 L 160.159554 22.375211 L 40.82324 33.144545 L 166.990909 32.281681 L 136.192342 31.328798 L 68.89289 33.144545 L 56.234644 33.144545 L 109.479082 33.144545 L 77.03047 33.144545 L 63.239821 27.422856 L 42.617206 15.450342 L 34.049927 33.144545 L 61.134689 32.154338 L 45.382753 30.709644 L 45.799222 33.144545 L 159.531563 33.144545 L 21.496143 33.144545 L 16.248072 28.158376 L 81.112796 15.825787 L 108.899498 33.144545 L 76.727639 32.062123 L 143.726172 31.16413 L 113.143027 33.144545 L 36.386312 33.144545 L 121.672835 33.144545 L 101.210887 28.004686 L 91.65528 17.000424 L 73.274452 33.144545 L 68.271093 32.468306 L 56.631765 31.017026 L 106.586591 33.144545 L 15.232289 33.144545 L 158.435407 33.144545 L 143.749879 30.968723 L 102.051548 20.519943 L 95.652262 33.144545 L 155.344929 32.694451 L 21.844245 30.46813 L 72.791835 33.144545 L 132.425388 33.144545 L 23.867934 33.144545 L 106.075984 31.313429 L 97.984899 23.459829 L 14.998819 33.144545 L 94.398115 32.582476 L 107.682746 30.883095 L 160.98492 33.144545 L 71.748751 33.144545 L 103.885586 30.235398 L 28.472643 20.497987 L 125.12931 33.144545 L 99.403309 32.255334 L 163.742591 30.272723 L 33.964507 33.144545 L 151.806475 33.144545 L 115.29259 33.144545 L 117.32362 30.123423 L 139.976196 20.895388 L 141.645358 33.144545 L 104.14628 32.279486 L 162.390712 30.404458 L 46.145795 33.144545 L 151.978843 33.144545 L 148.252344 33.144545 L 131.090333 30.310048 L 113.952947 19.048903 L 65.628283 33.144545 L 62.290875 32.259726 L 157.641089 29.851171 L 121.339262 33.144545 L 55.465867 33.144545 L 109.586144 33.144545 L 134.137452 31.482489 L 158.913283 23.732081 L 133.259549 33.144545 L 114.550502 32.556129 L 115.788131 30.948962 L 43.236173 33.144545 L 123.878987 33.144545 L 81.881726 33.144545 L 143.92523 31.537379 L 83.904879 24.269999 L 123.819873 33.144545 L 149.344293 32.360722 L 131.594974 31.500054 L 121.988742 33.144545 L 142.937283 33.144545 L 28.070321 33.144545 L 106.448252 33.144545 L 164.683584 31.500054 L 67.264716 23.521305 L 153.654736 33.144545 L 73.203409 31.932584 L 40.506185 29.56355 L 149.408683 33.144545 L 148.699478 33.144545 L 45.622265 33.144545 L 69.622513 31.513227 L 106.548813 23.929684 L 111.680569 33.144545 L 47.997879 32.437568 L 16.774278 29.879714 L 48.16176 33.144545 L 110.419999 33.144545 L 22.809174 33.144545 L 95.134009 31.20365 L 63.120677 21.534303 L 131.586486 33.144545 L 28.735096 32.584672 L 116.100827 30.804054 L 82.410991 33.144545 L 48.844505 33.144545 L 139.346292 33.144545 L 123.247478 33.144545 L 86.476799 31.554943 L 126.468953 22.761634 L 74.860566 33.144545 L 74.081695 32.619801 L 16.588909 31.796458 L 77.726828 33.144545 L 38.886347 33.144545 L 145.781215 33.144545 L 87.234946 33.144545 L 83.735952 31.247562 L 53.675419 22.691375 L 114.944793 33.144545 L 142.778909 32.448546 L 34.893953 31.003852 L 129.883599 33.144545 L 16.652152 33.144545 L 35.661124 33.144545 L 163.378889 31.394666 L 55.191867 19.88542 L 62.735639 33.144545 L 73.093442 32.39146 L 46.955637 31.153152 L 118.438511 33.144545 L 33.210719 33.144545 L 143.79148 30.933593 L 23.021996 17.507603 L 52.432131 33.144545 L 145.344481 32.365113 L 70.419049 30.266136 L 120.409893 33.144545 L 138.364846 33.144545 L 80.86686 33.144545 L 136.997137 33.144545 L 89.536994 30.84577 L 47.384265 17.068487 L 82.615861 33.144545 L 47.332723 32.336571 L 131.325256 30.105859 L 125.01636 33.144545 L 50.058963 33.144545 L 147.424836 33.144545 L 119.007236 33.144545 L 122.203782 30.709644 L 124.553779 13.360147 L 27.400576 33.144545 L 95.842755 32.35194 L 142.403429 30.283701 L 67.300582 33.144545 L 160.962285 33.144545 L 163.734332 29.688698 L 131.860869 10.652993 L 36.324216 33.144545 L 153.493685 32.226792 L 111.876415 30.931398 L 97.408527 33.144545 L 161.930654 33.144545 L 89.688486 33.144545 L 80.748864 28.450389 L 81.000687 19.13453 L 46.562646 33.144545 L 38.420859 31.745959 L 158.533674 31.139978 L 44.248285 33.144545 L 153.262203 33.144545 L 53.307281 33.144545 L 97.087955 27.958578 L 43.910124 18.227755 L 101.78206 33.144545 L 38.726443 32.367309 L 102.525218 30.729404 L 47.861835 33.144545 L 154.892518 33.144545 L 107.12358 33.144545 L 38.675818 29.77213 L 38.860499 14.534784 L 152.825699 33.144545 L 157.322122 32.114817 L 159.944514 31.111436 L 22.203283 33.144545 L 114.843544 33.144545 L 72.840471 33.144545 L 71.105313 30.898464 L 93.516082 23.635476 L 57.250198 33.144545 L 57.583541 32.551738 L 28.611516 31.451751 L 31.880635 33.144545 L 103.426598 33.144545 L 21.247531 33.144545 L 57.815099 30.029013 L 128.471383 21.852662 L 131.10188 33.144545 L 82.975893 32.529782 L 116.521425 30.604256 L 116.894228 33.144545 L 43.352182 33.144545 L 145.105964 33.144545 L 135.278726 33.144545 L 165.760621 30.50765 L 95.72147 19.681231 L 91.793389 33.144545 L 141.808856 32.650539 L 94.720752 31.37271 L 83.217851 33.144545 L 163.453602 33.144545 L 62.889731 33.144545 L 36.101222 31.225606 L 149.547404 20.743893 L 73.365378 33.144545 L 135.003043 32.65493 L 39.262209 30.90066 L 66.711515 33.144545 L 137.235654 33.144545 L 27.16397 33.144545 L 37.284174 30.626212 L 121.263172 20.882214 L 164.226126 33.144545 L 137.091122 32.435372 L 148.477784 31.291473 L 113.985677 33.144545 L 22.643305 33.144545 L 73.820465 33.144545 L 94.395438 31.120218 L 86.60466 24.739854 L 44.963378 33.144545 L 81.88769 32.479284 L 80.846595 30.986287 L 62.685932 33.144545 L 153.052745 33.144545 L 109.417675 33.144545 L 39.875441 30.463739 L 89.062636 19.744902 L 130.148193 33.144545 L 105.548248 32.483675 L 140.139999 28.612862 L 138.257784 33.144545 L 33.947225 33.144545 L 69.293299 33.144545 L 71.690709 30.496672 L 90.080178 16.374683 L 141.261696 33.144545 L 104.560684 32.630779 L 141.748443 30.485694 L 142.553468 33.144545 L 15.334227 33.144545 L 37.367988 33.144545 L 89.864449 29.682111 L 77.606307 17.843528 L 128.256113 33.144545 L 91.800577 32.435372 L 149.472155 30.198073 L 98.764459 33.144545 L 160.906077 33.144545 L 153.894094 33.144545 L 36.595464 31.792066 L 107.995747 21.622126 L 18.68257 33.144545 L 88.598525 32.536369 L 157.455796 31.41223 L 139.406782 33.144545 L 154.493714 33.144545 L 24.152105 31.030199 L 166.98938 19.477041 L 82.811477 33.144545 L 150.532521 32.428785 L 79.104095 31.458338 L 63.147137 33.144545 L 69.90462 33.144545 L 23.41537 33.144545 L 30.190136 33.144545 L 98.085614 30.364937 L 46.674525 16.256121 L 22.952636 33.144545 L 123.880134 32.514413 L 76.298017 31.041177 L 150.066039 33.144545 L 58.334423 33.144545 L 156.325763 33.144545 L 75.150473 33.144545 L 166.276657 29.530616 L 21.324462 18.282644 L 113.013713 33.144545 L 89.912933 32.057732 L 64.549946 31.425404 L 32.575233 33.144545 L 154.979849 33.144545 L 27.527061 33.144545 L 76.24724 33.144545 L 112.06469 30.397871 L 129.174394 13.761939 L 119.594085 33.144545 L 19.771537 32.536369 L 165.17966 30.937985 L 67.504381 33.144545 L 26.054662 33.144545 L 85.698539 33.144545 L 77.329859 30.189291 L 72.017169 13.836589 L 14.809091 33.144545 L 109.560372 32.468306 L 102.691699 30.970918 L 166.64663 33.144545 L 24.396664 33.144545 L 111.642869 33.144545 L 130.10621 30.773316 L 147.966413 8.435455 L 87.759699 33.144545 L 26.154841 32.422199 L 129.402893 30.44837 L 123.958059 33.144545 L 58.17559 33.144545 L 41.628723 29.873127 L 69.216521 13.799264 L 74.683838 33.144545 L 63.864218 32.470501 L 147.567151 30.127814 L 48.750827 33.144545 L 91.077301 33.144545 L 15.091351 33.144545 L 59.969862 29.743587 L 85.984393 22.781394 L 96.480993 33.144545 L 63.737962 32.125795 L 29.949095 31.304647 L 104.032107 33.144545 L 66.041923 33.144545 L 83.82833 33.144545 L 57.319405 28.647992 L 65.700091 20.708763 L 41.041874 33.144545 L 89.051701 31.818413 L 165.261945 30.540584 L 87.653785 33.144545 L 120.85045 33.144545 L 110.91921 33.144545 L 89.227664 28.452585 L 38.353105 21.538694 L 149.775368 33.144545 L 113.743259 32.08847 L 100.065407 31.436382 L 19.787673 33.144545 L 152.417642 33.144545 L 97.408909 33.144545 M 54.853018 33.144545 L 34.840499 33.144545 L 125.79462 33.144545 L 123.335574 28.619449 L 94.761129 22.886782 L 69.136072 33.144545 L 26.840492 32.239965 L 49.156819 30.206855 L 81.260999 33.144545 L 68.413714 33.144545 L 158.535204 33.144545 L 112.137568 30.854552 L 22.908664 22.300561 L 18.912294 33.144545 L 113.580067 32.097252 L 128.21153 30.292483 L 49.971632 33.144545 L 25.745178 33.144545 L 100.955164 33.144545 L 50.382289 33.144545 L 39.396265 31.229997 L 122.69527 24.169002 L 61.911955 33.144545 L 164.560999 32.512218 L 23.286438 30.981896 L 139.281062 33.144545 L 46.939272 33.144545 L 160.308981 31.943562 L 129.903634 25.479765 L 139.02962 33.144545 L 45.379465 32.253139 L 42.111952 30.709644 L 21.076539 33.144545 L 140.542856 33.144545 L 143.37004 31.16413 L 50.250833 24.794743 L 51.755121 33.144545 L 49.534898 32.619801 L 48.435684 30.891877 L 126.863857 33.144545 L 156.576287 33.144545 L 69.058453 33.144545 L 26.116605 30.894073 L 161.275821 23.115122 L 69.63796 33.144545 L 26.231619 32.33218 L 124.337286 30.211247 L 33.566392 33.144545 L 124.851562 33.144545 L 69.918079 33.144545 L 97.615385 30.694275 L 134.825321 23.945053 L 61.001704 33.144545 L 20.43983 32.215814 L 51.455732 29.991688 L 148.13817 33.144545 L 35.250391 33.144545 L 94.429469 33.144545 L 127.82848 30.070729 L 105.209323 22.124914 L 117.103456 33.144545 L 81.054447 32.152142 L 52.17679 29.763348 L 30.929165 33.144545 L 144.734384 33.144545 L 134.469801 33.144545 L 35.348428 31.170716 L 49.481444 23.993356 L 63.464268 33.144545 L 143.627676 32.582476 L 91.813501 30.386893 L 69.392178 33.144545 L 45.294427 33.144545 L 142.902182 33.144545 L 26.791856 23.187577 L 21.694665 33.144545 L 123.309344 32.279486 L 86.811059 31.019221 L 99.700099 33.144545 L 38.292539 33.144545 L 158.941655 33.144545 L 86.752023 33.144545 L 111.433258 31.006048 L 158.631483 22.717722 L 51.367406 33.144545 L 121.864933 32.437568 L 129.646611 30.593278 L 39.296774 33.144545 L 131.746543 33.144545 L 29.389088 30.406653 L 52.467308 21.246681 L 73.911926 33.144545 L 132.786873 32.470501 L 94.838137 31.229997 L 40.251532 33.144545 L 152.163524 33.144545 L 53.890918 33.144545 L 60.312152 30.757947 L 74.229133 19.211376 L 24.446218 33.144545 L 163.840629 32.659322 L 24.036861 30.878704 L 81.205251 33.144545 L 159.939925 33.144545 L 16.879275 33.144545 L 66.992092 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p1d01cee815">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>UMBSUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p6c6196122e)" d="M 89.56766 32.869809 L 130.156988 32.732441 L 17.112363 33.144545 L 114.184658 30.586064 L 70.098324 26.842783 L 149.12887 33.144545 L 28.88567 33.144545 L 162.767645 33.144545 L 27.732925 32.921322 L 153.784051 32.749612 L 41.988526 33.144545 L 48.568058 30.465867 L 139.653559 27.563966 L 25.068398 33.144545 L 160.572964 33.144545 L 42.236679 32.749612 L 145.046392 33.144545 L 145.05748 29.401264 L 156.409042 24.971142 L 106.548201 33.144545 L 120.932658 33.144545 L 110.55719 33.144545 L 144.877541 32.904151 L 146.66233 32.646586 L 160.630241 33.144545 L 59.691043 29.315409 L 94.812136 24.850945 L 159.87653 33.144545 L 49.857 33.144545 L 76.98321 33.144545 L 106.625362 32.88698 L 115.509007 32.663757 L 162.991862 33.144545 L 89.720987 27.907386 L 95.267529 19.35622 L 22.855439 33.144545 L 133.578821 33.144545 L 48.290692 32.835467 L 45.146453 32.680928 L 51.232279 33.144545 L 62.639054 28.182122 L 28.514014 23.133844 L 43.135077 33.144545 L 97.172227 33.144545 L 84.421297 32.852638 L 54.438767 32.646586 L 33.379952 33.144545 L 63.031281 30.414354 L 21.792091 24.696406 L 41.269762 33.144545 L 150.970784 33.144545 L 140.228707 33.144545 L 112.825744 32.801125 L 160.159554 32.732441 L 40.82324 33.144545 L 166.990909 28.474029 L 136.192342 25.761009 L 68.89289 33.144545 L 56.234644 33.144545 L 109.479082 33.144545 L 77.03047 33.144545 L 63.239821 32.818296 L 42.617206 32.71527 L 34.049927 33.144545 L 61.134689 28.611397 L 45.382753 24.387328 L 45.799222 33.144545 L 159.531563 33.144545 L 21.496143 33.144545 L 16.248072 32.818296 L 81.112796 32.680928 L 108.899498 33.144545 L 76.727639 27.443768 L 143.726172 25.503444 L 113.143027 33.144545 L 36.386312 33.144545 L 121.672835 33.144545 L 91.65528 32.71527 L 73.274452 33.144545 L 68.271093 30.088105 L 56.631765 22.807594 L 106.586591 33.144545 L 15.232289 33.144545 L 158.435407 33.144545 L 143.749879 32.88698 L 102.051548 32.732441 L 95.652262 33.144545 L 155.344929 30.998169 L 21.844245 21.949044 L 72.791835 33.144545 L 132.425388 33.144545 L 23.867934 33.144545 L 106.075984 32.904151 L 97.984899 32.680928 L 14.998819 33.144545 L 94.398115 30.448696 L 107.682746 25.211536 L 160.98492 33.144545 L 71.748751 33.144545 L 103.885586 32.835467 L 28.472643 32.71527 L 125.12931 33.144545 L 99.403309 29.538632 L 163.742591 24.112591 L 33.964507 33.144545 L 151.806475 33.144545 L 115.29259 33.144545 L 117.32362 32.869809 L 139.976196 32.698099 L 141.645358 33.144545 L 104.14628 29.16087 L 162.390712 19.802667 L 46.145795 33.144545 L 151.978843 33.144545 L 148.252344 33.144545 L 113.952947 32.646586 L 65.628283 33.144545 L 62.290875 28.954818 L 157.641089 21.004638 L 121.339262 33.144545 L 55.465867 33.144545 L 109.586144 33.144545 L 158.913283 32.680928 L 133.259549 33.144545 L 114.550502 30.757774 L 115.788131 23.958052 L 43.236173 33.144545 L 123.878987 33.144545 L 81.881726 33.144545 L 143.92523 32.938493 L 83.904879 32.732441 L 123.819873 33.144545 L 149.344293 29.538632 L 131.594974 25.160023 L 121.988742 33.144545 L 142.937283 33.144545 L 28.070321 33.144545 L 106.448252 33.144545 L 164.683584 32.921322 L 67.264716 32.663757 L 153.654736 33.144545 L 73.203409 27.151861 L 40.506185 18.360301 L 149.408683 33.144545 L 148.699478 33.144545 L 45.622265 33.144545 L 69.622513 32.904151 L 106.548813 32.698099 L 111.680569 33.144545 L 47.997879 29.761855 L 16.774278 17.604777 L 48.16176 33.144545 L 110.419999 33.144545 L 22.809174 33.144545 L 95.134009 32.88698 L 63.120677 32.663757 L 131.586486 33.144545 L 28.735096 30.483038 L 116.100827 22.944962 L 82.410991 33.144545 L 48.844505 33.144545 L 139.346292 33.144545 L 123.247478 33.144545 L 86.476799 32.904151 L 126.468953 32.698099 L 74.860566 33.144545 L 74.081695 30.259815 L 16.588909 27.375084 L 77.726828 33.144545 L 38.886347 33.144545 L 145.781215 33.144545 L 87.234946 33.144545 L 83.735952 32.921322 L 53.675419 32.766783 L 114.944793 33.144545 L 142.778909 30.105276 L 34.893953 23.855026 L 129.883599 33.144545 L 16.652152 33.144545 L 35.661124 33.144545 L 163.378889 32.88698 L 55.191867 32.766783 L 62.735639 33.144545 L 73.093442 30.105276 L 46.955637 24.541867 L 118.438511 33.144545 L 33.210719 33.144545 L 143.79148 32.869809 L 23.021996 32.680928 L 52.432131 33.144545 L 145.344481 30.328499 L 70.419049 18.600696 L 120.409893 33.144545 L 138.364846 33.144545 L 80.86686 33.144545 L 136.997137 33.144545 L 47.384265 32.612244 L 82.615861 33.144545 L 47.332723 29.590145 L 131.325256 19.85418 L 125.01636 33.144545 L 50.058963 33.144545 L 147.424836 33.144545 L 119.007236 33.144545 L 124.553779 32.663757 L 27.400576 33.144545 L 95.842755 29.023502 L 142.403429 20.747072 L 67.300582 33.144545 L 160.962285 33.144545 L 163.734332 32.783954 L 131.860869 32.646586 L 36.324216 33.144545 L 153.493685 28.731595 L 111.876415 25.726667 L 97.408527 33.144545 L 161.930654 33.144545 L 89.688486 33.144545 L 80.748864 32.835467 L 81.000687 32.595073 L 46.562646 33.144545 L 38.420859 26.756928 L 158.533674 26.173113 L 44.248285 33.144545 L 153.262203 33.144545 L 53.307281 33.144545 L 97.087955 32.852638 L 43.910124 32.71527 L 101.78206 33.144545 L 38.726443 29.401264 L 102.525218 23.820684 L 47.861835 33.144545 L 154.892518 33.144545 L 107.12358 33.144545 L 38.675818 32.835467 L 38.860499 32.698099 L 152.825699 33.144545 L 157.322122 27.3064 L 159.944514 25.967061 L 22.203283 33.144545 L 114.843544 33.144545 L 72.840471 33.144545 L 71.105313 32.921322 L 93.516082 32.732441 L 57.250198 33.144545 L 57.583541 30.036592 L 28.611516 25.829693 L 31.880635 33.144545 L 103.426598 33.144545 L 21.247531 33.144545 L 57.815099 32.88698 L 128.471383 32.71527 L 131.10188 33.144545 L 82.975893 30.34567 L 116.521425 22.498516 L 116.894228 33.144545 L 43.352182 33.144545 L 145.105964 33.144545 L 135.278726 33.144545 L 165.760621 32.938493 L 95.72147 32.818296 L 91.793389 33.144545 L 141.808856 30.963827 L 94.720752 25.177194 L 83.217851 33.144545 L 163.453602 33.144545 L 62.889731 33.144545 L 36.101222 32.904151 L 149.547404 32.698099 L 73.365378 33.144545 L 135.003043 30.809287 L 39.262209 23.374238 L 66.711515 33.144545 L 137.235654 33.144545 L 27.16397 33.144545 L 37.284174 32.904151 L 121.263172 32.749612 L 164.226126 33.144545 L 137.091122 30.105276 L 148.477784 24.146933 L 113.985677 33.144545 L 22.643305 33.144545 L 73.820465 33.144545 L 94.395438 32.921322 L 86.60466 32.783954 L 44.963378 33.144545 L 81.88769 30.00225 L 80.846595 24.09542 L 62.685932 33.144545 L 153.052745 33.144545 L 109.417675 33.144545 L 39.875441 32.818296 L 89.062636 32.732441 L 130.148193 33.144545 L 105.548248 29.727513 L 140.139999 8.435455 L 138.257784 33.144545 L 33.947225 33.144545 L 69.293299 33.144545 L 71.690709 32.921322 L 90.080178 32.766783 L 141.261696 33.144545 L 104.560684 30.740603 L 141.748443 20.764243 L 142.553468 33.144545 L 15.334227 33.144545 L 37.367988 33.144545 L 89.864449 32.921322 L 77.606307 32.783954 L 128.256113 33.144545 L 91.800577 30.191131 L 149.472155 21.571281 L 98.764459 33.144545 L 160.906077 33.144545 L 153.894094 33.144545 L 36.595464 32.938493 L 107.995747 32.732441 L 18.68257 33.144545 L 88.598525 30.225473 L 157.455796 26.499363 L 139.406782 33.144545 L 154.493714 33.144545 L 24.152105 32.869809 L 166.98938 32.766783 L 82.811477 33.144545 L 150.532521 29.366922 L 79.104095 26.087258 L 63.147137 33.144545 L 69.90462 33.144545 L 23.41537 33.144545 L 30.190136 33.144545 L 98.085614 32.88698 L 46.674525 32.732441 L 22.952636 33.144545 L 123.880134 29.469948 L 76.298017 22.240951 L 150.066039 33.144545 L 58.334423 33.144545 L 156.325763 33.144545 L 75.150473 33.144545 L 166.276657 32.835467 L 21.324462 32.749612 L 113.013713 33.144545 L 89.912933 27.409426 L 64.549946 25.383247 L 32.575233 33.144545 L 154.979849 33.144545 L 27.527061 33.144545 L 76.24724 33.144545 L 129.174394 32.680928 L 119.594085 33.144545 L 19.771537 30.431525 L 165.17966 24.061078 L 67.504381 33.144545 L 26.054662 33.144545 L 85.698539 33.144545 L 72.017169 32.732441 L 14.809091 33.144545 L 109.560372 29.590145 L 102.691699 24.026736 L 166.64663 33.144545 L 24.396664 33.144545 L 111.642869 33.144545 L 147.966413 32.646586 L 87.759699 33.144545 L 26.154841 29.538632 L 129.402893 20.043061 L 123.958059 33.144545 L 58.17559 33.144545 L 41.628723 32.852638 L 69.216521 32.663757 L 74.683838 33.144545 L 63.864218 30.088105 L 147.567151 18.411814 L 48.750827 33.144545 L 91.077301 33.144545 L 15.091351 33.144545 L 59.969862 32.783954 L 85.984393 32.732441 L 96.480993 33.144545 L 63.737962 28.645739 L 29.949095 25.675154 L 104.032107 33.144545 L 66.041923 33.144545 L 83.82833 33.144545 L 57.319405 32.852638 L 65.700091 32.749612 L 41.041874 33.144545 L 89.051701 26.859954 L 165.261945 21.176348 L 87.653785 33.144545 L 120.85045 33.144545 L 110.91921 33.144545 L 89.227664 32.835467 L 38.353105 32.71527 L 149.775368 33.144545 L 113.743259 28.714424 L 100.065407 26.808441 L 19.787673 33.144545 L 152.417642 33.144545 L 97.408909 33.144545 M 54.853018 33.144545 L 34.840499 33.144545 L 125.79462 33.144545 L 123.335574 32.852638 L 94.761129 32.663757 L 69.136072 33.144545 L 26.840492 29.16087 L 49.156819 20.661217 L 81.260999 33.144545 L 68.413714 33.144545 L 158.535204 33.144545 L 112.137568 32.921322 L 22.908664 32.663757 L 18.912294 33.144545 L 113.580067 29.126528 L 128.21153 22.979304 L 49.971632 33.144545 L 25.745178 33.144545 L 100.955164 33.144545 L 50.382289 33.144545 L 39.396265 32.904151 L 122.69527 32.732441 L 61.911955 33.144545 L 164.560999 30.534551 L 23.286438 23.734829 L 139.281062 33.144545 L 46.939272 33.144545 L 160.308981 32.938493 L 129.903634 32.783954 L 139.02962 33.144545 L 45.379465 28.182122 L 42.111952 20.02589 L 21.076539 33.144545 L 140.542856 33.144545 L 143.37004 32.904151 L 50.250833 32.698099 L 51.755121 33.144545 L 49.534898 30.826458 L 48.435684 25.194365 L 126.863857 33.144545 L 156.576287 33.144545 L 69.058453 33.144545 L 26.116605 32.904151 L 161.275821 32.766783 L 69.63796 33.144545 L 26.231619 29.109357 L 124.337286 19.442075 L 33.566392 33.144545 L 124.851562 33.144545 L 69.918079 33.144545 L 97.615385 32.88698 L 134.825321 32.783954 L 61.001704 33.144545 L 20.43983 28.336661 L 51.455732 18.738064 L 148.13817 33.144545 L 35.250391 33.144545 L 94.429469 33.144545 L 127.82848 32.904151 L 105.209323 32.766783 L 117.103456 33.144545 L 81.054447 27.873044 L 52.17679 16.952278 L 30.929165 33.144545 L 144.734384 33.144545 L 134.469801 33.144545 L 35.348428 32.938493 L 49.481444 32.749612 L 63.464268 33.144545 L 143.627676 30.843629 L 91.813501 19.493588 L 69.392178 33.144545 L 45.294427 33.144545 L 142.902182 33.144545 L 115.806408 32.904151 L 26.791856 32.749612 L 21.694665 33.144545 L 123.309344 28.285148 L 86.811059 22.206609 L 99.700099 33.144545 L 38.292539 33.144545 L 158.941655 33.144545 L 86.752023 33.144545 L 111.433258 32.921322 L 158.631483 32.835467 L 51.367406 33.144545 L 121.864933 30.070934 L 129.646611 23.133844 L 39.296774 33.144545 L 131.746543 33.144545 L 29.389088 32.921322 L 52.467308 32.71527 L 73.911926 33.144545 L 132.786873 30.105276 L 94.838137 24.490354 L 40.251532 33.144545 L 152.163524 33.144545 L 53.890918 33.144545 L 60.312152 32.88698 L 74.229133 32.801125 L 24.446218 33.144545 L 163.840629 30.946656 L 24.036861 24.09542 L 81.205251 33.144545 L 159.939925 33.144545 L 16.879275 33.144545 L 66.992092 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p6c6196122e">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>UMBS$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p063d6a2718)" d="M 89.56766 32.497308 L 130.156988 21.493414 L 17.112363 33.144545 L 114.184658 33.113067 L 70.098324 32.713072 L 149.12887 33.144545 L 28.88567 33.144545 L 162.767645 33.144545 L 27.732925 32.193721 L 153.784051 21.66559 L 41.988526 33.144545 L 139.653559 32.729521 L 25.068398 33.144545 L 160.572964 33.144545 L 83.556777 31.657692 L 42.236679 13.746934 L 145.046392 33.144545 L 145.05748 33.075816 L 156.409042 31.858277 L 106.548201 33.144545 L 120.932658 33.144545 L 110.55719 33.144545 L 144.877541 31.71984 L 146.66233 13.065515 L 160.630241 33.144545 L 59.691043 33.037692 L 94.812136 32.425588 L 159.87653 33.144545 L 49.857 33.144545 L 76.98321 33.144545 L 106.625362 32.1292 L 115.509007 10.439298 L 162.991862 33.144545 L 89.720987 33.028568 L 95.267529 31.92311 L 22.855439 33.144545 L 133.578821 33.144545 L 48.290692 32.00037 L 45.146453 13.624807 L 51.232279 33.144545 L 62.639054 33.084362 L 28.514014 32.3203 L 43.135077 33.144545 L 97.172227 33.144545 L 84.421297 32.068524 L 54.438767 20.135993 L 33.379952 33.144545 L 63.031281 33.088788 L 21.792091 31.811449 L 41.269762 33.144545 L 150.970784 33.144545 L 140.228707 33.144545 L 112.825744 31.408934 L 160.159554 27.564563 L 40.82324 33.144545 L 166.990909 32.948435 L 136.192342 32.870659 L 56.234644 33.144545 L 109.479082 33.144545 L 77.03047 33.144545 L 63.239821 30.724986 L 42.617206 23.342993 L 34.049927 33.144545 L 61.134689 33.006149 L 45.382753 32.691761 L 45.799222 33.144545 L 159.531563 33.144545 L 21.496143 33.144545 L 16.248072 31.290103 L 81.112796 23.739208 L 108.899498 33.144545 L 76.727639 33.004587 L 143.726172 32.630548 L 113.143027 33.144545 L 36.386312 33.144545 L 121.672835 33.144545 L 101.210887 31.25137 L 91.65528 24.056529 L 73.274452 33.144545 L 56.631765 32.779423 L 106.586591 33.144545 L 15.232289 33.144545 L 158.435407 33.144545 L 143.749879 32.267785 L 102.051548 27.045702 L 95.652262 33.144545 L 155.344929 33.07 L 21.844245 32.396427 L 72.791835 33.144545 L 132.425388 33.144545 L 23.867934 33.144545 L 106.075984 32.408349 L 97.984899 27.095719 L 14.998819 33.144545 L 94.398115 33.104439 L 107.682746 32.771509 L 160.98492 33.144545 L 71.748751 33.144545 L 103.885586 32.493032 L 28.472643 23.018471 L 125.12931 33.144545 L 99.403309 33.08853 L 163.742591 32.829295 L 33.964507 33.144545 L 151.806475 33.144545 L 115.29259 33.144545 L 117.32362 32.161714 L 139.976196 26.48714 L 141.645358 33.144545 L 104.14628 33.061725 L 162.390712 32.476981 L 46.145795 33.144545 L 151.978843 33.144545 L 148.252344 33.144545 L 131.090333 32.110609 L 113.952947 24.258994 L 65.628283 33.144545 L 62.290875 33.073809 L 157.641089 32.388871 L 121.339262 33.144545 L 55.465867 33.144545 L 109.586144 33.144545 L 134.137452 32.811556 L 158.913283 28.141848 L 133.259549 33.144545 L 114.550502 33.100159 L 115.788131 32.503192 L 43.236173 33.144545 L 123.878987 33.144545 L 81.881726 33.144545 L 143.92523 32.760975 L 83.904879 24.792372 L 123.819873 33.144545 L 149.344293 33.095 L 131.594974 32.348333 L 121.988742 33.144545 L 142.937283 33.144545 L 28.070321 33.144545 L 106.448252 33.144545 L 164.683584 32.723595 L 67.264716 27.506266 L 153.654736 33.144545 L 73.203409 33.089278 L 40.506185 32.635356 L 149.408683 33.144545 L 131.747537 33.144545 L 45.622265 33.144545 L 69.622513 32.572654 L 106.548813 26.62312 L 111.680569 33.144545 L 47.997879 33.056441 L 16.774278 32.334731 L 48.16176 33.144545 L 110.419999 33.144545 L 22.809174 33.144545 L 95.134009 32.537779 L 63.120677 24.841948 L 131.586486 33.144545 L 28.735096 33.091243 L 116.100827 32.472357 L 82.410991 33.144545 L 48.844505 33.144545 L 139.346292 33.144545 L 123.247478 33.144545 L 86.476799 32.747294 L 126.468953 27.209255 L 74.860566 33.144545 L 74.081695 33.06409 L 16.588909 32.673256 L 77.726828 33.144545 L 38.886347 33.144545 L 145.781215 33.144545 L 87.234946 33.144545 L 83.735952 31.5324 L 53.675419 21.481333 L 114.944793 33.144545 L 142.778909 33.03675 L 34.893953 32.818197 L 129.883599 33.144545 L 16.652152 33.144545 L 35.661124 33.144545 L 163.378889 32.05978 L 55.191867 17.33823 L 62.735639 33.144545 L 73.093442 33.048842 L 46.955637 31.910056 L 118.438511 33.144545 L 33.210719 33.144545 L 143.79148 32.180955 L 23.021996 8.883874 L 52.432131 33.144545 L 145.344481 33.014869 L 70.419049 32.302758 L 120.409893 33.144545 L 138.364846 33.144545 L 80.86686 33.144545 L 136.997137 33.144545 L 89.536994 31.646726 L 47.384265 11.984215 L 82.615861 33.144545 L 47.332723 33.041919 L 131.325256 32.279941 L 125.01636 33.144545 L 50.058963 33.144545 L 147.424836 33.144545 L 119.007236 33.144545 L 122.203782 31.92192 L 124.553779 14.864537 L 27.400576 33.144545 L 95.842755 33.054173 L 142.403429 32.290321 L 67.300582 33.144545 L 160.962285 33.144545 L 163.734332 31.196024 L 131.860869 15.973125 L 36.324216 33.144545 L 153.493685 32.994277 L 111.876415 31.879933 L 97.408527 33.144545 L 161.930654 33.144545 L 89.688486 33.144545 L 80.748864 30.147373 L 81.000687 22.249316 L 46.562646 33.144545 L 38.420859 33.036464 L 158.533674 32.732534 L 44.248285 33.144545 L 153.262203 33.144545 L 53.307281 33.144545 L 97.087955 31.310558 L 43.910124 22.864079 L 101.78206 33.144545 L 38.726443 33.074025 L 102.525218 32.82234 L 47.861835 33.144545 L 154.892518 33.144545 L 107.12358 33.144545 L 38.675818 32.202892 L 38.860499 20.897079 L 152.825699 33.144545 L 157.322122 33.079754 L 159.944514 32.691369 L 22.203283 33.144545 L 114.843544 33.144545 L 72.840471 33.144545 L 71.105313 32.476672 L 93.516082 27.073462 L 57.250198 33.144545 L 57.583541 33.064314 L 28.611516 32.918621 L 31.880635 33.144545 L 103.426598 33.144545 L 21.247531 33.144545 L 57.815099 32.530577 L 128.471383 24.947166 L 131.10188 33.144545 L 82.975893 33.081452 L 116.521425 32.699302 L 116.894228 33.144545 L 43.352182 33.144545 L 145.105964 33.144545 L 135.278726 33.144545 L 165.760621 32.491191 L 95.72147 21.414785 L 91.793389 33.144545 L 141.808856 33.097851 L 94.720752 32.744177 L 83.217851 33.144545 L 163.453602 33.144545 L 62.889731 33.144545 L 36.101222 32.561991 L 149.547404 24.469507 L 73.365378 33.144545 L 135.003043 33.08354 L 39.262209 32.693723 L 66.711515 33.144545 L 137.235654 33.144545 L 27.16397 33.144545 L 37.284174 32.572072 L 121.263172 23.563368 L 164.226126 33.144545 L 137.091122 33.079156 L 148.477784 32.744795 L 113.985677 33.144545 L 22.643305 33.144545 L 73.820465 33.144545 L 94.395438 32.561839 L 86.60466 28.713345 L 44.963378 33.144545 L 81.88769 33.117232 L 80.846595 32.906615 L 62.685932 33.144545 L 153.052745 33.144545 L 109.417675 33.144545 L 39.875441 32.041095 L 89.062636 24.761814 L 130.148193 33.144545 L 105.548248 33.084029 L 140.139999 32.054285 L 138.257784 33.144545 L 33.947225 33.144545 L 69.293299 33.144545 L 71.690709 32.16307 L 90.080178 24.18282 L 141.261696 33.144545 L 104.560684 33.088752 L 141.748443 32.480443 L 142.553468 33.144545 L 15.334227 33.144545 L 37.367988 33.144545 L 89.864449 31.668168 L 77.606307 26.453193 L 128.256113 33.144545 L 91.800577 33.049064 L 149.472155 32.43432 L 98.764459 33.144545 L 160.906077 33.144545 L 153.894094 33.144545 L 36.595464 32.438945 L 107.995747 26.054055 L 18.68257 33.144545 L 88.598525 33.083368 L 157.455796 32.584337 L 139.406782 33.144545 L 154.493714 33.144545 L 24.152105 32.587297 L 166.98938 23.724618 L 82.811477 33.144545 L 150.532521 33.105601 L 79.104095 32.78523 L 63.147137 33.144545 L 69.90462 33.144545 L 23.41537 33.144545 L 30.190136 33.144545 L 98.085614 32.160022 L 46.674525 19.573573 L 22.952636 33.144545 L 123.880134 33.088798 L 76.298017 32.294294 L 150.066039 33.144545 L 58.334423 33.144545 L 156.325763 33.144545 L 75.150473 33.144545 L 166.276657 31.45883 L 21.324462 21.119966 L 113.013713 33.144545 L 89.912933 33.015632 L 64.549946 31.998434 L 32.575233 33.144545 L 154.979849 33.144545 L 27.527061 33.144545 L 76.24724 33.144545 L 112.06469 32.046041 L 129.174394 17.501728 L 119.594085 33.144545 L 19.771537 33.012451 L 165.17966 32.501897 L 67.504381 33.144545 L 26.054662 33.144545 L 85.698539 33.144545 L 77.329859 31.415832 L 72.017169 12.16136 L 14.809091 33.144545 L 109.560372 33.045181 L 102.691699 32.580604 L 166.64663 33.144545 L 24.396664 33.144545 L 111.642869 33.144545 L 130.10621 32.38432 L 147.966413 8.435455 L 87.759699 33.144545 L 26.154841 33.066641 L 129.402893 32.321557 L 123.958059 33.144545 L 58.17559 33.144545 L 41.628723 31.762697 L 69.216521 22.109829 L 74.683838 33.144545 L 63.864218 32.970269 L 147.567151 32.512279 L 48.750827 33.144545 L 91.077301 33.144545 L 15.091351 33.144545 L 59.969862 30.708351 L 85.984393 27.562939 L 96.480993 33.144545 L 63.737962 32.995724 L 29.949095 32.556109 L 104.032107 33.144545 L 66.041923 33.144545 L 83.82833 33.144545 L 57.319405 30.89493 L 65.700091 23.133036 L 41.041874 33.144545 L 89.051701 32.985804 L 165.261945 32.537656 L 87.653785 33.144545 L 120.85045 33.144545 L 110.91921 33.144545 L 89.227664 31.183593 L 38.353105 23.678317 L 149.775368 33.144545 L 113.743259 33.052997 L 100.065407 32.561355 L 19.787673 33.144545 L 152.417642 33.144545 L 97.408909 33.144545 M 54.853018 33.144545 L 34.840499 33.144545 L 125.79462 33.144545 L 123.335574 31.674156 L 94.761129 25.332945 L 69.136072 33.144545 L 26.840492 33.065034 L 49.156819 32.711089 L 81.260999 33.144545 L 68.413714 33.144545 L 158.535204 33.144545 L 112.137568 32.534032 L 22.908664 25.883852 L 18.912294 33.144545 L 113.580067 33.112849 L 128.21153 32.604811 L 49.971632 33.144545 L 25.745178 33.144545 L 100.955164 33.144545 L 50.382289 33.144545 L 39.396265 32.284409 L 122.69527 27.809956 L 61.911955 33.144545 L 164.560999 33.108249 L 23.286438 32.728774 L 139.281062 33.144545 L 46.939272 33.144545 L 160.308981 32.840245 L 129.903634 27.218257 L 139.02962 33.144545 L 45.379465 33.103539 L 42.111952 32.822772 L 21.076539 33.144545 L 140.542856 33.144545 L 143.37004 31.705575 L 50.250833 25.061804 L 51.755121 33.144545 L 49.534898 33.110888 L 48.435684 32.87196 L 156.576287 33.144545 L 122.641969 33.144545 L 69.058453 33.144545 L 26.116605 31.869492 L 161.275821 25.476943 L 69.63796 33.144545 L 26.231619 33.051172 L 124.337286 32.391012 L 33.566392 33.144545 L 124.851562 33.144545 L 69.918079 33.144545 L 97.615385 32.331173 L 134.825321 25.103111 L 61.001704 33.144545 L 20.43983 33.054686 L 51.455732 32.250739 L 148.13817 33.144545 L 35.250391 33.144545 L 94.429469 33.144545 L 127.82848 31.852444 L 105.209323 24.6721 L 117.103456 33.144545 L 81.054447 33.037431 L 52.17679 32.195784 L 30.929165 33.144545 L 144.734384 33.144545 L 134.469801 33.144545 L 35.348428 32.455669 L 49.481444 27.368216 L 63.464268 33.144545 L 143.627676 33.102127 L 91.813501 32.575036 L 69.392178 33.144545 L 45.294427 33.144545 L 142.902182 33.144545 L 115.806408 32.025847 L 26.791856 25.634583 L 21.694665 33.144545 L 123.309344 33.075679 L 86.811059 32.684049 L 99.700099 33.144545 L 38.292539 33.144545 L 158.941655 33.144545 L 86.752023 33.144545 L 111.433258 32.302089 L 158.631483 25.906444 L 51.367406 33.144545 L 121.864933 33.065255 L 129.646611 32.564727 L 39.296774 33.144545 L 131.746543 33.144545 L 29.389088 32.074077 L 52.467308 24.231097 L 73.911926 33.144545 L 132.786873 33.050956 L 94.838137 32.482163 L 40.251532 33.144545 L 152.163524 33.144545 L 53.890918 33.144545 L 60.312152 32.40352 L 74.229133 20.888529 L 24.446218 33.144545 L 163.840629 33.10549 L 24.036861 32.461624 L 81.205251 33.144545 L 159.939925 33.144545 L 16.879275 33.144545 L 66.992092 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p063d6a2718">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMATradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p1cce3d4b03)" d="M 89.56766 33.144545 L 130.156988 33.144545 L 17.112363 32.301062 L 114.184658 31.01103 L 70.098324 31.358346 L 149.12887 31.110263 L 49.65626 33.144545 L 28.88567 18.209934 L 162.767645 32.499529 L 27.732925 33.144545 L 153.784051 33.144545 L 41.988526 31.556813 L 48.568058 31.606429 L 139.653559 30.465246 M 83.345178 33.144545 L 91.35979 22.973133 M 83.556777 33.144545 L 42.236679 33.144545 L 145.046392 31.507196 L 145.05748 31.110263 L 156.409042 31.407963 M 120.932658 33.144545 L 106.699923 18.408401 L 110.55719 31.308729 L 146.66233 33.144545 L 160.630241 31.804896 L 59.691043 30.11793 L 94.812136 28.827897 L 159.87653 32.003363 L 133.767708 33.144545 L 49.857 17.217601 L 76.98321 31.656046 L 106.625362 33.144545 L 115.509007 33.144545 L 162.991862 31.457579 L 89.720987 30.961413 L 95.267529 26.396681 L 22.855439 31.15988 L 127.11048 33.144545 L 114.359856 15.629869 L 133.578821 30.663713 L 45.146453 33.144545 L 51.232279 30.961413 L 62.639054 29.621763 L 28.514014 28.133264 L 43.135077 31.110263 L 94.370202 33.144545 L 88.592178 20.988467 L 97.172227 31.804896 L 84.421297 33.144545 L 54.438767 33.144545 L 33.379952 29.324064 L 63.031281 30.911796 L 21.792091 30.812563 L 41.269762 32.648379 L 66.486304 33.144545 L 150.970784 22.030416 L 140.228707 32.251446 L 112.825744 33.144545 L 160.159554 33.144545 L 40.82324 32.003363 L 166.990909 31.110263 L 136.192342 29.919463 L 68.89289 29.175214 L 56.234644 33.144545 L 109.479082 16.622202 L 77.03047 31.656046 L 63.239821 33.144545 L 42.617206 33.144545 L 34.049927 31.259113 L 61.134689 29.621763 L 45.382753 30.068313 L 45.799222 30.56448 L 159.531563 33.144545 L 137.63637 11.90862 L 21.496143 31.556813 L 16.248072 33.144545 L 81.112796 33.144545 L 108.899498 31.556813 L 76.727639 30.11793 L 143.726172 30.41563 L 113.143027 31.358346 L 36.386312 33.144545 L 37.994373 16.026802 L 121.672835 31.457579 L 101.210887 33.144545 L 91.65528 33.144545 L 73.274452 31.358346 L 68.271093 30.614096 L 56.631765 30.663713 L 106.586591 32.846846 L 15.232289 33.144545 L 135.509137 14.984852 L 158.435407 31.060646 L 143.749879 33.144545 L 102.051548 33.144545 L 95.652262 31.15988 L 155.344929 31.15988 L 21.844245 31.656046 L 72.791835 32.400296 L 26.047627 33.144545 L 132.425388 24.213549 L 23.867934 30.56448 L 106.075984 33.144545 L 97.984899 33.144545 L 14.998819 31.259113 L 94.398115 30.56448 L 107.682746 30.217163 L 160.98492 27.686714 L 127.479613 33.144545 L 77.884284 18.110701 L 71.748751 31.110263 L 103.885586 33.144545 L 28.472643 33.144545 L 125.12931 31.804896 L 99.403309 29.07598 L 163.742591 31.358346 L 33.964507 31.060646 L 151.806475 33.144545 L 94.452563 12.65287 L 115.29259 29.869847 L 117.32362 33.144545 L 139.976196 33.144545 L 141.645358 31.507196 L 104.14628 30.316396 L 162.390712 30.465246 L 46.145795 30.167547 L 151.978843 33.144545 L 99.327296 10.320887 L 148.252344 30.812563 L 131.090333 33.144545 L 113.952947 33.144545 L 62.290875 31.656046 L 157.641089 29.22483 L 121.339262 31.308729 L 55.465867 33.144545 L 115.165952 13.595586 L 109.586144 31.656046 L 134.137452 33.144545 L 158.913283 33.144545 L 133.259549 31.507196 L 114.550502 31.110263 L 115.788131 30.068313 L 43.236173 27.289781 L 70.669496 33.144545 L 123.878987 20.144984 L 81.881726 31.854513 L 143.92523 33.144545 L 83.904879 33.144545 L 123.819873 30.961413 L 149.344293 30.86218 L 131.594974 30.663713 L 121.988742 28.430964 L 142.937283 33.144545 L 28.070321 13.099419 L 106.448252 31.110263 L 164.683584 33.144545 L 67.264716 33.144545 L 153.654736 31.457579 L 73.203409 29.423297 L 40.506185 30.068313 L 149.408683 30.812563 L 148.699478 33.144545 L 131.747537 11.61092 L 45.622265 28.133264 L 69.622513 33.144545 L 106.548813 33.144545 L 111.680569 31.656046 L 47.997879 30.217163 L 16.774278 29.869847 L 48.16176 31.259113 L 110.419999 33.144545 L 65.704832 14.984852 L 22.809174 28.232497 L 95.134009 33.144545 L 63.120677 33.144545 L 131.586486 31.457579 L 28.735096 31.457579 L 116.100827 30.961413 L 82.410991 30.366013 L 48.844505 33.144545 L 139.346292 19.251884 L 123.247478 30.614096 L 86.476799 33.144545 L 126.468953 33.144545 L 74.860566 30.812563 L 74.081695 32.747612 L 16.588909 32.251446 M 38.886347 33.144545 L 145.781215 24.858565 L 87.234946 31.209496 L 83.735952 33.144545 L 53.675419 33.144545 L 114.944793 31.804896 L 142.778909 31.407963 L 34.893953 32.052979 L 129.883599 32.648379 L 60.129689 33.144545 L 16.652152 24.312782 L 35.661124 32.251446 L 163.378889 33.144545 L 55.191867 33.144545 L 62.735639 32.499529 L 73.093442 31.060646 L 46.955637 31.259113 L 118.438511 32.400296 L 105.621127 33.144545 L 105.335273 21.881566 L 33.210719 30.167547 L 143.79148 33.144545 L 23.021996 33.144545 L 52.432131 30.86218 L 145.344481 27.736331 L 70.419049 29.919463 L 138.364846 33.144545 L 80.86686 8.435455 L 136.997137 28.381347 L 89.536994 33.144545 L 47.384265 33.144545 L 82.615861 32.301062 L 47.332723 31.259113 L 131.325256 29.919463 L 125.01636 32.697996 L 50.058963 33.144545 L 147.424836 16.870285 L 119.007236 31.209496 L 122.203782 33.144545 L 124.553779 33.144545 L 27.400576 32.102596 L 95.842755 31.556813 L 142.403429 29.621763 L 67.300582 32.598762 L 95.496564 33.144545 L 103.157186 17.564918 L 160.962285 31.060646 L 163.734332 33.144545 L 131.860869 33.144545 L 36.324216 31.953746 L 153.493685 29.96908 L 111.876415 31.656046 L 97.408527 32.697996 L 138.181389 33.144545 L 161.930654 14.141369 L 89.688486 30.068313 L 80.748864 33.144545 L 81.000687 33.144545 L 46.562646 31.457579 L 38.420859 28.728664 L 158.533674 29.919463 L 44.248285 31.507196 L 104.129991 33.144545 L 153.262203 14.190986 L 53.307281 31.308729 L 97.087955 33.144545 L 43.910124 33.144545 L 101.78206 32.003363 L 38.726443 30.068313 L 102.525218 31.308729 L 47.861835 27.785947 L 80.895996 33.144545 L 154.892518 13.446736 L 107.12358 30.41563 L 38.675818 33.144545 L 38.860499 33.144545 L 152.825699 30.663713 L 157.322122 26.942464 L 159.944514 30.56448 L 22.203283 31.854513 L 114.843544 33.144545 L 97.275465 15.530635 L 72.840471 32.152212 L 71.105313 33.144545 L 93.516082 33.144545 L 57.250198 31.953746 L 57.583541 30.663713 L 28.611516 31.209496 L 31.880635 32.301062 L 103.426598 33.144545 L 88.928886 15.133702 L 21.247531 32.499529 L 57.815099 33.144545 L 128.471383 33.144545 L 131.10188 31.705663 L 82.975893 29.175214 L 116.521425 30.514863 L 116.894228 29.37368 L 43.352182 33.144545 L 145.105964 11.16437 L 135.278726 29.175214 L 165.760621 33.144545 L 95.72147 33.144545 L 91.793389 32.102596 L 141.808856 30.514863 L 94.720752 28.679047 L 83.217851 31.110263 L 112.984424 33.144545 L 163.453602 12.752103 L 62.889731 25.999748 L 36.101222 33.144545 L 149.547404 33.144545 L 73.365378 32.499529 L 135.003043 30.316396 L 39.262209 30.911796 L 66.711515 29.175214 L 137.235654 33.144545 L 77.667638 8.931621 L 27.16397 31.457579 L 37.284174 33.144545 L 121.263172 33.144545 L 164.226126 32.052979 L 137.091122 29.96908 L 148.477784 30.762946 L 113.985677 22.179266 L 22.643305 33.144545 L 48.06311 15.530635 L 73.820465 29.274447 L 94.395438 33.144545 L 86.60466 33.144545 L 44.963378 32.598762 L 81.88769 30.11793 L 80.846595 30.514863 L 62.685932 31.656046 L 110.667616 33.144545 L 153.052745 15.282552 L 109.417675 29.720997 L 39.875441 33.144545 L 89.062636 33.144545 L 130.148193 31.854513 L 105.548248 30.514863 L 140.139999 31.110263 L 138.257784 32.301062 L 33.947225 33.144545 L 115.696441 15.927568 L 69.293299 31.854513 L 71.690709 33.144545 L 90.080178 33.144545 L 141.261696 31.656046 L 104.560684 29.37368 L 141.748443 30.514863 L 142.553468 31.507196 L 15.334227 33.144545 L 135.276814 9.675871 L 37.367988 31.705663 L 89.864449 33.144545 L 77.606307 33.144545 L 128.256113 32.102596 L 91.800577 30.911796 L 149.472155 32.400296 L 98.764459 28.728664 L 160.906077 33.144545 L 125.150417 13.248269 L 153.894094 30.812563 L 36.595464 33.144545 L 107.995747 33.144545 L 18.68257 31.904129 L 88.598525 31.606429 L 157.455796 31.904129 L 139.406782 30.465246 L 152.882594 33.144545 L 142.679342 15.282552 L 154.493714 30.167547 L 24.152105 33.144545 L 166.98938 33.144545 L 82.811477 32.201829 L 150.532521 32.102596 L 79.104095 32.052979 L 63.147137 32.251446 L 69.90462 33.144545 L 23.41537 17.366451 L 30.190136 31.259113 L 98.085614 33.144545 L 46.674525 33.144545 L 22.952636 32.052979 L 123.880134 31.358346 L 76.298017 29.82023 L 150.066039 32.549146 L 58.334423 33.144545 L 156.325763 12.35517 L 75.150473 31.507196 L 166.276657 33.144545 L 21.324462 33.144545 L 113.013713 32.003363 L 89.912933 30.86218 L 64.549946 31.407963 L 32.575233 31.953746 L 154.979849 33.144545 L 27.527061 19.251884 L 76.24724 32.201829 L 112.06469 33.144545 L 129.174394 33.144545 L 119.594085 32.052979 L 19.771537 31.507196 L 165.17966 29.919463 L 67.504381 29.324064 L 49.533522 33.144545 L 26.054662 18.061084 L 85.698539 31.507196 L 77.329859 33.144545 L 72.017169 33.144545 L 14.809091 32.152212 L 109.560372 30.663713 L 102.691699 24.808949 L 166.64663 31.953746 L 147.849334 33.144545 L 24.396664 21.782333 L 111.642869 32.400296 L 130.10621 33.144545 L 147.966413 33.144545 L 87.759699 31.804896 L 26.154841 30.167547 L 129.402893 29.869847 L 123.958059 32.350679 L 72.292011 33.144545 L 68.447515 18.954184 L 58.17559 31.259113 L 41.628723 33.144545 L 69.216521 33.144545 L 74.683838 32.499529 L 63.864218 28.579814 L 147.567151 30.614096 L 48.750827 31.060646 L 91.077301 33.144545 L 42.486897 17.713768 L 15.091351 30.514863 L 59.969862 33.144545 L 85.984393 33.144545 L 96.480993 32.797229 L 63.737962 30.068313 L 29.949095 31.209496 L 104.032107 31.358346 L 66.041923 33.144545 L 78.598383 23.419682 L 83.82833 31.110263 L 57.319405 33.144545 L 65.700091 33.144545 L 41.041874 32.400296 L 89.051701 29.82023 L 165.261945 30.018697 L 87.653785 31.606429 L 120.85045 33.144545 L 107.332961 17.267218 L 110.91921 31.308729 L 89.227664 33.144545 L 38.353105 33.144545 L 149.775368 31.755279 L 113.743259 30.366013 L 100.065407 30.068313 L 19.787673 32.400296 L 81.067753 33.144545 L 58.118312 19.351117 L 81.347336 29.026364 L 138.858628 33.144545 L 152.417642 33.144545 L 88.267782 33.144545 L 97.408909 33.144545 M 54.853018 33.144545 L 34.840499 33.144545 L 123.492189 32.697996 L 125.79462 33.144545 L 94.761129 33.144545 L 69.136072 32.003363 L 26.840492 29.37368 L 49.156819 30.217163 L 81.260999 32.052979 L 68.413714 33.144545 L 105.602085 20.4923 L 158.535204 31.358346 L 112.137568 33.144545 L 22.908664 33.144545 L 18.912294 31.854513 L 128.21153 30.316396 L 49.971632 30.217163 L 25.745178 33.144545 L 100.955164 17.515301 L 50.382289 32.251446 L 39.396265 33.144545 L 122.69527 33.144545 L 61.911955 32.350679 L 164.560999 30.71333 L 23.286438 30.961413 L 139.281062 32.598762 L 111.218141 33.144545 L 135.332027 13.595586 L 46.939272 32.102596 L 160.308981 33.144545 L 129.903634 33.144545 L 139.02962 32.102596 L 45.379465 29.720997 L 42.111952 30.614096 L 21.076539 21.83195 L 105.134686 33.144545 L 89.566054 24.412015 L 140.542856 32.350679 L 143.37004 33.144545 L 50.250833 33.144545 L 51.755121 32.102596 L 48.435684 30.56448 L 126.863857 31.953746 L 156.576287 33.144545 L 122.641969 21.23655 L 69.058453 32.301062 L 26.116605 33.144545 L 161.275821 33.144545 L 69.63796 31.804896 L 26.231619 28.034031 L 124.337286 30.71333 L 33.566392 24.412015 L 89.569113 33.144545 L 124.851562 19.301501 L 69.918079 31.854513 L 97.615385 33.144545 L 134.825321 33.144545 L 61.001704 32.201829 L 20.43983 29.82023 L 51.455732 28.679047 L 148.13817 32.549146 L 35.250391 33.144545 L 91.910621 20.79 L 94.429469 32.201829 L 127.82848 33.144545 L 105.209323 33.144545 L 117.103456 32.598762 L 81.054447 30.167547 L 52.17679 29.22483 L 30.929165 9.378171 L 144.734384 33.144545 L 136.57348 20.442683 L 134.469801 25.057032 L 35.348428 33.144545 L 49.481444 33.144545 L 63.464268 32.201829 L 143.627676 30.71333 L 91.813501 31.656046 L 69.392178 22.080033 L 77.105184 33.144545 L 45.294427 21.732716 L 142.902182 31.804896 L 115.806408 33.144545 L 26.791856 33.144545 L 21.694665 31.953746 L 123.309344 29.026364 L 86.811059 27.537864 L 99.700099 32.598762 L 38.292539 33.144545 L 158.941655 17.713768 L 86.752023 32.449912 L 111.433258 33.144545 L 158.631483 33.144545 L 51.367406 32.648379 L 121.864933 29.96908 L 129.646611 31.308729 L 39.296774 28.381347 L 57.945791 33.144545 L 76.240969 19.698434 L 131.746543 31.507196 L 29.389088 33.144545 L 52.467308 33.144545 L 73.911926 32.797229 L 132.786873 29.919463 L 94.838137 30.812563 L 40.251532 32.598762 L 152.163524 33.144545 L 123.59168 16.622202 L 53.890918 31.656046 L 60.312152 33.144545 L 74.229133 33.144545 L 24.446218 32.301062 L 163.840629 31.358346 L 24.036861 30.961413 L 81.205251 31.556813 L 159.939925 33.144545 L 16.879275 19.251884 L 66.992092 31.705663 L 66.992092 31.705663 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p1cce3d4b03">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMAUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pf9829cc025)" d="M 89.56766 33.144545 L 130.156988 33.144545 L 17.112363 32.309779 L 149.12887 30.055909 L 49.65626 33.144545 L 28.88567 20.456093 L 162.767645 32.309779 L 27.732925 33.144545 L 153.784051 33.144545 L 41.988526 32.142826 L 48.568058 31.475012 L 139.653559 30.222862 M 83.345178 33.144545 L 91.35979 24.129066 M 83.556777 33.144545 L 42.236679 33.144545 L 145.046392 31.892396 L 145.05748 30.640246 L 156.409042 31.725442 M 120.932658 33.144545 L 106.699923 21.624767 L 110.55719 32.643686 L 146.66233 33.144545 L 160.630241 32.226302 L 59.691043 29.805479 L 94.812136 28.636806 L 159.87653 32.142826 L 133.767708 33.144545 L 49.857 20.28914 L 76.98321 31.391536 L 106.625362 33.144545 L 115.509007 33.144545 L 162.991862 31.975872 L 89.720987 30.556769 L 95.267529 25.7986 L 22.855439 31.057629 L 127.11048 33.144545 L 114.359856 17.617887 L 133.578821 30.306339 L 45.146453 33.144545 L 51.232279 31.975872 L 62.639054 29.304619 L 28.514014 28.636806 L 43.135077 29.888956 L 94.370202 33.144545 L 88.592178 21.624767 L 97.172227 31.641966 L 84.421297 33.144545 L 54.438767 33.144545 L 33.379952 30.974152 L 63.031281 30.222862 L 21.792091 31.558489 L 41.269762 32.309779 L 66.486304 33.144545 L 150.970784 21.958673 L 140.228707 32.142826 L 112.825744 33.144545 L 160.159554 33.144545 L 40.82324 32.393256 L 166.990909 30.556769 L 136.192342 31.057629 L 68.89289 27.050749 L 56.234644 33.144545 L 109.479082 18.619607 L 77.03047 32.059349 L 63.239821 33.144545 L 42.617206 33.144545 L 34.049927 32.059349 L 61.134689 29.638526 L 45.382753 29.972432 L 45.799222 30.807199 L 159.531563 33.144545 L 137.63637 15.113587 L 21.496143 32.059349 L 16.248072 33.144545 L 81.112796 33.144545 L 108.899498 32.059349 L 76.727639 29.638526 L 143.726172 30.055909 L 113.143027 30.723722 L 36.386312 33.144545 L 37.994373 18.369177 L 121.672835 31.391536 L 101.210887 33.144545 L 91.65528 33.144545 L 73.274452 32.059349 L 68.271093 30.556769 L 56.631765 31.308059 L 106.586591 32.894115 L 15.232289 33.144545 L 135.509137 15.197064 L 158.435407 31.308059 L 143.749879 33.144545 L 102.051548 33.144545 L 95.652262 31.892396 L 155.344929 31.057629 L 21.844245 32.059349 L 72.791835 32.059349 L 26.047627 33.144545 L 132.425388 23.878636 L 23.867934 29.722002 L 106.075984 33.144545 L 97.984899 33.144545 L 14.998819 32.142826 L 94.398115 29.972432 L 107.682746 30.556769 L 160.98492 28.636806 L 127.479613 33.144545 L 77.884284 21.29086 L 71.748751 30.890676 L 103.885586 33.144545 L 28.472643 33.144545 L 125.12931 31.725442 L 99.403309 28.803759 L 163.742591 31.475012 L 33.964507 30.306339 L 151.806475 33.144545 L 94.452563 17.868317 L 115.29259 30.055909 L 117.32362 33.144545 L 139.976196 33.144545 L 141.645358 31.975872 L 104.14628 29.137666 L 162.390712 30.890676 L 46.145795 30.139386 L 151.978843 33.144545 L 99.327296 17.617887 L 148.252344 30.640246 L 131.090333 33.144545 L 113.952947 33.144545 L 65.628283 32.142826 L 62.290875 31.141106 L 157.641089 30.807199 L 121.339262 31.057629 L 55.465867 33.144545 L 115.165952 19.955233 L 109.586144 31.641966 L 134.137452 33.144545 L 158.913283 33.144545 L 114.550502 31.057629 L 115.788131 30.389816 L 43.236173 27.968993 L 70.669496 33.144545 L 123.878987 22.709963 L 81.881726 32.059349 L 143.92523 33.144545 L 83.904879 33.144545 L 123.819873 31.975872 L 149.344293 30.974152 L 131.594974 31.308059 L 121.988742 28.636806 L 142.937283 33.144545 L 28.070321 21.457813 L 106.448252 30.640246 L 164.683584 33.144545 L 67.264716 33.144545 L 153.654736 32.142826 L 73.203409 29.304619 L 40.506185 30.306339 L 149.408683 30.139386 L 148.699478 33.144545 L 131.747537 15.864877 L 45.622265 25.54817 L 69.622513 33.144545 L 106.548813 33.144545 L 111.680569 31.808919 L 47.997879 30.055909 L 16.774278 30.222862 L 48.16176 30.807199 L 110.419999 33.144545 L 65.704832 17.868317 L 22.809174 29.304619 L 95.134009 33.144545 L 63.120677 33.144545 L 131.586486 31.892396 L 28.735096 31.057629 L 116.100827 31.057629 L 82.410991 30.807199 L 48.844505 33.144545 L 139.346292 21.79172 L 123.247478 30.723722 L 86.476799 33.144545 L 126.468953 33.144545 L 74.860566 31.391536 L 74.081695 32.643686 L 16.588909 32.142826 M 38.886347 33.144545 L 145.781215 26.299459 L 87.234946 31.224582 L 83.735952 33.144545 L 53.675419 33.144545 L 114.944793 32.309779 L 142.778909 31.558489 L 34.893953 31.808919 L 129.883599 32.560209 L 60.129689 33.144545 L 16.652152 26.132506 L 35.661124 32.226302 L 163.378889 33.144545 L 55.191867 33.144545 L 62.735639 32.476732 L 73.093442 30.890676 L 46.955637 31.808919 L 118.438511 32.226302 L 105.621127 33.144545 L 105.335273 23.628206 L 33.210719 30.055909 L 143.79148 33.144545 L 23.021996 33.144545 L 52.432131 32.059349 L 145.344481 27.468133 L 70.419049 31.391536 L 120.409893 31.975872 L 138.364846 33.144545 L 80.86686 17.28398 L 136.997137 29.388096 L 89.536994 33.144545 L 47.384265 33.144545 L 82.615861 32.309779 L 47.332723 31.057629 L 131.325256 31.308059 L 125.01636 32.643686 L 50.058963 33.144545 L 147.424836 20.623047 L 119.007236 32.059349 L 122.203782 33.144545 L 124.553779 33.144545 L 27.400576 32.226302 L 142.403429 31.057629 L 67.300582 32.476732 L 95.496564 33.144545 L 103.157186 19.454373 L 160.962285 31.391536 L 163.734332 33.144545 L 131.860869 33.144545 L 36.324216 32.309779 L 153.493685 29.722002 L 111.876415 31.975872 L 97.408527 32.476732 L 138.181389 33.144545 L 161.930654 17.617887 L 89.688486 31.057629 L 80.748864 33.144545 L 81.000687 33.144545 L 46.562646 31.391536 L 38.420859 28.386376 L 158.533674 29.805479 L 44.248285 30.890676 L 104.129991 33.144545 L 153.262203 15.948354 L 53.307281 31.141106 L 97.087955 33.144545 L 43.910124 33.144545 L 101.78206 32.226302 L 38.726443 28.887236 L 102.525218 31.308059 L 47.861835 27.468133 L 80.895996 33.144545 L 154.892518 17.367457 L 107.12358 31.475012 L 38.675818 33.144545 L 38.860499 33.144545 L 152.825699 31.391536 L 157.322122 26.215983 L 159.944514 30.723722 L 22.203283 31.725442 L 114.843544 33.144545 L 97.275465 17.701364 L 72.840471 31.808919 L 71.105313 33.144545 L 93.516082 33.144545 L 57.250198 32.226302 L 57.583541 29.638526 L 28.611516 31.057629 L 31.880635 31.892396 L 103.426598 33.144545 L 88.928886 18.452654 L 21.247531 32.643686 L 57.815099 33.144545 L 128.471383 33.144545 L 131.10188 31.975872 L 82.975893 28.135946 L 116.521425 30.890676 L 116.894228 30.055909 L 43.352182 33.144545 L 145.105964 15.280541 L 135.278726 29.722002 L 165.760621 33.144545 L 95.72147 33.144545 L 91.793389 32.309779 L 141.808856 29.722002 L 94.720752 29.638526 L 83.217851 30.807199 L 112.984424 33.144545 L 163.453602 16.198784 L 62.889731 29.304619 L 36.101222 33.144545 L 149.547404 33.144545 L 73.365378 32.476732 L 135.003043 29.471572 L 39.262209 30.807199 L 66.711515 28.219423 L 137.235654 33.144545 L 77.667638 15.364017 L 27.16397 31.641966 L 37.284174 33.144545 L 121.263172 33.144545 L 164.226126 31.975872 L 137.091122 30.473292 L 148.477784 30.723722 L 113.985677 15.030111 L 22.643305 33.144545 L 48.06311 19.621327 L 73.820465 30.306339 L 94.395438 33.144545 L 86.60466 33.144545 L 44.963378 32.476732 L 81.88769 29.972432 L 80.846595 29.888956 L 62.685932 31.057629 L 110.667616 33.144545 L 153.052745 18.202224 L 109.417675 30.807199 L 39.875441 33.144545 L 89.062636 33.144545 L 130.148193 32.059349 L 105.548248 29.805479 L 140.139999 30.640246 L 138.257784 32.309779 L 33.947225 33.144545 L 115.696441 19.203943 L 69.293299 31.475012 L 71.690709 33.144545 L 90.080178 33.144545 L 141.261696 32.142826 L 104.560684 28.887236 L 141.748443 31.308059 L 142.553468 31.057629 L 15.334227 33.144545 L 135.276814 15.864877 L 37.367988 31.475012 L 89.864449 33.144545 L 77.606307 33.144545 L 128.256113 32.309779 L 91.800577 30.222862 L 149.472155 32.226302 L 98.764459 26.215983 L 160.906077 33.144545 L 125.150417 16.950074 L 153.894094 31.057629 L 36.595464 33.144545 L 107.995747 33.144545 L 18.68257 32.393256 L 88.598525 31.558489 L 157.455796 32.393256 L 139.406782 29.888956 L 152.882594 33.144545 L 142.679342 20.53957 L 154.493714 30.640246 L 24.152105 33.144545 L 166.98938 33.144545 L 82.811477 32.560209 L 150.532521 31.475012 L 79.104095 31.975872 L 63.147137 31.975872 L 69.90462 33.144545 L 23.41537 21.207383 L 30.190136 31.975872 L 98.085614 33.144545 L 46.674525 33.144545 L 22.952636 32.226302 L 123.880134 30.723722 L 76.298017 28.135946 L 150.066039 32.560209 L 58.334423 33.144545 L 156.325763 19.03699 L 75.150473 32.059349 L 166.276657 33.144545 L 21.324462 33.144545 L 113.013713 32.226302 L 89.912933 30.389816 L 64.549946 30.890676 L 32.575233 31.725442 L 154.979849 33.144545 L 27.527061 19.704803 L 76.24724 32.393256 L 112.06469 33.144545 L 129.174394 33.144545 L 119.594085 32.059349 L 19.771537 31.391536 L 165.17966 29.221143 L 67.504381 28.052469 L 49.533522 33.144545 L 26.054662 20.122187 L 85.698539 31.475012 L 77.329859 33.144545 L 72.017169 33.144545 L 14.809091 32.393256 L 109.560372 30.807199 L 102.691699 23.377776 L 166.64663 31.308059 L 147.849334 33.144545 L 24.396664 22.209103 L 111.642869 32.560209 L 130.10621 33.144545 L 147.966413 33.144545 L 87.759699 31.975872 L 26.154841 30.556769 L 129.402893 29.722002 L 123.958059 32.059349 L 72.292011 33.144545 L 68.447515 17.617887 L 58.17559 31.057629 L 41.628723 33.144545 L 69.216521 33.144545 L 74.683838 32.643686 L 63.864218 26.800319 L 147.567151 30.139386 L 48.750827 30.389816 L 91.077301 33.144545 L 42.486897 18.619607 L 15.091351 30.807199 L 59.969862 33.144545 L 85.984393 33.144545 L 96.480993 32.727162 L 63.737962 29.471572 L 29.949095 31.224582 L 104.032107 30.723722 L 66.041923 33.144545 L 78.598383 23.878636 L 83.82833 31.808919 L 57.319405 33.144545 L 65.700091 33.144545 L 41.041874 32.309779 L 89.051701 30.222862 L 165.261945 31.057629 L 87.653785 31.725442 L 120.85045 33.144545 L 107.332961 18.78656 L 110.91921 32.226302 L 89.227664 33.144545 L 38.353105 33.144545 L 149.775368 31.892396 L 113.743259 30.723722 L 100.065407 31.308059 L 19.787673 32.309779 L 81.067753 33.144545 L 58.118312 20.623047 L 81.347336 30.473292 L 138.858628 33.144545 L 152.417642 33.144545 L 88.267782 33.144545 L 97.408909 33.144545 M 54.853018 33.144545 L 34.840499 33.144545 L 123.492189 32.476732 L 125.79462 33.144545 L 94.761129 33.144545 L 69.136072 32.309779 L 26.840492 29.972432 L 49.156819 30.974152 L 81.260999 31.391536 L 68.413714 33.144545 L 105.602085 21.207383 L 158.535204 30.640246 L 112.137568 33.144545 L 22.908664 33.144545 L 18.912294 32.142826 L 113.580067 30.389816 L 128.21153 30.556769 L 49.971632 30.389816 L 25.745178 33.144545 L 100.955164 18.953514 L 50.382289 31.808919 L 39.396265 33.144545 L 122.69527 33.144545 L 61.911955 32.560209 L 164.560999 30.222862 L 23.286438 30.890676 L 139.281062 32.560209 L 111.218141 33.144545 L 135.332027 17.28398 L 46.939272 31.808919 L 160.308981 33.144545 L 129.903634 33.144545 L 139.02962 32.309779 L 45.379465 29.304619 L 42.111952 31.141106 L 21.076539 14.529251 L 105.134686 33.144545 L 89.566054 24.880356 L 140.542856 32.393256 L 143.37004 33.144545 L 50.250833 33.144545 L 51.755121 32.309779 L 49.534898 30.890676 L 48.435684 30.556769 L 126.863857 31.808919 L 156.576287 33.144545 L 122.641969 19.955233 L 69.058453 32.059349 L 26.116605 33.144545 L 161.275821 33.144545 L 69.63796 31.725442 L 26.231619 28.302899 L 124.337286 31.475012 L 33.566392 19.203943 L 89.569113 33.144545 L 124.851562 20.03871 L 69.918079 31.641966 L 97.615385 33.144545 L 134.825321 33.144545 L 61.001704 32.393256 L 20.43983 29.471572 L 51.455732 29.221143 L 148.13817 32.476732 L 35.250391 33.144545 L 91.910621 22.125627 L 94.429469 32.059349 L 127.82848 33.144545 L 105.209323 33.144545 L 117.103456 32.643686 L 81.054447 30.807199 L 52.17679 28.720283 L 30.929165 8.435455 L 144.734384 33.144545 L 136.57348 21.958673 L 134.469801 20.79 L 35.348428 33.144545 L 49.481444 33.144545 L 63.464268 32.393256 L 143.627676 30.807199 L 91.813501 31.641966 L 69.392178 23.628206 L 77.105184 33.144545 L 45.294427 22.459533 L 142.902182 31.892396 L 115.806408 33.144545 L 26.791856 33.144545 L 21.694665 32.059349 L 123.309344 29.221143 L 86.811059 28.720283 L 99.700099 32.560209 L 38.292539 33.144545 L 158.941655 20.706523 L 86.752023 32.393256 L 111.433258 33.144545 L 158.631483 33.144545 L 51.367406 32.476732 L 121.864933 29.388096 L 129.646611 31.057629 L 39.296774 28.052469 L 57.945791 33.144545 L 76.240969 24.04559 L 131.746543 31.558489 L 29.389088 33.144545 L 52.467308 33.144545 L 73.911926 32.560209 L 132.786873 29.555049 L 94.838137 30.807199 L 40.251532 32.393256 L 152.163524 33.144545 L 123.59168 21.54129 L 53.890918 31.892396 L 60.312152 33.144545 L 74.229133 33.144545 L 24.446218 32.560209 L 163.840629 30.974152 L 24.036861 30.640246 L 81.205251 32.142826 L 159.939925 33.144545 L 16.879275 21.04043 L 66.992092 31.725442 L 66.992092 31.725442 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pf9829cc025">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMA$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pc2760a905f)" d="M 89.56766 33.144545 L 130.156988 33.144545 L 17.112363 30.761705 L 114.184658 30.615632 L 70.098324 30.374893 L 149.12887 33.090185 L 49.65626 33.144545 L 28.88567 31.854211 L 162.767645 32.82379 L 27.732925 33.144545 L 153.784051 33.144545 L 41.988526 28.217558 L 48.568058 32.82013 L 139.653559 29.549575 M 83.345178 33.144545 L 91.35979 32.364229 M 83.556777 33.144545 L 42.236679 33.144545 L 145.046392 28.537918 L 145.05748 32.239894 L 156.409042 30.884084 M 120.932658 33.144545 L 106.699923 32.330278 L 110.55719 32.092468 L 146.66233 33.144545 L 160.630241 28.122998 L 59.691043 31.081465 L 94.812136 29.398234 L 159.87653 33.049806 L 133.767708 33.144545 L 49.857 30.635594 L 76.98321 31.559271 L 106.625362 33.144545 L 115.509007 33.144545 L 162.991862 30.323713 L 89.720987 31.936371 L 95.267529 23.849209 L 22.855439 32.690467 L 127.11048 33.144545 L 114.359856 31.527788 L 133.578821 31.373491 L 45.146453 33.144545 L 51.232279 29.010708 L 62.639054 30.87092 L 28.514014 26.77465 L 43.135077 32.556377 L 94.370202 33.144545 L 88.592178 32.291867 L 97.172227 30.62038 L 84.421297 33.144545 L 54.438767 33.144545 L 33.379952 8.435455 L 63.031281 30.041439 L 21.792091 30.52278 L 41.269762 33.099774 L 66.486304 33.144545 L 150.970784 31.009538 L 140.228707 30.118358 L 112.825744 33.144545 L 160.159554 33.144545 L 40.82324 29.336545 L 166.990909 32.111656 L 136.192342 31.402692 L 68.89289 32.423545 L 56.234644 33.144545 L 109.479082 31.504588 L 77.03047 31.942164 L 63.239821 33.144545 L 42.617206 33.144545 L 34.049927 27.882925 L 61.134689 31.919681 L 45.382753 16.831627 L 45.799222 32.796111 L 159.531563 33.144545 L 137.63637 29.111905 L 21.496143 31.527403 L 16.248072 33.144545 L 81.112796 33.144545 L 108.899498 27.461665 L 76.727639 32.014851 L 143.726172 19.14096 L 113.143027 32.307878 L 36.386312 33.144545 L 37.994373 31.503456 L 121.672835 31.702737 L 101.210887 33.144545 L 91.65528 33.144545 L 73.274452 28.505988 L 68.271093 32.2341 L 56.631765 31.353797 L 106.586591 33.031507 L 15.232289 33.144545 L 135.509137 32.496133 L 158.435407 31.954595 L 143.749879 33.144545 L 102.051548 33.144545 L 95.652262 27.646032 L 155.344929 31.789362 L 21.844245 29.190271 L 72.791835 32.639992 L 26.047627 33.144545 L 132.425388 32.739383 L 23.867934 31.85914 L 106.075984 33.144545 L 97.984899 33.144545 L 14.998819 29.593817 L 94.398115 32.132493 L 107.682746 30.330099 L 160.98492 32.477799 L 127.479613 33.144545 L 71.748751 32.291535 L 103.885586 33.144545 L 28.472643 33.144545 L 125.12931 30.904155 L 99.403309 31.836759 L 163.742591 32.143813 L 33.964507 32.444212 L 151.806475 33.144545 L 94.452563 29.817354 L 115.29259 32.39942 L 117.32362 33.144545 L 139.976196 33.144545 L 141.645358 27.921898 L 104.14628 32.548386 L 162.390712 31.243142 L 46.145795 32.615599 L 151.978843 33.144545 L 99.327296 30.607048 L 148.252344 32.025709 L 131.090333 33.144545 L 113.952947 33.144545 L 65.628283 30.507311 L 62.290875 32.900344 L 157.641089 30.001263 L 121.339262 32.328127 L 55.465867 33.144545 L 115.165952 31.613973 L 109.586144 29.420199 L 134.137452 33.144545 L 158.913283 33.144545 L 133.259549 28.809333 L 114.550502 31.596593 L 115.788131 29.333843 L 43.236173 32.986808 L 70.669496 33.144545 L 123.878987 32.45398 L 81.881726 31.807224 L 143.92523 33.144545 L 83.904879 33.144545 L 123.819873 28.398365 L 149.344293 32.254924 L 131.594974 32.432698 L 121.988742 30.85502 L 142.937283 33.144545 L 28.070321 31.776565 L 106.448252 31.979553 L 164.683584 33.144545 L 67.264716 33.144545 L 153.654736 28.042408 L 73.203409 31.841686 L 40.506185 29.696391 L 149.408683 31.219781 L 148.699478 33.144545 L 131.747537 31.460281 L 45.622265 29.060813 L 69.622513 33.144545 L 106.548813 33.144545 L 111.680569 30.219529 L 47.997879 32.476426 L 16.774278 31.639359 L 48.16176 31.263266 L 110.419999 33.144545 L 65.704832 31.014294 L 22.809174 30.795742 L 95.134009 33.144545 L 63.120677 33.144545 L 131.586486 23.39452 L 28.735096 31.759741 L 116.100827 30.448042 L 82.410991 32.641476 L 48.844505 33.144545 L 139.346292 30.929972 L 123.247478 32.135324 L 86.476799 33.144545 L 126.468953 33.144545 L 74.860566 30.547559 L 74.081695 32.632883 L 16.588909 32.157708 M 38.886347 33.144545 L 145.781215 31.876034 L 87.234946 32.695692 L 83.735952 33.144545 L 53.675419 33.144545 L 114.944793 31.144652 L 142.778909 31.653541 L 34.893953 32.584583 L 129.883599 32.958311 L 60.129689 33.144545 L 16.652152 32.197574 L 35.661124 32.722074 L 163.378889 33.144545 L 55.191867 33.144545 L 62.735639 31.984384 L 73.093442 32.542108 L 46.955637 31.363703 L 118.438511 33.052064 L 105.621127 33.144545 L 105.335273 32.037935 L 33.210719 30.492216 L 143.79148 33.144545 L 23.021996 33.144545 L 52.432131 23.449216 L 145.344481 30.552166 L 70.419049 30.170036 L 120.409893 32.508198 L 138.364846 33.144545 L 80.86686 30.80073 L 136.997137 30.711005 L 89.536994 33.144545 L 47.384265 33.144545 L 82.615861 31.448198 L 47.332723 31.680779 L 131.325256 30.161108 L 125.01636 32.605054 L 50.058963 33.144545 L 147.424836 30.437074 L 119.007236 32.210852 L 122.203782 33.144545 L 124.553779 33.144545 L 27.400576 31.136345 L 95.842755 32.591042 L 142.403429 30.358683 L 67.300582 33.009264 L 95.496564 33.144545 L 103.157186 30.887701 L 160.962285 32.806279 L 163.734332 33.144545 L 131.860869 33.144545 L 36.324216 30.485926 L 153.493685 31.6027 L 111.876415 31.059911 L 97.408527 32.930482 L 138.181389 33.144545 L 161.930654 30.764562 L 89.688486 30.586151 L 80.748864 33.144545 L 81.000687 33.144545 L 46.562646 28.940104 L 38.420859 31.732786 L 158.533674 26.496186 L 44.248285 32.014766 L 104.129991 33.144545 L 153.262203 29.764616 L 53.307281 31.812933 L 97.087955 33.144545 L 43.910124 33.144545 L 101.78206 30.765844 L 38.726443 31.365088 L 102.525218 32.530887 L 47.861835 32.507482 L 80.895996 33.144545 L 154.892518 29.99917 L 107.12358 30.543567 L 38.675818 33.144545 L 38.860499 33.144545 L 152.825699 30.041253 L 157.322122 28.88283 L 159.944514 29.60962 L 22.203283 31.789335 L 114.843544 33.144545 L 97.275465 31.260147 L 72.840471 32.244289 L 71.105313 33.144545 L 93.516082 33.144545 L 57.250198 25.336683 L 57.583541 31.903766 L 28.611516 32.254974 L 31.880635 32.704674 L 103.426598 33.144545 L 88.928886 31.875024 L 21.247531 32.781485 L 57.815099 33.144545 L 128.471383 33.144545 L 131.10188 27.19579 L 82.975893 31.103019 L 116.521425 31.507129 L 116.894228 32.61741 L 43.352182 33.144545 L 145.105964 30.421455 L 135.278726 30.217449 L 165.760621 33.144545 L 95.72147 33.144545 L 91.793389 31.585564 L 141.808856 32.637769 L 94.720752 31.307987 L 83.217851 32.717291 L 112.984424 33.144545 L 163.453602 29.305296 L 62.889731 31.199895 L 36.101222 33.144545 L 149.547404 33.144545 L 73.365378 31.198648 L 135.003043 31.70435 L 39.262209 27.297766 L 66.711515 31.944709 L 137.235654 33.144545 L 77.667638 27.207037 L 27.16397 32.543112 L 37.284174 33.144545 L 121.263172 33.144545 L 164.226126 30.478381 L 137.091122 31.866082 L 148.477784 30.473439 L 113.985677 32.668315 L 22.643305 33.144545 L 48.06311 30.130914 L 73.820465 31.111831 L 94.395438 33.144545 L 86.60466 33.144545 L 44.963378 32.602327 L 81.88769 32.601691 L 80.846595 29.550093 L 62.685932 32.49554 L 110.667616 33.144545 L 153.052745 32.082859 L 109.417675 32.684674 L 39.875441 33.144545 L 89.062636 33.144545 L 130.148193 30.656789 L 105.548248 30.86535 L 140.139999 30.818062 L 138.257784 31.108809 L 33.947225 33.144545 L 115.696441 31.281499 L 69.293299 32.81012 L 71.690709 33.144545 L 90.080178 33.144545 L 141.261696 29.411035 L 104.560684 31.094493 L 141.748443 31.248812 L 142.553468 30.615956 L 15.334227 33.144545 L 135.276814 29.385949 L 37.367988 31.133895 L 89.864449 33.144545 L 77.606307 33.144545 L 128.256113 30.733917 L 91.800577 32.441431 L 149.472155 32.772678 L 98.764459 31.810153 L 160.906077 33.144545 L 125.150417 28.419973 L 153.894094 31.812493 L 36.595464 33.144545 L 107.995747 33.144545 L 18.68257 31.569566 L 88.598525 32.372849 L 157.455796 31.148367 L 139.406782 31.347818 L 152.882594 33.144545 L 142.679342 30.747063 L 154.493714 31.637898 L 24.152105 33.144545 L 166.98938 33.144545 L 82.811477 30.636843 L 150.532521 32.85598 L 79.104095 32.519412 L 63.147137 32.204596 L 69.90462 33.144545 L 23.41537 32.570406 L 30.190136 32.71923 L 98.085614 33.144545 L 46.674525 33.144545 L 22.952636 31.451472 L 123.880134 32.563434 L 76.298017 30.649792 L 150.066039 32.217294 L 58.334423 33.144545 L 156.325763 30.47094 L 75.150473 31.345896 L 166.276657 33.144545 L 21.324462 33.144545 L 113.013713 29.748367 L 89.912933 31.543162 L 64.549946 32.049087 L 32.575233 32.372219 L 154.979849 33.144545 L 27.527061 30.108472 L 76.24724 31.98742 L 112.06469 33.144545 L 129.174394 33.144545 L 119.594085 30.925042 L 19.771537 32.67481 L 165.17966 27.344728 L 67.504381 32.024732 L 49.533522 33.144545 L 26.054662 29.38416 L 85.698539 30.132705 L 77.329859 33.144545 L 72.017169 33.144545 L 14.809091 31.802588 L 109.560372 31.854605 L 102.691699 27.565562 L 166.64663 32.866072 L 147.849334 33.144545 L 24.396664 30.851731 L 111.642869 32.981594 L 130.10621 33.144545 L 147.966413 33.144545 L 87.759699 29.022311 L 26.154841 32.107516 L 129.402893 31.02153 L 123.958059 33.049413 L 72.292011 33.144545 L 68.447515 14.535314 L 58.17559 32.269712 L 41.628723 33.144545 L 69.216521 33.144545 L 74.683838 32.641849 L 63.864218 27.532839 L 147.567151 31.297125 L 48.750827 32.211385 L 91.077301 33.144545 L 42.486897 27.999469 L 15.091351 31.700412 L 59.969862 33.144545 L 85.984393 33.144545 L 96.480993 32.167525 L 63.737962 31.902977 L 29.949095 29.517905 L 104.032107 32.691762 L 66.041923 33.144545 L 78.598383 30.614916 L 83.82833 31.574831 L 57.319405 33.144545 L 65.700091 33.144545 L 41.041874 31.782981 L 89.051701 31.056065 L 165.261945 27.138579 L 87.653785 32.857725 L 120.85045 33.144545 L 107.332961 25.464323 L 110.91921 31.838536 L 89.227664 33.144545 L 38.353105 33.144545 L 149.775368 30.126806 L 113.743259 32.143736 L 100.065407 30.458438 L 19.787673 32.890317 L 81.067753 33.144545 L 58.118312 28.156071 L 81.347336 32.005589 L 138.858628 33.144545 L 152.417642 33.144545 L 88.267782 33.144545 L 97.408909 33.144545 M 54.853018 33.144545 L 34.840499 33.144545 L 125.79462 33.144545 L 94.761129 33.144545 L 69.136072 31.409362 L 26.840492 29.452058 L 49.156819 31.869058 L 81.260999 32.775239 L 68.413714 33.144545 L 105.602085 31.319479 L 158.535204 32.435888 L 112.137568 33.144545 L 22.908664 33.144545 L 18.912294 30.493923 L 113.580067 31.303179 L 128.21153 22.913479 L 49.971632 31.728373 L 25.745178 33.144545 L 100.955164 28.50779 L 50.382289 30.962906 L 39.396265 33.144545 L 122.69527 33.144545 L 61.911955 31.001945 L 164.560999 32.154008 L 23.286438 30.881958 L 139.281062 32.5839 L 111.218141 33.144545 L 135.332027 29.737224 L 46.939272 30.630431 L 160.308981 33.144545 L 129.903634 33.144545 L 139.02962 29.228835 L 45.379465 32.145094 L 42.111952 30.701585 L 21.076539 32.57417 L 105.134686 33.144545 L 89.566054 30.900705 L 140.542856 31.701228 L 143.37004 33.144545 L 50.250833 33.144545 L 51.755121 31.474659 L 49.534898 31.568432 L 48.435684 30.7542 L 126.863857 32.980606 L 156.576287 33.144545 L 122.641969 30.13627 L 69.058453 31.656108 L 26.116605 33.144545 L 161.275821 33.144545 L 69.63796 30.120488 L 26.231619 30.835994 L 124.337286 29.063551 L 33.566392 31.978643 L 89.569113 33.144545 L 124.851562 31.044187 L 69.918079 31.188729 L 97.615385 33.144545 L 134.825321 33.144545 L 61.001704 22.497549 L 20.43983 31.466465 L 51.455732 31.223169 L 148.13817 33.051668 L 35.250391 33.144545 L 91.910621 30.749891 L 94.429469 31.494968 L 127.82848 33.144545 L 105.209323 33.144545 L 117.103456 32.783739 L 81.054447 32.591464 L 52.17679 30.231571 L 30.929165 32.461559 L 144.734384 33.144545 L 136.57348 30.507891 L 134.469801 29.161175 L 35.348428 33.144545 L 49.481444 33.144545 L 63.464268 31.964021 L 143.627676 31.983767 L 91.813501 31.818689 L 69.392178 33.050315 L 77.105184 33.144545 L 45.294427 30.824378 L 142.902182 31.509381 L 115.806408 33.144545 L 26.791856 33.144545 L 21.694665 29.605106 L 123.309344 29.851781 L 86.811059 31.421915 L 99.700099 32.878062 L 38.292539 33.144545 L 158.941655 27.911362 L 86.752023 32.223608 L 111.433258 33.144545 L 158.631483 33.144545 L 51.367406 32.785974 L 121.864933 32.197019 L 129.646611 28.088576 L 39.296774 31.02577 L 57.945791 33.144545 L 76.240969 27.269357 L 131.746543 30.478237 L 29.389088 33.144545 L 52.467308 33.144545 L 73.911926 32.459271 L 132.786873 31.608846 L 94.838137 30.481486 L 40.251532 32.940991 L 152.163524 33.144545 L 123.59168 31.225872 L 53.890918 32.068309 L 60.312152 33.144545 L 74.229133 33.144545 L 24.446218 29.804677 L 163.840629 32.551964 L 24.036861 31.114388 L 81.205251 33.039853 L 159.939925 33.144545 L 16.879275 31.830999 L 66.992092 31.198729 L 66.992092 31.198729 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pc2760a905f">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMCTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pc9fefbe3b9)" d="M 89.56766 33.144545 L 130.156988 32.994247 L 17.112363 33.144545 L 114.184658 28.966244 L 70.098324 21.812031 L 149.12887 27.22278 L 49.65626 33.144545 L 28.88567 24.517405 L 162.767645 32.513291 L 27.732925 33.144545 L 153.784051 32.843948 L 41.988526 33.144545 L 48.568058 30.439171 L 139.653559 23.856092 L 25.068398 32.843948 L 83.345178 33.144545 L 91.35979 27.373079 L 160.572964 32.69365 M 42.236679 32.874008 L 145.046392 33.144545 L 145.05748 28.876065 L 156.409042 20.339104 L 106.548201 32.843948 L 120.932658 33.144545 L 106.699923 27.463258 M 144.877541 33.144545 L 146.66233 31.972216 L 160.630241 33.144545 L 59.691043 29.086483 L 94.812136 22.713822 L 159.87653 32.964187 L 133.767708 33.144545 L 49.857 25.178719 L 76.98321 32.483232 L 106.625362 33.144545 L 115.509007 32.393052 L 162.991862 33.144545 L 89.720987 29.326961 L 95.267529 8.435455 L 22.855439 32.723709 L 127.11048 33.144545 L 114.359856 24.06651 L 133.578821 32.60347 L 48.290692 33.144545 L 45.146453 31.791858 L 51.232279 33.144545 L 62.639054 27.733796 L 28.514014 11.471486 L 43.135077 32.964187 L 94.370202 33.144545 L 88.592178 25.329018 L 97.172227 32.783829 M 54.438767 31.972216 L 33.379952 32.302873 L 63.031281 30.168633 L 21.792091 22.713822 L 41.269762 32.753769 L 66.486304 33.144545 L 150.970784 27.823975 L 140.228707 32.092455 L 112.825744 33.144545 M 166.990909 29.026364 L 136.192342 21.992389 L 68.89289 32.152575 L 56.234644 33.144545 L 109.479082 24.908182 L 77.03047 32.543351 L 63.239821 33.144545 M 34.049927 33.144545 L 61.134689 29.326961 L 45.382753 21.571553 L 45.799222 32.813889 L 159.531563 33.144545 L 137.63637 22.353106 L 21.496143 31.912097 L 16.248072 33.144545 M 108.899498 33.144545 L 76.727639 30.589469 L 143.726172 21.210836 L 113.143027 32.783829 L 36.386312 33.144545 L 37.994373 23.826032 L 121.672835 32.513291 L 101.210887 33.144545 M 73.274452 33.144545 L 68.271093 29.898096 L 56.631765 18.144745 L 106.586591 32.934127 L 15.232289 33.144545 L 135.509137 24.487346 L 158.435407 32.453172 L 143.749879 33.144545 M 95.652262 33.144545 L 155.344929 30.168633 L 21.844245 24.487346 L 72.791835 32.60347 L 26.047627 33.144545 L 132.425388 25.840033 L 23.867934 32.513291 L 106.075984 33.144545 L 97.984899 32.994247 L 14.998819 33.144545 L 94.398115 30.318932 L 107.682746 20.940299 L 160.98492 29.537379 L 127.479613 33.144545 L 77.884284 24.848062 L 71.748751 31.942157 L 103.885586 33.144545 M 125.12931 33.144545 L 99.403309 27.072482 L 163.742591 14.597697 L 33.964507 32.062395 L 151.806475 33.144545 L 94.452563 24.306987 L 115.29259 31.972216 L 117.32362 33.144545 M 141.645358 33.144545 L 104.14628 29.026364 L 162.390712 19.948328 L 46.145795 30.739768 L 151.978843 33.144545 L 99.327296 24.337047 L 148.252344 32.573411 L 131.090333 33.144545 M 65.628283 33.144545 L 62.290875 31.250783 L 157.641089 19.497432 L 121.339262 32.393052 L 55.465867 33.144545 L 115.165952 23.946271 L 109.586144 32.874008 L 134.137452 33.144545 M 133.259549 33.144545 L 114.550502 30.769827 L 115.788131 22.383165 L 43.236173 30.950186 L 70.669496 33.144545 L 123.878987 23.525435 L 81.881726 32.904068 L 143.92523 33.144545 M 123.819873 33.144545 L 149.344293 29.236782 L 131.594974 22.533464 L 121.988742 32.122515 L 142.937283 33.144545 L 28.070321 24.607585 L 106.448252 32.753769 L 164.683584 33.144545 M 73.203409 28.094512 L 40.506185 13.425368 L 149.408683 31.882037 L 148.699478 33.144545 L 131.747537 22.292986 L 45.622265 32.423112 L 69.622513 33.144545 M 47.997879 30.890066 L 16.774278 14.988474 L 48.16176 32.453172 L 110.419999 33.144545 L 65.704832 21.661732 L 22.809174 31.431141 L 95.134009 33.144545 M 131.586486 33.144545 L 28.735096 30.288872 L 116.100827 23.585554 L 82.410991 32.453172 L 48.844505 33.144545 L 139.346292 25.359078 L 123.247478 32.272814 L 86.476799 33.144545 M 74.860566 33.144545 L 74.081695 31.461201 L 16.588909 26.020392 L 77.726828 33.144545 L 38.886347 33.144545 L 145.781215 28.124572 L 87.234946 32.723709 L 83.735952 33.144545 L 53.675419 32.964187 L 114.944793 33.144545 L 142.778909 29.206722 L 34.893953 23.254897 L 129.883599 32.874008 L 60.129689 33.144545 L 16.652152 26.080511 M 55.191867 32.783829 L 62.735639 33.144545 L 73.093442 29.807916 L 46.955637 27.042422 L 118.438511 32.874008 L 105.621127 33.144545 L 105.335273 22.9543 L 33.210719 32.212694 L 143.79148 33.144545 L 23.021996 32.723709 L 52.432131 32.874008 L 145.344481 29.116543 L 70.419049 24.878122 L 120.409893 32.904068 L 138.364846 33.144545 L 80.86686 20.609642 L 136.997137 32.302873 L 89.536994 33.144545 L 47.384265 32.843948 L 82.615861 33.144545 L 47.332723 29.837976 L 131.325256 21.721851 L 125.01636 32.002276 L 50.058963 33.144545 L 147.424836 24.577525 L 119.007236 32.783829 L 122.203782 33.144545 L 124.553779 32.092455 L 27.400576 33.144545 L 95.842755 28.665647 L 142.403429 16.761997 L 67.300582 32.843948 L 95.496564 33.144545 L 103.157186 24.517405 L 160.962285 32.393052 L 163.734332 33.144545 L 131.860869 31.761798 L 36.324216 33.144545 L 153.493685 29.928155 L 111.876415 23.916211 M 138.181389 33.144545 L 161.930654 21.962329 L 89.688486 31.55138 L 80.748864 33.144545 M 46.562646 33.144545 L 38.420859 30.49929 L 158.533674 25.960272 L 44.248285 32.152575 L 104.129991 33.144545 L 153.262203 24.246868 L 53.307281 32.242754 M 101.78206 33.144545 L 38.726443 30.439171 L 102.525218 20.729881 L 47.861835 32.453172 L 80.895996 33.144545 L 154.892518 23.555494 L 107.12358 32.272814 L 38.675818 33.144545 M 152.825699 33.144545 L 157.322122 30.138573 L 159.944514 21.932269 M 114.843544 33.144545 L 97.275465 24.878122 L 71.105313 33.144545 M 57.250198 33.144545 L 57.583541 29.266841 L 28.611516 23.074539 L 31.880635 32.994247 L 103.426598 33.144545 L 88.928886 25.1186 L 21.247531 32.152575 L 57.815099 33.144545 M 131.10188 33.144545 L 82.975893 29.747797 L 116.521425 19.196835 L 116.894228 31.791858 L 43.352182 33.144545 L 145.105964 22.473344 L 135.278726 32.60347 L 165.760621 33.144545 M 91.793389 33.144545 L 141.808856 31.401082 L 94.720752 24.427226 L 83.217851 32.60347 L 112.984424 33.144545 L 163.453602 24.457286 L 62.889731 30.619529 L 36.101222 33.144545 M 73.365378 33.144545 L 135.003043 30.769827 L 39.262209 22.232867 L 66.711515 32.212694 L 137.235654 33.144545 L 77.667638 24.487346 L 27.16397 31.942157 L 37.284174 33.144545 M 164.226126 33.144545 L 137.091122 30.739768 L 148.477784 23.525435 L 113.985677 32.483232 L 22.643305 33.144545 L 48.06311 22.082568 L 73.820465 31.371022 L 94.395438 33.144545 M 44.963378 33.144545 L 81.88769 30.860007 L 80.846595 23.284957 L 62.685932 32.69365 L 110.667616 33.144545 L 153.052745 23.856092 L 109.417675 31.972216 L 39.875441 33.144545 M 130.148193 32.964187 L 105.548248 30.799887 L 140.139999 16.49146 M 33.947225 33.144545 L 115.696441 23.104599 L 69.293299 32.63353 L 71.690709 33.144545 M 104.560684 31.641559 L 141.748443 23.044479 L 142.553468 32.543351 L 15.334227 33.144545 L 135.276814 22.202807 L 37.367988 32.182634 L 89.864449 33.144545 M 128.256113 33.144545 L 91.800577 31.6115 L 149.472155 16.250982 L 98.764459 32.212694 L 160.906077 33.144545 L 125.150417 23.315017 L 153.894094 32.573411 L 36.595464 33.144545 M 88.598525 31.190664 L 157.455796 23.254897 L 139.406782 32.753769 L 152.882594 33.144545 L 142.679342 23.405196 L 154.493714 32.453172 L 24.152105 33.144545 M 82.811477 33.144545 L 150.532521 31.55138 L 79.104095 23.826032 L 63.147137 32.994247 L 69.90462 33.144545 L 23.41537 26.832004 L 30.190136 32.813889 L 98.085614 33.144545 L 46.674525 32.994247 M 123.880134 30.52935 L 76.298017 24.00639 L 150.066039 32.874008 L 58.334423 33.144545 L 156.325763 25.14866 L 75.150473 31.641559 L 166.276657 33.144545 L 21.324462 32.904068 M 89.912933 31.491261 L 64.549946 25.749854 L 32.575233 32.843948 L 154.979849 33.144545 L 27.527061 25.238839 L 76.24724 32.63353 L 112.06469 33.144545 M 119.594085 32.843948 L 19.771537 30.920126 L 165.17966 24.577525 L 67.504381 32.242754 L 49.533522 33.144545 L 26.054662 26.471287 L 85.698539 32.543351 L 77.329859 33.144545 L 72.017169 32.813889 L 14.809091 33.144545 L 109.560372 30.379051 L 102.691699 21.180776 L 166.64663 32.60347 L 147.849334 33.144545 L 24.396664 27.613557 L 111.642869 32.934127 M 147.966413 31.701679 L 87.759699 33.144545 L 26.154841 30.860007 L 129.402893 17.994446 L 123.958059 32.66359 L 72.292011 33.144545 L 68.447515 24.878122 L 58.17559 32.182634 L 41.628723 33.144545 L 69.216521 32.332933 L 74.683838 33.144545 L 63.864218 30.709708 L 147.567151 17.062595 L 48.750827 32.513291 L 91.077301 33.144545 L 42.486897 25.08854 L 15.091351 32.002276 L 59.969862 33.144545 L 85.984393 32.994247 L 96.480993 33.144545 L 63.737962 27.703736 L 29.949095 25.569496 L 104.032107 32.964187 L 66.041923 33.144545 L 78.598383 27.132601 L 83.82833 31.942157 L 57.319405 33.144545 M 41.041874 33.144545 L 89.051701 30.739768 L 165.261945 23.074539 L 87.653785 32.423112 L 120.85045 33.144545 L 107.332961 24.667704 L 110.91921 32.843948 L 89.227664 33.144545 M 149.775368 33.144545 L 113.743259 31.190664 L 100.065407 24.186749 L 19.787673 30.348991 L 81.067753 33.144545 L 58.118312 26.741825 L 81.347336 32.723709 L 152.417642 33.144545 L 88.267782 33.144545 L 97.408909 33.144545 M 54.853018 33.144545 L 34.840499 33.144545 L 123.492189 32.904068 L 125.79462 33.144545 L 123.335574 33.144545 M 69.136072 33.144545 L 26.840492 29.988275 L 49.156819 19.076596 L 81.260999 32.513291 L 68.413714 33.144545 L 105.602085 22.92424 L 158.535204 32.63353 L 112.137568 33.144545 M 113.580067 31.190664 L 128.21153 22.353106 L 49.971632 32.813889 L 25.745178 33.144545 L 100.955164 26.320989 L 50.382289 32.062395 L 39.396265 33.144545 M 164.560999 29.296901 L 23.286438 23.886151 L 139.281062 32.453172 L 111.218141 33.144545 L 135.332027 25.238839 L 46.939272 32.843948 L 160.308981 33.144545 M 139.02962 33.144545 L 45.379465 30.108514 L 42.111952 25.990332 L 21.076539 32.543351 L 105.134686 33.144545 L 89.566054 27.673676 L 140.542856 32.69365 L 143.37004 33.144545 M 51.755121 33.144545 L 49.534898 30.679648 L 48.435684 21.631672 L 126.863857 32.60347 L 156.576287 33.144545 L 122.641969 26.381108 L 69.058453 32.843948 L 26.116605 33.144545 M 69.63796 33.144545 L 26.231619 31.340962 L 124.337286 23.134658 M 89.569113 33.144545 L 124.851562 24.577525 L 69.918079 32.483232 L 97.615385 33.144545 M 61.001704 33.144545 L 20.43983 30.890066 L 51.455732 23.735853 L 148.13817 32.66359 L 35.250391 33.144545 L 91.910621 25.659675 L 94.429469 32.483232 L 127.82848 33.144545 M 117.103456 33.144545 L 81.054447 29.056423 L 52.17679 18.385222 L 30.929165 30.799887 L 144.734384 33.144545 L 136.57348 25.479317 L 134.469801 30.348991 L 35.348428 33.144545 M 63.464268 33.144545 L 143.627676 31.882037 L 91.813501 22.172747 L 69.392178 28.936184 L 77.105184 33.144545 L 45.294427 26.711765 L 142.902182 32.60347 L 115.806408 33.144545 M 21.694665 33.144545 L 123.309344 30.168633 L 86.811059 21.932269 L 99.700099 32.813889 L 38.292539 33.144545 L 158.941655 23.555494 L 86.752023 32.423112 L 111.433258 33.144545 M 51.367406 33.144545 L 121.864933 30.439171 L 129.646611 22.353106 L 39.296774 32.272814 L 57.945791 33.144545 L 76.240969 25.569496 L 131.746543 32.182634 L 29.389088 33.144545 M 132.786873 31.100484 L 94.838137 27.613557 L 40.251532 31.55138 L 152.163524 33.144545 L 123.59168 25.268898 L 53.890918 32.453172 L 60.312152 33.144545 M 24.446218 33.144545 L 163.840629 30.980246 L 24.036861 24.03645 L 81.205251 32.964187 L 159.939925 33.144545 L 16.879275 24.216808 L 66.992092 32.122515 L 66.992092 32.122515 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pc9fefbe3b9">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMCUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pd4fb52fb59)" d="M 89.56766 33.144545 L 130.156988 32.946873 L 17.112363 33.144545 L 114.184658 29.240509 L 70.098324 25.385891 L 149.12887 27.757964 L 49.65626 33.144545 L 28.88567 26.176582 L 162.767645 32.650364 L 27.732925 33.144545 L 153.784051 32.946873 L 41.988526 33.144545 L 48.568058 30.475964 L 139.653559 26.917855 L 25.068398 32.798618 L 83.345178 33.144545 L 91.35979 28.054473 L 160.572964 32.946873 M 42.236679 32.897455 L 145.046392 33.144545 L 145.05748 28.647491 L 156.409042 25.830655 L 106.548201 32.848036 L 120.932658 33.144545 L 106.699923 27.955636 M 144.877541 33.144545 L 146.66233 32.7492 L 160.630241 33.144545 L 59.691043 28.252145 L 94.812136 25.435309 L 159.87653 32.897455 L 133.767708 33.144545 L 49.857 26.374255 L 76.98321 32.2056 L 106.625362 33.144545 L 115.509007 32.848036 L 162.991862 33.144545 L 89.720987 28.696909 L 95.267529 8.435455 L 22.855439 32.650364 L 127.11048 33.144545 L 114.359856 25.336473 L 133.578821 32.353855 L 48.290692 33.144545 L 45.146453 32.7492 L 51.232279 33.144545 L 62.639054 27.115527 L 28.514014 19.999309 L 43.135077 32.946873 L 94.370202 33.144545 L 88.592178 26.176582 L 97.172227 32.600945 M 54.438767 32.650364 L 33.379952 32.897455 L 63.031281 29.882945 L 21.792091 23.508 L 41.269762 32.551527 L 66.486304 33.144545 L 150.970784 27.8568 L 140.228707 32.699782 L 112.825744 33.144545 M 166.990909 28.153309 L 136.192342 23.755091 L 68.89289 31.810255 L 56.234644 33.144545 L 109.479082 26.077745 L 77.03047 32.798618 L 63.239821 33.144545 M 34.049927 33.144545 L 61.134689 29.339345 L 45.382753 24.496364 L 45.799222 32.650364 L 159.531563 33.144545 L 137.63637 23.853927 L 21.496143 32.2056 L 16.248072 33.144545 M 108.899498 33.144545 L 76.727639 30.080618 L 143.726172 24.348109 L 113.143027 32.600945 L 36.386312 33.144545 L 37.994373 25.089382 L 121.672835 32.551527 L 101.210887 33.144545 M 73.274452 33.144545 L 68.271093 29.833527 L 56.631765 15.947018 L 106.586591 32.946873 L 15.232289 33.144545 L 135.509137 24.743455 L 158.435407 32.452691 L 143.749879 33.144545 M 95.652262 33.144545 L 155.344929 30.278291 L 21.844245 26.423673 L 72.791835 32.600945 L 26.047627 33.144545 L 132.425388 26.7696 L 23.867934 32.353855 L 106.075984 33.144545 L 97.984899 32.996291 L 14.998819 33.144545 L 94.398115 30.228873 L 107.682746 24.644618 L 160.98492 29.240509 L 127.479613 33.144545 L 77.884284 26.7696 L 71.748751 31.909091 L 103.885586 33.144545 M 125.12931 33.144545 L 99.403309 25.929491 L 163.742591 22.321964 L 33.964507 32.007927 L 151.806475 33.144545 L 94.452563 26.077745 L 115.29259 32.156182 L 117.32362 33.144545 M 141.645358 33.144545 L 104.14628 29.141673 L 162.390712 22.272545 L 46.145795 31.1184 L 151.978843 33.144545 L 99.327296 24.842291 L 148.252344 32.600945 L 131.090333 33.144545 M 65.628283 33.144545 L 62.290875 31.019564 L 157.641089 23.853927 L 121.339262 32.255018 L 55.465867 33.144545 L 115.165952 25.880073 L 109.586144 32.7492 L 134.137452 33.144545 M 133.259549 33.144545 L 114.550502 30.723055 L 115.788131 25.237636 L 43.236173 31.1184 L 70.669496 33.144545 L 123.878987 26.917855 L 81.881726 32.897455 L 143.92523 33.144545 M 123.819873 33.144545 L 149.344293 28.845164 L 131.594974 22.173709 L 121.988742 32.255018 L 142.937283 33.144545 L 28.070321 26.571927 L 106.448252 32.650364 L 164.683584 33.144545 M 73.203409 27.362618 L 40.506185 16.391782 L 149.408683 31.513745 L 148.699478 33.144545 L 131.747537 24.249273 L 45.622265 32.403273 L 69.622513 33.144545 M 47.997879 30.5748 L 16.774278 16.095273 L 48.16176 32.007927 L 110.419999 33.144545 L 65.704832 23.952764 L 22.809174 31.612582 L 95.134009 33.144545 M 131.586486 33.144545 L 28.735096 29.932364 L 116.100827 23.903345 L 82.410991 32.502109 L 48.844505 33.144545 L 139.346292 26.077745 L 123.247478 32.551527 L 86.476799 33.144545 M 74.860566 33.144545 L 74.081695 30.673636 L 16.588909 26.423673 L 77.726828 33.144545 L 38.886347 33.144545 L 145.781215 28.647491 L 87.234946 32.7492 L 83.735952 33.144545 L 53.675419 32.946873 L 114.944793 33.144545 L 142.778909 28.696909 L 34.893953 24.496364 L 129.883599 32.7492 L 60.129689 33.144545 L 16.652152 27.955636 M 55.191867 32.996291 L 62.735639 33.144545 L 73.093442 29.388764 L 46.955637 28.202727 L 118.438511 32.897455 L 105.621127 33.144545 L 105.335273 26.621345 L 33.210719 32.007927 L 143.79148 33.144545 L 23.021996 32.848036 L 52.432131 32.946873 L 145.344481 29.240509 L 70.419049 23.656255 L 120.409893 32.848036 L 138.364846 33.144545 L 80.86686 22.618473 L 136.997137 32.156182 L 89.536994 33.144545 L 47.384265 32.848036 L 82.615861 33.144545 L 47.332723 29.289927 L 131.325256 22.717309 L 125.01636 32.2056 L 50.058963 33.144545 L 147.424836 25.781236 L 119.007236 32.7492 L 122.203782 33.144545 L 124.553779 32.699782 L 27.400576 33.144545 L 95.842755 27.412036 L 142.403429 17.231891 L 67.300582 32.699782 L 95.496564 33.144545 L 103.157186 25.880073 L 160.962285 32.650364 L 163.734332 33.144545 L 131.860869 32.650364 L 36.324216 33.144545 L 153.493685 29.784109 L 111.876415 27.3132 M 138.181389 33.144545 L 161.930654 23.162073 L 89.688486 32.304436 L 80.748864 33.144545 M 46.562646 33.144545 L 38.420859 29.882945 L 158.533674 26.028327 L 44.248285 31.711418 L 104.129991 33.144545 L 153.262203 24.397527 L 53.307281 32.304436 M 101.78206 33.144545 L 38.726443 29.882945 L 102.525218 22.865564 L 47.861835 32.353855 L 80.895996 33.144545 L 154.892518 24.891709 L 107.12358 32.304436 L 38.675818 33.144545 M 152.825699 33.144545 L 157.322122 29.586436 L 159.944514 24.842291 M 114.843544 33.144545 L 97.275465 25.039964 L 72.840471 32.798618 L 71.105313 33.144545 M 57.250198 33.144545 L 57.583541 28.795745 L 28.611516 23.656255 L 31.880635 32.996291 L 103.426598 33.144545 L 88.928886 25.830655 L 21.247531 32.7492 L 57.815099 33.144545 M 131.10188 33.144545 L 82.975893 29.784109 L 116.521425 21.135927 L 116.894228 31.909091 L 43.352182 33.144545 L 145.105964 24.545782 L 135.278726 32.798618 L 165.760621 33.144545 M 91.793389 33.144545 L 141.808856 31.266655 L 94.720752 25.385891 L 83.217851 32.551527 L 112.984424 33.144545 L 163.453602 25.237636 L 62.889731 31.760836 L 36.101222 33.144545 M 73.365378 33.144545 L 135.003043 30.0312 L 39.262209 23.409164 L 66.711515 32.057345 L 137.235654 33.144545 L 77.667638 25.1388 L 27.16397 31.859673 L 37.284174 33.144545 M 164.226126 33.144545 L 137.091122 29.784109 L 148.477784 22.272545 L 113.985677 32.403273 L 22.643305 33.144545 L 48.06311 26.028327 L 73.820465 31.760836 L 94.395438 33.144545 M 44.963378 33.144545 L 81.88769 30.5748 L 80.846595 25.731818 L 62.685932 32.502109 L 110.667616 33.144545 L 153.052745 25.089382 L 109.417675 32.255018 L 39.875441 33.144545 M 130.148193 32.897455 L 105.548248 30.228873 L 140.139999 17.182473 M 33.947225 33.144545 L 115.696441 25.929491 L 69.293299 32.551527 L 71.690709 33.144545 M 104.560684 30.920727 L 141.748443 23.458582 L 142.553468 32.650364 L 15.334227 33.144545 L 135.276814 23.508 L 37.367988 32.353855 L 89.864449 33.144545 M 128.256113 33.144545 L 91.800577 31.414909 L 149.472155 16.737709 L 98.764459 31.662 L 160.906077 33.144545 L 125.150417 24.842291 L 153.894094 32.304436 L 36.595464 33.144545 M 88.598525 31.167818 L 157.455796 24.150436 L 139.406782 32.600945 L 152.882594 33.144545 L 142.679342 26.226 L 154.493714 32.452691 L 24.152105 33.144545 M 82.811477 33.144545 L 150.532521 31.316073 L 79.104095 26.7696 L 63.147137 32.897455 L 69.90462 33.144545 L 23.41537 27.461455 L 30.190136 32.897455 L 98.085614 33.144545 L 46.674525 32.946873 M 123.880134 29.339345 L 76.298017 24.496364 L 150.066039 32.699782 L 58.334423 33.144545 L 156.325763 26.127164 L 75.150473 32.7492 L 166.276657 33.144545 L 21.324462 32.946873 M 89.912933 31.217236 L 64.549946 27.8568 L 32.575233 32.7492 L 154.979849 33.144545 L 27.527061 25.731818 L 76.24724 32.600945 L 112.06469 33.144545 M 119.594085 32.897455 L 19.771537 30.475964 L 165.17966 25.188218 L 67.504381 31.810255 L 49.533522 33.144545 L 26.054662 27.066109 L 85.698539 32.699782 L 77.329859 33.144545 L 72.017169 32.7492 L 14.809091 33.144545 L 109.560372 30.426545 L 102.691699 22.4208 L 166.64663 32.353855 L 147.849334 33.144545 L 24.396664 28.301564 L 111.642869 32.946873 M 147.966413 32.650364 L 87.759699 33.144545 L 26.154841 30.278291 L 129.402893 16.638873 L 123.958059 32.551527 L 72.292011 33.144545 L 68.447515 25.830655 L 58.17559 32.057345 L 41.628723 33.144545 L 69.216521 32.650364 L 74.683838 33.144545 L 63.864218 30.130036 L 147.567151 15.551673 L 48.750827 32.255018 L 91.077301 33.144545 L 42.486897 27.066109 L 15.091351 32.2056 L 59.969862 33.144545 L 85.984393 33.045709 L 96.480993 33.144545 L 63.737962 26.275418 L 29.949095 25.336473 L 104.032107 32.848036 L 66.041923 33.144545 L 78.598383 28.005055 L 83.82833 32.353855 L 57.319405 33.144545 M 41.041874 33.144545 L 89.051701 30.624218 L 165.261945 24.298691 L 87.653785 32.551527 L 120.85045 33.144545 L 107.332961 25.929491 L 110.91921 32.699782 L 89.227664 33.144545 M 149.775368 33.144545 L 113.743259 31.513745 L 100.065407 26.7696 L 19.787673 30.772473 L 81.067753 33.144545 L 58.118312 27.560291 L 81.347336 32.551527 L 138.858628 33.144545 L 152.417642 33.144545 L 88.267782 33.144545 L 97.408909 33.144545 M 54.853018 33.144545 L 34.840499 33.144545 L 123.492189 32.848036 L 125.79462 33.144545 L 123.335574 33.144545 M 69.136072 33.144545 L 26.840492 30.0312 L 49.156819 21.3336 L 81.260999 32.255018 L 68.413714 33.144545 L 105.602085 25.237636 L 158.535204 32.452691 L 112.137568 33.144545 M 113.580067 31.019564 L 128.21153 24.199855 L 49.971632 32.7492 L 25.745178 33.144545 L 100.955164 27.362618 L 39.396265 33.144545 M 164.560999 28.301564 L 23.286438 24.348109 L 139.281062 32.403273 L 111.218141 33.144545 L 135.332027 27.066109 L 46.939272 32.798618 L 160.308981 33.144545 M 139.02962 33.144545 L 45.379465 29.537018 L 42.111952 27.263782 L 21.076539 32.551527 L 105.134686 33.144545 L 89.566054 28.005055 L 140.542856 32.7492 L 143.37004 33.144545 M 51.755121 33.144545 L 49.534898 30.426545 L 48.435684 24.743455 L 126.863857 32.551527 L 156.576287 33.144545 L 122.641969 26.324836 L 69.058453 32.798618 L 26.116605 33.144545 M 69.63796 33.144545 L 26.231619 30.970145 L 124.337286 24.101018 M 89.569113 33.144545 L 124.851562 25.781236 L 69.918079 32.353855 L 97.615385 33.144545 M 61.001704 33.144545 L 20.43983 30.772473 L 51.455732 26.423673 L 148.13817 32.502109 L 35.250391 33.144545 L 91.910621 26.226 L 94.429469 32.600945 L 127.82848 33.144545 M 117.103456 33.144545 L 81.054447 27.807382 L 52.17679 17.775491 L 30.929165 29.537018 L 144.734384 33.144545 L 136.57348 26.7696 L 134.469801 29.092255 L 35.348428 33.144545 M 63.464268 33.144545 L 143.627676 31.711418 L 91.813501 21.234764 L 69.392178 29.537018 L 77.105184 33.144545 L 45.294427 27.3132 L 142.902182 32.699782 L 115.806408 33.144545 M 21.694665 33.144545 L 123.309344 29.784109 L 86.811059 20.888836 L 99.700099 32.848036 L 38.292539 33.144545 L 158.941655 25.632982 L 86.752023 32.353855 L 111.433258 33.144545 M 51.367406 33.144545 L 121.864933 29.981782 L 129.646611 23.903345 L 39.296774 32.007927 L 57.945791 33.144545 L 76.240969 26.819018 L 131.746543 32.650364 L 29.389088 33.144545 M 132.786873 30.426545 L 94.838137 27.461455 L 40.251532 30.673636 L 152.163524 33.144545 L 123.59168 26.621345 L 53.890918 32.403273 L 60.312152 33.144545 M 24.446218 33.144545 L 163.840629 30.821891 L 24.036861 26.324836 L 81.205251 32.946873 L 159.939925 33.144545 L 16.879275 25.632982 L 66.992092 32.353855 L 66.992092 32.353855 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pd4fb52fb59">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMC$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p2577bf5e79)" d="M 89.56766 33.144545 L 130.156988 32.837465 L 17.112363 33.144545 L 114.184658 32.896906 L 70.098324 31.132229 L 149.12887 32.991664 L 49.65626 33.144545 L 28.88567 32.822079 L 162.767645 32.81896 L 27.732925 33.144545 L 153.784051 32.713303 L 48.568058 33.033166 L 139.653559 32.132572 L 25.068398 32.856664 L 83.345178 33.144545 L 91.35979 31.863333 L 160.572964 33.122208 M 42.236679 30.594625 L 145.046392 33.144545 L 145.05748 32.561581 L 156.409042 30.946052 L 106.548201 33.036479 L 120.932658 33.144545 L 106.699923 32.633329 M 144.877541 33.144545 L 146.66233 25.638019 L 160.630241 33.144545 L 59.691043 31.936663 L 94.812136 31.68108 L 159.87653 33.049682 L 133.767708 33.144545 L 49.857 32.366028 L 76.98321 33.010286 L 106.625362 33.144545 L 115.509007 29.306225 L 162.991862 33.144545 L 89.720987 32.558298 L 95.267529 8.435455 L 22.855439 33.134519 L 127.11048 33.144545 L 114.359856 31.822898 L 133.578821 33.006189 L 48.290692 33.144545 L 45.146453 29.122999 L 51.232279 33.144545 L 62.639054 32.654171 L 28.514014 24.823626 L 43.135077 33.100948 L 94.370202 33.144545 L 88.592178 31.424816 L 97.172227 32.496661 M 54.438767 32.197446 L 33.379952 23.999544 L 63.031281 33.054038 L 21.792091 31.22654 L 66.486304 33.144545 L 150.970784 32.791536 L 140.228707 32.843158 L 112.825744 33.144545 M 166.990909 32.751822 L 136.192342 30.285254 L 68.89289 32.884211 L 56.234644 33.144545 L 109.479082 32.732193 L 63.239821 33.144545 M 34.049927 33.144545 L 61.134689 32.096603 L 45.382753 31.854078 L 45.799222 32.825857 L 159.531563 33.144545 L 137.63637 32.514952 L 21.496143 32.527358 L 16.248072 33.144545 M 108.899498 33.144545 L 76.727639 33.026248 L 143.726172 29.958898 L 113.143027 32.978653 L 36.386312 33.144545 L 37.994373 31.532563 L 121.672835 32.854508 L 101.210887 33.144545 M 73.274452 33.144545 L 68.271093 32.414315 L 56.631765 30.417716 L 106.586591 33.081029 L 15.232289 33.144545 L 135.509137 32.100695 L 158.435407 32.437283 L 143.749879 33.144545 M 95.652262 33.144545 L 155.344929 33.060724 L 21.844245 31.476651 L 72.791835 32.348924 L 26.047627 33.144545 L 132.425388 32.803511 L 23.867934 32.855383 L 106.075984 33.144545 L 97.984899 33.080259 L 14.998819 33.144545 L 94.398115 32.972329 L 107.682746 32.575263 L 160.98492 32.643267 L 127.479613 33.144545 L 77.884284 32.786474 L 71.748751 32.95998 L 103.885586 33.144545 M 125.12931 33.144545 L 99.403309 31.815294 L 163.742591 32.120146 L 33.964507 32.763565 L 151.806475 33.144545 L 94.452563 31.641881 L 115.29259 32.90098 L 117.32362 33.144545 M 141.645358 33.144545 L 104.14628 32.705615 L 162.390712 30.536554 L 46.145795 32.983287 L 151.978843 33.144545 L 99.327296 32.067501 L 148.252344 32.947849 L 131.090333 33.144545 M 65.628283 33.144545 L 62.290875 33.000839 L 157.641089 31.695389 L 121.339262 32.931884 L 55.465867 33.144545 L 115.165952 32.514759 L 109.586144 32.996107 L 134.137452 33.144545 M 133.259549 33.144545 L 114.550502 32.838922 L 115.788131 32.064001 L 43.236173 33.076468 L 70.669496 33.144545 L 123.878987 33.038212 L 81.881726 32.953996 L 143.92523 33.144545 M 123.819873 33.144545 L 149.344293 32.893005 L 131.594974 32.278927 L 121.988742 33.032268 L 142.937283 33.144545 L 28.070321 32.632447 L 106.448252 32.396925 L 164.683584 33.144545 M 73.203409 32.803374 L 40.506185 30.326156 L 149.408683 33.094749 L 148.699478 33.144545 L 131.747537 32.116478 L 45.622265 32.583598 L 69.622513 33.144545 M 47.997879 33.056939 L 16.774278 32.088366 L 48.16176 32.741044 L 110.419999 33.144545 L 65.704832 32.363033 L 22.809174 32.524362 L 95.134009 33.144545 M 131.586486 33.144545 L 28.735096 32.43983 L 116.100827 31.196155 L 82.410991 32.934456 L 48.844505 33.144545 L 139.346292 32.493461 L 123.247478 33.038201 L 86.476799 33.144545 M 74.860566 33.144545 L 74.081695 32.991455 L 16.588909 32.575205 L 77.726828 33.144545 L 38.886347 33.144545 L 145.781215 32.903457 L 83.735952 33.144545 L 53.675419 31.5628 L 114.944793 33.144545 L 142.778909 32.865906 L 34.893953 32.57439 L 129.883599 33.09115 L 60.129689 33.144545 L 16.652152 32.114741 M 55.191867 32.963945 L 62.735639 33.144545 L 73.093442 31.644305 L 46.955637 32.045063 L 118.438511 33.077166 L 105.621127 33.144545 L 105.335273 30.853 L 33.210719 32.098151 L 143.79148 33.144545 L 23.021996 32.293647 L 52.432131 32.823088 L 145.344481 31.208601 L 70.419049 31.034931 L 120.409893 33.124687 L 138.364846 33.144545 L 80.86686 31.852021 L 136.997137 32.878095 L 89.536994 33.144545 L 47.384265 31.14428 L 82.615861 33.144545 L 47.332723 31.429241 L 131.325256 31.817093 L 125.01636 33.141633 L 50.058963 33.144545 L 147.424836 31.913947 L 119.007236 32.933615 L 122.203782 33.144545 L 124.553779 30.662927 L 27.400576 33.144545 L 95.842755 32.735376 L 142.403429 28.828735 L 67.300582 32.977356 L 95.496564 33.144545 L 103.157186 31.82987 L 160.962285 32.960457 L 163.734332 33.144545 L 131.860869 31.951658 L 36.324216 33.144545 L 153.493685 32.313341 L 111.876415 32.902894 M 138.181389 33.144545 L 161.930654 31.707914 L 89.688486 32.769779 L 80.748864 33.144545 M 46.562646 33.144545 L 38.420859 32.849535 L 158.533674 31.239822 L 44.248285 32.913013 L 104.129991 33.144545 L 153.262203 31.720523 L 53.307281 32.600229 M 101.78206 33.144545 L 38.726443 31.888154 L 102.525218 30.893116 L 47.861835 33.12966 L 80.895996 33.144545 L 154.892518 31.339367 L 38.675818 33.144545 M 152.825699 33.144545 L 157.322122 32.688175 L 159.944514 31.3261 M 114.843544 33.144545 L 97.275465 32.255787 L 72.840471 32.965017 L 71.105313 33.144545 M 57.250198 33.144545 L 57.583541 30.721971 L 28.611516 30.190375 L 31.880635 33.128197 L 103.426598 33.144545 L 88.928886 32.522129 L 21.247531 32.42939 L 57.815099 33.144545 M 131.10188 33.144545 L 82.975893 32.687004 L 116.521425 30.307333 L 116.894228 33.09889 L 43.352182 33.144545 L 145.105964 32.414728 L 135.278726 33.011398 L 165.760621 33.144545 M 91.793389 33.144545 L 141.808856 33.107904 L 94.720752 31.231344 L 83.217851 32.288443 L 112.984424 33.144545 L 163.453602 32.331212 L 62.889731 32.656437 L 36.101222 33.144545 M 73.365378 33.144545 L 135.003043 32.228587 L 39.262209 32.174303 L 66.711515 32.776113 L 137.235654 33.144545 L 77.667638 32.375224 L 27.16397 32.231581 L 37.284174 33.144545 M 164.226126 33.144545 L 137.091122 33.033206 L 148.477784 31.995607 L 113.985677 32.862503 L 22.643305 33.144545 L 48.06311 32.532887 L 73.820465 32.644816 L 94.395438 33.144545 M 44.963378 33.144545 L 81.88769 33.041262 L 80.846595 32.282673 L 62.685932 33.046913 L 110.667616 33.144545 L 153.052745 32.378428 L 109.417675 33.080565 L 39.875441 33.144545 M 130.148193 33.068624 L 105.548248 33.081535 L 140.139999 31.85378 M 33.947225 33.144545 L 115.696441 31.988563 L 69.293299 32.907125 L 71.690709 33.144545 M 104.560684 32.866909 L 141.748443 31.162199 L 142.553468 32.751266 L 15.334227 33.144545 L 135.276814 31.636614 L 37.367988 32.61486 L 89.864449 33.144545 M 128.256113 33.144545 L 91.800577 32.950423 L 149.472155 32.577391 L 98.764459 32.949182 L 160.906077 33.144545 L 125.150417 32.345503 L 153.894094 32.874323 L 36.595464 33.144545 M 88.598525 33.061689 L 157.455796 30.292778 L 139.406782 33.093507 L 152.882594 33.144545 L 142.679342 32.172271 L 154.493714 32.355899 L 24.152105 33.144545 M 82.811477 33.144545 L 150.532521 33.113634 L 79.104095 32.858952 L 63.147137 33.088452 L 69.90462 33.144545 L 23.41537 32.833827 L 30.190136 33.104304 L 98.085614 33.144545 L 46.674525 32.087123 M 123.880134 33.035985 L 76.298017 32.431157 L 150.066039 33.077121 L 58.334423 33.144545 L 156.325763 31.296124 L 75.150473 32.382328 L 166.276657 33.144545 L 21.324462 31.512267 M 89.912933 32.988048 L 64.549946 31.495758 L 32.575233 33.094994 L 154.979849 33.144545 L 27.527061 31.737966 L 76.24724 32.406633 L 112.06469 33.144545 M 119.594085 32.583393 L 19.771537 32.916491 L 165.17966 30.575851 L 67.504381 32.870263 L 49.533522 33.144545 L 26.054662 32.753362 L 85.698539 32.40388 L 77.329859 33.144545 L 72.017169 32.877797 L 14.809091 33.144545 L 109.560372 33.008631 L 102.691699 24.901316 L 166.64663 33.11649 L 147.849334 33.144545 L 24.396664 32.147488 L 111.642869 32.775872 M 147.966413 31.996039 L 87.759699 33.144545 L 26.154841 33.121514 L 129.402893 29.282981 L 123.958059 33.088958 L 72.292011 33.144545 L 68.447515 28.798761 L 58.17559 32.646969 L 41.628723 33.144545 L 69.216521 32.349935 L 74.683838 33.144545 L 63.864218 32.418205 L 147.567151 29.534357 L 48.750827 33.00696 L 91.077301 33.144545 L 42.486897 32.050477 L 15.091351 30.548967 L 59.969862 33.144545 L 85.984393 31.048209 L 96.480993 33.144545 L 63.737962 32.342804 L 29.949095 32.337679 L 104.032107 33.141668 L 66.041923 33.144545 L 78.598383 32.419566 L 83.82833 32.662723 L 57.319405 33.144545 M 41.041874 33.144545 L 89.051701 33.064069 L 165.261945 32.144401 L 87.653785 33.093843 L 120.85045 33.144545 L 107.332961 31.867525 L 110.91921 32.696013 L 89.227664 33.144545 M 149.775368 33.144545 L 113.743259 33.044191 L 100.065407 32.315325 L 19.787673 33.003654 L 81.067753 33.144545 L 58.118312 32.196225 L 81.347336 33.097722 L 152.417642 33.144545 L 97.408909 33.144545 M 54.853018 33.144545 L 34.840499 33.144545 L 125.79462 33.144545 L 123.335574 33.144545 M 69.136072 33.144545 L 26.840492 33.079395 L 49.156819 31.045768 L 81.260999 33.089558 L 68.413714 33.144545 L 105.602085 32.600501 L 158.535204 32.97358 L 112.137568 33.144545 M 113.580067 33.016457 L 128.21153 32.261108 L 49.971632 33.04896 L 25.745178 33.144545 L 100.955164 32.380064 L 50.382289 32.267245 L 39.396265 33.144545 M 164.560999 31.482054 L 23.286438 31.004891 L 139.281062 32.500401 L 111.218141 33.144545 L 135.332027 32.151897 L 46.939272 32.898782 L 160.308981 33.144545 M 139.02962 33.144545 L 45.379465 32.936358 L 42.111952 31.72339 L 21.076539 33.029754 L 105.134686 33.144545 L 89.566054 31.897562 L 140.542856 32.646125 L 143.37004 33.144545 M 51.755121 33.144545 L 49.534898 32.999873 L 48.435684 32.243274 L 126.863857 33.015636 L 156.576287 33.144545 L 122.641969 31.891385 L 69.058453 33.012445 L 26.116605 33.144545 M 69.63796 33.144545 L 26.231619 33.0903 L 124.337286 31.920549 M 89.569113 33.144545 L 124.851562 32.268598 L 69.918079 32.29297 L 97.615385 33.144545 M 61.001704 33.144545 L 20.43983 33.107126 L 51.455732 31.602666 L 148.13817 32.978681 L 35.250391 33.144545 L 91.910621 32.50529 L 94.429469 32.736099 L 127.82848 33.144545 M 117.103456 33.144545 L 81.054447 32.523498 L 52.17679 31.1042 L 30.929165 33.086596 L 144.734384 33.144545 L 134.469801 32.040277 L 35.348428 33.144545 M 63.464268 33.144545 L 143.627676 33.135425 L 91.813501 31.593971 L 69.392178 33.113204 L 77.105184 33.144545 L 45.294427 31.16553 L 142.902182 31.694662 L 115.806408 33.144545 M 21.694665 33.144545 L 123.309344 32.820106 L 86.811059 31.5698 L 99.700099 33.090016 L 38.292539 33.144545 L 158.941655 31.683835 L 86.752023 32.445158 L 111.433258 33.144545 M 51.367406 33.144545 L 121.864933 33.077415 L 129.646611 31.902211 L 39.296774 32.698979 L 57.945791 33.144545 L 76.240969 32.300547 L 131.746543 32.848167 L 29.389088 33.144545 M 132.786873 32.61003 L 94.838137 32.284738 L 40.251532 32.623327 L 152.163524 33.144545 L 123.59168 31.863761 L 53.890918 32.667423 L 60.312152 33.144545 M 24.446218 33.144545 L 163.840629 32.970913 L 24.036861 32.194628 L 81.205251 32.956241 L 159.939925 33.144545 L 16.879275 32.563025 L 66.992092 32.184087 L 66.992092 32.184087 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p2577bf5e79">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>GNMATradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p2822123d47)" d="M 89.56766 33.144545 L 130.156988 22.457956 L 17.112363 33.059689 L 114.184658 33.011958 L 70.098324 30.217003 L 149.12887 33.043779 L 49.65626 33.144545 L 28.88567 31.808059 L 162.767645 33.054386 L 27.732925 33.144545 L 153.784051 23.343644 L 41.988526 33.049082 L 48.568058 32.900584 L 139.653559 31.532276 M 83.345178 33.144545 L 91.35979 32.099752 M 83.556777 33.144545 L 42.236679 23.465625 L 145.046392 33.006654 L 145.05748 32.783906 L 156.409042 29.962435 M 120.932658 33.144545 L 106.699923 32.046717 L 110.55719 33.070296 L 144.877541 33.144545 L 146.66233 22.579937 L 160.630241 32.953619 L 59.691043 32.582373 L 94.812136 29.034319 L 159.87653 32.964226 L 133.767708 33.144545 L 49.857 31.64365 L 76.98321 32.921798 L 106.625362 33.144545 L 115.509007 21.508627 L 162.991862 33.038475 L 89.720987 32.868763 L 95.267529 29.681348 L 22.855439 33.011958 L 127.11048 33.144545 L 114.359856 31.214065 L 133.578821 32.889977 L 48.290692 33.144545 L 45.146453 23.062558 L 51.232279 32.990743 L 62.639054 32.87937 L 28.514014 29.951828 L 43.135077 32.80512 L 94.370202 33.144545 L 88.592178 31.55349 L 97.172227 33.070296 L 84.421297 33.144545 L 54.438767 24.823326 L 33.379952 33.054386 L 63.031281 32.87937 L 21.792091 30.460965 L 41.269762 33.059689 L 66.486304 33.144545 L 150.970784 32.131573 L 140.228707 33.107421 L 112.825744 33.144545 L 160.159554 23.025433 L 40.82324 33.054386 L 166.990909 32.884673 L 136.192342 29.856364 L 68.89289 33.033172 L 56.234644 33.144545 L 109.479082 31.606525 L 77.03047 33.00135 M 42.617206 21.901087 L 34.049927 33.022565 L 61.134689 32.773299 L 45.382753 29.097961 L 45.799222 33.080903 L 159.531563 33.144545 L 137.63637 31.293618 L 21.496143 32.921798 L 16.248072 33.144545 L 81.112796 20.394888 L 108.899498 33.080903 L 76.727639 32.688443 L 143.726172 28.328951 L 113.143027 33.006654 L 36.386312 33.144545 L 37.994373 31.473937 L 121.672835 32.863459 L 101.210887 33.144545 L 91.65528 18.284088 L 73.274452 33.064993 L 68.271093 32.889977 L 56.631765 23.990673 L 106.586591 33.006654 L 15.232289 33.144545 L 135.509137 31.723203 L 158.435407 32.884673 L 143.749879 33.144545 L 102.051548 13.495011 L 95.652262 33.017261 L 155.344929 32.831638 L 21.844245 26.122687 L 72.791835 33.049082 L 26.047627 33.144545 L 132.425388 31.983075 L 23.867934 33.011958 L 106.075984 33.144545 L 97.984899 13.187407 L 14.998819 33.027868 L 94.398115 32.842245 L 107.682746 26.504541 L 160.98492 33.006654 L 127.479613 33.144545 L 77.884284 31.882308 L 71.748751 32.980136 L 103.885586 33.144545 L 28.472643 25.369588 L 125.12931 33.086207 L 99.403309 32.889977 L 163.742591 27.06141 L 33.964507 32.990743 L 151.806475 33.144545 L 94.452563 31.330742 L 117.32362 33.144545 L 139.976196 24.733166 L 141.645358 33.086207 L 104.14628 32.757389 L 162.390712 28.546395 L 46.145795 32.990743 L 151.978843 33.144545 L 99.327296 31.240582 L 148.252344 32.980136 L 131.090333 33.144545 L 113.952947 24.940003 L 65.628283 33.038475 L 62.290875 32.417963 L 157.641089 29.437386 L 121.339262 32.990743 L 55.465867 33.144545 L 115.165952 31.426206 L 109.586144 33.022565 L 134.137452 33.144545 L 158.913283 25.189268 L 133.259549 33.064993 L 114.550502 32.990743 L 115.788131 29.930613 L 43.236173 32.911191 L 70.669496 33.144545 L 123.878987 32.221733 L 81.881726 32.964226 L 143.92523 33.144545 L 83.904879 26.297704 L 123.819873 33.027868 L 149.344293 32.905887 L 131.594974 28.997194 L 121.988742 33.006654 L 142.937283 33.144545 L 28.070321 31.298921 L 106.448252 33.054386 L 164.683584 33.144545 L 67.264716 25.52339 L 153.654736 33.043779 L 73.203409 32.974833 L 40.506185 29.034319 L 149.408683 32.911191 L 148.699478 33.144545 L 131.747537 31.272404 L 45.622265 33.049082 L 69.622513 33.144545 L 106.548813 26.11208 L 111.680569 33.033172 L 47.997879 33.027868 L 16.774278 28.562306 L 48.16176 33.027868 L 110.419999 33.144545 L 65.704832 31.293618 L 22.809174 33.09151 L 95.134009 33.144545 L 63.120677 25.030163 L 131.586486 33.022565 L 28.735096 33.011958 L 116.100827 30.333681 L 82.410991 33.00135 L 48.844505 33.144545 L 139.346292 31.792148 L 123.247478 32.996047 L 86.476799 33.144545 L 126.468953 25.43323 L 74.860566 33.080903 L 74.081695 33.064993 L 16.588909 31.245886 M 38.886347 33.144545 L 145.781215 32.433874 L 87.234946 32.958922 L 83.735952 33.144545 L 53.675419 24.356616 L 114.944793 32.996047 L 142.778909 32.89528 L 34.893953 29.410869 L 129.883599 33.09151 L 60.129689 33.144545 L 16.652152 31.765631 L 35.661124 33.09151 L 163.378889 33.144545 L 55.191867 25.321856 L 62.735639 33.049082 L 73.093442 33.033172 L 46.955637 29.575278 L 118.438511 33.118028 L 105.621127 33.144545 L 105.335273 31.622436 L 33.210719 32.953619 L 143.79148 33.144545 L 23.021996 22.717829 L 52.432131 32.98544 L 145.344481 32.842245 L 70.419049 28.01074 L 120.409893 33.043779 L 138.364846 33.144545 L 80.86686 31.680774 L 136.997137 32.884673 L 89.536994 33.144545 L 47.384265 24.886968 L 82.615861 32.969529 L 47.332723 33.022565 L 131.325256 30.641285 L 125.01636 33.107421 L 50.058963 33.144545 L 147.424836 31.755024 L 119.007236 33.096814 L 122.203782 33.144545 L 124.553779 24.966521 L 27.400576 33.0756 L 95.842755 32.916494 L 142.403429 30.291253 L 67.300582 33.064993 L 95.496564 33.144545 L 103.157186 31.877005 L 160.962285 32.980136 L 163.734332 33.144545 L 131.860869 21.837445 L 36.324216 33.038475 L 153.493685 32.874066 L 111.876415 29.490421 L 97.408527 32.80512 L 138.181389 33.144545 L 161.930654 31.298921 L 80.748864 33.144545 L 81.000687 22.76556 L 46.562646 32.927101 L 38.420859 32.709657 L 158.533674 29.113872 L 44.248285 32.974833 L 104.129991 33.144545 L 153.262203 31.564097 L 53.307281 33.006654 L 97.087955 33.144545 L 43.910124 18.947027 L 101.78206 33.00135 L 38.726443 32.900584 L 102.525218 26.886394 L 47.861835 33.049082 L 80.895996 33.144545 L 154.892518 31.696685 L 107.12358 32.98544 L 38.675818 33.144545 L 38.860499 16.274054 L 152.825699 32.89528 L 157.322122 32.943012 L 159.944514 26.218151 L 22.203283 32.131573 L 114.843544 33.144545 L 97.275465 31.977771 L 71.105313 33.144545 L 93.516082 10.196223 L 57.250198 32.874066 L 57.583541 32.842245 L 28.611516 27.581155 L 31.880635 32.3225 L 103.426598 33.144545 L 88.928886 32.067931 L 21.247531 33.00135 L 57.815099 33.144545 L 128.471383 15.653543 L 131.10188 33.102117 L 82.975893 32.958922 L 116.521425 26.711378 L 116.894228 33.011958 L 43.352182 33.144545 L 145.105964 31.542883 L 135.278726 32.773299 L 165.760621 33.144545 L 95.72147 24.229331 L 91.793389 33.049082 L 141.808856 32.948315 L 94.720752 29.373744 L 83.217851 33.033172 L 112.984424 33.144545 L 163.453602 31.17694 L 62.889731 32.184609 L 36.101222 33.144545 L 149.547404 25.353677 L 73.365378 33.118028 L 135.003043 32.87937 L 39.262209 28.519878 L 66.711515 32.470999 L 137.235654 33.144545 L 77.667638 31.877005 L 27.16397 33.080903 L 37.284174 33.144545 L 121.263172 26.207544 L 164.226126 33.027868 L 137.091122 32.953619 L 148.477784 28.260005 L 113.985677 33.080903 L 22.643305 33.144545 L 48.06311 31.850487 L 73.820465 33.022565 L 94.395438 33.144545 L 86.60466 25.815083 L 44.963378 33.086207 L 81.88769 33.017261 L 80.846595 27.83042 L 62.685932 32.932405 L 110.667616 33.144545 L 153.052745 31.389081 L 109.417675 33.017261 L 39.875441 33.144545 L 89.062636 24.245242 L 130.148193 33.064993 L 105.548248 32.87937 L 140.139999 27.639494 L 138.257784 32.847548 L 33.947225 33.144545 L 115.696441 31.404992 L 69.293299 32.89528 L 71.690709 33.144545 L 90.080178 24.245242 L 141.261696 33.011958 L 104.560684 33.017261 L 141.748443 26.122687 L 142.553468 32.486909 L 15.334227 33.144545 L 135.276814 31.346653 L 37.367988 33.038475 L 89.864449 33.144545 L 77.606307 25.5393 L 128.256113 32.958922 L 91.800577 33.070296 L 149.472155 29.447993 L 98.764459 33.064993 L 160.906077 33.144545 L 125.150417 31.277707 L 153.894094 32.958922 L 36.595464 33.144545 L 107.995747 25.581729 L 18.68257 32.958922 L 88.598525 33.070296 L 157.455796 29.479814 L 139.406782 32.720264 L 152.882594 33.144545 L 142.679342 31.701989 L 154.493714 32.958922 L 24.152105 33.144545 L 166.98938 24.711952 L 82.811477 33.006654 L 150.532521 33.080903 L 79.104095 30.482179 L 63.147137 33.096814 L 69.90462 33.144545 L 23.41537 32.105056 L 30.190136 33.064993 L 98.085614 33.144545 L 46.674525 23.295912 L 22.952636 32.921798 L 123.880134 32.730871 L 76.298017 29.294191 L 150.066039 32.958922 L 58.334423 33.144545 L 156.325763 31.977771 L 75.150473 33.049082 L 166.276657 33.144545 L 21.324462 23.253484 L 113.013713 33.033172 L 89.912933 32.921798 L 64.549946 29.294191 L 32.575233 32.831638 L 154.979849 33.144545 L 27.527061 31.877005 L 76.24724 33.059689 L 112.06469 33.144545 L 129.174394 24.945306 L 119.594085 32.937708 L 19.771537 32.900584 L 165.17966 27.517513 L 67.504381 32.98544 L 49.533522 33.144545 L 26.054662 31.792148 L 85.698539 33.096814 L 77.329859 33.144545 L 72.017169 24.37783 L 14.809091 33.00135 L 109.560372 32.932405 L 102.691699 30.556429 L 166.64663 33.049082 L 147.849334 33.144545 L 24.396664 32.136877 L 111.642869 33.064993 L 130.10621 33.144545 L 147.966413 24.059619 L 87.759699 33.049082 L 26.154841 32.481606 L 129.402893 29.898792 L 123.958059 33.112724 L 72.292011 33.144545 L 68.447515 31.887612 L 58.17559 32.974833 L 41.628723 33.144545 L 69.216521 22.447349 L 74.683838 32.927101 L 63.864218 32.953619 L 147.567151 28.700197 M 91.077301 33.144545 L 42.486897 31.664864 L 15.091351 32.958922 L 59.969862 33.144545 L 85.984393 23.391376 L 96.480993 33.033172 L 63.737962 32.773299 L 29.949095 29.002498 L 104.032107 33.09151 L 66.041923 33.144545 L 78.598383 32.184609 L 83.82833 32.969529 L 57.319405 33.144545 L 65.700091 20.251693 L 41.041874 33.033172 L 89.051701 32.561158 L 165.261945 28.917642 M 120.85045 33.144545 L 107.332961 31.861094 L 110.91921 33.059689 L 89.227664 33.144545 L 38.353105 21.863962 L 149.775368 33.086207 L 113.743259 32.577069 L 100.065407 29.310102 M 81.067753 33.144545 L 58.118312 32.168698 L 81.347336 32.974833 L 152.417642 33.144545 L 88.267782 33.144545 L 97.408909 33.144545 L 139.065027 32.868763 L 34.840499 33.144545 M 125.79462 33.144545 L 123.335574 33.144545 L 94.761129 16.820317 L 69.136072 33.027868 L 26.840492 32.821031 L 49.156819 22.898148 L 81.260999 32.30659 L 68.413714 33.144545 L 105.602085 31.617132 L 158.535204 32.958922 L 112.137568 33.144545 L 22.908664 8.435455 L 18.912294 33.00135 L 113.580067 32.921798 L 128.21153 26.912912 M 25.745178 33.144545 L 100.955164 31.664864 L 39.396265 33.144545 L 122.69527 13.012391 L 61.911955 32.990743 L 164.560999 33.00135 L 23.286438 27.480388 L 139.281062 33.064993 L 111.218141 33.144545 L 135.332027 31.898219 L 46.939272 33.011958 L 160.308981 33.144545 L 129.903634 27.506906 L 139.02962 33.070296 L 45.379465 33.006654 L 42.111952 29.177514 L 21.076539 32.911191 L 105.134686 33.144545 L 89.566054 32.253554 L 143.37004 33.144545 L 50.250833 26.234061 L 51.755121 33.107421 L 49.534898 32.741478 L 48.435684 28.355469 L 126.863857 33.096814 L 156.576287 33.144545 L 122.641969 31.83988 L 69.058453 33.054386 L 26.116605 33.144545 L 161.275821 26.960643 L 69.63796 33.038475 L 26.231619 32.852852 L 124.337286 29.204031 L 33.566392 32.709657 L 89.569113 33.144545 L 124.851562 31.908826 L 69.918079 33.027868 L 97.615385 33.144545 L 134.825321 25.14684 L 61.001704 33.102117 L 20.43983 32.89528 L 51.455732 29.405565 L 148.13817 33.144545 L 35.250391 33.144545 L 91.910621 31.755024 L 94.429469 33.033172 L 127.82848 33.144545 L 105.209323 26.085563 L 117.103456 33.00135 L 81.054447 33.017261 L 52.17679 28.397897 L 30.929165 32.131573 L 144.734384 33.144545 L 136.57348 31.717899 L 134.469801 32.688443 L 35.348428 33.144545 L 49.481444 26.271186 L 63.464268 33.0756 L 143.627676 32.725568 L 91.813501 28.01074 L 69.392178 31.792148 L 77.105184 33.144545 L 45.294427 31.956557 L 142.902182 33.006654 L 115.806408 33.144545 L 26.791856 26.822752 L 21.694665 33.022565 L 123.309344 33.00135 L 86.811059 29.299495 L 99.700099 33.112724 L 38.292539 33.144545 L 158.941655 31.240582 L 86.752023 33.064993 L 111.433258 33.144545 L 158.631483 26.212847 L 51.367406 33.00135 L 121.864933 33.00135 L 129.646611 25.04077 L 39.296774 33.070296 L 57.945791 33.144545 L 76.240969 31.654257 L 131.746543 32.980136 L 29.389088 33.144545 L 52.467308 25.698406 L 73.911926 32.996047 L 132.786873 33.064993 L 94.838137 30.455662 L 40.251532 33.102117 L 152.163524 33.144545 L 123.59168 31.850487 L 53.890918 32.87937 L 60.312152 33.144545 L 74.229133 23.98537 L 24.446218 33.011958 L 163.840629 33.054386 L 24.036861 29.81924 L 81.205251 33.112724 L 159.939925 33.144545 L 16.879275 32.03611 L 66.992092 32.937708 L 66.992092 32.937708 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p2822123d47">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>GNMAUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p5a32363b89)" d="M 89.56766 33.144545 L 130.156988 32.122302 L 17.112363 32.881683 L 114.184658 32.764855 L 70.098324 25.4047 L 149.12887 32.61882 L 49.65626 33.144545 L 28.88567 29.698124 L 162.767645 32.940097 L 27.732925 33.144545 L 153.784051 32.443578 L 41.988526 32.794062 L 48.568058 32.589613 L 139.653559 29.931779 M 83.345178 33.144545 L 91.35979 30.486712 M 83.556777 33.144545 L 42.236679 32.297544 L 145.046392 32.823269 L 145.05748 31.801025 L 156.409042 25.638356 M 120.932658 33.144545 L 106.699923 29.698124 L 110.55719 32.91089 L 144.877541 33.144545 L 146.66233 32.151509 L 160.630241 32.735648 L 59.691043 31.859439 L 94.812136 21.637002 L 159.87653 32.648027 L 133.767708 33.144545 L 49.857 28.792708 L 76.98321 32.093095 L 106.625362 33.144545 L 115.509007 32.209923 L 162.991862 32.794062 L 89.720987 32.385164 L 95.267529 24.557698 L 22.855439 32.560406 L 127.11048 33.144545 L 114.359856 28.500638 L 133.578821 31.976267 L 48.290692 33.144545 L 45.146453 32.23913 L 51.232279 32.706441 L 62.639054 32.61882 L 28.514014 25.171044 L 43.135077 32.034681 L 94.370202 33.144545 L 88.592178 28.851122 L 97.172227 32.91089 L 84.421297 33.144545 L 54.438767 32.23913 L 33.379952 32.998511 L 63.031281 32.531199 L 21.792091 25.901219 L 41.269762 32.852476 L 66.486304 33.144545 L 150.970784 30.136228 L 140.228707 32.998511 L 112.825744 33.144545 L 160.159554 32.414371 L 40.82324 32.823269 L 166.990909 32.589613 L 136.192342 24.35325 L 68.89289 32.706441 L 56.234644 33.144545 L 109.479082 29.143191 L 77.03047 32.794062 M 42.617206 32.268337 L 34.049927 32.881683 L 61.134689 32.589613 L 45.382753 23.710696 L 45.799222 32.881683 L 159.531563 33.144545 L 137.63637 28.237776 L 21.496143 32.560406 L 16.248072 33.144545 L 81.112796 32.005474 L 108.899498 32.91089 L 76.727639 32.61882 L 143.726172 22.104313 L 113.143027 32.472785 L 36.386312 33.144545 L 37.994373 28.500638 L 121.672835 32.414371 L 101.210887 33.144545 L 91.65528 32.093095 L 73.274452 32.823269 L 68.271093 32.648027 L 56.631765 10.041838 L 106.586591 32.414371 L 15.232289 33.144545 L 135.509137 28.821915 L 158.435407 32.355957 L 143.749879 33.144545 L 102.051548 32.005474 L 95.652262 32.852476 L 155.344929 32.122302 L 21.844245 15.21147 L 72.791835 32.764855 L 26.047627 33.144545 L 132.425388 29.785745 L 23.867934 32.677234 L 106.075984 33.144545 L 97.984899 32.005474 L 14.998819 32.91089 L 94.398115 32.209923 L 107.682746 16.876267 L 160.98492 32.735648 L 127.479613 33.144545 L 77.884284 29.931779 L 71.748751 32.589613 L 103.885586 33.144545 L 28.472643 32.122302 L 125.12931 32.852476 L 99.403309 32.063888 L 163.742591 14.977814 L 33.964507 32.560406 L 151.806475 33.144545 L 94.452563 28.588259 L 115.29259 32.355957 L 117.32362 33.144545 L 139.976196 32.355957 L 141.645358 32.940097 L 104.14628 32.32675 L 162.390712 24.06118 L 46.145795 32.501992 L 151.978843 33.144545 L 99.327296 28.062534 L 148.252344 32.355957 L 131.090333 33.144545 L 113.952947 32.355957 L 65.628283 32.823269 L 62.290875 31.158472 L 157.641089 24.294836 L 121.339262 32.531199 L 55.465867 33.144545 L 115.165952 28.266983 L 109.586144 32.764855 L 134.137452 33.144545 L 158.913283 32.355957 L 133.259549 32.823269 L 114.550502 32.677234 L 115.788131 25.959632 L 43.236173 32.005474 L 70.669496 33.144545 L 123.878987 30.691161 L 81.881726 32.794062 L 143.92523 33.144545 L 83.904879 32.355957 L 123.819873 32.764855 L 149.344293 32.531199 L 131.594974 20.322689 L 121.988742 32.61882 L 142.937283 33.144545 L 28.070321 29.026364 L 106.448252 32.852476 L 164.683584 33.144545 L 67.264716 32.268337 L 153.654736 32.764855 L 73.203409 32.589613 L 40.506185 21.812244 L 149.408683 31.888646 L 148.699478 33.144545 L 131.747537 28.237776 L 45.622265 32.706441 L 69.622513 33.144545 L 106.548813 32.414371 L 111.680569 32.940097 L 47.997879 32.764855 L 16.774278 21.432553 L 48.16176 32.61882 L 110.419999 33.144545 L 65.704832 28.29619 L 22.809174 32.91089 L 95.134009 33.144545 L 63.120677 32.23913 L 131.586486 32.823269 L 28.735096 32.61882 L 116.100827 26.36853 L 82.410991 32.677234 L 48.844505 33.144545 L 139.346292 28.96795 L 123.247478 32.823269 L 86.476799 33.144545 L 126.468953 32.209923 L 74.860566 32.940097 L 74.081695 32.764855 L 16.588909 28.237776 M 38.886347 33.144545 L 145.781215 31.158472 L 87.234946 32.823269 L 83.735952 33.144545 L 53.675419 32.209923 L 114.944793 32.794062 L 142.778909 32.297544 L 34.893953 22.542418 L 129.883599 32.91089 L 60.129689 33.144545 L 16.652152 29.931779 L 35.661124 32.91089 L 163.378889 33.144545 L 55.191867 32.209923 L 62.735639 32.794062 L 73.093442 32.852476 L 46.955637 25.083424 L 118.438511 32.998511 L 105.621127 33.144545 L 105.335273 29.318433 L 33.210719 32.297544 L 143.79148 33.144545 L 23.021996 32.385164 L 52.432131 32.794062 L 145.344481 32.385164 L 70.419049 12.407602 L 120.409893 32.794062 L 138.364846 33.144545 L 80.86686 29.055571 L 136.997137 32.180716 L 89.536994 33.144545 L 47.384265 32.063888 L 82.615861 32.794062 L 47.332723 32.706441 L 131.325256 27.303153 L 125.01636 33.027718 L 50.058963 33.144545 L 147.424836 29.581296 L 119.007236 32.91089 L 122.203782 33.144545 L 124.553779 32.297544 L 27.400576 32.881683 L 95.842755 32.677234 L 142.403429 26.719014 L 67.300582 32.794062 L 95.496564 33.144545 L 103.157186 30.048607 L 160.962285 32.648027 L 163.734332 33.144545 L 131.860869 32.355957 L 36.324216 32.794062 L 153.493685 32.735648 L 111.876415 24.616112 L 97.408527 31.625783 L 138.181389 33.144545 L 161.930654 27.887292 L 80.748864 33.144545 L 81.000687 32.268337 L 46.562646 32.735648 L 38.420859 32.560406 L 158.533674 23.38942 L 44.248285 32.501992 L 104.129991 33.144545 L 153.262203 28.179362 L 53.307281 32.735648 L 97.087955 33.144545 L 43.910124 32.034681 L 101.78206 32.794062 L 38.726443 32.677234 L 102.525218 18.920754 L 47.861835 32.794062 L 80.895996 33.144545 L 154.892518 28.851122 L 107.12358 32.531199 L 38.675818 33.144545 L 38.860499 31.830232 L 157.322122 32.706441 L 159.944514 17.022302 L 22.203283 27.945706 L 114.843544 33.144545 L 97.275465 29.435261 L 71.105313 33.144545 L 93.516082 32.093095 L 57.250198 32.852476 L 57.583541 32.414371 L 28.611516 20.089033 L 31.880635 30.720368 L 103.426598 33.144545 L 88.928886 29.785745 L 21.247531 32.648027 L 57.815099 33.144545 L 128.471383 31.976267 L 131.10188 32.91089 L 82.975893 32.472785 L 116.521425 19.388066 L 116.894228 32.735648 L 43.352182 33.144545 L 145.105964 28.266983 L 135.278726 32.209923 L 165.760621 33.144545 L 95.72147 32.32675 L 91.793389 32.794062 L 141.808856 32.794062 L 94.720752 23.506248 L 83.217851 32.735648 L 112.984424 33.144545 L 163.453602 27.741257 L 62.889731 31.567369 L 36.101222 33.144545 L 149.547404 32.32675 L 73.365378 33.027718 L 135.003043 32.297544 L 39.262209 20.001412 L 66.711515 29.902573 L 137.235654 33.144545 L 77.667638 29.376847 L 27.16397 32.823269 L 37.284174 33.144545 L 121.263172 32.472785 L 164.226126 32.794062 L 137.091122 32.706441 L 148.477784 21.257311 L 113.985677 32.940097 L 22.643305 33.144545 L 48.06311 29.289226 L 73.820465 32.794062 L 94.395438 33.144545 L 86.60466 32.355957 L 44.963378 32.881683 L 81.88769 32.735648 L 80.846595 16.408956 L 62.685932 32.151509 L 110.667616 33.144545 L 153.052745 28.617466 L 109.417675 32.823269 L 39.875441 33.144545 L 89.062636 32.209923 L 130.148193 32.881683 L 105.548248 32.385164 L 140.139999 16.642611 L 138.257784 31.596576 L 33.947225 33.144545 L 115.696441 29.172398 L 69.293299 32.414371 L 71.690709 33.144545 L 90.080178 32.180716 L 141.261696 32.852476 L 104.560684 32.589613 L 141.748443 14.598124 L 142.553468 29.931779 L 15.334227 33.144545 L 135.276814 28.471431 L 37.367988 32.706441 L 89.864449 33.144545 L 77.606307 32.297544 L 128.256113 32.881683 L 91.800577 32.794062 L 149.472155 22.045899 L 98.764459 32.881683 L 160.906077 33.144545 L 125.150417 28.529845 L 153.894094 32.560406 L 36.595464 33.144545 L 107.995747 32.209923 L 18.68257 32.648027 L 88.598525 32.881683 L 157.455796 22.016692 L 139.406782 31.976267 L 152.882594 33.144545 L 142.679342 29.493675 L 154.493714 32.648027 L 24.152105 33.144545 L 166.98938 32.209923 L 82.811477 32.881683 L 150.532521 32.823269 L 79.104095 25.229458 L 63.147137 32.91089 L 69.90462 33.144545 L 23.41537 29.990193 L 30.190136 32.852476 L 98.085614 33.144545 L 46.674525 32.209923 L 22.952636 32.764855 L 123.880134 31.917853 L 76.298017 23.681489 L 150.066039 32.268337 L 58.334423 33.144545 L 156.325763 30.428298 L 75.150473 32.852476 L 166.276657 33.144545 L 21.324462 32.414371 L 113.013713 32.823269 L 89.912933 32.501992 L 64.549946 24.995803 L 32.575233 31.567369 L 154.979849 33.144545 L 27.527061 29.464468 L 76.24724 32.91089 L 112.06469 33.144545 L 129.174394 32.23913 L 119.594085 32.794062 L 19.771537 32.443578 L 165.17966 20.11824 L 67.504381 32.385164 L 49.533522 33.144545 L 26.054662 29.113985 L 85.698539 32.969304 L 77.329859 33.144545 L 72.017169 32.297544 L 14.809091 32.706441 L 109.560372 32.677234 L 102.691699 27.974913 L 166.64663 32.823269 L 147.849334 33.144545 L 24.396664 30.282263 L 111.642869 32.881683 L 130.10621 33.144545 L 147.966413 32.297544 L 87.759699 32.823269 L 26.154841 29.960986 L 129.402893 25.346286 L 123.958059 32.998511 L 72.292011 33.144545 L 68.447515 28.938743 L 58.17559 32.531199 L 41.628723 33.144545 L 69.216521 32.151509 L 74.683838 32.648027 L 63.864218 32.560406 L 147.567151 19.504894 M 91.077301 33.144545 L 42.486897 28.821915 L 15.091351 32.560406 L 59.969862 33.144545 L 85.984393 32.385164 L 96.480993 32.852476 L 63.737962 32.32675 L 29.949095 21.432553 L 104.032107 32.940097 L 66.041923 33.144545 L 78.598383 30.340677 L 83.82833 32.560406 L 57.319405 33.144545 L 65.700091 32.005474 L 41.041874 32.852476 L 89.051701 31.801025 L 165.261945 22.279555 M 120.85045 33.144545 L 107.332961 29.143191 L 110.91921 32.794062 L 89.227664 33.144545 L 38.353105 32.005474 L 149.775368 32.881683 L 113.743259 31.917853 L 100.065407 24.557698 M 81.067753 33.144545 L 58.118312 30.545126 L 81.347336 32.385164 L 138.858628 33.144545 L 152.417642 33.144545 L 88.267782 33.144545 L 97.408909 33.144545 L 139.065027 31.917853 L 54.853018 33.144545 L 34.840499 33.144545 M 125.79462 33.144545 L 123.335574 33.144545 L 94.761129 32.122302 L 69.136072 32.91089 L 26.840492 32.61882 L 49.156819 8.435455 L 81.260999 28.617466 L 68.413714 33.144545 L 105.602085 28.909536 L 158.535204 32.23913 L 112.137568 33.144545 L 22.908664 32.122302 L 18.912294 32.706441 L 113.580067 32.61882 L 128.21153 18.570271 M 25.745178 33.144545 L 100.955164 29.493675 L 50.382289 32.61882 L 39.396265 33.144545 L 122.69527 31.888646 L 61.911955 32.706441 L 164.560999 32.794062 L 23.286438 18.248994 L 139.281062 32.969304 L 111.218141 33.144545 L 135.332027 29.990193 L 46.939272 32.677234 L 160.308981 33.144545 L 129.903634 32.385164 L 139.02962 32.969304 L 45.379465 32.794062 L 42.111952 21.549381 L 21.076539 32.794062 L 105.134686 33.144545 L 89.566054 30.954023 L 140.542856 32.881683 L 143.37004 33.144545 L 50.250833 32.355957 L 51.755121 32.998511 L 49.534898 31.538162 L 48.435684 22.922108 L 126.863857 32.91089 L 156.576287 33.144545 L 122.641969 29.727331 L 69.058453 32.794062 L 26.116605 33.144545 L 161.275821 32.355957 L 69.63796 32.852476 L 26.231619 32.472785 L 124.337286 23.418627 L 33.566392 31.479749 L 89.569113 33.144545 L 124.851562 29.785745 L 69.918079 32.823269 L 97.615385 33.144545 L 134.825321 32.23913 L 61.001704 32.998511 L 20.43983 32.589613 L 51.455732 23.856731 L 148.13817 33.144545 L 35.250391 33.144545 L 91.910621 29.113985 L 94.429469 32.648027 L 127.82848 33.144545 L 105.209323 32.385164 L 117.103456 32.823269 L 81.054447 32.648027 L 52.17679 16.292128 L 30.929165 27.682843 L 144.734384 33.144545 L 136.57348 29.143191 L 134.469801 31.158472 L 35.348428 33.144545 L 49.481444 32.355957 L 63.464268 32.91089 L 143.627676 31.94706 L 91.813501 15.649574 L 69.392178 29.34764 L 77.105184 33.144545 L 45.294427 30.545126 L 142.902182 32.648027 L 115.806408 33.144545 L 26.791856 32.443578 L 21.694665 32.852476 L 123.309344 32.706441 L 86.811059 22.075106 L 99.700099 32.969304 L 38.292539 33.144545 L 158.941655 29.201605 L 86.752023 32.852476 L 111.433258 33.144545 L 158.631483 32.355957 L 51.367406 32.881683 L 121.864933 32.648027 L 129.646611 11.064081 L 39.296774 32.881683 L 57.945791 33.144545 L 76.240969 29.873366 L 131.746543 32.61882 L 29.389088 33.144545 L 52.467308 32.297544 L 73.911926 32.735648 L 132.786873 32.940097 L 94.838137 25.69677 L 40.251532 32.969304 L 152.163524 33.144545 L 123.59168 30.0194 L 53.890918 32.268337 L 60.312152 33.144545 L 74.229133 32.180716 L 24.446218 32.764855 L 163.840629 32.881683 L 24.036861 23.38942 L 81.205251 33.027718 L 159.939925 33.144545 L 16.879275 29.727331 L 66.992092 32.531199 L 66.992092 32.531199 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p5a32363b89">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>GNMA$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p5cb7f369ce)" d="M 89.56766 33.144545 L 130.156988 22.163583 L 17.112363 33.069968 L 114.184658 33.141232 L 70.098324 31.651114 L 149.12887 33.139224 L 49.65626 33.144545 L 28.88567 32.831609 L 162.767645 33.141581 L 27.732925 33.144545 L 153.784051 20.558737 L 41.988526 33.074897 L 48.568058 33.138331 L 139.653559 31.256009 M 83.345178 33.144545 L 91.35979 33.121723 M 83.556777 33.144545 L 42.236679 22.299736 L 145.05748 33.10937 L 156.409042 31.693528 M 120.932658 33.144545 L 106.699923 33.050398 L 110.55719 33.120119 L 144.877541 33.144545 L 146.66233 18.036535 L 160.630241 33.031187 L 59.691043 33.119903 L 94.812136 31.569849 L 159.87653 33.133555 L 133.767708 33.144545 L 49.857 33.05347 L 106.625362 33.144545 L 115.509007 20.689088 L 162.991862 33.085128 L 89.720987 33.129138 L 95.267529 31.619142 L 22.855439 33.132068 L 133.578821 33.106884 L 48.290692 33.144545 L 45.146453 22.728199 L 51.232279 33.093902 L 62.639054 33.122066 L 28.514014 31.697698 L 43.135077 33.138764 L 97.172227 33.091528 L 84.421297 33.144545 L 54.438767 25.60829 L 33.379952 33.105946 L 63.031281 33.137902 L 21.792091 32.238397 L 41.269762 33.14326 L 150.970784 33.09722 L 112.825744 33.144545 L 160.159554 21.676979 L 40.82324 33.094364 L 166.990909 33.119162 L 136.192342 31.60233 L 68.89289 33.126403 L 56.234644 33.144545 L 109.479082 33.085231 L 77.03047 33.059782 M 42.617206 19.511965 L 34.049927 33.102774 L 61.134689 33.117342 L 45.382753 31.21384 L 45.799222 33.116169 L 159.531563 33.144545 L 137.63637 33.093478 L 21.496143 32.987088 L 16.248072 33.144545 L 81.112796 16.08988 L 108.899498 33.125474 L 76.727639 33.097851 L 143.726172 31.088146 L 113.143027 33.128744 L 36.386312 33.144545 L 37.994373 33.082177 L 121.672835 32.998131 L 101.210887 33.144545 L 91.65528 15.681866 L 73.274452 33.115432 L 68.271093 33.118463 L 56.631765 30.265908 L 106.586591 33.133702 L 15.232289 33.144545 L 158.435407 33.091403 L 143.749879 33.144545 L 102.051548 11.280338 L 95.652262 33.081394 L 155.344929 33.13765 L 21.844245 31.527074 L 72.791835 33.142249 L 23.867934 33.11685 L 132.425388 33.129314 L 106.075984 33.144545 L 97.984899 10.422786 L 14.998819 33.095663 L 94.398115 33.139345 L 107.682746 31.223855 L 160.98492 33.134321 L 71.748751 33.126041 L 103.885586 33.144545 L 28.472643 19.274934 L 125.12931 33.095311 L 99.403309 33.135503 L 163.742591 31.690505 L 33.964507 33.106877 L 151.806475 33.144545 L 117.32362 33.144545 L 139.976196 22.893962 L 141.645358 33.120087 L 104.14628 33.131975 L 162.390712 31.828454 L 46.145795 33.129958 L 151.978843 33.144545 L 131.090333 33.144545 L 113.952947 21.056085 L 65.628283 33.066314 L 62.290875 33.135212 L 157.641089 32.091981 L 121.339262 33.10384 L 55.465867 33.144545 L 134.137452 33.144545 L 158.913283 21.474379 L 133.259549 33.103845 L 114.550502 33.134053 L 115.788131 32.20605 L 43.236173 33.046852 L 70.669496 33.144545 L 143.92523 33.144545 L 83.904879 25.558372 L 123.819873 33.119528 L 149.344293 33.139929 L 131.594974 32.554982 L 121.988742 33.143692 L 28.070321 33.071026 L 164.683584 33.144545 L 67.264716 23.626348 L 153.654736 33.097809 L 73.203409 33.133539 L 40.506185 32.634193 L 149.408683 33.121762 L 131.747537 33.084535 L 45.622265 33.120568 L 69.622513 33.144545 L 106.548813 25.561856 L 111.680569 33.114486 L 47.997879 33.140984 L 16.774278 32.185395 L 48.16176 33.129731 L 110.419999 33.144545 L 22.809174 33.12031 L 95.134009 33.144545 L 63.120677 21.843566 L 131.586486 33.110439 L 28.735096 33.143163 L 116.100827 32.5325 L 82.410991 33.128526 L 48.844505 33.144545 L 139.346292 33.053311 L 86.476799 33.144545 L 126.468953 24.840794 L 74.081695 33.142171 L 16.588909 32.634606 M 38.886347 33.144545 L 145.781215 33.09403 L 83.735952 33.144545 L 53.675419 17.276926 L 114.944793 33.098921 L 142.778909 33.10142 L 34.893953 31.799629 L 129.883599 33.141741 L 60.129689 33.144545 L 16.652152 33.017773 L 35.661124 33.082006 L 163.378889 33.144545 L 55.191867 23.167153 L 62.735639 33.077069 L 73.093442 33.137747 L 46.955637 32.042363 L 118.438511 33.138358 L 105.621127 33.144545 L 105.335273 33.030459 L 33.210719 33.059901 L 143.79148 33.144545 L 23.021996 17.172593 L 52.432131 33.083829 L 145.344481 33.124661 L 70.419049 31.637375 L 120.409893 33.123791 L 138.364846 33.144545 L 80.86686 32.951969 L 136.997137 33.090743 L 89.536994 33.144545 L 47.384265 21.450643 L 82.615861 33.091627 L 47.332723 33.086637 L 131.325256 30.682948 L 125.01636 33.136174 L 50.058963 33.144545 L 147.424836 33.103789 L 122.203782 33.144545 L 124.553779 25.003972 L 27.400576 33.122905 L 95.842755 33.127181 L 142.403429 32.099707 L 67.300582 33.12087 L 163.734332 33.144545 L 131.860869 14.228842 L 36.324216 33.084127 L 153.493685 33.128837 L 111.876415 30.643255 L 97.408527 33.098229 L 138.181389 33.144545 L 161.930654 32.948284 L 80.748864 33.144545 L 81.000687 17.452242 L 46.562646 33.021715 L 38.420859 33.111762 L 158.533674 31.253889 L 44.248285 33.135019 L 104.129991 33.144545 L 153.262203 33.022802 L 53.307281 33.08298 L 97.087955 33.144545 L 43.910124 10.32328 L 101.78206 33.103069 L 38.726443 33.12628 L 102.525218 30.76411 L 47.861835 33.116109 L 80.895996 33.144545 L 154.892518 32.994968 L 38.675818 33.144545 L 38.860499 8.435455 L 152.825699 33.030743 L 157.322122 33.136254 L 159.944514 30.001762 L 22.203283 33.128829 L 114.843544 33.144545 L 71.105313 33.144545 L 93.516082 10.320068 L 57.250198 33.054113 L 57.583541 33.127918 L 28.611516 31.152384 L 31.880635 33.125926 L 103.426598 33.144545 L 88.928886 33.075031 L 21.247531 32.943281 L 57.815099 33.144545 L 128.471383 15.294232 L 131.10188 33.13228 L 82.975893 33.125186 L 116.521425 30.650008 L 116.894228 33.140535 L 43.352182 33.144545 L 165.760621 33.144545 L 95.72147 20.20376 L 91.793389 33.124608 L 141.808856 33.109715 L 94.720752 31.459637 L 83.217851 33.143014 L 163.453602 33.054153 L 36.101222 33.144545 L 149.547404 21.02639 L 73.365378 33.123549 L 135.003043 33.10595 L 39.262209 31.609636 L 66.711515 33.143339 L 137.235654 33.144545 L 77.667638 32.996754 L 27.16397 33.092346 L 37.284174 33.144545 L 121.263172 19.31164 L 164.226126 33.055072 L 137.091122 33.074655 L 148.477784 32.006579 L 113.985677 33.138643 L 22.643305 33.144545 L 48.06311 33.03077 L 94.395438 33.144545 L 86.60466 22.73923 L 44.963378 33.093823 L 81.88769 33.126102 L 80.846595 32.512287 L 62.685932 33.067672 L 110.667616 33.144545 L 153.052745 33.03178 L 109.417675 33.119253 L 39.875441 33.144545 L 89.062636 13.127214 L 130.148193 33.122432 L 105.548248 33.138661 L 140.139999 31.865717 L 138.257784 33.083108 L 33.947225 33.144545 L 71.690709 33.144545 L 90.080178 21.841085 L 141.261696 33.045918 L 104.560684 33.133896 L 141.748443 32.133072 L 142.553468 33.136645 L 15.334227 33.144545 L 89.864449 33.144545 L 77.606307 21.641884 L 128.256113 33.069622 L 91.800577 33.141449 L 149.472155 32.619832 L 98.764459 33.138814 L 160.906077 33.144545 L 36.595464 33.144545 L 107.995747 25.242441 L 18.68257 33.076055 L 88.598525 33.143642 L 157.455796 32.293901 L 139.406782 33.13622 L 152.882594 33.144545 L 142.679342 33.102503 L 154.493714 32.993632 L 24.152105 33.144545 L 166.98938 20.938758 L 82.811477 33.089705 L 150.532521 33.141032 L 79.104095 32.844055 L 63.147137 33.144514 L 69.90462 33.144545 L 23.41537 33.026327 L 98.085614 33.144545 L 46.674525 19.378817 L 22.952636 33.024977 L 123.880134 33.082069 L 76.298017 31.237825 L 150.066039 33.138812 L 58.334423 33.144545 L 166.276657 33.144545 L 21.324462 20.569078 L 113.013713 33.123282 L 89.912933 33.095198 L 64.549946 31.309722 L 32.575233 33.121571 L 154.979849 33.144545 L 27.527061 32.936829 L 112.06469 33.144545 L 129.174394 21.885543 L 119.594085 33.078447 L 19.771537 33.125534 L 165.17966 31.233496 L 67.504381 33.142144 L 49.533522 33.144545 L 26.054662 33.005929 L 85.698539 33.095055 L 77.329859 33.144545 L 72.017169 22.172662 L 14.809091 33.067593 L 109.560372 33.120052 L 102.691699 31.769917 L 166.64663 33.143261 L 24.396664 33.10853 L 130.10621 33.144545 L 147.966413 22.013596 L 87.759699 33.098655 L 26.154841 33.139039 L 129.402893 31.200562 L 123.958059 33.143844 L 72.292011 33.144545 L 68.447515 32.193774 L 58.17559 33.08195 L 41.628723 33.144545 L 69.216521 16.343098 L 74.683838 33.060349 L 63.864218 33.137138 L 147.567151 31.24013 M 91.077301 33.144545 L 42.486897 32.958782 L 15.091351 33.076581 L 59.969862 33.144545 L 85.984393 17.06609 L 96.480993 33.113534 L 63.737962 33.125054 L 29.949095 31.05958 L 104.032107 33.141442 L 66.041923 33.144545 L 83.82833 33.052984 L 57.319405 33.144545 L 65.700091 11.380679 L 41.041874 33.110657 L 89.051701 33.059418 L 165.261945 31.325156 M 120.85045 33.144545 L 107.332961 32.989707 L 110.91921 32.992638 L 89.227664 33.144545 L 38.353105 21.690978 L 149.775368 33.108299 L 113.743259 33.119086 L 100.065407 31.362078 M 81.067753 33.144545 L 58.118312 33.077928 L 81.347336 33.094001 L 152.417642 33.144545 L 34.840499 33.144545 M 125.79462 33.144545 L 123.335574 33.144545 L 94.761129 10.856597 L 69.136072 33.11855 L 26.840492 33.128943 L 49.156819 30.735402 L 81.260999 33.12019 L 68.413714 33.144545 L 158.535204 32.993225 L 112.137568 33.144545 L 22.908664 9.211721 L 18.912294 33.077332 L 113.580067 33.135569 L 128.21153 29.981468 M 25.745178 33.144545 L 100.955164 33.065574 L 50.382289 32.907661 L 39.396265 33.144545 L 122.69527 14.267321 L 61.911955 33.103903 L 164.560999 33.129417 L 23.286438 31.997288 L 139.281062 33.13035 L 111.218141 33.144545 L 135.332027 33.08501 L 46.939272 32.986263 L 160.308981 33.144545 L 129.903634 24.457905 L 139.02962 33.115916 L 45.379465 33.136056 L 42.111952 32.263507 L 21.076539 33.134387 L 143.37004 33.144545 L 50.250833 23.272859 L 51.755121 33.127748 L 49.534898 33.112389 L 48.435684 31.474748 L 126.863857 33.143919 L 156.576287 33.144545 L 122.641969 33.115749 L 69.058453 33.007715 L 26.116605 33.144545 L 161.275821 28.652617 L 69.63796 33.111388 L 26.231619 33.132974 L 124.337286 32.127237 L 33.566392 33.076868 L 124.851562 33.110505 L 97.615385 33.144545 L 134.825321 23.752238 L 61.001704 33.118355 L 20.43983 33.133146 L 51.455732 32.090998 L 148.13817 33.144545 L 35.250391 33.144545 L 91.910621 33.077208 L 94.429469 32.991309 L 127.82848 33.144545 L 105.209323 16.29875 L 117.103456 33.092532 L 81.054447 33.142469 L 52.17679 32.274542 L 30.929165 33.035012 L 144.734384 33.144545 L 134.469801 32.994946 L 35.348428 33.144545 L 49.481444 23.347508 L 63.464268 33.118277 L 143.627676 33.132939 L 91.813501 32.196177 L 69.392178 33.13957 L 77.105184 33.144545 L 45.294427 33.064188 L 142.902182 33.060377 L 115.806408 33.144545 L 26.791856 20.515675 L 21.694665 33.082643 L 123.309344 33.138012 L 86.811059 32.398377 L 99.700099 33.133312 L 38.292539 33.144545 L 158.941655 33.102837 L 86.752023 33.019918 L 111.433258 33.144545 L 158.631483 26.452853 L 51.367406 33.098664 L 121.864933 33.144067 L 129.646611 31.931529 L 39.296774 33.137067 L 76.240969 33.11337 L 131.746543 32.936078 L 29.389088 33.144545 L 52.467308 21.551891 L 73.911926 33.071549 L 132.786873 33.132357 L 94.838137 32.410968 L 40.251532 33.141278 L 152.163524 33.144545 L 60.312152 33.144545 L 74.229133 20.522083 L 24.446218 33.055501 L 163.840629 33.136341 L 24.036861 32.216399 L 81.205251 33.142748 L 159.939925 33.144545 L 16.879275 33.123559 L 66.992092 33.054772 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p5cb7f369ce">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>OtherTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pe6909ac2d5)" d="M 89.56766 33.144545 L 130.156988 33.144545 L 17.112363 33.144545 L 70.098324 33.144545 L 149.12887 29.976713 L 49.65626 33.144545 L 28.88567 27.125664 L 162.767645 8.435455 L 27.732925 33.144545 L 153.784051 33.144545 L 139.653559 33.144545 L 25.068398 31.560629 L 83.345178 33.144545 L 91.35979 29.026364 L 160.572964 33.144545 L 42.236679 33.144545 L 145.05748 33.144545 M 106.548201 28.076014 L 120.932658 33.144545 L 106.699923 28.392797 L 110.55719 33.144545 L 160.630241 33.144545 L 59.691043 33.144545 M 133.767708 33.144545 L 49.857 21.423566 L 76.98321 33.144545 L 162.991862 33.144545 L 95.267529 33.144545 L 22.855439 21.423566 L 127.11048 33.144545 L 114.359856 24.908182 M 48.290692 33.144545 L 45.146453 33.144545 L 62.639054 33.144545 M 43.135077 24.591399 L 94.370202 33.144545 M 97.172227 33.144545 L 21.792091 33.144545 L 41.269762 29.976713 L 66.486304 33.144545 L 150.970784 24.274615 L 140.228707 33.144545 L 40.82324 33.144545 L 166.990909 33.144545 L 136.192342 33.144545 M 56.234644 33.144545 L 109.479082 18.889301 L 77.03047 33.144545 L 34.049927 33.144545 L 45.382753 33.144545 L 45.799222 30.927063 L 159.531563 33.144545 L 137.63637 25.224965 L 21.496143 33.144545 L 16.248072 33.144545 L 143.726172 33.144545 L 113.143027 21.423566 L 36.386312 33.144545 L 37.994373 21.74035 M 101.210887 33.144545 L 56.631765 33.144545 L 106.586591 23.957832 L 15.232289 33.144545 L 135.509137 28.70958 M 143.749879 33.144545 L 155.344929 33.144545 L 21.844245 33.144545 L 72.791835 24.908182 L 26.047627 33.144545 L 132.425388 30.61028 L 23.867934 30.61028 L 106.075984 33.144545 L 14.998819 33.144545 L 107.682746 33.144545 L 160.98492 31.243846 L 127.479613 33.144545 L 77.884284 25.541748 L 71.748751 33.144545 L 28.472643 33.144545 L 163.742591 33.144545 L 33.964507 25.858531 L 151.806475 33.144545 L 94.452563 20.156434 L 115.29259 33.144545 L 104.14628 33.144545 L 162.390712 33.144545 L 46.145795 26.808881 L 151.978843 33.144545 L 99.327296 20.473217 M 131.090333 33.144545 L 62.290875 33.144545 L 157.641089 33.144545 L 121.339262 30.293497 L 55.465867 33.144545 L 115.165952 30.293497 L 109.586144 33.144545 L 158.913283 33.144545 L 115.788131 33.144545 L 43.236173 29.65993 L 70.669496 33.144545 L 123.878987 28.70958 M 143.92523 33.144545 L 83.904879 33.144545 L 149.344293 33.144545 L 131.594974 33.144545 L 121.988742 29.343147 L 142.937283 33.144545 L 28.070321 23.641049 L 106.448252 33.144545 L 164.683584 33.144545 L 40.506185 33.144545 L 149.408683 28.392797 L 148.699478 33.144545 L 131.747537 23.007483 M 69.622513 33.144545 L 111.680569 33.144545 L 16.774278 33.144545 L 48.16176 28.392797 L 110.419999 33.144545 L 65.704832 23.641049 L 22.809174 30.61028 L 95.134009 33.144545 L 28.735096 33.144545 L 131.586486 33.144545 L 116.100827 33.144545 L 82.410991 29.976713 L 48.844505 33.144545 L 139.346292 29.976713 L 123.247478 29.976713 L 86.476799 33.144545 L 126.468953 33.144545 L 16.588909 33.144545 L 77.726828 31.560629 L 38.886347 33.144545 L 145.781215 29.65993 L 87.234946 33.144545 L 142.778909 33.144545 L 34.893953 33.144545 M 60.129689 33.144545 L 16.652152 31.243846 M 163.378889 33.144545 L 46.955637 33.144545 L 118.438511 24.274615 L 105.621127 33.144545 M 33.210719 33.144545 L 23.021996 33.144545 L 145.344481 33.144545 M 120.409893 24.274615 L 138.364846 33.144545 L 80.86686 31.243846 L 136.997137 33.144545 L 47.332723 33.144545 L 131.325256 33.144545 L 125.01636 29.976713 L 50.058963 33.144545 L 147.424836 24.274615 L 119.007236 33.144545 L 27.400576 33.144545 L 142.403429 33.144545 M 95.496564 33.144545 L 103.157186 30.293497 L 160.962285 33.144545 L 163.734332 33.144545 L 36.324216 33.144545 L 111.876415 33.144545 L 97.408527 29.65993 L 138.181389 33.144545 M 89.688486 33.144545 L 38.420859 33.144545 L 158.533674 33.144545 M 104.129991 33.144545 L 153.262203 27.125664 M 97.087955 33.144545 L 38.726443 33.144545 L 102.525218 33.144545 M 80.895996 33.144545 L 154.892518 33.144545 M 38.675818 33.144545 L 159.944514 33.144545 M 114.843544 33.144545 L 97.275465 27.125664 L 72.840471 25.541748 L 71.105313 33.144545 L 93.516082 33.144545 L 28.611516 33.144545 L 31.880635 30.61028 L 103.426598 33.144545 L 88.928886 29.343147 L 21.247531 33.144545 L 131.10188 33.144545 L 116.521425 33.144545 L 116.894228 29.026364 L 43.352182 33.144545 L 145.105964 24.908182 M 165.760621 33.144545 L 91.793389 33.144545 L 94.720752 33.144545 M 112.984424 33.144545 L 163.453602 27.125664 M 36.101222 33.144545 L 149.547404 33.144545 L 39.262209 33.144545 L 66.711515 19.522867 L 137.235654 33.144545 L 77.667638 29.026364 L 27.16397 31.243846 L 37.284174 33.144545 L 164.226126 33.144545 L 22.643305 33.144545 L 48.06311 20.79 M 94.395438 33.144545 L 44.963378 33.144545 L 80.846595 33.144545 L 62.685932 23.324266 L 110.667616 33.144545 L 153.052745 26.175315 L 109.417675 33.144545 L 39.875441 33.144545 L 140.139999 33.144545 L 138.257784 27.442448 L 33.947225 33.144545 L 115.696441 25.224965 M 71.690709 33.144545 L 141.748443 33.144545 L 142.553468 29.976713 L 15.334227 33.144545 L 135.276814 28.076014 L 37.367988 33.144545 L 149.472155 33.144545 M 160.906077 33.144545 L 125.150417 22.690699 L 153.894094 33.144545 L 18.68257 33.144545 L 157.455796 33.144545 L 139.406782 28.076014 L 152.882594 33.144545 L 142.679342 29.026364 L 154.493714 33.144545 L 24.152105 33.144545 L 166.98938 33.144545 L 79.104095 33.144545 M 69.90462 33.144545 L 23.41537 24.591399 L 30.190136 33.144545 L 123.880134 33.144545 L 22.952636 33.144545 L 76.298017 33.144545 M 58.334423 33.144545 L 156.325763 20.473217 L 75.150473 33.144545 L 166.276657 33.144545 L 21.324462 33.144545 L 64.549946 33.144545 L 32.575233 25.224965 L 154.979849 33.144545 L 27.527061 26.492098 L 76.24724 33.144545 L 19.771537 33.144545 L 165.17966 33.144545 L 67.504381 30.927063 L 49.533522 33.144545 L 26.054662 30.293497 M 77.329859 33.144545 L 14.809091 33.144545 L 109.560372 33.144545 L 102.691699 33.144545 L 166.64663 30.61028 L 147.849334 33.144545 L 24.396664 28.392797 M 130.10621 33.144545 L 147.966413 33.144545 L 26.154841 33.144545 L 129.402893 33.144545 L 123.958059 31.243846 L 72.292011 33.144545 L 68.447515 29.976713 M 41.628723 33.144545 L 147.567151 33.144545 L 48.750827 31.243846 L 91.077301 33.144545 L 42.486897 27.125664 L 15.091351 33.144545 L 96.480993 33.144545 L 29.949095 33.144545 L 104.032107 30.927063 L 66.041923 33.144545 L 78.598383 29.026364 L 83.82833 33.144545 L 41.041874 33.144545 L 165.261945 33.144545 M 120.85045 33.144545 L 107.332961 26.175315 L 110.91921 33.144545 L 38.353105 33.144545 L 149.775368 33.144545 L 100.065407 33.144545 L 19.787673 30.927063 L 81.067753 33.144545 L 58.118312 29.65993 L 81.347336 33.144545 L 152.417642 33.144545 L 26.840492 33.144545 L 49.156819 33.144545 L 81.260999 30.61028 L 68.413714 33.144545 L 105.602085 28.392797 L 158.535204 33.144545 L 18.912294 33.144545 L 128.21153 33.144545 L 49.971632 29.343147 L 25.745178 33.144545 L 100.955164 30.927063 M 39.396265 33.144545 L 164.560999 33.144545 L 23.286438 33.144545 L 139.281062 18.572517 L 111.218141 33.144545 L 135.332027 30.61028 L 46.939272 33.144545 L 160.308981 33.144545 L 42.111952 33.144545 L 21.076539 17.305385 L 105.134686 33.144545 M 140.542856 33.144545 L 143.37004 33.144545 L 48.435684 33.144545 M 156.576287 33.144545 L 122.641969 30.61028 L 69.058453 33.144545 L 26.116605 33.144545 L 161.275821 33.144545 L 124.337286 33.144545 M 97.615385 33.144545 L 148.13817 33.144545 L 20.43983 33.144545 L 35.250391 33.144545 L 91.910621 30.293497 M 127.82848 33.144545 L 52.17679 33.144545 L 30.929165 30.293497 L 144.734384 33.144545 M 134.469801 30.61028 L 35.348428 33.144545 L 143.627676 33.144545 L 91.813501 33.144545 L 69.392178 31.243846 L 77.105184 33.144545 M 115.806408 33.144545 L 21.694665 33.144545 L 123.309344 33.144545 L 86.811059 33.144545 M 38.292539 33.144545 L 158.941655 26.492098 L 86.752023 33.144545 L 158.631483 33.144545 L 39.296774 33.144545 L 57.945791 33.144545 L 76.240969 22.057133 M 29.389088 33.144545 L 132.786873 33.144545 L 94.838137 33.144545 M 152.163524 33.144545 L 123.59168 28.076014 L 53.890918 33.144545 L 163.840629 33.144545 L 24.036861 33.144545 L 81.205251 29.343147 L 159.939925 33.144545 L 16.879275 27.442448 L 16.879275 27.442448 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pe6909ac2d5">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>OtherUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pa4f5fb3962)" d="M 89.56766 33.144545 L 130.156988 33.144545 L 17.112363 33.144545 L 70.098324 33.144545 L 149.12887 27.442448 L 49.65626 33.144545 L 28.88567 24.274615 L 162.767645 8.435455 L 27.732925 33.144545 L 153.784051 33.144545 L 139.653559 33.144545 L 25.068398 30.61028 L 83.345178 33.144545 L 91.35979 24.908182 L 160.572964 33.144545 L 42.236679 33.144545 L 145.05748 33.144545 M 106.548201 28.076014 L 120.932658 33.144545 L 106.699923 26.808881 L 110.55719 33.144545 L 160.630241 33.144545 L 59.691043 33.144545 M 133.767708 33.144545 L 49.857 21.106783 L 76.98321 33.144545 L 162.991862 33.144545 L 95.267529 33.144545 L 22.855439 14.771119 L 127.11048 33.144545 L 114.359856 23.007483 M 48.290692 33.144545 L 45.146453 33.144545 L 62.639054 33.144545 M 43.135077 21.74035 L 94.370202 33.144545 M 97.172227 33.144545 L 21.792091 33.144545 L 41.269762 27.442448 L 66.486304 33.144545 L 150.970784 25.541748 L 140.228707 33.144545 L 40.82324 33.144545 L 166.990909 33.144545 L 136.192342 33.144545 M 56.234644 33.144545 L 109.479082 19.83965 L 77.03047 33.144545 L 34.049927 33.144545 L 45.382753 33.144545 L 45.799222 28.70958 L 159.531563 33.144545 L 137.63637 23.007483 L 21.496143 33.144545 L 16.248072 33.144545 L 143.726172 33.144545 L 113.143027 17.305385 L 36.386312 33.144545 L 37.994373 21.106783 M 101.210887 33.144545 L 56.631765 33.144545 L 106.586591 22.373916 L 15.232289 33.144545 L 135.509137 25.541748 M 143.749879 33.144545 L 155.344929 33.144545 L 21.844245 33.144545 L 72.791835 21.74035 L 26.047627 33.144545 L 132.425388 28.70958 L 23.867934 31.243846 L 106.075984 33.144545 L 14.998819 33.144545 L 107.682746 33.144545 L 160.98492 29.976713 L 127.479613 33.144545 L 77.884284 26.808881 L 71.748751 33.144545 L 28.472643 33.144545 L 163.742591 33.144545 L 33.964507 20.473217 L 151.806475 33.144545 L 94.452563 17.305385 L 115.29259 33.144545 L 104.14628 33.144545 L 162.390712 33.144545 L 46.145795 25.541748 L 151.978843 33.144545 L 99.327296 25.541748 M 131.090333 33.144545 L 62.290875 33.144545 L 157.641089 33.144545 L 121.339262 28.076014 L 55.465867 33.144545 L 115.165952 29.976713 L 109.586144 33.144545 L 158.913283 33.144545 L 115.788131 33.144545 L 43.236173 26.175315 L 70.669496 33.144545 L 123.878987 30.61028 M 143.92523 33.144545 L 83.904879 33.144545 L 149.344293 33.144545 L 131.594974 33.144545 L 121.988742 29.976713 L 142.937283 33.144545 L 28.070321 23.641049 L 106.448252 33.144545 L 164.683584 33.144545 L 40.506185 33.144545 L 149.408683 24.274615 L 148.699478 33.144545 L 131.747537 20.473217 M 69.622513 33.144545 L 111.680569 33.144545 L 16.774278 33.144545 L 48.16176 27.442448 L 110.419999 33.144545 L 65.704832 22.373916 L 22.809174 28.076014 L 95.134009 33.144545 L 28.735096 33.144545 L 131.586486 33.144545 L 116.100827 33.144545 L 82.410991 29.976713 L 48.844505 33.144545 L 139.346292 28.076014 L 123.247478 27.442448 L 86.476799 33.144545 L 126.468953 33.144545 L 16.588909 33.144545 L 77.726828 30.61028 L 38.886347 33.144545 L 145.781215 28.076014 L 87.234946 33.144545 L 142.778909 33.144545 L 34.893953 33.144545 M 60.129689 33.144545 L 16.652152 29.976713 M 163.378889 33.144545 L 46.955637 33.144545 L 118.438511 19.83965 L 105.621127 33.144545 M 33.210719 33.144545 L 23.021996 33.144545 L 145.344481 33.144545 M 120.409893 20.473217 L 138.364846 33.144545 L 80.86686 29.343147 L 136.997137 33.144545 L 47.332723 33.144545 L 131.325256 33.144545 L 125.01636 28.076014 L 50.058963 33.144545 L 147.424836 17.938951 L 119.007236 33.144545 L 27.400576 33.144545 L 142.403429 33.144545 M 95.496564 33.144545 L 103.157186 28.076014 L 160.962285 33.144545 L 163.734332 33.144545 L 36.324216 33.144545 L 111.876415 33.144545 L 97.408527 29.343147 L 138.181389 33.144545 M 89.688486 33.144545 L 38.420859 33.144545 L 158.533674 33.144545 M 104.129991 33.144545 L 153.262203 24.908182 M 97.087955 33.144545 L 38.726443 33.144545 L 102.525218 33.144545 M 80.895996 33.144545 L 154.892518 33.144545 M 38.675818 33.144545 L 159.944514 33.144545 M 114.843544 33.144545 L 97.275465 24.908182 L 72.840471 26.175315 L 71.105313 33.144545 L 93.516082 33.144545 L 28.611516 33.144545 L 31.880635 29.976713 L 103.426598 33.144545 L 88.928886 26.808881 L 21.247531 33.144545 L 131.10188 33.144545 L 116.521425 33.144545 L 116.894228 28.70958 L 43.352182 33.144545 L 145.105964 23.641049 M 165.760621 33.144545 L 91.793389 33.144545 L 94.720752 33.144545 M 112.984424 33.144545 L 163.453602 24.274615 M 36.101222 33.144545 L 149.547404 33.144545 L 39.262209 33.144545 L 66.711515 12.87042 L 137.235654 33.144545 L 77.667638 28.076014 L 27.16397 29.343147 L 37.284174 33.144545 L 164.226126 33.144545 L 22.643305 33.144545 L 48.06311 17.938951 M 94.395438 33.144545 L 44.963378 33.144545 L 80.846595 33.144545 L 62.685932 21.74035 L 110.667616 33.144545 L 153.052745 25.541748 L 109.417675 33.144545 L 39.875441 33.144545 L 140.139999 33.144545 L 138.257784 25.541748 L 33.947225 33.144545 L 115.696441 24.274615 M 71.690709 33.144545 L 141.748443 33.144545 L 142.553468 29.343147 L 15.334227 33.144545 L 135.276814 26.808881 L 37.367988 33.144545 L 149.472155 33.144545 M 160.906077 33.144545 L 125.150417 22.373916 L 153.894094 33.144545 L 18.68257 33.144545 L 157.455796 33.144545 L 139.406782 27.442448 L 152.882594 33.144545 L 142.679342 26.175315 L 154.493714 33.144545 L 24.152105 33.144545 L 166.98938 33.144545 L 79.104095 33.144545 M 69.90462 33.144545 L 23.41537 21.106783 L 30.190136 33.144545 L 123.880134 33.144545 L 22.952636 33.144545 L 76.298017 33.144545 M 58.334423 33.144545 L 156.325763 10.96972 L 75.150473 33.144545 L 166.276657 33.144545 L 21.324462 33.144545 L 64.549946 33.144545 L 32.575233 23.641049 L 154.979849 33.144545 L 27.527061 22.373916 L 76.24724 33.144545 L 19.771537 33.144545 L 165.17966 33.144545 L 67.504381 28.70958 L 49.533522 33.144545 L 26.054662 29.343147 M 77.329859 33.144545 L 14.809091 33.144545 L 109.560372 33.144545 L 102.691699 33.144545 L 166.64663 29.976713 L 147.849334 33.144545 L 24.396664 25.541748 M 130.10621 33.144545 L 147.966413 33.144545 L 26.154841 33.144545 L 129.402893 33.144545 L 123.958059 29.343147 L 72.292011 33.144545 L 68.447515 28.70958 M 41.628723 33.144545 L 147.567151 33.144545 L 48.750827 29.976713 L 91.077301 33.144545 L 42.486897 25.541748 L 15.091351 33.144545 L 96.480993 33.144545 L 29.949095 33.144545 L 104.032107 29.976713 L 66.041923 33.144545 L 78.598383 26.808881 L 83.82833 33.144545 L 41.041874 33.144545 L 165.261945 33.144545 M 120.85045 33.144545 L 107.332961 22.373916 L 110.91921 33.144545 L 38.353105 33.144545 L 149.775368 33.144545 L 100.065407 33.144545 L 19.787673 30.61028 L 81.067753 33.144545 L 58.118312 26.175315 L 81.347336 33.144545 L 152.417642 33.144545 L 26.840492 33.144545 L 49.156819 33.144545 L 81.260999 30.61028 L 68.413714 33.144545 L 105.602085 27.442448 L 158.535204 33.144545 L 18.912294 33.144545 L 128.21153 33.144545 L 49.971632 28.70958 L 25.745178 33.144545 L 100.955164 29.976713 M 39.396265 33.144545 L 164.560999 33.144545 L 23.286438 33.144545 L 139.281062 8.435455 L 111.218141 33.144545 L 135.332027 28.70958 L 46.939272 33.144545 L 160.308981 33.144545 L 42.111952 33.144545 L 21.076539 13.503986 L 105.134686 33.144545 M 140.542856 33.144545 L 143.37004 33.144545 L 48.435684 33.144545 M 156.576287 33.144545 L 122.641969 28.076014 L 69.058453 33.144545 L 26.116605 33.144545 L 161.275821 33.144545 L 124.337286 33.144545 M 97.615385 33.144545 L 148.13817 33.144545 L 20.43983 33.144545 L 35.250391 33.144545 L 91.910621 28.076014 M 127.82848 33.144545 L 52.17679 33.144545 L 30.929165 30.61028 L 144.734384 33.144545 M 134.469801 30.61028 L 35.348428 33.144545 L 143.627676 33.144545 L 91.813501 33.144545 L 69.392178 29.976713 L 77.105184 33.144545 M 115.806408 33.144545 L 21.694665 33.144545 L 123.309344 33.144545 L 86.811059 33.144545 M 38.292539 33.144545 L 158.941655 24.274615 L 86.752023 33.144545 L 158.631483 33.144545 L 39.296774 33.144545 L 57.945791 33.144545 L 76.240969 22.373916 M 29.389088 33.144545 L 132.786873 33.144545 L 94.838137 33.144545 M 152.163524 33.144545 L 123.59168 24.908182 L 53.890918 33.144545 L 163.840629 33.144545 L 24.036861 33.144545 L 81.205251 30.61028 L 159.939925 33.144545 L 16.879275 26.175315 L 16.879275 26.175315 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pa4f5fb3962">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>Other$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pdfe03d914a)" d="M 89.56766 33.144545 L 149.12887 33.112557 L 17.112363 33.144545 L 49.65626 33.144545 L 28.88567 32.62685 L 162.767645 26.860274 L 27.732925 33.144545 L 153.784051 33.144545 L 139.653559 33.144545 L 25.068398 32.932516 L 83.345178 33.144545 L 91.35979 31.521541 L 160.572964 33.144545 L 42.236679 33.144545 L 145.05748 33.144545 M 106.548201 32.475169 L 120.932658 33.144545 L 106.699923 33.078639 L 144.877541 33.144545 L 160.630241 33.144545 L 59.691043 33.144545 M 133.767708 33.144545 L 49.857 29.564476 L 76.98321 33.144545 L 162.991862 33.144545 L 95.267529 33.144545 L 22.855439 30.259059 L 127.11048 33.144545 L 114.359856 25.15263 M 48.290692 33.144545 L 45.146453 33.144545 L 62.639054 33.144545 M 43.135077 31.902641 L 94.370202 33.144545 M 97.172227 33.144545 L 21.792091 33.144545 L 41.269762 32.641453 L 66.486304 33.144545 L 150.970784 29.874095 L 140.228707 33.144545 L 40.82324 33.144545 L 166.990909 33.144545 L 136.192342 33.144545 M 56.234644 33.144545 L 109.479082 29.221165 L 77.03047 33.144545 L 34.049927 33.144545 L 45.382753 33.144545 L 45.799222 32.208625 L 159.531563 33.144545 L 137.63637 32.843309 L 16.248072 33.144545 L 143.726172 33.144545 L 113.143027 32.551541 L 36.386312 33.144545 L 37.994373 31.665621 M 101.210887 33.144545 L 56.631765 33.144545 L 106.586591 32.212673 L 15.232289 33.144545 L 135.509137 32.52119 M 143.749879 33.144545 L 155.344929 33.144545 L 21.844245 33.144545 L 72.791835 32.386937 L 26.047627 33.144545 L 132.425388 32.998596 L 23.867934 32.465379 L 106.075984 33.144545 L 97.984899 33.144545 L 14.998819 33.144545 L 107.682746 33.144545 L 160.98492 32.658356 L 127.479613 33.144545 L 77.884284 11.394761 L 71.748751 33.144545 L 28.472643 33.144545 L 163.742591 33.144545 L 33.964507 31.697636 L 151.806475 33.144545 L 94.452563 8.435455 L 115.29259 33.144545 L 104.14628 33.144545 L 162.390712 33.144545 L 46.145795 32.441914 L 151.978843 33.144545 L 99.327296 24.146282 M 131.090333 33.144545 L 62.290875 33.144545 L 157.641089 33.144545 L 121.339262 32.882515 L 55.465867 33.144545 L 115.165952 31.350926 L 109.586144 33.144545 L 158.913283 33.144545 L 115.788131 33.144545 L 43.236173 32.947893 L 70.669496 33.144545 L 123.878987 31.084962 M 143.92523 33.144545 L 83.904879 33.144545 L 149.344293 33.144545 L 131.594974 33.144545 L 121.988742 31.903136 L 142.937283 33.144545 L 28.070321 22.109094 L 106.448252 33.144545 L 164.683584 33.144545 L 40.506185 33.144545 L 149.408683 31.728646 L 148.699478 33.144545 L 131.747537 32.107449 M 69.622513 33.144545 L 111.680569 33.144545 L 16.774278 33.144545 L 48.16176 32.620515 L 110.419999 33.144545 L 65.704832 29.489288 L 22.809174 32.745185 L 95.134009 33.144545 L 28.735096 33.144545 L 131.586486 33.144545 L 116.100827 33.144545 L 82.410991 32.331122 L 48.844505 33.144545 L 139.346292 30.565299 L 123.247478 26.042927 L 86.476799 33.144545 L 126.468953 33.144545 L 16.588909 33.144545 L 77.726828 31.411376 L 38.886347 33.144545 L 145.781215 31.236883 L 87.234946 33.144545 L 142.778909 33.144545 L 34.893953 33.144545 M 60.129689 33.144545 L 16.652152 32.967536 M 163.378889 33.144545 L 46.955637 33.144545 L 118.438511 31.895416 L 105.621127 33.144545 M 33.210719 33.144545 L 23.021996 33.144545 L 145.344481 33.144545 M 120.409893 32.198464 L 138.364846 33.144545 L 80.86686 30.890111 L 136.997137 33.144545 L 47.332723 33.144545 L 131.325256 33.144545 L 125.01636 32.551453 L 50.058963 33.144545 L 147.424836 32.447383 L 119.007236 33.144545 L 122.203782 33.144545 L 27.400576 33.144545 L 142.403429 33.144545 M 95.496564 33.144545 L 103.157186 32.065697 L 163.734332 33.144545 L 36.324216 33.144545 L 111.876415 33.144545 L 97.408527 31.020106 L 138.181389 33.144545 M 89.688486 33.144545 L 38.420859 33.144545 L 158.533674 33.144545 M 104.129991 33.144545 L 153.262203 32.337359 M 97.087955 33.144545 L 38.726443 33.144545 L 102.525218 33.144545 M 80.895996 33.144545 L 154.892518 33.144545 M 38.675818 33.144545 L 159.944514 33.144545 M 114.843544 33.144545 L 97.275465 33.00169 L 72.840471 13.36911 L 71.105313 33.144545 L 93.516082 33.144545 L 28.611516 33.144545 L 31.880635 32.74736 L 103.426598 33.144545 L 88.928886 33.026103 L 21.247531 33.144545 L 57.815099 33.144545 L 131.10188 33.144545 L 116.521425 33.144545 L 116.894228 32.548631 L 43.352182 33.144545 L 145.105964 32.513247 M 165.760621 33.144545 L 91.793389 33.144545 L 94.720752 33.144545 M 112.984424 33.144545 L 163.453602 32.782915 M 36.101222 33.144545 L 149.547404 33.144545 L 39.262209 33.144545 L 66.711515 32.685069 L 137.235654 33.144545 L 77.667638 32.671067 L 27.16397 31.488956 L 37.284174 33.144545 L 164.226126 33.144545 L 22.643305 33.144545 L 48.06311 31.592293 M 94.395438 33.144545 L 44.963378 33.144545 L 80.846595 33.144545 L 62.685932 31.80307 L 110.667616 33.144545 L 153.052745 32.052183 L 109.417675 33.144545 L 39.875441 33.144545 L 140.139999 33.144545 L 138.257784 28.849636 L 33.947225 33.144545 L 115.696441 29.704405 M 71.690709 33.144545 L 141.748443 33.144545 L 142.553468 31.812 L 15.334227 33.144545 L 135.276814 28.269755 L 37.367988 33.144545 L 149.472155 33.144545 M 160.906077 33.144545 L 125.150417 25.50053 L 153.894094 33.144545 L 18.68257 33.144545 L 157.455796 33.144545 L 139.406782 32.338114 L 152.882594 33.144545 L 142.679342 31.171892 L 154.493714 33.144545 L 24.152105 33.144545 L 166.98938 33.144545 L 79.104095 33.144545 M 69.90462 33.144545 L 23.41537 26.020207 L 30.190136 33.144545 L 123.880134 33.144545 L 22.952636 33.144545 L 76.298017 33.144545 M 58.334423 33.144545 L 156.325763 31.882575 L 75.150473 33.144545 L 166.276657 33.144545 L 21.324462 33.144545 L 64.549946 33.144545 L 32.575233 32.796212 L 154.979849 33.144545 L 27.527061 31.829123 L 76.24724 33.144545 L 165.17966 33.144545 L 19.771537 33.144545 L 49.533522 33.144545 L 26.054662 31.541699 M 77.329859 33.144545 L 14.809091 33.144545 L 109.560372 33.144545 L 102.691699 33.144545 L 166.64663 33.006431 L 147.849334 33.144545 L 24.396664 28.776355 M 130.10621 33.144545 L 147.966413 33.144545 L 26.154841 33.144545 L 72.292011 33.144545 L 68.447515 32.441855 M 41.628723 33.144545 L 147.567151 33.144545 L 48.750827 32.89954 L 91.077301 33.144545 L 42.486897 30.694552 L 15.091351 33.144545 L 104.032107 33.046434 L 66.041923 33.144545 L 78.598383 31.032026 L 83.82833 33.144545 L 41.041874 33.144545 L 165.261945 33.144545 M 120.85045 33.144545 L 107.332961 32.630298 L 110.91921 33.144545 L 38.353105 33.144545 L 149.775368 33.144545 L 100.065407 33.144545 L 19.787673 32.782252 L 81.067753 33.144545 L 58.118312 32.233182 L 81.347336 33.144545 L 152.417642 33.144545 L 26.840492 33.144545 L 49.156819 33.144545 L 81.260999 32.966247 L 68.413714 33.144545 L 105.602085 32.549589 L 158.535204 33.144545 L 18.912294 33.144545 L 128.21153 33.144545 L 49.971632 32.72586 L 25.745178 33.144545 L 100.955164 32.7069 M 39.396265 33.144545 L 164.560999 33.144545 L 23.286438 33.144545 L 139.281062 31.975965 L 111.218141 33.144545 L 135.332027 32.199832 L 46.939272 33.144545 L 160.308981 33.144545 L 42.111952 33.144545 L 21.076539 31.686185 L 105.134686 33.144545 M 140.542856 33.144545 L 143.37004 33.144545 L 48.435684 33.144545 M 156.576287 33.144545 L 122.641969 33.045329 L 26.116605 33.144545 L 161.275821 33.144545 L 124.337286 33.144545 M 97.615385 33.144545 L 148.13817 33.144545 L 20.43983 33.144545 L 35.250391 33.144545 L 91.910621 32.463866 M 127.82848 33.144545 L 52.17679 33.144545 L 30.929165 32.912457 L 144.734384 33.144545 M 134.469801 27.800647 L 35.348428 33.144545 L 143.627676 33.144545 L 91.813501 33.144545 L 69.392178 32.947345 L 77.105184 33.144545 M 115.806408 33.144545 L 21.694665 33.144545 L 123.309344 33.144545 L 86.811059 33.144545 M 38.292539 33.144545 L 158.941655 32.780536 L 86.752023 33.144545 L 158.631483 33.144545 L 39.296774 33.144545 L 57.945791 33.144545 L 76.240969 31.456495 M 29.389088 33.144545 L 132.786873 33.144545 L 94.838137 33.144545 M 152.163524 33.144545 L 123.59168 32.892073 L 24.446218 33.144545 L 163.840629 33.144545 L 24.036861 33.144545 L 81.205251 32.974718 L 159.939925 33.144545 L 16.879275 32.00004 L 16.879275 32.00004 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pdfe03d914a">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>counter<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pf6b6e17c55)" d="M 89.56766 21.006326 L 166.990909 8.435455 L 14.809091 33.144545 L 66.992092 24.671822 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pf6b6e17c55">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>0</th>
      <td>AGENCY PASS-THRU (TBA, STIP, $ ROLLS)</td>
      <td>SINGLE FAMILY 15Y</td>
      <td>2019-08-01</td>
      <td>1029.0</td>
      <td>16.0</td>
      <td>10367700.2</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>985591</td>
    </tr>
    <tr>
      <th>1</th>
      <td>AGENCY PASS-THRU (TBA, STIP, $ ROLLS)</td>
      <td>SINGLE FAMILY 30Y</td>
      <td>2019-08-01</td>
      <td>6773.0</td>
      <td>24.0</td>
      <td>186632371.9</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>5.0</td>
      <td>4.0</td>
      <td>102700.0</td>
      <td>2015.0</td>
      <td>35.0</td>
      <td>41183055.9</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>1516362</td>
    </tr>
    <tr>
      <th>2</th>
      <td>AGENCY PASS-THRU (TBA, STIP, $ ROLLS)</td>
      <td>OTHER</td>
      <td>2019-08-01</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>17.0</td>
      <td>10.0</td>
      <td>372127.4</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>16.0</td>
      <td>9.0</td>
      <td>279696.4</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>38121</td>
    </tr>
    <tr>
      <th>...</th>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
    </tr>
    <tr>
      <th>582</th>
      <td>AGENCY PASS-THRU (SPECIFIED)</td>
      <td>OTHER</td>
      <td>2019-10-31</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>1905822</td>
    </tr>
    <tr>
      <th>583</th>
      <td>AGENCY CMO</td>
      <td>P&I</td>
      <td>2019-10-31</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>280.0</td>
      <td>145.0</td>
      <td>205136.0</td>
      <td>297.0</td>
      <td>152.0</td>
      <td>194484.0</td>
      <td>209.0</td>
      <td>117.0</td>
      <td>78706.8</td>
      <td>18.0</td>
      <td>11.0</td>
      <td>34884.2</td>
      <td>35073</td>
    </tr>
    <tr>
      <th>584</th>
      <td>AGENCY CMO</td>
      <td>IO/PO</td>
      <td>2019-10-31</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>29.0</td>
      <td>17.0</td>
      <td>303877.5</td>
      <td>34.0</td>
      <td>16.0</td>
      <td>321216.4</td>
      <td>39.0</td>
      <td>21.0</td>
      <td>336688.5</td>
      <td>NaN</td>
      <td>NaN</td>
      <td>NaN</td>
      <td>690379</td>
    </tr>
  </tbody>
</table>



### 6. A df that truncates view if all you wanna do is see a head()-type summary.


```python
spkly.display(df=df, max_rows=5, max_cols=6)
```




<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>AssetClass</th>
      <th>AssetClassSubType</th>
      <th>Date</th>
      <th>...</th>
      <th>OtherTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pcc7905f631)" d="M 14.809091 33.144545 L 15.85322 33.144545 L 16.114252 29.976713 L 16.375285 33.144545 L 16.636317 27.125664 L 16.897349 8.435455 L 17.158381 33.144545 L 18.202511 33.144545 L 18.463543 31.560629 L 18.724575 33.144545 L 18.985607 29.026364 L 19.24664 33.144545 L 20.290769 33.144545 M 20.812833 28.076014 L 21.073866 33.144545 L 21.334898 28.392797 L 21.59593 33.144545 L 22.640059 33.144545 M 23.423156 33.144545 L 23.684188 21.423566 L 23.945221 33.144545 L 25.250382 33.144545 L 25.511414 21.423566 L 25.772447 33.144545 L 26.033479 24.908182 M 26.555543 33.144545 L 27.33864 33.144545 M 27.860705 24.591399 L 28.121737 33.144545 M 28.643802 33.144545 L 29.948963 33.144545 L 30.209995 29.976713 L 30.471028 33.144545 L 30.73206 24.274615 L 30.993092 33.144545 L 32.298254 33.144545 M 32.820318 33.144545 L 33.08135 18.889301 L 33.342383 33.144545 L 34.647544 33.144545 L 34.908576 30.927063 L 35.169609 33.144545 L 35.430641 25.224965 L 35.691673 33.144545 L 36.996835 33.144545 L 37.257867 21.423566 L 37.518899 33.144545 L 37.779931 21.74035 M 38.301996 33.144545 L 39.346125 33.144545 L 39.607157 23.957832 L 39.86819 33.144545 L 40.129222 28.70958 M 40.651286 33.144545 L 41.695416 33.144545 L 41.956448 24.908182 L 42.21748 33.144545 L 42.478512 30.61028 L 42.739545 30.61028 L 43.000577 33.144545 L 44.044706 33.144545 L 44.305738 31.243846 L 44.566771 33.144545 L 44.827803 25.541748 L 45.088835 33.144545 L 46.393997 33.144545 L 46.655029 25.858531 L 46.916061 33.144545 L 47.177093 20.156434 L 47.438126 33.144545 L 48.743287 33.144545 L 49.004319 26.808881 L 49.265352 33.144545 L 49.526384 20.473217 M 50.048448 33.144545 L 51.092578 33.144545 L 51.35361 30.293497 L 51.614642 33.144545 L 51.875674 30.293497 L 52.136707 33.144545 L 53.441868 33.144545 L 53.7029 29.65993 L 53.963933 33.144545 L 54.224965 28.70958 M 54.747029 33.144545 L 55.791159 33.144545 L 56.052191 29.343147 L 56.313223 33.144545 L 56.574255 23.641049 L 56.835288 33.144545 L 58.140449 33.144545 L 58.401481 28.392797 L 58.662514 33.144545 L 58.923546 23.007483 M 59.44561 33.144545 L 60.48974 33.144545 L 60.750772 28.392797 L 61.011804 33.144545 L 61.272836 23.641049 L 61.533869 30.61028 L 61.794901 33.144545 L 62.83903 33.144545 L 63.100062 29.976713 L 63.361095 33.144545 L 63.622127 29.976713 L 63.883159 29.976713 L 64.144191 33.144545 L 65.188321 33.144545 L 65.449353 31.560629 L 65.710385 33.144545 L 65.971417 29.65993 L 66.23245 33.144545 L 67.537611 33.144545 M 68.059676 33.144545 L 68.320708 31.243846 M 68.842772 33.144545 L 69.886902 33.144545 L 70.147934 24.274615 L 70.408966 33.144545 M 70.931031 33.144545 L 71.97516 33.144545 M 72.497224 24.274615 L 72.758257 33.144545 L 73.019289 31.243846 L 73.280321 33.144545 L 74.585483 33.144545 L 74.846515 29.976713 L 75.107547 33.144545 L 75.368579 24.274615 L 75.629612 33.144545 L 76.934773 33.144545 M 77.456838 33.144545 L 77.71787 30.293497 L 77.978902 33.144545 L 79.284064 33.144545 L 79.545096 29.65993 L 79.806128 33.144545 M 80.328193 33.144545 L 81.633354 33.144545 M 82.155419 33.144545 L 82.416451 27.125664 M 82.938516 33.144545 L 83.982645 33.144545 M 84.504709 33.144545 L 84.765741 33.144545 M 85.287806 33.144545 L 86.331935 33.144545 M 86.854 33.144545 L 87.115032 27.125664 L 87.376064 25.541748 L 87.637097 33.144545 L 88.681226 33.144545 L 88.942258 30.61028 L 89.20329 33.144545 L 89.464322 29.343147 L 89.725355 33.144545 L 91.030516 33.144545 L 91.291548 29.026364 L 91.552581 33.144545 L 91.813613 24.908182 M 92.335678 33.144545 L 93.379807 33.144545 M 93.901871 33.144545 L 94.162903 27.125664 M 94.684968 33.144545 L 95.729097 33.144545 L 95.990129 19.522867 L 96.251162 33.144545 L 96.512194 29.026364 L 97.034259 33.144545 L 98.600452 33.144545 L 98.861484 20.79 M 99.383549 33.144545 L 100.427678 33.144545 L 100.68871 23.324266 L 100.949743 33.144545 L 101.210775 26.175315 L 101.471807 33.144545 L 102.776969 33.144545 L 103.038001 27.442448 L 103.299033 33.144545 L 103.560065 25.224965 M 104.08213 33.144545 L 105.126259 33.144545 L 105.387291 29.976713 L 105.648324 33.144545 L 105.909356 28.076014 L 106.170388 33.144545 L 107.47555 33.144545 M 107.997614 33.144545 L 108.258646 22.690699 L 108.519679 33.144545 L 109.82484 33.144545 L 110.085872 28.076014 L 110.346905 33.144545 L 110.607937 29.026364 L 110.868969 33.144545 L 112.174131 33.144545 M 112.696195 33.144545 L 112.957228 24.591399 L 113.21826 33.144545 L 114.523421 33.144545 M 115.045486 33.144545 L 115.306518 20.473217 L 115.56755 33.144545 L 116.872712 33.144545 L 117.133744 25.224965 L 117.394776 33.144545 L 117.655809 26.492098 L 117.916841 33.144545 L 119.222002 33.144545 L 119.483034 30.927063 L 119.744067 33.144545 L 120.005099 30.293497 M 120.527164 33.144545 L 121.571293 33.144545 L 121.832325 30.61028 L 122.093357 33.144545 L 122.35439 28.392797 M 122.876454 33.144545 L 123.920583 33.144545 L 124.181615 31.243846 L 124.442648 33.144545 L 124.70368 29.976713 M 125.225745 33.144545 L 126.269874 33.144545 L 126.530906 31.243846 L 126.791938 33.144545 L 127.052971 27.125664 L 127.314003 33.144545 L 128.619164 33.144545 L 128.880196 30.927063 L 129.141229 33.144545 L 129.402261 29.026364 L 129.663293 33.144545 L 130.968455 33.144545 M 131.490519 33.144545 L 131.751552 26.175315 L 132.012584 33.144545 L 133.317745 33.144545 L 133.578777 30.927063 L 133.83981 33.144545 L 134.100842 29.65993 L 134.361874 33.144545 L 138.016326 33.144545 L 138.277358 30.61028 L 138.538391 33.144545 L 138.799423 28.392797 L 139.060455 33.144545 L 140.365617 33.144545 L 140.626649 29.343147 L 140.887681 33.144545 L 141.148714 30.927063 M 141.670778 33.144545 L 142.714907 33.144545 L 142.975939 18.572517 L 143.236972 33.144545 L 143.498004 30.61028 L 143.759036 33.144545 L 145.064198 33.144545 L 145.32523 17.305385 L 145.586262 33.144545 M 146.108327 33.144545 L 147.413488 33.144545 M 147.935553 33.144545 L 148.196585 30.61028 L 148.457617 33.144545 L 149.762779 33.144545 M 151.06794 33.144545 L 152.634134 33.144545 L 152.895166 30.293497 M 153.417231 33.144545 L 154.46136 33.144545 L 154.722392 30.293497 L 154.983424 33.144545 M 155.505489 30.61028 L 155.766521 33.144545 L 156.81065 33.144545 L 157.071683 31.243846 L 157.332715 33.144545 M 158.115812 33.144545 L 159.159941 33.144545 M 159.682005 33.144545 L 159.943038 26.492098 L 160.20407 33.144545 L 162.031296 33.144545 L 162.292328 22.057133 M 162.814393 33.144545 L 163.858522 33.144545 M 164.380586 33.144545 L 164.641619 28.076014 L 164.902651 33.144545 L 166.207812 33.144545 L 166.468845 29.343147 L 166.729877 33.144545 L 166.990909 27.442448 L 166.990909 27.442448 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pcc7905f631">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>OtherUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p97ce24d017)" d="M 14.809091 33.144545 L 15.85322 33.144545 L 16.114252 27.442448 L 16.375285 33.144545 L 16.636317 24.274615 L 16.897349 8.435455 L 17.158381 33.144545 L 18.202511 33.144545 L 18.463543 30.61028 L 18.724575 33.144545 L 18.985607 24.908182 L 19.24664 33.144545 L 20.290769 33.144545 M 20.812833 28.076014 L 21.073866 33.144545 L 21.334898 26.808881 L 21.59593 33.144545 L 22.640059 33.144545 M 23.423156 33.144545 L 23.684188 21.106783 L 23.945221 33.144545 L 25.250382 33.144545 L 25.511414 14.771119 L 25.772447 33.144545 L 26.033479 23.007483 M 26.555543 33.144545 L 27.33864 33.144545 M 27.860705 21.74035 L 28.121737 33.144545 M 28.643802 33.144545 L 29.948963 33.144545 L 30.209995 27.442448 L 30.471028 33.144545 L 30.73206 25.541748 L 30.993092 33.144545 L 32.298254 33.144545 M 32.820318 33.144545 L 33.08135 19.83965 L 33.342383 33.144545 L 34.647544 33.144545 L 34.908576 28.70958 L 35.169609 33.144545 L 35.430641 23.007483 L 35.691673 33.144545 L 36.996835 33.144545 L 37.257867 17.305385 L 37.518899 33.144545 L 37.779931 21.106783 M 38.301996 33.144545 L 39.346125 33.144545 L 39.607157 22.373916 L 39.86819 33.144545 L 40.129222 25.541748 M 40.651286 33.144545 L 41.695416 33.144545 L 41.956448 21.74035 L 42.21748 33.144545 L 42.478512 28.70958 L 43.000577 33.144545 L 44.044706 33.144545 L 44.305738 29.976713 L 44.566771 33.144545 L 44.827803 26.808881 L 45.088835 33.144545 L 46.393997 33.144545 L 46.655029 20.473217 L 46.916061 33.144545 L 47.177093 17.305385 L 47.438126 33.144545 L 48.743287 33.144545 L 49.004319 25.541748 L 49.265352 33.144545 L 49.526384 25.541748 M 50.048448 33.144545 L 51.092578 33.144545 L 51.35361 28.076014 L 51.614642 33.144545 L 51.875674 29.976713 L 52.136707 33.144545 L 53.441868 33.144545 L 53.7029 26.175315 L 53.963933 33.144545 L 54.224965 30.61028 M 54.747029 33.144545 L 55.791159 33.144545 L 56.052191 29.976713 L 56.313223 33.144545 L 56.574255 23.641049 L 56.835288 33.144545 L 58.140449 33.144545 L 58.401481 24.274615 L 58.662514 33.144545 L 58.923546 20.473217 M 59.44561 33.144545 L 60.48974 33.144545 L 60.750772 27.442448 L 61.011804 33.144545 L 61.272836 22.373916 L 61.794901 33.144545 L 62.83903 33.144545 L 63.100062 29.976713 L 63.361095 33.144545 L 63.622127 28.076014 L 63.883159 27.442448 L 64.144191 33.144545 L 65.188321 33.144545 L 65.449353 30.61028 L 65.710385 33.144545 L 65.971417 28.076014 L 66.23245 33.144545 L 67.537611 33.144545 M 68.059676 33.144545 L 68.320708 29.976713 M 68.842772 33.144545 L 69.886902 33.144545 L 70.147934 19.83965 L 70.408966 33.144545 M 70.931031 33.144545 L 71.97516 33.144545 M 72.497224 20.473217 L 72.758257 33.144545 L 73.019289 29.343147 L 73.280321 33.144545 L 74.585483 33.144545 L 74.846515 28.076014 L 75.107547 33.144545 L 75.368579 17.938951 L 75.629612 33.144545 L 76.934773 33.144545 M 77.456838 33.144545 L 77.71787 28.076014 L 77.978902 33.144545 L 79.284064 33.144545 L 79.545096 29.343147 L 79.806128 33.144545 M 80.328193 33.144545 L 81.633354 33.144545 M 82.155419 33.144545 L 82.416451 24.908182 M 82.938516 33.144545 L 83.982645 33.144545 M 84.504709 33.144545 L 84.765741 33.144545 M 85.287806 33.144545 L 86.331935 33.144545 M 86.854 33.144545 L 87.115032 24.908182 L 87.376064 26.175315 L 87.637097 33.144545 L 88.681226 33.144545 L 88.942258 29.976713 L 89.20329 33.144545 L 89.464322 26.808881 L 89.725355 33.144545 L 91.030516 33.144545 L 91.291548 28.70958 L 91.552581 33.144545 L 91.813613 23.641049 M 92.335678 33.144545 L 93.379807 33.144545 M 93.901871 33.144545 L 94.162903 24.274615 M 94.684968 33.144545 L 95.729097 33.144545 L 95.990129 12.87042 L 96.251162 33.144545 L 96.512194 28.076014 L 96.773226 29.343147 L 97.034259 33.144545 L 98.600452 33.144545 L 98.861484 17.938951 M 99.383549 33.144545 L 100.427678 33.144545 L 100.68871 21.74035 L 100.949743 33.144545 L 101.210775 25.541748 L 101.471807 33.144545 L 102.776969 33.144545 L 103.038001 25.541748 L 103.299033 33.144545 L 103.560065 24.274615 M 104.08213 33.144545 L 105.126259 33.144545 L 105.387291 29.343147 L 105.648324 33.144545 L 105.909356 26.808881 L 106.170388 33.144545 L 107.47555 33.144545 M 107.997614 33.144545 L 108.258646 22.373916 L 108.519679 33.144545 L 109.82484 33.144545 L 110.085872 27.442448 L 110.346905 33.144545 L 110.607937 26.175315 L 110.868969 33.144545 L 112.174131 33.144545 M 112.696195 33.144545 L 112.957228 21.106783 L 113.21826 33.144545 L 114.523421 33.144545 M 115.045486 33.144545 L 115.306518 10.96972 L 115.56755 33.144545 L 116.872712 33.144545 L 117.133744 23.641049 L 117.394776 33.144545 L 117.655809 22.373916 L 117.916841 33.144545 L 119.222002 33.144545 L 119.483034 28.70958 L 119.744067 33.144545 L 120.005099 29.343147 M 120.527164 33.144545 L 121.571293 33.144545 L 121.832325 29.976713 L 122.093357 33.144545 L 122.35439 25.541748 M 122.876454 33.144545 L 123.920583 33.144545 L 124.181615 29.343147 L 124.442648 33.144545 L 124.70368 28.70958 M 125.225745 33.144545 L 126.269874 33.144545 L 126.530906 29.976713 L 126.791938 33.144545 L 127.052971 25.541748 L 127.314003 33.144545 L 128.619164 33.144545 L 128.880196 29.976713 L 129.141229 33.144545 L 129.402261 26.808881 L 129.663293 33.144545 L 130.968455 33.144545 M 131.490519 33.144545 L 131.751552 22.373916 L 132.012584 33.144545 L 133.317745 33.144545 L 133.578777 30.61028 L 133.83981 33.144545 L 134.100842 26.175315 L 134.361874 33.144545 L 138.016326 33.144545 L 138.277358 30.61028 L 138.538391 33.144545 L 138.799423 27.442448 L 139.060455 33.144545 L 140.365617 33.144545 L 140.626649 28.70958 L 140.887681 33.144545 L 141.148714 29.976713 M 141.670778 33.144545 L 142.714907 33.144545 L 142.975939 8.435455 L 143.236972 33.144545 L 143.498004 28.70958 L 143.759036 33.144545 L 145.064198 33.144545 L 145.32523 13.503986 L 145.586262 33.144545 M 146.108327 33.144545 L 147.413488 33.144545 M 147.935553 33.144545 L 148.196585 28.076014 L 148.457617 33.144545 L 149.762779 33.144545 M 151.06794 33.144545 L 152.634134 33.144545 L 152.895166 28.076014 M 153.417231 33.144545 L 154.46136 33.144545 L 154.722392 30.61028 L 154.983424 33.144545 M 155.505489 30.61028 L 155.766521 33.144545 L 156.81065 33.144545 L 157.071683 29.976713 L 157.332715 33.144545 M 158.115812 33.144545 L 159.159941 33.144545 M 159.682005 33.144545 L 159.943038 24.274615 L 160.20407 33.144545 L 162.031296 33.144545 L 162.292328 22.373916 M 162.814393 33.144545 L 163.858522 33.144545 M 164.380586 33.144545 L 164.641619 24.908182 L 164.902651 33.144545 L 166.207812 33.144545 L 166.468845 30.61028 L 166.729877 33.144545 L 166.990909 26.175315 L 166.990909 26.175315 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p97ce24d017">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>Other$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p4fcdba9a3a)" d="M 14.809091 33.144545 L 16.375285 33.144545 L 16.636317 32.62685 L 16.897349 26.860274 L 17.158381 33.144545 L 18.202511 33.144545 L 18.463543 32.932516 L 18.724575 33.144545 L 18.985607 31.521541 L 19.24664 33.144545 L 20.290769 33.144545 M 20.812833 32.475169 L 21.073866 33.144545 L 21.334898 33.078639 L 21.856962 33.144545 L 22.640059 33.144545 M 23.423156 33.144545 L 23.684188 29.564476 L 23.945221 33.144545 L 25.250382 33.144545 L 25.511414 30.259059 L 25.772447 33.144545 L 26.033479 25.15263 M 26.555543 33.144545 L 27.33864 33.144545 M 27.860705 31.902641 L 28.121737 33.144545 M 28.643802 33.144545 L 29.948963 33.144545 L 30.209995 32.641453 L 30.471028 33.144545 L 30.73206 29.874095 L 30.993092 33.144545 L 32.298254 33.144545 M 32.820318 33.144545 L 33.08135 29.221165 L 33.342383 33.144545 L 34.647544 33.144545 L 34.908576 32.208625 L 35.169609 33.144545 L 35.430641 32.843309 L 35.691673 33.144545 L 36.996835 33.144545 L 37.257867 32.551541 L 37.518899 33.144545 L 37.779931 31.665621 M 38.301996 33.144545 L 39.346125 33.144545 L 39.607157 32.212673 L 39.86819 33.144545 L 40.129222 32.52119 M 40.651286 33.144545 L 41.695416 33.144545 L 41.956448 32.386937 L 42.21748 33.144545 L 42.478512 32.998596 L 42.739545 32.465379 L 43.000577 33.144545 L 44.044706 33.144545 L 44.305738 32.658356 L 44.566771 33.144545 L 44.827803 11.394761 L 45.088835 33.144545 L 46.393997 33.144545 L 46.655029 31.697636 L 46.916061 33.144545 L 47.177093 8.435455 L 47.438126 33.144545 L 48.743287 33.144545 L 49.004319 32.441914 L 49.265352 33.144545 L 49.526384 24.146282 M 50.048448 33.144545 L 51.092578 33.144545 L 51.35361 32.882515 L 51.614642 33.144545 L 51.875674 31.350926 L 52.136707 33.144545 L 53.441868 33.144545 L 53.7029 32.947893 L 53.963933 33.144545 L 54.224965 31.084962 M 54.747029 33.144545 L 55.791159 33.144545 L 56.052191 31.903136 L 56.313223 33.144545 L 56.574255 22.109094 L 56.835288 33.144545 L 58.140449 33.144545 L 58.401481 31.728646 L 58.662514 33.144545 L 58.923546 32.107449 M 59.44561 33.144545 L 60.48974 33.144545 L 60.750772 32.620515 L 61.011804 33.144545 L 61.272836 29.489288 L 61.533869 32.745185 L 61.794901 33.144545 L 62.83903 33.144545 L 63.100062 32.331122 L 63.361095 33.144545 L 63.622127 30.565299 L 63.883159 26.042927 L 64.144191 33.144545 L 65.188321 33.144545 L 65.449353 31.411376 L 65.710385 33.144545 L 65.971417 31.236883 L 66.23245 33.144545 L 67.537611 33.144545 M 68.059676 33.144545 L 68.320708 32.967536 M 68.842772 33.144545 L 69.886902 33.144545 L 70.147934 31.895416 L 70.408966 33.144545 M 70.931031 33.144545 L 71.97516 33.144545 M 72.497224 32.198464 L 72.758257 33.144545 L 73.019289 30.890111 L 73.280321 33.144545 L 74.585483 33.144545 L 74.846515 32.551453 L 75.107547 33.144545 L 75.368579 32.447383 L 75.629612 33.144545 L 76.934773 33.144545 M 77.456838 33.144545 L 77.71787 32.065697 L 77.978902 33.144545 L 79.284064 33.144545 L 79.545096 31.020106 L 79.806128 33.144545 M 80.328193 33.144545 L 81.633354 33.144545 M 82.155419 33.144545 L 82.416451 32.337359 M 82.938516 33.144545 L 83.982645 33.144545 M 84.504709 33.144545 L 84.765741 33.144545 M 85.287806 33.144545 L 86.331935 33.144545 M 86.854 33.144545 L 87.115032 33.00169 L 87.376064 13.36911 L 87.637097 33.144545 L 88.681226 33.144545 L 88.942258 32.74736 L 89.20329 33.144545 L 89.464322 33.026103 L 89.986387 33.144545 L 91.030516 33.144545 L 91.291548 32.548631 L 91.552581 33.144545 L 91.813613 32.513247 M 92.335678 33.144545 L 93.379807 33.144545 M 93.901871 33.144545 L 94.162903 32.782915 M 94.684968 33.144545 L 95.729097 33.144545 L 95.990129 32.685069 L 96.251162 33.144545 L 96.512194 32.671067 L 96.773226 31.488956 L 97.034259 33.144545 L 98.600452 33.144545 L 98.861484 31.592293 M 99.383549 33.144545 L 100.427678 33.144545 L 100.68871 31.80307 L 100.949743 33.144545 L 101.210775 32.052183 L 101.471807 33.144545 L 102.776969 33.144545 L 103.038001 28.849636 L 103.299033 33.144545 L 103.560065 29.704405 M 104.08213 33.144545 L 105.126259 33.144545 L 105.387291 31.812 L 105.648324 33.144545 L 105.909356 28.269755 L 106.170388 33.144545 L 107.47555 33.144545 M 107.997614 33.144545 L 108.258646 25.50053 L 108.519679 33.144545 L 109.82484 33.144545 L 110.085872 32.338114 L 110.346905 33.144545 L 110.607937 31.171892 L 110.868969 33.144545 L 112.174131 33.144545 M 112.696195 33.144545 L 112.957228 26.020207 L 113.21826 33.144545 L 114.523421 33.144545 M 115.045486 33.144545 L 115.306518 31.882575 L 115.56755 33.144545 L 116.872712 33.144545 L 117.133744 32.796212 L 117.394776 33.144545 L 117.655809 31.829123 L 117.916841 33.144545 L 119.744067 33.144545 L 120.005099 31.541699 M 120.527164 33.144545 L 121.571293 33.144545 L 121.832325 33.006431 L 122.093357 33.144545 L 122.35439 28.776355 M 122.876454 33.144545 L 124.442648 33.144545 L 124.70368 32.441855 M 125.225745 33.144545 L 126.269874 33.144545 L 126.530906 32.89954 L 126.791938 33.144545 L 127.052971 30.694552 L 127.314003 33.144545 L 129.141229 33.144545 L 129.402261 31.032026 L 129.663293 33.144545 L 130.968455 33.144545 M 131.490519 33.144545 L 131.751552 32.630298 L 132.012584 33.144545 L 133.317745 33.144545 L 133.578777 32.782252 L 133.83981 33.144545 L 134.100842 32.233182 L 134.361874 33.144545 L 138.016326 33.144545 L 138.277358 32.966247 L 138.538391 33.144545 L 138.799423 32.549589 L 139.060455 33.144545 L 140.365617 33.144545 L 140.626649 32.72586 L 140.887681 33.144545 L 141.148714 32.7069 M 141.670778 33.144545 L 142.714907 33.144545 L 142.975939 31.975965 L 143.236972 33.144545 L 143.498004 32.199832 L 143.759036 33.144545 L 145.064198 33.144545 L 145.32523 31.686185 L 145.586262 33.144545 M 146.108327 33.144545 L 147.413488 33.144545 M 147.935553 33.144545 L 148.196585 33.045329 L 148.71865 33.144545 L 149.762779 33.144545 M 151.06794 33.144545 L 152.634134 33.144545 L 152.895166 32.463866 M 153.417231 33.144545 L 154.46136 33.144545 L 154.722392 32.912457 L 154.983424 33.144545 M 155.505489 27.800647 L 155.766521 33.144545 L 156.81065 33.144545 L 157.071683 32.947345 L 157.332715 33.144545 M 158.115812 33.144545 L 159.159941 33.144545 M 159.682005 33.144545 L 159.943038 32.780536 L 160.20407 33.144545 L 162.031296 33.144545 L 162.292328 31.456495 M 162.814393 33.144545 L 163.858522 33.144545 M 164.380586 33.144545 L 164.641619 32.892073 L 164.902651 33.144545 L 166.207812 33.144545 L 166.468845 32.974718 L 166.729877 33.144545 L 166.990909 32.00004 L 166.990909 32.00004 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p4fcdba9a3a">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>0</th>
      <td>AGENCY PASS-THRU (TBA, STIP, $ ROLLS)</td>
      <td>SINGLE FAMILY 15Y</td>
      <td>2019-08-01</td>
      <td>...</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
    </tr>
    <tr>
      <th>1</th>
      <td>AGENCY PASS-THRU (TBA, STIP, $ ROLLS)</td>
      <td>SINGLE FAMILY 30Y</td>
      <td>2019-08-01</td>
      <td>...</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
    </tr>
    <tr>
      <th>...</th>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
    </tr>
    <tr>
      <th>583</th>
      <td>AGENCY CMO</td>
      <td>P&I</td>
      <td>2019-10-31</td>
      <td>...</td>
      <td>18.0</td>
      <td>11.0</td>
      <td>34884.2</td>
    </tr>
    <tr>
      <th>584</th>
      <td>AGENCY CMO</td>
      <td>IO/PO</td>
      <td>2019-10-31</td>
      <td>...</td>
      <td>NaN</td>
      <td>NaN</td>
      <td>NaN</td>
    </tr>
  </tbody>
</table>



### 7. A display that shows off subsets of the dataset, with some date ordering and a truncated view.


```python
# this is for matplotlib's weird issues with datetime
from pandas.plotting import register_matplotlib_converters
register_matplotlib_converters()

sparkly.display(df=df[['UMBSTradeCount', 'FNMATradeCount', 'FHLMCTradeCount']], order=df['Date'], max_rows=5)
```




<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>UMBSTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#pb488d29195)" d="M 14.809091 30.885291 L 14.809091 18.273862 L 14.809091 33.144545 L 14.809091 33.144545 L 16.481419 30.929202 L 16.481419 18.879843 L 16.481419 33.144545 L 16.481419 33.144545 L 21.498402 29.969732 L 21.498402 16.763301 L 21.498402 33.144545 L 21.498402 33.144545 L 23.170729 29.13102 L 23.170729 13.406254 L 23.170729 33.144545 L 23.170729 33.144545 L 24.843057 29.712849 L 24.843057 9.021675 L 24.843057 33.144545 L 24.843057 33.144545 L 26.515385 29.594288 L 26.515385 9.932842 L 26.515385 33.144545 L 26.515385 33.144545 L 28.187712 30.795272 L 28.187712 19.044512 L 28.187712 33.144545 L 28.187712 33.144545 L 33.204695 28.953178 L 33.204695 22.375211 L 33.204695 33.144545 L 33.204695 33.144545 L 34.877023 27.422856 L 34.877023 15.450342 L 34.877023 33.144545 L 34.877023 33.144545 L 36.549351 28.158376 L 36.549351 15.825787 L 36.549351 33.144545 L 36.549351 33.144545 L 38.221678 28.004686 L 38.221678 17.000424 L 38.221678 33.144545 L 38.221678 33.144545 L 39.894006 30.968723 L 39.894006 20.519943 L 39.894006 33.144545 L 39.894006 33.144545 L 44.910989 31.313429 L 44.910989 23.459829 L 44.910989 33.144545 L 44.910989 33.144545 L 46.583317 30.235398 L 46.583317 20.497987 L 46.583317 33.144545 L 46.583317 33.144545 L 48.255644 30.123423 L 48.255644 20.895388 L 48.255644 33.144545 L 48.255644 33.144545 L 49.927972 30.310048 L 49.927972 19.048903 L 49.927972 33.144545 L 49.927972 33.144545 L 51.6003 31.482489 L 51.6003 23.732081 L 51.6003 33.144545 L 51.6003 33.144545 L 56.617283 31.537379 L 56.617283 24.269999 L 56.617283 33.144545 L 56.617283 33.144545 L 58.28961 31.500054 L 58.28961 23.521305 L 58.28961 33.144545 L 58.28961 33.144545 L 59.961938 31.513227 L 59.961938 23.929684 L 59.961938 33.144545 L 59.961938 33.144545 L 61.634266 31.20365 L 61.634266 21.534303 L 61.634266 33.144545 L 61.634266 33.144545 L 63.306593 31.554943 L 63.306593 22.761634 L 63.306593 33.144545 L 63.306593 33.144545 L 69.995904 31.247562 L 69.995904 22.691375 L 69.995904 33.144545 L 69.995904 33.144545 L 71.668232 31.394666 L 71.668232 19.88542 L 71.668232 33.144545 L 71.668232 33.144545 L 73.340559 30.933593 L 73.340559 17.507603 L 73.340559 33.144545 L 73.340559 33.144545 L 75.012887 30.84577 L 75.012887 17.068487 L 75.012887 33.144545 L 75.012887 33.144545 L 80.02987 30.709644 L 80.02987 13.360147 L 80.02987 33.144545 L 80.02987 33.144545 L 81.702198 29.688698 L 81.702198 10.652993 L 81.702198 33.144545 L 81.702198 33.144545 L 83.374525 28.450389 L 83.374525 19.13453 L 83.374525 33.144545 L 83.374525 33.144545 L 85.046853 27.958578 L 85.046853 18.227755 L 85.046853 33.144545 L 85.046853 33.144545 L 86.719181 29.77213 L 86.719181 14.534784 L 86.719181 33.144545 L 86.719181 33.144545 L 91.736164 30.898464 L 91.736164 23.635476 L 91.736164 33.144545 L 91.736164 33.144545 L 93.408492 30.029013 L 93.408492 21.852662 L 93.408492 33.144545 L 93.408492 33.144545 L 95.080819 30.50765 L 95.080819 19.681231 L 95.080819 33.144545 L 95.080819 33.144545 L 96.753147 31.225606 L 96.753147 20.743893 L 96.753147 33.144545 L 96.753147 33.144545 L 98.425475 30.626212 L 98.425475 20.882214 L 98.425475 33.144545 L 98.425475 33.144545 L 103.442458 31.120218 L 103.442458 24.739854 L 103.442458 33.144545 L 103.442458 33.144545 L 105.114785 30.463739 L 105.114785 19.744902 L 105.114785 33.144545 L 105.114785 33.144545 L 106.787113 30.496672 L 106.787113 16.374683 L 106.787113 33.144545 L 106.787113 33.144545 L 108.459441 29.682111 L 108.459441 17.843528 L 108.459441 33.144545 L 108.459441 33.144545 L 110.131768 31.792066 L 110.131768 21.622126 L 110.131768 33.144545 L 110.131768 33.144545 L 115.148751 31.030199 L 115.148751 19.477041 L 115.148751 33.144545 L 115.148751 33.144545 L 116.821079 30.364937 L 116.821079 16.256121 L 116.821079 33.144545 L 116.821079 33.144545 L 118.493407 29.530616 L 118.493407 18.282644 L 118.493407 33.144545 L 118.493407 33.144545 L 120.165734 30.397871 L 120.165734 13.761939 L 120.165734 33.144545 L 120.165734 33.144545 L 121.838062 30.189291 L 121.838062 13.836589 L 121.838062 33.144545 L 121.838062 33.144545 L 126.855045 30.773316 L 126.855045 8.435455 L 126.855045 33.144545 L 126.855045 33.144545 L 128.527373 29.873127 L 128.527373 13.799264 L 128.527373 33.144545 L 128.527373 33.144545 L 130.1997 29.743587 L 130.1997 22.781394 L 130.1997 33.144545 L 130.1997 33.144545 L 131.872028 28.647992 L 131.872028 20.708763 L 131.872028 33.144545 L 131.872028 33.144545 L 133.544356 28.452585 L 133.544356 21.538694 L 133.544356 33.144545 L 133.544356 33.144545 L 138.561339 33.144545 L 138.561339 33.144545 M 138.561339 33.144545 L 140.233666 28.619449 L 140.233666 22.886782 L 140.233666 33.144545 L 140.233666 33.144545 L 141.905994 30.854552 L 141.905994 22.300561 L 141.905994 33.144545 L 141.905994 33.144545 L 143.578322 31.229997 L 143.578322 24.169002 L 143.578322 33.144545 L 143.578322 33.144545 L 145.250649 31.943562 L 145.250649 25.479765 L 145.250649 33.144545 L 145.250649 33.144545 L 150.267632 31.16413 L 150.267632 24.794743 L 150.267632 33.144545 L 150.267632 33.144545 L 151.93996 30.894073 L 151.93996 23.115122 L 151.93996 33.144545 L 151.93996 33.144545 L 153.612288 30.694275 L 153.612288 23.945053 L 153.612288 33.144545 L 153.612288 33.144545 L 155.284615 30.070729 L 155.284615 22.124914 L 155.284615 33.144545 L 155.284615 33.144545 L 156.956943 31.170716 L 156.956943 23.993356 L 156.956943 33.144545 L 156.956943 33.144545 L 161.973926 30.819423 L 161.973926 23.187577 L 161.973926 33.144545 L 161.973926 33.144545 L 163.646254 31.006048 L 163.646254 22.717722 L 163.646254 33.144545 L 163.646254 33.144545 L 165.318581 30.406653 L 165.318581 21.246681 L 165.318581 33.144545 L 165.318581 33.144545 L 166.990909 30.757947 L 166.990909 19.211376 L 166.990909 33.144545 L 166.990909 33.144545 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="pb488d29195">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMATradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#paa77189b65)" d="M 14.809091 33.144545 L 14.809091 18.209934 L 14.809091 32.499529 L 16.481419 33.144545 L 16.481419 30.465246 M 16.481419 33.144545 L 16.481419 22.973133 M 21.498402 33.144545 L 21.498402 31.110263 L 21.498402 31.407963 M 21.498402 33.144545 L 21.498402 18.408401 L 21.498402 31.308729 L 23.170729 33.144545 L 23.170729 17.217601 L 23.170729 31.656046 L 24.843057 33.144545 L 24.843057 33.144545 L 24.843057 15.629869 L 24.843057 30.663713 L 26.515385 33.144545 L 26.515385 33.144545 L 26.515385 20.988467 L 26.515385 31.804896 L 28.187712 33.144545 L 28.187712 33.144545 L 28.187712 22.030416 L 28.187712 32.251446 L 33.204695 33.144545 L 33.204695 33.144545 L 33.204695 16.622202 L 33.204695 31.656046 L 34.877023 33.144545 L 34.877023 33.144545 L 34.877023 11.90862 L 34.877023 31.556813 L 36.549351 33.144545 L 36.549351 16.026802 L 36.549351 31.457579 L 38.221678 33.144545 L 38.221678 33.144545 L 38.221678 14.984852 L 38.221678 31.060646 L 39.894006 33.144545 L 39.894006 33.144545 L 39.894006 24.213549 L 39.894006 30.56448 L 44.910989 33.144545 L 44.910989 33.144545 L 44.910989 18.110701 L 44.910989 31.110263 L 46.583317 33.144545 L 46.583317 33.144545 L 46.583317 12.65287 L 46.583317 29.869847 L 48.255644 33.144545 L 48.255644 33.144545 L 48.255644 10.320887 L 48.255644 30.812563 L 49.927972 33.144545 L 49.927972 33.144545 L 49.927972 13.595586 L 49.927972 31.656046 L 51.6003 33.144545 L 51.6003 33.144545 L 51.6003 20.144984 L 51.6003 31.854513 L 56.617283 33.144545 L 56.617283 33.144545 L 56.617283 13.099419 L 56.617283 31.110263 L 58.28961 33.144545 L 58.28961 33.144545 L 58.28961 11.61092 L 58.28961 28.133264 L 59.961938 33.144545 L 59.961938 33.144545 L 59.961938 14.984852 L 59.961938 28.232497 L 61.634266 33.144545 L 61.634266 33.144545 L 61.634266 19.251884 L 61.634266 30.614096 L 63.306593 33.144545 L 63.306593 33.144545 L 63.306593 30.812563 L 63.306593 32.251446 M 63.306593 33.144545 L 63.306593 24.858565 L 63.306593 31.209496 L 69.995904 33.144545 L 69.995904 33.144545 L 69.995904 24.312782 L 69.995904 32.251446 L 71.668232 33.144545 L 71.668232 33.144545 L 71.668232 21.881566 L 71.668232 30.167547 L 73.340559 33.144545 L 73.340559 33.144545 L 73.340559 8.435455 L 73.340559 28.381347 L 75.012887 33.144545 L 75.012887 33.144545 L 75.012887 16.870285 L 75.012887 31.209496 L 80.02987 33.144545 L 80.02987 33.144545 L 80.02987 17.564918 L 80.02987 31.060646 L 81.702198 33.144545 L 81.702198 33.144545 L 81.702198 14.141369 L 81.702198 30.068313 L 83.374525 33.144545 L 83.374525 33.144545 L 83.374525 14.190986 L 83.374525 31.308729 L 85.046853 33.144545 L 85.046853 33.144545 L 85.046853 13.446736 L 85.046853 30.41563 L 86.719181 33.144545 L 86.719181 15.530635 L 86.719181 32.152212 L 91.736164 33.144545 L 91.736164 33.144545 L 91.736164 15.133702 L 91.736164 32.499529 L 93.408492 33.144545 L 93.408492 33.144545 L 93.408492 11.16437 L 93.408492 29.175214 L 95.080819 33.144545 L 95.080819 33.144545 L 95.080819 12.752103 L 95.080819 25.999748 L 96.753147 33.144545 L 96.753147 33.144545 L 96.753147 8.931621 L 96.753147 31.457579 L 98.425475 33.144545 L 98.425475 33.144545 L 98.425475 15.530635 L 98.425475 29.274447 L 103.442458 33.144545 L 103.442458 33.144545 L 103.442458 15.282552 L 103.442458 29.720997 L 105.114785 33.144545 L 105.114785 33.144545 L 105.114785 15.927568 L 105.114785 31.854513 L 106.787113 33.144545 L 106.787113 33.144545 L 106.787113 9.675871 L 106.787113 31.705663 L 108.459441 33.144545 L 108.459441 33.144545 L 108.459441 13.248269 L 108.459441 30.812563 L 110.131768 33.144545 L 110.131768 33.144545 L 110.131768 15.282552 L 110.131768 30.167547 L 115.148751 33.144545 L 115.148751 33.144545 L 115.148751 17.366451 L 115.148751 31.259113 L 116.821079 33.144545 L 116.821079 33.144545 L 116.821079 12.35517 L 116.821079 31.507196 L 118.493407 33.144545 L 118.493407 19.251884 L 118.493407 32.201829 L 120.165734 33.144545 L 120.165734 33.144545 L 120.165734 18.061084 L 120.165734 31.507196 L 121.838062 33.144545 L 121.838062 21.782333 L 121.838062 32.400296 L 126.855045 33.144545 L 126.855045 33.144545 L 126.855045 18.954184 L 126.855045 31.259113 L 128.527373 33.144545 L 128.527373 33.144545 L 128.527373 17.713768 L 128.527373 30.514863 L 130.1997 33.144545 L 130.1997 23.419682 L 130.1997 31.110263 L 131.872028 33.144545 L 131.872028 33.144545 L 131.872028 17.267218 L 131.872028 31.308729 L 133.544356 33.144545 L 133.544356 33.144545 L 133.544356 19.351117 L 133.544356 29.026364 L 138.561339 33.144545 L 138.561339 33.144545 M 138.561339 33.144545 L 138.561339 32.697996 L 138.561339 33.144545 L 140.233666 33.144545 L 140.233666 33.144545 L 140.233666 20.4923 L 140.233666 31.358346 L 141.905994 33.144545 L 141.905994 17.515301 L 141.905994 32.251446 L 143.578322 33.144545 L 143.578322 33.144545 L 143.578322 13.595586 L 143.578322 32.102596 L 145.250649 33.144545 L 145.250649 33.144545 L 145.250649 21.83195 L 145.250649 32.350679 L 150.267632 33.144545 L 150.267632 33.144545 L 150.267632 21.23655 L 150.267632 32.301062 L 151.93996 33.144545 L 151.93996 33.144545 L 151.93996 19.301501 L 151.93996 31.854513 L 153.612288 33.144545 L 153.612288 33.144545 L 153.612288 20.79 L 153.612288 32.201829 L 155.284615 33.144545 L 155.284615 33.144545 L 155.284615 9.378171 L 155.284615 25.057032 L 156.956943 33.144545 L 156.956943 33.144545 L 156.956943 21.732716 L 156.956943 31.804896 L 161.973926 33.144545 L 161.973926 33.144545 L 161.973926 17.713768 L 161.973926 32.449912 L 163.646254 33.144545 L 163.646254 19.698434 L 163.646254 31.507196 L 165.318581 33.144545 L 165.318581 33.144545 L 165.318581 16.622202 L 165.318581 31.656046 L 166.990909 33.144545 L 166.990909 33.144545 L 166.990909 19.251884 L 166.990909 31.705663 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="paa77189b65">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMCTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="line2d_1">    <path clip-path="url(#p0b02683cb3)" d="M 14.809091 33.144545 L 14.809091 21.812031 L 14.809091 32.513291 L 16.481419 33.144545 L 16.481419 23.856092 L 16.481419 32.69365 M 21.498402 32.874008 L 21.498402 33.144545 L 21.498402 20.339104 L 21.498402 27.463258 M 23.170729 33.144545 L 23.170729 22.713822 L 23.170729 32.483232 L 24.843057 33.144545 L 24.843057 8.435455 L 24.843057 32.60347 L 26.515385 33.144545 L 26.515385 11.471486 L 26.515385 32.783829 M 28.187712 31.972216 L 28.187712 33.144545 L 28.187712 22.713822 L 28.187712 32.092455 L 33.204695 33.144545 M 33.204695 29.026364 L 33.204695 21.992389 L 33.204695 33.144545 L 33.204695 32.543351 L 34.877023 33.144545 M 34.877023 33.144545 L 34.877023 21.571553 L 34.877023 31.912097 L 36.549351 33.144545 M 36.549351 33.144545 L 36.549351 21.210836 L 36.549351 32.513291 L 38.221678 33.144545 M 38.221678 33.144545 L 38.221678 18.144745 L 38.221678 32.453172 L 39.894006 33.144545 M 39.894006 33.144545 L 39.894006 24.487346 L 39.894006 32.513291 L 44.910989 33.144545 L 44.910989 20.940299 L 44.910989 31.942157 L 46.583317 33.144545 M 46.583317 33.144545 L 46.583317 14.597697 L 46.583317 31.972216 L 48.255644 33.144545 M 48.255644 33.144545 L 48.255644 19.948328 L 48.255644 32.573411 L 49.927972 33.144545 M 49.927972 33.144545 L 49.927972 19.497432 L 49.927972 32.874008 L 51.6003 33.144545 M 51.6003 33.144545 L 51.6003 22.383165 L 51.6003 32.904068 L 56.617283 33.144545 M 56.617283 33.144545 L 56.617283 22.533464 L 56.617283 32.753769 L 58.28961 33.144545 M 58.28961 28.094512 L 58.28961 13.425368 L 58.28961 33.144545 L 58.28961 32.423112 L 59.961938 33.144545 M 59.961938 30.890066 L 59.961938 14.988474 L 59.961938 33.144545 L 59.961938 31.431141 L 61.634266 33.144545 M 61.634266 33.144545 L 61.634266 23.585554 L 61.634266 32.272814 L 63.306593 33.144545 M 63.306593 33.144545 L 63.306593 26.020392 L 63.306593 32.723709 L 69.995904 33.144545 L 69.995904 23.254897 L 69.995904 26.080511 M 71.668232 32.783829 L 71.668232 33.144545 L 71.668232 22.9543 L 71.668232 32.212694 L 73.340559 33.144545 L 73.340559 20.609642 L 73.340559 32.302873 L 75.012887 33.144545 L 75.012887 21.721851 L 75.012887 32.783829 L 80.02987 33.144545 L 80.02987 16.761997 L 80.02987 32.393052 L 81.702198 33.144545 L 81.702198 23.916211 M 81.702198 33.144545 L 81.702198 21.962329 L 81.702198 31.55138 L 83.374525 33.144545 M 83.374525 33.144545 L 83.374525 24.246868 L 83.374525 32.242754 M 85.046853 33.144545 L 85.046853 20.729881 L 85.046853 32.272814 L 86.719181 33.144545 M 86.719181 33.144545 L 86.719181 21.932269 M 86.719181 33.144545 L 86.719181 24.878122 L 86.719181 32.69365 L 91.736164 33.144545 M 91.736164 33.144545 L 91.736164 23.074539 L 91.736164 32.152575 L 93.408492 33.144545 M 93.408492 33.144545 L 93.408492 19.196835 L 93.408492 32.60347 L 95.080819 33.144545 M 95.080819 33.144545 L 95.080819 24.427226 L 95.080819 30.619529 L 96.753147 33.144545 M 96.753147 33.144545 L 96.753147 22.232867 L 96.753147 31.942157 L 98.425475 33.144545 M 98.425475 33.144545 L 98.425475 22.082568 L 98.425475 31.371022 L 103.442458 33.144545 M 103.442458 33.144545 L 103.442458 23.284957 L 103.442458 31.972216 L 105.114785 33.144545 M 105.114785 32.964187 L 105.114785 16.49146 M 105.114785 33.144545 L 105.114785 23.104599 L 105.114785 32.63353 L 106.787113 33.144545 M 106.787113 31.641559 L 106.787113 22.202807 L 106.787113 33.144545 L 106.787113 32.182634 L 108.459441 33.144545 M 108.459441 33.144545 L 108.459441 16.250982 L 108.459441 32.573411 L 110.131768 33.144545 M 110.131768 31.190664 L 110.131768 23.254897 L 110.131768 33.144545 L 110.131768 32.453172 L 115.148751 33.144545 M 115.148751 33.144545 L 115.148751 23.826032 L 115.148751 32.813889 L 116.821079 33.144545 L 116.821079 32.994247 M 116.821079 30.52935 L 116.821079 24.00639 L 116.821079 33.144545 L 116.821079 31.641559 L 118.493407 33.144545 L 118.493407 32.904068 M 118.493407 31.491261 L 118.493407 25.238839 L 118.493407 33.144545 L 118.493407 32.63353 L 120.165734 33.144545 M 120.165734 32.843948 L 120.165734 24.577525 L 120.165734 33.144545 L 120.165734 32.543351 L 121.838062 33.144545 L 121.838062 21.180776 L 121.838062 32.934127 M 126.855045 31.701679 L 126.855045 33.144545 L 126.855045 17.994446 L 126.855045 32.182634 L 128.527373 33.144545 L 128.527373 17.062595 L 128.527373 32.002276 L 130.1997 33.144545 L 130.1997 25.569496 L 130.1997 31.942157 L 131.872028 33.144545 M 131.872028 33.144545 L 131.872028 23.074539 L 131.872028 32.843948 L 133.544356 33.144545 M 133.544356 33.144545 L 133.544356 24.186749 L 133.544356 32.723709 L 138.561339 33.144545 L 138.561339 33.144545 M 138.561339 33.144545 L 138.561339 32.904068 L 138.561339 33.144545 L 140.233666 33.144545 M 140.233666 33.144545 L 140.233666 19.076596 L 140.233666 32.63353 L 141.905994 33.144545 M 141.905994 31.190664 L 141.905994 22.353106 L 141.905994 33.144545 L 141.905994 32.062395 L 143.578322 33.144545 M 143.578322 29.296901 L 143.578322 23.886151 L 143.578322 33.144545 L 143.578322 32.843948 L 145.250649 33.144545 M 145.250649 33.144545 L 145.250649 25.990332 L 145.250649 32.69365 L 150.267632 33.144545 M 150.267632 33.144545 L 150.267632 21.631672 L 150.267632 32.843948 L 151.93996 33.144545 M 151.93996 33.144545 L 151.93996 23.134658 M 151.93996 33.144545 L 151.93996 24.577525 L 151.93996 32.483232 L 153.612288 33.144545 M 153.612288 33.144545 L 153.612288 23.735853 L 153.612288 32.483232 L 155.284615 33.144545 M 155.284615 33.144545 L 155.284615 18.385222 L 155.284615 30.348991 L 156.956943 33.144545 M 156.956943 33.144545 L 156.956943 22.172747 L 156.956943 32.60347 L 161.973926 33.144545 M 161.973926 33.144545 L 161.973926 21.932269 L 161.973926 32.423112 L 163.646254 33.144545 M 163.646254 33.144545 L 163.646254 22.353106 L 163.646254 32.182634 L 165.318581 33.144545 M 165.318581 31.100484 L 165.318581 25.268898 L 165.318581 33.144545 L 165.318581 32.453172 L 166.990909 33.144545 M 166.990909 33.144545 L 166.990909 24.03645 L 166.990909 32.122515 " style="fill:none;stroke:#1f77b4;stroke-linecap:square;stroke-width:1.5;"/>   </g>  </g> </g> <defs>  <clipPath id="p0b02683cb3">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>0</th>
      <td>1029.0</td>
      <td>0.0</td>
      <td>0.0</td>
    </tr>
    <tr>
      <th>1</th>
      <td>6773.0</td>
      <td>0.0</td>
      <td>5.0</td>
    </tr>
    <tr>
      <th>...</th>
      <td>...</td>
      <td>...</td>
      <td>...</td>
    </tr>
    <tr>
      <th>583</th>
      <td>0.0</td>
      <td>280.0</td>
      <td>297.0</td>
    </tr>
    <tr>
      <th>584</th>
      <td>0.0</td>
      <td>29.0</td>
      <td>34.0</td>
    </tr>
  </tbody>
</table>



### 8. A display that shows off the brand spanking new histogram function. 


```python
spkly.display(df=df, type='histogram')
```




<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>AssetClass</th>
      <th>AssetClassSubType</th>
      <th>Date</th>
      <th>UMBSTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="patch_2">    <path clip-path="url(#pbe87713790)" d="M 14.809091 34.38 L 22.418182 34.38 L 22.418182 8.494286 L 14.809091 8.494286 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_3">    <path clip-path="url(#pbe87713790)" d="M 22.418182 34.38 L 30.027273 34.38 L 30.027273 29.613321 L 22.418182 29.613321 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_4">    <path clip-path="url(#pbe87713790)" d="M 30.027273 34.38 L 37.636364 34.38 L 37.636364 31.400826 L 30.027273 31.400826 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_5">    <path clip-path="url(#pbe87713790)" d="M 37.636364 34.38 L 45.245455 34.38 L 45.245455 33.850369 L 37.636364 33.850369 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_6">    <path clip-path="url(#pbe87713790)" d="M 45.245455 34.38 L 52.854545 34.38 L 52.854545 34.115185 L 45.245455 34.115185 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_7">    <path clip-path="url(#pbe87713790)" d="M 52.854545 34.38 L 60.463636 34.38 L 60.463636 34.38 L 52.854545 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_8">    <path clip-path="url(#pbe87713790)" d="M 60.463636 34.38 L 68.072727 34.38 L 68.072727 34.181388 L 60.463636 34.181388 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_9">    <path clip-path="url(#pbe87713790)" d="M 68.072727 34.38 L 75.681818 34.38 L 75.681818 33.784165 L 68.072727 33.784165 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_10">    <path clip-path="url(#pbe87713790)" d="M 75.681818 34.38 L 83.290909 34.38 L 83.290909 33.717961 L 75.681818 33.717961 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_11">    <path clip-path="url(#pbe87713790)" d="M 83.290909 34.38 L 90.9 34.38 L 90.9 33.916573 L 83.290909 33.916573 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_12">    <path clip-path="url(#pbe87713790)" d="M 90.9 34.38 L 98.509091 34.38 L 98.509091 33.916573 L 90.9 33.916573 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_13">    <path clip-path="url(#pbe87713790)" d="M 98.509091 34.38 L 106.118182 34.38 L 106.118182 33.982777 L 98.509091 33.982777 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_14">    <path clip-path="url(#pbe87713790)" d="M 106.118182 34.38 L 113.727273 34.38 L 113.727273 34.048981 L 106.118182 34.048981 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_15">    <path clip-path="url(#pbe87713790)" d="M 113.727273 34.38 L 121.336364 34.38 L 121.336364 34.048981 L 113.727273 34.048981 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_16">    <path clip-path="url(#pbe87713790)" d="M 121.336364 34.38 L 128.945455 34.38 L 128.945455 34.247592 L 121.336364 34.247592 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_17">    <path clip-path="url(#pbe87713790)" d="M 128.945455 34.38 L 136.554545 34.38 L 136.554545 34.048981 L 128.945455 34.048981 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_18">    <path clip-path="url(#pbe87713790)" d="M 136.554545 34.38 L 144.163636 34.38 L 144.163636 34.313796 L 136.554545 34.313796 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_19">    <path clip-path="url(#pbe87713790)" d="M 144.163636 34.38 L 151.772727 34.38 L 151.772727 34.38 L 144.163636 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_20">    <path clip-path="url(#pbe87713790)" d="M 151.772727 34.38 L 159.381818 34.38 L 159.381818 34.247592 L 151.772727 34.247592 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_21">    <path clip-path="url(#pbe87713790)" d="M 159.381818 34.38 L 166.990909 34.38 L 166.990909 34.247592 L 159.381818 34.247592 z" style="fill:#1f77b4;"/>   </g>  </g> </g> <defs>  <clipPath id="pbe87713790">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>UMBSUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="patch_2">    <path clip-path="url(#p67f682aa84)" d="M 14.809091 34.38 L 22.418182 34.38 L 22.418182 8.494286 L 14.809091 8.494286 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_3">    <path clip-path="url(#p67f682aa84)" d="M 22.418182 34.38 L 30.027273 34.38 L 30.027273 33.925865 L 22.418182 33.925865 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_4">    <path clip-path="url(#p67f682aa84)" d="M 30.027273 34.38 L 37.636364 34.38 L 37.636364 32.733759 L 30.027273 32.733759 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_5">    <path clip-path="url(#p67f682aa84)" d="M 37.636364 34.38 L 45.245455 34.38 L 45.245455 33.414962 L 37.636364 33.414962 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_6">    <path clip-path="url(#p67f682aa84)" d="M 45.245455 34.38 L 52.854545 34.38 L 52.854545 33.812331 L 45.245455 33.812331 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_7">    <path clip-path="url(#p67f682aa84)" d="M 52.854545 34.38 L 60.463636 34.38 L 60.463636 33.812331 L 52.854545 33.812331 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_8">    <path clip-path="url(#p67f682aa84)" d="M 60.463636 34.38 L 68.072727 34.38 L 68.072727 33.698797 L 60.463636 33.698797 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_9">    <path clip-path="url(#p67f682aa84)" d="M 68.072727 34.38 L 75.681818 34.38 L 75.681818 33.64203 L 68.072727 33.64203 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_10">    <path clip-path="url(#p67f682aa84)" d="M 75.681818 34.38 L 83.290909 34.38 L 83.290909 33.925865 L 75.681818 33.925865 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_11">    <path clip-path="url(#p67f682aa84)" d="M 83.290909 34.38 L 90.9 34.38 L 90.9 34.152932 L 83.290909 34.152932 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_12">    <path clip-path="url(#p67f682aa84)" d="M 90.9 34.38 L 98.509091 34.38 L 98.509091 33.982632 L 90.9 33.982632 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_13">    <path clip-path="url(#p67f682aa84)" d="M 98.509091 34.38 L 106.118182 34.38 L 106.118182 33.982632 L 98.509091 33.982632 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_14">    <path clip-path="url(#p67f682aa84)" d="M 106.118182 34.38 L 113.727273 34.38 L 113.727273 34.323233 L 106.118182 34.323233 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_15">    <path clip-path="url(#p67f682aa84)" d="M 113.727273 34.38 L 121.336364 34.38 L 121.336364 34.323233 L 113.727273 34.323233 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_16">    <path clip-path="url(#p67f682aa84)" d="M 121.336364 34.38 L 128.945455 34.38 L 128.945455 34.38 L 121.336364 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_17">    <path clip-path="url(#p67f682aa84)" d="M 128.945455 34.38 L 136.554545 34.38 L 136.554545 34.38 L 128.945455 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_18">    <path clip-path="url(#p67f682aa84)" d="M 136.554545 34.38 L 144.163636 34.38 L 144.163636 34.38 L 136.554545 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_19">    <path clip-path="url(#p67f682aa84)" d="M 144.163636 34.38 L 151.772727 34.38 L 151.772727 34.38 L 144.163636 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_20">    <path clip-path="url(#p67f682aa84)" d="M 151.772727 34.38 L 159.381818 34.38 L 159.381818 34.38 L 151.772727 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_21">    <path clip-path="url(#p67f682aa84)" d="M 159.381818 34.38 L 166.990909 34.38 L 166.990909 34.323233 L 159.381818 34.323233 z" style="fill:#1f77b4;"/>   </g>  </g> </g> <defs>  <clipPath id="p67f682aa84">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>UMBS$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="patch_2">    <path clip-path="url(#p830ed5671b)" d="M 14.809091 34.38 L 22.418182 34.38 L 22.418182 8.494286 L 14.809091 8.494286 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_3">    <path clip-path="url(#p830ed5671b)" d="M 22.418182 34.38 L 30.027273 34.38 L 30.027273 33.124935 L 22.418182 33.124935 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_4">    <path clip-path="url(#p830ed5671b)" d="M 30.027273 34.38 L 37.636364 34.38 L 37.636364 34.327706 L 30.027273 34.327706 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_5">    <path clip-path="url(#p830ed5671b)" d="M 37.636364 34.38 L 45.245455 34.38 L 45.245455 34.327706 L 37.636364 34.327706 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_6">    <path clip-path="url(#p830ed5671b)" d="M 45.245455 34.38 L 52.854545 34.38 L 52.854545 33.804762 L 45.245455 33.804762 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_7">    <path clip-path="url(#p830ed5671b)" d="M 52.854545 34.38 L 60.463636 34.38 L 60.463636 34.066234 L 52.854545 34.066234 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_8">    <path clip-path="url(#p830ed5671b)" d="M 60.463636 34.38 L 68.072727 34.38 L 68.072727 33.857056 L 60.463636 33.857056 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_9">    <path clip-path="url(#p830ed5671b)" d="M 68.072727 34.38 L 75.681818 34.38 L 75.681818 33.857056 L 68.072727 33.857056 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_10">    <path clip-path="url(#p830ed5671b)" d="M 75.681818 34.38 L 83.290909 34.38 L 83.290909 34.118528 L 75.681818 34.118528 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_11">    <path clip-path="url(#p830ed5671b)" d="M 83.290909 34.38 L 90.9 34.38 L 90.9 34.013939 L 83.290909 34.013939 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_12">    <path clip-path="url(#p830ed5671b)" d="M 90.9 34.38 L 98.509091 34.38 L 98.509091 34.275411 L 90.9 34.275411 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_13">    <path clip-path="url(#p830ed5671b)" d="M 98.509091 34.38 L 106.118182 34.38 L 106.118182 34.38 L 98.509091 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_14">    <path clip-path="url(#p830ed5671b)" d="M 106.118182 34.38 L 113.727273 34.38 L 113.727273 34.275411 L 106.118182 34.275411 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_15">    <path clip-path="url(#p830ed5671b)" d="M 113.727273 34.38 L 121.336364 34.38 L 121.336364 34.327706 L 113.727273 34.327706 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_16">    <path clip-path="url(#p830ed5671b)" d="M 121.336364 34.38 L 128.945455 34.38 L 128.945455 34.327706 L 121.336364 34.327706 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_17">    <path clip-path="url(#p830ed5671b)" d="M 128.945455 34.38 L 136.554545 34.38 L 136.554545 34.275411 L 128.945455 34.275411 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_18">    <path clip-path="url(#p830ed5671b)" d="M 136.554545 34.38 L 144.163636 34.38 L 144.163636 34.275411 L 136.554545 34.275411 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_19">    <path clip-path="url(#p830ed5671b)" d="M 144.163636 34.38 L 151.772727 34.38 L 151.772727 34.327706 L 144.163636 34.327706 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_20">    <path clip-path="url(#p830ed5671b)" d="M 151.772727 34.38 L 159.381818 34.38 L 159.381818 34.327706 L 151.772727 34.327706 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_21">    <path clip-path="url(#p830ed5671b)" d="M 159.381818 34.38 L 166.990909 34.38 L 166.990909 34.275411 L 159.381818 34.275411 z" style="fill:#1f77b4;"/>   </g>  </g> </g> <defs>  <clipPath id="p830ed5671b">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMATradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="patch_2">    <path clip-path="url(#p07bba18ad1)" d="M 14.809091 34.38 L 22.418182 34.38 L 22.418182 8.494286 L 14.809091 8.494286 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_3">    <path clip-path="url(#p07bba18ad1)" d="M 22.418182 34.38 L 30.027273 34.38 L 30.027273 22.613766 L 22.418182 22.613766 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_4">    <path clip-path="url(#p07bba18ad1)" d="M 30.027273 34.38 L 37.636364 34.38 L 37.636364 27.602649 L 30.027273 27.602649 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_5">    <path clip-path="url(#p07bba18ad1)" d="M 37.636364 34.38 L 45.245455 34.38 L 45.245455 31.932623 L 37.636364 31.932623 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_6">    <path clip-path="url(#p07bba18ad1)" d="M 45.245455 34.38 L 52.854545 34.38 L 52.854545 33.626961 L 45.245455 33.626961 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_7">    <path clip-path="url(#p07bba18ad1)" d="M 52.854545 34.38 L 60.463636 34.38 L 60.463636 34.09761 L 52.854545 34.09761 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_8">    <path clip-path="url(#p07bba18ad1)" d="M 60.463636 34.38 L 68.072727 34.38 L 68.072727 34.09761 L 60.463636 34.09761 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_9">    <path clip-path="url(#p07bba18ad1)" d="M 68.072727 34.38 L 75.681818 34.38 L 75.681818 33.909351 L 68.072727 33.909351 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_10">    <path clip-path="url(#p07bba18ad1)" d="M 75.681818 34.38 L 83.290909 34.38 L 83.290909 34.003481 L 75.681818 34.003481 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_11">    <path clip-path="url(#p07bba18ad1)" d="M 83.290909 34.38 L 90.9 34.38 L 90.9 33.815221 L 83.290909 33.815221 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_12">    <path clip-path="url(#p07bba18ad1)" d="M 90.9 34.38 L 98.509091 34.38 L 98.509091 33.909351 L 90.9 33.909351 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_13">    <path clip-path="url(#p07bba18ad1)" d="M 98.509091 34.38 L 106.118182 34.38 L 106.118182 33.721091 L 98.509091 33.721091 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_14">    <path clip-path="url(#p07bba18ad1)" d="M 106.118182 34.38 L 113.727273 34.38 L 113.727273 33.438701 L 106.118182 33.438701 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_15">    <path clip-path="url(#p07bba18ad1)" d="M 113.727273 34.38 L 121.336364 34.38 L 121.336364 33.909351 L 113.727273 33.909351 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_16">    <path clip-path="url(#p07bba18ad1)" d="M 121.336364 34.38 L 128.945455 34.38 L 128.945455 33.626961 L 121.336364 33.626961 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_17">    <path clip-path="url(#p07bba18ad1)" d="M 128.945455 34.38 L 136.554545 34.38 L 136.554545 33.909351 L 128.945455 33.909351 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_18">    <path clip-path="url(#p07bba18ad1)" d="M 136.554545 34.38 L 144.163636 34.38 L 144.163636 33.909351 L 136.554545 33.909351 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_19">    <path clip-path="url(#p07bba18ad1)" d="M 144.163636 34.38 L 151.772727 34.38 L 151.772727 34.09761 L 144.163636 34.09761 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_20">    <path clip-path="url(#p07bba18ad1)" d="M 151.772727 34.38 L 159.381818 34.38 L 159.381818 34.19174 L 151.772727 34.19174 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_21">    <path clip-path="url(#p07bba18ad1)" d="M 159.381818 34.38 L 166.990909 34.38 L 166.990909 34.09761 L 159.381818 34.09761 z" style="fill:#1f77b4;"/>   </g>  </g> </g> <defs>  <clipPath id="p07bba18ad1">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMAUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="patch_2">    <path clip-path="url(#pca967a89ef)" d="M 14.809091 34.38 L 22.418182 34.38 L 22.418182 8.494286 L 14.809091 8.494286 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_3">    <path clip-path="url(#pca967a89ef)" d="M 22.418182 34.38 L 30.027273 34.38 L 30.027273 24.618384 L 22.418182 24.618384 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_4">    <path clip-path="url(#pca967a89ef)" d="M 30.027273 34.38 L 37.636364 34.38 L 37.636364 28.801934 L 30.027273 28.801934 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_5">    <path clip-path="url(#pca967a89ef)" d="M 37.636364 34.38 L 45.245455 34.38 L 45.245455 32.375382 L 37.636364 32.375382 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_6">    <path clip-path="url(#pca967a89ef)" d="M 45.245455 34.38 L 52.854545 34.38 L 52.854545 33.682742 L 45.245455 33.682742 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_7">    <path clip-path="url(#pca967a89ef)" d="M 52.854545 34.38 L 60.463636 34.38 L 60.463636 33.857056 L 52.854545 33.857056 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_8">    <path clip-path="url(#pca967a89ef)" d="M 60.463636 34.38 L 68.072727 34.38 L 68.072727 34.205685 L 60.463636 34.205685 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_9">    <path clip-path="url(#pca967a89ef)" d="M 68.072727 34.38 L 75.681818 34.38 L 75.681818 33.769899 L 68.072727 33.769899 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_10">    <path clip-path="url(#pca967a89ef)" d="M 75.681818 34.38 L 83.290909 34.38 L 83.290909 34.031371 L 75.681818 34.031371 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_11">    <path clip-path="url(#pca967a89ef)" d="M 83.290909 34.38 L 90.9 34.38 L 90.9 33.42127 L 83.290909 33.42127 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_12">    <path clip-path="url(#pca967a89ef)" d="M 90.9 34.38 L 98.509091 34.38 L 98.509091 33.246955 L 90.9 33.246955 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_13">    <path clip-path="url(#pca967a89ef)" d="M 98.509091 34.38 L 106.118182 34.38 L 106.118182 33.508427 L 98.509091 33.508427 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_14">    <path clip-path="url(#pca967a89ef)" d="M 106.118182 34.38 L 113.727273 34.38 L 113.727273 33.42127 L 106.118182 33.42127 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_15">    <path clip-path="url(#pca967a89ef)" d="M 113.727273 34.38 L 121.336364 34.38 L 121.336364 33.944214 L 113.727273 33.944214 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_16">    <path clip-path="url(#pca967a89ef)" d="M 121.336364 34.38 L 128.945455 34.38 L 128.945455 33.944214 L 121.336364 33.944214 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_17">    <path clip-path="url(#pca967a89ef)" d="M 128.945455 34.38 L 136.554545 34.38 L 136.554545 34.292843 L 128.945455 34.292843 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_18">    <path clip-path="url(#pca967a89ef)" d="M 136.554545 34.38 L 144.163636 34.38 L 144.163636 34.38 L 136.554545 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_19">    <path clip-path="url(#pca967a89ef)" d="M 144.163636 34.38 L 151.772727 34.38 L 151.772727 34.38 L 144.163636 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_20">    <path clip-path="url(#pca967a89ef)" d="M 151.772727 34.38 L 159.381818 34.38 L 159.381818 34.38 L 151.772727 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_21">    <path clip-path="url(#pca967a89ef)" d="M 159.381818 34.38 L 166.990909 34.38 L 166.990909 34.292843 L 159.381818 34.292843 z" style="fill:#1f77b4;"/>   </g>  </g> </g> <defs>  <clipPath id="pca967a89ef">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FNMA$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="patch_2">    <path clip-path="url(#pf8d14e71c7)" d="M 14.809091 34.38 L 22.418182 34.38 L 22.418182 8.494286 L 14.809091 8.494286 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_3">    <path clip-path="url(#pf8d14e71c7)" d="M 22.418182 34.38 L 30.027273 34.38 L 30.027273 24.643881 L 22.418182 24.643881 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_4">    <path clip-path="url(#pf8d14e71c7)" d="M 30.027273 34.38 L 37.636364 34.38 L 37.636364 29.51194 L 30.027273 29.51194 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_5">    <path clip-path="url(#pf8d14e71c7)" d="M 37.636364 34.38 L 45.245455 34.38 L 45.245455 32.44823 L 37.636364 32.44823 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_6">    <path clip-path="url(#pf8d14e71c7)" d="M 45.245455 34.38 L 52.854545 34.38 L 52.854545 32.989126 L 45.245455 32.989126 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_7">    <path clip-path="url(#pf8d14e71c7)" d="M 52.854545 34.38 L 60.463636 34.38 L 60.463636 34.225458 L 52.854545 34.225458 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_8">    <path clip-path="url(#pf8d14e71c7)" d="M 60.463636 34.38 L 68.072727 34.38 L 68.072727 34.225458 L 60.463636 34.225458 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_9">    <path clip-path="url(#pf8d14e71c7)" d="M 68.072727 34.38 L 75.681818 34.38 L 75.681818 34.148188 L 68.072727 34.148188 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_10">    <path clip-path="url(#pf8d14e71c7)" d="M 75.681818 34.38 L 83.290909 34.38 L 83.290909 34.225458 L 75.681818 34.225458 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_11">    <path clip-path="url(#pf8d14e71c7)" d="M 83.290909 34.38 L 90.9 34.38 L 90.9 34.38 L 83.290909 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_12">    <path clip-path="url(#pf8d14e71c7)" d="M 90.9 34.38 L 98.509091 34.38 L 98.509091 34.38 L 90.9 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_13">    <path clip-path="url(#pf8d14e71c7)" d="M 98.509091 34.38 L 106.118182 34.38 L 106.118182 34.302729 L 98.509091 34.302729 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_14">    <path clip-path="url(#pf8d14e71c7)" d="M 106.118182 34.38 L 113.727273 34.38 L 113.727273 34.38 L 106.118182 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_15">    <path clip-path="url(#pf8d14e71c7)" d="M 113.727273 34.38 L 121.336364 34.38 L 121.336364 34.302729 L 113.727273 34.302729 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_16">    <path clip-path="url(#pf8d14e71c7)" d="M 121.336364 34.38 L 128.945455 34.38 L 128.945455 34.38 L 121.336364 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_17">    <path clip-path="url(#pf8d14e71c7)" d="M 128.945455 34.38 L 136.554545 34.38 L 136.554545 34.302729 L 128.945455 34.302729 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_18">    <path clip-path="url(#pf8d14e71c7)" d="M 136.554545 34.38 L 144.163636 34.38 L 144.163636 34.38 L 136.554545 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_19">    <path clip-path="url(#pf8d14e71c7)" d="M 144.163636 34.38 L 151.772727 34.38 L 151.772727 34.38 L 144.163636 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_20">    <path clip-path="url(#pf8d14e71c7)" d="M 151.772727 34.38 L 159.381818 34.38 L 159.381818 34.38 L 151.772727 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_21">    <path clip-path="url(#pf8d14e71c7)" d="M 159.381818 34.38 L 166.990909 34.38 L 166.990909 34.302729 L 159.381818 34.302729 z" style="fill:#1f77b4;"/>   </g>  </g> </g> <defs>  <clipPath id="pf8d14e71c7">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMCTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="patch_2">    <path clip-path="url(#pe7dfd44a3f)" d="M 14.809091 34.38 L 22.418182 34.38 L 22.418182 8.494286 L 14.809091 8.494286 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_3">    <path clip-path="url(#pe7dfd44a3f)" d="M 22.418182 34.38 L 30.027273 34.38 L 30.027273 31.102263 L 22.418182 31.102263 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_4">    <path clip-path="url(#pe7dfd44a3f)" d="M 30.027273 34.38 L 37.636364 34.38 L 37.636364 32.362931 L 30.027273 32.362931 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_5">    <path clip-path="url(#pe7dfd44a3f)" d="M 37.636364 34.38 L 45.245455 34.38 L 45.245455 33.119332 L 37.636364 33.119332 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_6">    <path clip-path="url(#pe7dfd44a3f)" d="M 45.245455 34.38 L 52.854545 34.38 L 52.854545 33.203377 L 45.245455 33.203377 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_7">    <path clip-path="url(#pe7dfd44a3f)" d="M 52.854545 34.38 L 60.463636 34.38 L 60.463636 33.371466 L 52.854545 33.371466 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_8">    <path clip-path="url(#pe7dfd44a3f)" d="M 60.463636 34.38 L 68.072727 34.38 L 68.072727 32.278887 L 60.463636 32.278887 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_9">    <path clip-path="url(#pe7dfd44a3f)" d="M 68.072727 34.38 L 75.681818 34.38 L 75.681818 31.942709 L 68.072727 31.942709 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_10">    <path clip-path="url(#pe7dfd44a3f)" d="M 75.681818 34.38 L 83.290909 34.38 L 83.290909 32.53102 L 75.681818 32.53102 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_11">    <path clip-path="url(#pe7dfd44a3f)" d="M 83.290909 34.38 L 90.9 34.38 L 90.9 33.371466 L 83.290909 33.371466 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_12">    <path clip-path="url(#pe7dfd44a3f)" d="M 90.9 34.38 L 98.509091 34.38 L 98.509091 34.043822 L 90.9 34.043822 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_13">    <path clip-path="url(#pe7dfd44a3f)" d="M 98.509091 34.38 L 106.118182 34.38 L 106.118182 34.043822 L 98.509091 34.043822 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_14">    <path clip-path="url(#pe7dfd44a3f)" d="M 106.118182 34.38 L 113.727273 34.38 L 113.727273 34.211911 L 106.118182 34.211911 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_15">    <path clip-path="url(#pe7dfd44a3f)" d="M 113.727273 34.38 L 121.336364 34.38 L 121.336364 34.043822 L 113.727273 34.043822 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_16">    <path clip-path="url(#pe7dfd44a3f)" d="M 121.336364 34.38 L 128.945455 34.38 L 128.945455 34.295955 L 121.336364 34.295955 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_17">    <path clip-path="url(#pe7dfd44a3f)" d="M 128.945455 34.38 L 136.554545 34.38 L 136.554545 34.211911 L 128.945455 34.211911 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_18">    <path clip-path="url(#pe7dfd44a3f)" d="M 136.554545 34.38 L 144.163636 34.38 L 144.163636 34.38 L 136.554545 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_19">    <path clip-path="url(#pe7dfd44a3f)" d="M 144.163636 34.38 L 151.772727 34.38 L 151.772727 34.295955 L 144.163636 34.295955 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_20">    <path clip-path="url(#pe7dfd44a3f)" d="M 151.772727 34.38 L 159.381818 34.38 L 159.381818 34.38 L 151.772727 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_21">    <path clip-path="url(#pe7dfd44a3f)" d="M 159.381818 34.38 L 166.990909 34.38 L 166.990909 34.295955 L 159.381818 34.295955 z" style="fill:#1f77b4;"/>   </g>  </g> </g> <defs>  <clipPath id="pe7dfd44a3f">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMCUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="patch_2">    <path clip-path="url(#p36d6868c78)" d="M 14.809091 34.38 L 22.418182 34.38 L 22.418182 8.494286 L 14.809091 8.494286 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_3">    <path clip-path="url(#p36d6868c78)" d="M 22.418182 34.38 L 30.027273 34.38 L 30.027273 32.019088 L 22.418182 32.019088 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_4">    <path clip-path="url(#p36d6868c78)" d="M 30.027273 34.38 L 37.636364 34.38 L 37.636364 31.681815 L 30.027273 31.681815 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_5">    <path clip-path="url(#p36d6868c78)" d="M 37.636364 34.38 L 45.245455 34.38 L 45.245455 32.862271 L 37.636364 32.862271 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_6">    <path clip-path="url(#p36d6868c78)" d="M 45.245455 34.38 L 52.854545 34.38 L 52.854545 32.356361 L 45.245455 32.356361 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_7">    <path clip-path="url(#p36d6868c78)" d="M 52.854545 34.38 L 60.463636 34.38 L 60.463636 31.175905 L 52.854545 31.175905 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_8">    <path clip-path="url(#p36d6868c78)" d="M 60.463636 34.38 L 68.072727 34.38 L 68.072727 32.272043 L 60.463636 32.272043 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_9">    <path clip-path="url(#p36d6868c78)" d="M 68.072727 34.38 L 75.681818 34.38 L 75.681818 32.440679 L 68.072727 32.440679 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_10">    <path clip-path="url(#p36d6868c78)" d="M 75.681818 34.38 L 83.290909 34.38 L 83.290909 33.621135 L 75.681818 33.621135 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_11">    <path clip-path="url(#p36d6868c78)" d="M 83.290909 34.38 L 90.9 34.38 L 90.9 34.042727 L 83.290909 34.042727 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_12">    <path clip-path="url(#p36d6868c78)" d="M 90.9 34.38 L 98.509091 34.38 L 98.509091 34.295682 L 90.9 34.295682 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_13">    <path clip-path="url(#p36d6868c78)" d="M 98.509091 34.38 L 106.118182 34.38 L 106.118182 34.38 L 98.509091 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_14">    <path clip-path="url(#p36d6868c78)" d="M 106.118182 34.38 L 113.727273 34.38 L 113.727273 34.127045 L 106.118182 34.127045 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_15">    <path clip-path="url(#p36d6868c78)" d="M 113.727273 34.38 L 121.336364 34.38 L 121.336364 33.958409 L 113.727273 33.958409 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_16">    <path clip-path="url(#p36d6868c78)" d="M 121.336364 34.38 L 128.945455 34.38 L 128.945455 34.295682 L 121.336364 34.295682 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_17">    <path clip-path="url(#p36d6868c78)" d="M 128.945455 34.38 L 136.554545 34.38 L 136.554545 34.38 L 128.945455 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_18">    <path clip-path="url(#p36d6868c78)" d="M 136.554545 34.38 L 144.163636 34.38 L 144.163636 34.38 L 136.554545 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_19">    <path clip-path="url(#p36d6868c78)" d="M 144.163636 34.38 L 151.772727 34.38 L 151.772727 34.38 L 144.163636 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_20">    <path clip-path="url(#p36d6868c78)" d="M 151.772727 34.38 L 159.381818 34.38 L 159.381818 34.38 L 151.772727 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_21">    <path clip-path="url(#p36d6868c78)" d="M 159.381818 34.38 L 166.990909 34.38 L 166.990909 34.295682 L 159.381818 34.295682 z" style="fill:#1f77b4;"/>   </g>  </g> </g> <defs>  <clipPath id="p36d6868c78">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>FHLMC$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="patch_2">    <path clip-path="url(#p4354fc0fe5)" d="M 14.809091 34.38 L 22.418182 34.38 L 22.418182 8.494286 L 14.809091 8.494286 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_3">    <path clip-path="url(#p4354fc0fe5)" d="M 22.418182 34.38 L 30.027273 34.38 L 30.027273 31.018985 L 22.418182 31.018985 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_4">    <path clip-path="url(#p4354fc0fe5)" d="M 30.027273 34.38 L 37.636364 34.38 L 37.636364 33.613453 L 30.027273 33.613453 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_5">    <path clip-path="url(#p4354fc0fe5)" d="M 37.636364 34.38 L 45.245455 34.38 L 45.245455 34.085174 L 37.636364 34.085174 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_6">    <path clip-path="url(#p4354fc0fe5)" d="M 45.245455 34.38 L 52.854545 34.38 L 52.854545 34.38 L 45.245455 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_7">    <path clip-path="url(#p4354fc0fe5)" d="M 52.854545 34.38 L 60.463636 34.38 L 60.463636 34.38 L 52.854545 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_8">    <path clip-path="url(#p4354fc0fe5)" d="M 60.463636 34.38 L 68.072727 34.38 L 68.072727 34.203104 L 60.463636 34.203104 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_9">    <path clip-path="url(#p4354fc0fe5)" d="M 68.072727 34.38 L 75.681818 34.38 L 75.681818 34.321035 L 68.072727 34.321035 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_10">    <path clip-path="url(#p4354fc0fe5)" d="M 75.681818 34.38 L 83.290909 34.38 L 83.290909 34.38 L 75.681818 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_11">    <path clip-path="url(#p4354fc0fe5)" d="M 83.290909 34.38 L 90.9 34.38 L 90.9 34.38 L 83.290909 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_12">    <path clip-path="url(#p4354fc0fe5)" d="M 90.9 34.38 L 98.509091 34.38 L 98.509091 34.38 L 90.9 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_13">    <path clip-path="url(#p4354fc0fe5)" d="M 98.509091 34.38 L 106.118182 34.38 L 106.118182 34.38 L 98.509091 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_14">    <path clip-path="url(#p4354fc0fe5)" d="M 106.118182 34.38 L 113.727273 34.38 L 113.727273 34.38 L 106.118182 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_15">    <path clip-path="url(#p4354fc0fe5)" d="M 113.727273 34.38 L 121.336364 34.38 L 121.336364 34.38 L 113.727273 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_16">    <path clip-path="url(#p4354fc0fe5)" d="M 121.336364 34.38 L 128.945455 34.38 L 128.945455 34.38 L 121.336364 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_17">    <path clip-path="url(#p4354fc0fe5)" d="M 128.945455 34.38 L 136.554545 34.38 L 136.554545 34.38 L 128.945455 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_18">    <path clip-path="url(#p4354fc0fe5)" d="M 136.554545 34.38 L 144.163636 34.38 L 144.163636 34.38 L 136.554545 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_19">    <path clip-path="url(#p4354fc0fe5)" d="M 144.163636 34.38 L 151.772727 34.38 L 151.772727 34.38 L 144.163636 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_20">    <path clip-path="url(#p4354fc0fe5)" d="M 151.772727 34.38 L 159.381818 34.38 L 159.381818 34.38 L 151.772727 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_21">    <path clip-path="url(#p4354fc0fe5)" d="M 159.381818 34.38 L 166.990909 34.38 L 166.990909 34.321035 L 159.381818 34.321035 z" style="fill:#1f77b4;"/>   </g>  </g> </g> <defs>  <clipPath id="p4354fc0fe5">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>GNMATradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="patch_2">    <path clip-path="url(#pe260f78591)" d="M 14.809091 34.38 L 22.418182 34.38 L 22.418182 8.494286 L 14.809091 8.494286 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_3">    <path clip-path="url(#pe260f78591)" d="M 22.418182 34.38 L 30.027273 34.38 L 30.027273 31.062986 L 22.418182 31.062986 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_4">    <path clip-path="url(#pe260f78591)" d="M 30.027273 34.38 L 37.636364 34.38 L 37.636364 33.14425 L 30.027273 33.14425 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_5">    <path clip-path="url(#pe260f78591)" d="M 37.636364 34.38 L 45.245455 34.38 L 45.245455 32.754013 L 37.636364 32.754013 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_6">    <path clip-path="url(#pe260f78591)" d="M 45.245455 34.38 L 52.854545 34.38 L 52.854545 33.794645 L 45.245455 33.794645 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_7">    <path clip-path="url(#pe260f78591)" d="M 52.854545 34.38 L 60.463636 34.38 L 60.463636 33.274329 L 52.854545 33.274329 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_8">    <path clip-path="url(#pe260f78591)" d="M 60.463636 34.38 L 68.072727 34.38 L 68.072727 33.14425 L 60.463636 33.14425 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_9">    <path clip-path="url(#pe260f78591)" d="M 68.072727 34.38 L 75.681818 34.38 L 75.681818 33.599526 L 68.072727 33.599526 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_10">    <path clip-path="url(#pe260f78591)" d="M 75.681818 34.38 L 83.290909 34.38 L 83.290909 33.794645 L 75.681818 33.794645 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_11">    <path clip-path="url(#pe260f78591)" d="M 83.290909 34.38 L 90.9 34.38 L 90.9 34.119842 L 83.290909 34.119842 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_12">    <path clip-path="url(#pe260f78591)" d="M 90.9 34.38 L 98.509091 34.38 L 98.509091 34.249921 L 90.9 34.249921 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_13">    <path clip-path="url(#pe260f78591)" d="M 98.509091 34.38 L 106.118182 34.38 L 106.118182 34.314961 L 98.509091 34.314961 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_14">    <path clip-path="url(#pe260f78591)" d="M 106.118182 34.38 L 113.727273 34.38 L 113.727273 34.314961 L 106.118182 34.314961 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_15">    <path clip-path="url(#pe260f78591)" d="M 113.727273 34.38 L 121.336364 34.38 L 121.336364 34.249921 L 113.727273 34.249921 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_16">    <path clip-path="url(#pe260f78591)" d="M 121.336364 34.38 L 128.945455 34.38 L 128.945455 34.314961 L 121.336364 34.314961 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_17">    <path clip-path="url(#pe260f78591)" d="M 128.945455 34.38 L 136.554545 34.38 L 136.554545 34.314961 L 128.945455 34.314961 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_18">    <path clip-path="url(#pe260f78591)" d="M 136.554545 34.38 L 144.163636 34.38 L 144.163636 34.249921 L 136.554545 34.249921 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_19">    <path clip-path="url(#pe260f78591)" d="M 144.163636 34.38 L 151.772727 34.38 L 151.772727 34.38 L 144.163636 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_20">    <path clip-path="url(#pe260f78591)" d="M 151.772727 34.38 L 159.381818 34.38 L 159.381818 34.314961 L 151.772727 34.314961 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_21">    <path clip-path="url(#pe260f78591)" d="M 159.381818 34.38 L 166.990909 34.38 L 166.990909 34.314961 L 159.381818 34.314961 z" style="fill:#1f77b4;"/>   </g>  </g> </g> <defs>  <clipPath id="pe260f78591">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>GNMAUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="patch_2">    <path clip-path="url(#pe3f798f8ce)" d="M 14.809091 34.38 L 22.418182 34.38 L 22.418182 8.494286 L 14.809091 8.494286 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_3">    <path clip-path="url(#pe3f798f8ce)" d="M 22.418182 34.38 L 30.027273 34.38 L 30.027273 33.283664 L 22.418182 33.283664 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_4">    <path clip-path="url(#pe3f798f8ce)" d="M 30.027273 34.38 L 37.636364 34.38 L 37.636364 32.613681 L 30.027273 32.613681 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_5">    <path clip-path="url(#pe3f798f8ce)" d="M 37.636364 34.38 L 45.245455 34.38 L 45.245455 32.248235 L 37.636364 32.248235 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_6">    <path clip-path="url(#pe3f798f8ce)" d="M 45.245455 34.38 L 52.854545 34.38 L 52.854545 33.892739 L 45.245455 33.892739 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_7">    <path clip-path="url(#pe3f798f8ce)" d="M 52.854545 34.38 L 60.463636 34.38 L 60.463636 34.13637 L 52.854545 34.13637 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_8">    <path clip-path="url(#pe3f798f8ce)" d="M 60.463636 34.38 L 68.072727 34.38 L 68.072727 33.710017 L 60.463636 33.710017 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_9">    <path clip-path="url(#pe3f798f8ce)" d="M 68.072727 34.38 L 75.681818 34.38 L 75.681818 33.770924 L 68.072727 33.770924 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_10">    <path clip-path="url(#pe3f798f8ce)" d="M 75.681818 34.38 L 83.290909 34.38 L 83.290909 34.014555 L 75.681818 34.014555 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_11">    <path clip-path="url(#pe3f798f8ce)" d="M 83.290909 34.38 L 90.9 34.38 L 90.9 33.953647 L 83.290909 33.953647 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_12">    <path clip-path="url(#pe3f798f8ce)" d="M 90.9 34.38 L 98.509091 34.38 L 98.509091 34.13637 L 90.9 34.13637 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_13">    <path clip-path="url(#pe3f798f8ce)" d="M 98.509091 34.38 L 106.118182 34.38 L 106.118182 34.13637 L 98.509091 34.13637 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_14">    <path clip-path="url(#pe3f798f8ce)" d="M 106.118182 34.38 L 113.727273 34.38 L 113.727273 34.319092 L 106.118182 34.319092 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_15">    <path clip-path="url(#pe3f798f8ce)" d="M 113.727273 34.38 L 121.336364 34.38 L 121.336364 34.075462 L 113.727273 34.075462 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_16">    <path clip-path="url(#pe3f798f8ce)" d="M 121.336364 34.38 L 128.945455 34.38 L 128.945455 34.197277 L 121.336364 34.197277 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_17">    <path clip-path="url(#pe3f798f8ce)" d="M 128.945455 34.38 L 136.554545 34.38 L 136.554545 34.319092 L 128.945455 34.319092 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_18">    <path clip-path="url(#pe3f798f8ce)" d="M 136.554545 34.38 L 144.163636 34.38 L 144.163636 34.319092 L 136.554545 34.319092 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_19">    <path clip-path="url(#pe3f798f8ce)" d="M 144.163636 34.38 L 151.772727 34.38 L 151.772727 34.319092 L 144.163636 34.319092 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_20">    <path clip-path="url(#pe3f798f8ce)" d="M 151.772727 34.38 L 159.381818 34.38 L 159.381818 34.319092 L 151.772727 34.319092 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_21">    <path clip-path="url(#pe3f798f8ce)" d="M 159.381818 34.38 L 166.990909 34.38 L 166.990909 34.319092 L 159.381818 34.319092 z" style="fill:#1f77b4;"/>   </g>  </g> </g> <defs>  <clipPath id="pe3f798f8ce">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>GNMA$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="patch_2">    <path clip-path="url(#pb2d5e9f37b)" d="M 14.809091 34.38 L 22.418182 34.38 L 22.418182 8.494286 L 14.809091 8.494286 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_3">    <path clip-path="url(#pb2d5e9f37b)" d="M 22.418182 34.38 L 30.027273 34.38 L 30.027273 32.57402 L 22.418182 32.57402 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_4">    <path clip-path="url(#pb2d5e9f37b)" d="M 30.027273 34.38 L 37.636364 34.38 L 37.636364 34.106367 L 30.027273 34.106367 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_5">    <path clip-path="url(#pb2d5e9f37b)" d="M 37.636364 34.38 L 45.245455 34.38 L 45.245455 34.325273 L 37.636364 34.325273 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_6">    <path clip-path="url(#pb2d5e9f37b)" d="M 45.245455 34.38 L 52.854545 34.38 L 52.854545 34.38 L 45.245455 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_7">    <path clip-path="url(#pb2d5e9f37b)" d="M 52.854545 34.38 L 60.463636 34.38 L 60.463636 34.325273 L 52.854545 34.325273 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_8">    <path clip-path="url(#pb2d5e9f37b)" d="M 60.463636 34.38 L 68.072727 34.38 L 68.072727 34.05164 L 60.463636 34.05164 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_9">    <path clip-path="url(#pb2d5e9f37b)" d="M 68.072727 34.38 L 75.681818 34.38 L 75.681818 34.106367 L 68.072727 34.106367 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_10">    <path clip-path="url(#pb2d5e9f37b)" d="M 75.681818 34.38 L 83.290909 34.38 L 83.290909 33.996913 L 75.681818 33.996913 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_11">    <path clip-path="url(#pb2d5e9f37b)" d="M 83.290909 34.38 L 90.9 34.38 L 90.9 33.668553 L 83.290909 33.668553 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_12">    <path clip-path="url(#pb2d5e9f37b)" d="M 90.9 34.38 L 98.509091 34.38 L 98.509091 34.05164 L 90.9 34.05164 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_13">    <path clip-path="url(#pb2d5e9f37b)" d="M 98.509091 34.38 L 106.118182 34.38 L 106.118182 34.161093 L 98.509091 34.161093 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_14">    <path clip-path="url(#pb2d5e9f37b)" d="M 106.118182 34.38 L 113.727273 34.38 L 113.727273 34.161093 L 106.118182 34.161093 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_15">    <path clip-path="url(#pb2d5e9f37b)" d="M 113.727273 34.38 L 121.336364 34.38 L 121.336364 34.161093 L 113.727273 34.161093 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_16">    <path clip-path="url(#pb2d5e9f37b)" d="M 121.336364 34.38 L 128.945455 34.38 L 128.945455 34.270547 L 121.336364 34.270547 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_17">    <path clip-path="url(#pb2d5e9f37b)" d="M 128.945455 34.38 L 136.554545 34.38 L 136.554545 34.270547 L 128.945455 34.270547 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_18">    <path clip-path="url(#pb2d5e9f37b)" d="M 136.554545 34.38 L 144.163636 34.38 L 144.163636 34.325273 L 136.554545 34.325273 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_19">    <path clip-path="url(#pb2d5e9f37b)" d="M 144.163636 34.38 L 151.772727 34.38 L 151.772727 34.270547 L 144.163636 34.270547 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_20">    <path clip-path="url(#pb2d5e9f37b)" d="M 151.772727 34.38 L 159.381818 34.38 L 159.381818 34.161093 L 151.772727 34.161093 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_21">    <path clip-path="url(#pb2d5e9f37b)" d="M 159.381818 34.38 L 166.990909 34.38 L 166.990909 34.270547 L 159.381818 34.270547 z" style="fill:#1f77b4;"/>   </g>  </g> </g> <defs>  <clipPath id="pb2d5e9f37b">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>OtherTradeCount<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="patch_2">    <path clip-path="url(#p7b127fcb75)" d="M 14.809091 34.38 L 22.418182 34.38 L 22.418182 8.494286 L 14.809091 8.494286 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_3">    <path clip-path="url(#p7b127fcb75)" d="M 22.418182 34.38 L 30.027273 34.38 L 30.027273 33.533271 L 22.418182 33.533271 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_4">    <path clip-path="url(#p7b127fcb75)" d="M 30.027273 34.38 L 37.636364 34.38 L 37.636364 32.747023 L 30.027273 32.747023 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_5">    <path clip-path="url(#p7b127fcb75)" d="M 37.636364 34.38 L 45.245455 34.38 L 45.245455 33.41231 L 37.636364 33.41231 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_6">    <path clip-path="url(#p7b127fcb75)" d="M 45.245455 34.38 L 52.854545 34.38 L 52.854545 33.714713 L 45.245455 33.714713 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_7">    <path clip-path="url(#p7b127fcb75)" d="M 52.854545 34.38 L 60.463636 34.38 L 60.463636 34.017116 L 52.854545 34.017116 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_8">    <path clip-path="url(#p7b127fcb75)" d="M 60.463636 34.38 L 68.072727 34.38 L 68.072727 33.775194 L 60.463636 33.775194 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_9">    <path clip-path="url(#p7b127fcb75)" d="M 68.072727 34.38 L 75.681818 34.38 L 75.681818 33.896155 L 68.072727 33.896155 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_10">    <path clip-path="url(#p7b127fcb75)" d="M 75.681818 34.38 L 83.290909 34.38 L 83.290909 34.198558 L 75.681818 34.198558 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_11">    <path clip-path="url(#p7b127fcb75)" d="M 83.290909 34.38 L 90.9 34.38 L 90.9 34.138077 L 83.290909 34.138077 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_12">    <path clip-path="url(#p7b127fcb75)" d="M 90.9 34.38 L 98.509091 34.38 L 98.509091 34.138077 L 90.9 34.138077 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_13">    <path clip-path="url(#p7b127fcb75)" d="M 98.509091 34.38 L 106.118182 34.38 L 106.118182 34.198558 L 98.509091 34.198558 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_14">    <path clip-path="url(#p7b127fcb75)" d="M 106.118182 34.38 L 113.727273 34.38 L 113.727273 34.319519 L 106.118182 34.319519 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_15">    <path clip-path="url(#p7b127fcb75)" d="M 113.727273 34.38 L 121.336364 34.38 L 121.336364 34.38 L 113.727273 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_16">    <path clip-path="url(#p7b127fcb75)" d="M 121.336364 34.38 L 128.945455 34.38 L 128.945455 34.38 L 121.336364 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_17">    <path clip-path="url(#p7b127fcb75)" d="M 128.945455 34.38 L 136.554545 34.38 L 136.554545 34.38 L 128.945455 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_18">    <path clip-path="url(#p7b127fcb75)" d="M 136.554545 34.38 L 144.163636 34.38 L 144.163636 34.38 L 136.554545 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_19">    <path clip-path="url(#p7b127fcb75)" d="M 144.163636 34.38 L 151.772727 34.38 L 151.772727 34.38 L 144.163636 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_20">    <path clip-path="url(#p7b127fcb75)" d="M 151.772727 34.38 L 159.381818 34.38 L 159.381818 34.38 L 151.772727 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_21">    <path clip-path="url(#p7b127fcb75)" d="M 159.381818 34.38 L 166.990909 34.38 L 166.990909 34.319519 L 159.381818 34.319519 z" style="fill:#1f77b4;"/>   </g>  </g> </g> <defs>  <clipPath id="p7b127fcb75">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>OtherUniqueID<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="patch_2">    <path clip-path="url(#p853ff302bc)" d="M 14.809091 34.38 L 22.418182 34.38 L 22.418182 8.494286 L 14.809091 8.494286 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_3">    <path clip-path="url(#p853ff302bc)" d="M 22.418182 34.38 L 30.027273 34.38 L 30.027273 34.319519 L 22.418182 34.319519 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_4">    <path clip-path="url(#p853ff302bc)" d="M 30.027273 34.38 L 37.636364 34.38 L 37.636364 33.230868 L 30.027273 33.230868 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_5">    <path clip-path="url(#p853ff302bc)" d="M 37.636364 34.38 L 45.245455 34.38 L 45.245455 33.593752 L 37.636364 33.593752 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_6">    <path clip-path="url(#p853ff302bc)" d="M 45.245455 34.38 L 52.854545 34.38 L 52.854545 33.41231 L 45.245455 33.41231 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_7">    <path clip-path="url(#p853ff302bc)" d="M 52.854545 34.38 L 60.463636 34.38 L 60.463636 33.775194 L 52.854545 33.775194 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_8">    <path clip-path="url(#p853ff302bc)" d="M 60.463636 34.38 L 68.072727 34.38 L 68.072727 33.654232 L 60.463636 33.654232 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_9">    <path clip-path="url(#p853ff302bc)" d="M 68.072727 34.38 L 75.681818 34.38 L 75.681818 33.896155 L 68.072727 33.896155 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_10">    <path clip-path="url(#p853ff302bc)" d="M 75.681818 34.38 L 83.290909 34.38 L 83.290909 33.896155 L 75.681818 33.896155 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_11">    <path clip-path="url(#p853ff302bc)" d="M 83.290909 34.38 L 90.9 34.38 L 90.9 34.017116 L 83.290909 34.017116 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_12">    <path clip-path="url(#p853ff302bc)" d="M 90.9 34.38 L 98.509091 34.38 L 98.509091 34.077597 L 90.9 34.077597 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_13">    <path clip-path="url(#p853ff302bc)" d="M 98.509091 34.38 L 106.118182 34.38 L 106.118182 34.38 L 98.509091 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_14">    <path clip-path="url(#p853ff302bc)" d="M 106.118182 34.38 L 113.727273 34.38 L 113.727273 34.138077 L 106.118182 34.138077 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_15">    <path clip-path="url(#p853ff302bc)" d="M 113.727273 34.38 L 121.336364 34.38 L 121.336364 34.38 L 113.727273 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_16">    <path clip-path="url(#p853ff302bc)" d="M 121.336364 34.38 L 128.945455 34.38 L 128.945455 34.319519 L 121.336364 34.319519 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_17">    <path clip-path="url(#p853ff302bc)" d="M 128.945455 34.38 L 136.554545 34.38 L 136.554545 34.319519 L 128.945455 34.319519 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_18">    <path clip-path="url(#p853ff302bc)" d="M 136.554545 34.38 L 144.163636 34.38 L 144.163636 34.319519 L 136.554545 34.319519 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_19">    <path clip-path="url(#p853ff302bc)" d="M 144.163636 34.38 L 151.772727 34.38 L 151.772727 34.319519 L 144.163636 34.319519 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_20">    <path clip-path="url(#p853ff302bc)" d="M 151.772727 34.38 L 159.381818 34.38 L 159.381818 34.38 L 151.772727 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_21">    <path clip-path="url(#p853ff302bc)" d="M 159.381818 34.38 L 166.990909 34.38 L 166.990909 34.259039 L 159.381818 34.259039 z" style="fill:#1f77b4;"/>   </g>  </g> </g> <defs>  <clipPath id="p853ff302bc">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
      <th>Other$Trades<?xml version="1.0" encoding="utf-8" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><!-- Created with matplotlib (https://matplotlib.org/) --><svg height="41.58pt" version="1.1" viewBox="0 0 181.8 41.58" width="181.8pt" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"> <defs>  <style type="text/css">*{stroke-linecap:butt;stroke-linejoin:round;}  </style> </defs> <g id="figure_1">  <g id="patch_1">   <path d="M 0 41.58 L 181.8 41.58 L 181.8 0 L 0 0 z" style="fill:#ffffff;"/>  </g>  <g id="axes_1">   <g id="patch_2">    <path clip-path="url(#p2060ba3c57)" d="M 14.809091 34.38 L 22.418182 34.38 L 22.418182 8.494286 L 14.809091 8.494286 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_3">    <path clip-path="url(#p2060ba3c57)" d="M 22.418182 34.38 L 30.027273 34.38 L 30.027273 33.0593 L 22.418182 33.0593 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_4">    <path clip-path="url(#p2060ba3c57)" d="M 30.027273 34.38 L 37.636364 34.38 L 37.636364 34.063032 L 30.027273 34.063032 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_5">    <path clip-path="url(#p2060ba3c57)" d="M 37.636364 34.38 L 45.245455 34.38 L 45.245455 34.168688 L 37.636364 34.168688 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_6">    <path clip-path="url(#p2060ba3c57)" d="M 45.245455 34.38 L 52.854545 34.38 L 52.854545 34.327172 L 45.245455 34.327172 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_7">    <path clip-path="url(#p2060ba3c57)" d="M 52.854545 34.38 L 60.463636 34.38 L 60.463636 34.221516 L 52.854545 34.221516 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_8">    <path clip-path="url(#p2060ba3c57)" d="M 60.463636 34.38 L 68.072727 34.38 L 68.072727 34.274344 L 60.463636 34.274344 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_9">    <path clip-path="url(#p2060ba3c57)" d="M 68.072727 34.38 L 75.681818 34.38 L 75.681818 34.327172 L 68.072727 34.327172 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_10">    <path clip-path="url(#p2060ba3c57)" d="M 75.681818 34.38 L 83.290909 34.38 L 83.290909 34.327172 L 75.681818 34.327172 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_11">    <path clip-path="url(#p2060ba3c57)" d="M 83.290909 34.38 L 90.9 34.38 L 90.9 34.38 L 83.290909 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_12">    <path clip-path="url(#p2060ba3c57)" d="M 90.9 34.38 L 98.509091 34.38 L 98.509091 34.38 L 90.9 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_13">    <path clip-path="url(#p2060ba3c57)" d="M 98.509091 34.38 L 106.118182 34.38 L 106.118182 34.38 L 98.509091 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_14">    <path clip-path="url(#p2060ba3c57)" d="M 106.118182 34.38 L 113.727273 34.38 L 113.727273 34.38 L 106.118182 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_15">    <path clip-path="url(#p2060ba3c57)" d="M 113.727273 34.38 L 121.336364 34.38 L 121.336364 34.38 L 113.727273 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_16">    <path clip-path="url(#p2060ba3c57)" d="M 121.336364 34.38 L 128.945455 34.38 L 128.945455 34.38 L 121.336364 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_17">    <path clip-path="url(#p2060ba3c57)" d="M 128.945455 34.38 L 136.554545 34.38 L 136.554545 34.38 L 128.945455 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_18">    <path clip-path="url(#p2060ba3c57)" d="M 136.554545 34.38 L 144.163636 34.38 L 144.163636 34.327172 L 136.554545 34.327172 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_19">    <path clip-path="url(#p2060ba3c57)" d="M 144.163636 34.38 L 151.772727 34.38 L 151.772727 34.327172 L 144.163636 34.327172 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_20">    <path clip-path="url(#p2060ba3c57)" d="M 151.772727 34.38 L 159.381818 34.38 L 159.381818 34.38 L 151.772727 34.38 z" style="fill:#1f77b4;"/>   </g>   <g id="patch_21">    <path clip-path="url(#p2060ba3c57)" d="M 159.381818 34.38 L 166.990909 34.38 L 166.990909 34.327172 L 159.381818 34.327172 z" style="fill:#1f77b4;"/>   </g>  </g> </g> <defs>  <clipPath id="p2060ba3c57">   <rect height="27.18" width="167.4" x="7.2" y="7.2"/>  </clipPath> </defs></svg></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>0</th>
      <td>AGENCY PASS-THRU (TBA, STIP, $ ROLLS)</td>
      <td>SINGLE FAMILY 15Y</td>
      <td>2019-08-01</td>
      <td>1029.0</td>
      <td>16.0</td>
      <td>10367700.2</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
    </tr>
    <tr>
      <th>1</th>
      <td>AGENCY PASS-THRU (TBA, STIP, $ ROLLS)</td>
      <td>SINGLE FAMILY 30Y</td>
      <td>2019-08-01</td>
      <td>6773.0</td>
      <td>24.0</td>
      <td>186632371.9</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>5.0</td>
      <td>4.0</td>
      <td>102700.0</td>
      <td>2015.0</td>
      <td>35.0</td>
      <td>41183055.9</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
    </tr>
    <tr>
      <th>2</th>
      <td>AGENCY PASS-THRU (TBA, STIP, $ ROLLS)</td>
      <td>OTHER</td>
      <td>2019-08-01</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>17.0</td>
      <td>10.0</td>
      <td>372127.4</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>16.0</td>
      <td>9.0</td>
      <td>279696.4</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
    </tr>
    <tr>
      <th>...</th>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
      <td>...</td>
    </tr>
    <tr>
      <th>582</th>
      <td>AGENCY PASS-THRU (SPECIFIED)</td>
      <td>OTHER</td>
      <td>2019-10-31</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
    </tr>
    <tr>
      <th>583</th>
      <td>AGENCY CMO</td>
      <td>P&I</td>
      <td>2019-10-31</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>280.0</td>
      <td>145.0</td>
      <td>205136.0</td>
      <td>297.0</td>
      <td>152.0</td>
      <td>194484.0</td>
      <td>209.0</td>
      <td>117.0</td>
      <td>78706.8</td>
      <td>18.0</td>
      <td>11.0</td>
      <td>34884.2</td>
    </tr>
    <tr>
      <th>584</th>
      <td>AGENCY CMO</td>
      <td>IO/PO</td>
      <td>2019-10-31</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>0.0</td>
      <td>29.0</td>
      <td>17.0</td>
      <td>303877.5</td>
      <td>34.0</td>
      <td>16.0</td>
      <td>321216.4</td>
      <td>39.0</td>
      <td>21.0</td>
      <td>336688.5</td>
      <td>NaN</td>
      <td>NaN</td>
      <td>NaN</td>
    </tr>
  </tbody>
</table>



And that's all, folks! I think it's pretty cool for what was basically a few hours of work of actual coding and like hours and hours of furious spelunking through stackoverflow to patch together the concept I had in mind. 

# Author

* Sharon Sung, sungsh@umich.edu


```python

```
